//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0772e609 (2024-12-24 14:57:34)
// 


var RE_NUM = /^\-?\d+$/;
var ajaxQueryFinished = true;
var formCounter = 0;
var equalizedHeightElements = new Array();
var equalizedHeightElementsCounter = 0;
var defaultGetContListTask = 'getContList';
var afterContentLoadHandlers = new Array();
$(window).on('load', function () {
    //
});
$(document).ready(function () {
    setMobileClass();
    afterContentLoad(false);
    $(document).unbind('keydown.fb');
    acrmStatUpdate();
    $('a[data-bs-toggle="tab"]').on('shown.bs.tab', function (e) {
        var activeTab = $(e.target).attr("data-key") // activated tab
        if (activeTab != '') $("#activeTab").val(activeTab);
    });
});

function isMobile() {
    if ((/(ipad|iphone|android|mobile|touch|blackberry|iemobile)/i.test(navigator.userAgent))) {
        return true;
    } else {
        return false;
    }
}

function setMobileClass() {
    if (isMobile()) {
        $('html').removeClass('is-not-mobile').addClass('is-mobile');
    } else {
        $('html').removeClass('is-mobile').addClass('is-not-mobile');
    }
}

function applyJSFormats(parent_prefix) {
    if (parent_prefix) {
        _current_prefix_ws = parent_prefix + " ";
        applyNumericInput(_current_prefix_ws + 'input.numeric');
        applyNumericInput(_current_prefix_ws + 'input.decimal', 9);
        applyPhoneInput(_current_prefix_ws + 'input.phone');
        $(_current_prefix_ws + 'input.timeselector').each(function () {
            appendDTPicker($(this), true, false);
        });
        $(_current_prefix_ws + 'input.dateselector').each(function () {
            appendDTPicker($(this));
        });
        $(_current_prefix_ws + 'input.datetimeselector').each(function () {
            appendDTPicker($(this), true);
        });
        if (typeof templateEveryLoad == 'function') templateEveryLoad(parent_prefix);
        applyAfterContentLoadHandlers(parent_prefix);
    }
}

/*========================================*/
/*======== Cookies  ======================*/
/*========================================*/
function getCMSCookie(key){
    if (typeof (key) == 'undefined' || key == '') return null;
    return $.cookie(key);
}

function setCMSCookie(key, val, expires, path){
    if (typeof (key) == 'undefined' || key == '') {
        console.log('Cookie key is invalid (set).');
        return false;
    }
    if (typeof (val) == 'undefined') val = '';
    if (typeof (expires) == 'undefined' || expires == '') expires = 7;
    if (typeof (path) == 'undefined' || path == '') path = '/';
    $.cookie(key, val, {
        expires: expires,
        path: path,
        domain: siteConfig['siteDomain'],
        secure: (checkSiteIsHTTPS() ? siteConfig['siteSecure'] : ''),
        samesite: siteConfig['sameSite']
    });
    return true;
}

function resetCMSCookie(key){
    if (typeof (key) == 'undefined' || key == '') {
        console.log('Cookie key is invalid (reset).');
        return false;
    }
    return setCMSCookie(key, null, -1);
}

function checkCMSCookies(quiet_check) {
    if (typeof (quiet_check) == 'undefined') quiet_check = 0; else quiet_check = 1;
    var test_val = 'dfgdhdfhdfghfdhdffhdfhdf';
    setCMSCookie('arfacms', test_val, 1);
    if (getCMSCookie('arfacms') != test_val) {
        // Failed
        if (quiet_check == 0) alert('Enable cookies first !!!');
        resetCMSCookie('arfacms');
        return 0;
    } else {
        // OK
        resetCMSCookie('arfacms');
        return 1;
    }
}

function checkSiteIsHTTPS(){
    return location.protocol === 'https:';
}

/*========================================*/
/*======== Tooltips ======================*/
/*========================================*/
function initTooltips(parent_prefix) {
    var tooltipTriggerList = $(parent_prefix + '[data-bs-toggle="tooltip"]');
    if (tooltipTriggerList.length > 0) [...tooltipTriggerList].map(tooltipTriggerEl => new bootstrap.Tooltip(tooltipTriggerEl));
}

/*========================================*/
/*======== Address field selector ========*/
/*========================================*/
function updateAddressPanel(el, id, module) {
    if (module == undefined) module = 'user';
    // тут готовим что отправить
    $new_text = getManualInputText(false, 'pa_');
    cancelModalDialogByElement(el);
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: module,
            task: 'checkAddressPanelData',
            pa_country_id: $('#pa_country_id').val(),
            pa_region_id: $('#pa_region_id').val(),
            pa_district_id: $('#pa_district_id').val(),
            pa_locality_id: $('#pa_locality_id').val(),
            pa_country: $('#pa_country').val(),
            pa_region: $('#pa_region').val(),
            pa_district: $('#pa_district').val(),
            pa_locality: $('#pa_locality').val(),
            pa_zipcode: $('#pa_zipcode').val(),
            pa_street: $('#pa_street').val(),
            pa_house: $('#pa_house').val(),
            pa_apartment: $('#pa_apartment').val(),
            pa_fullinfo: $new_text
        }),
        dataType: 'html',
        success: function (html_data, textStatus) {
            $('#' + id).val(html_data);
            $('#' + id).next().text($new_text);
            ajaxHideActivity();
        },
        error: function () {
            ajaxHideActivity();
            return false;
        }
    });
}

function showAddressEditor(id, module, title) {
    if (module == undefined) return false;
    if (module == '') return false;
    if (title == undefined) title = '';
    var data = $('#' + id).val();
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: module,
            id: id,
            data: data,
            task: 'showAddressEditor'
        }),
        dataType: 'html',
        success: function (html_data, textStatus) {
            var modalDialog = showInModalDialog(html_data, title);
            ajaxHideActivity();
            afterAjaxUpdate(modalDialog);
            // applyJSFormats('#' + modalDialog);
        },
        error: function () {
            ajaxHideActivity();
            return false;
        }
    });
}

/*========================================*/
function showFilter(current_mod, view, layout, multy_code, title, trash_flag, controller) {
    if (controller == undefined || controller == 'default') controller = '';
    if (layout == undefined) layout = 'default';
    if (title == undefined) title = '';
    if (multy_code == undefined) multy_code = 0;
    if (trash_flag == undefined) trash_flag = 0;
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: current_mod,
            controller: controller,
            task: 'showfilter',
            view: view,
            multy_code: multy_code,
            layout: layout,
            trash: trash_flag
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            var modalDialog = showInModalDialog(data, title, "modal-lg modal-fullscreen-lg-down", "", false);
            ajaxHideActivity();
            // afterAjaxUpdate(modalDialog);
            applyJSFormats('#' + modalDialog);
        },
        error: function () {
            ajaxHideActivity();
            return false;
        }
    });
}

function intval(mixed_var, base) {
    var tmp;
    if (typeof (mixed_var) == 'string') {
        tmp = parseInt(mixed_var);
        if (isNaN(tmp)) {
            return 0;
        } else {
            return tmp.toString(base || 10);
        }
    } else if (typeof (mixed_var) == 'number') {
        return Math.floor(mixed_var);
    } else {
        return 0;
    }
}

//проверяет значение на количество знаков и состав (только числа)
function validate_numeric(__in_val, __digits) {
    var i = __in_val.value;
    if (i.length != __digits)
        return false;
    if (!RE_NUM.exec(i))
        return false;
    return true;
}

// проверка на заполнение поля числом
function check_numeric(id_fld) {
    if ($('#' + id_fld).val() != "") {
        var value = $('#' + id_fld).val().replace(/^\s\s*/, '').replace(/\s\s*$/, '');
        var intRegex = /^\d+$/;
        if (!intRegex.test(value)) {
            return false;
        }
    } else {
        return false;
    }
    return true;
}

function VtoInt(perem) {
    var a = parseInt(perem);
    if (isNaN(a)) return 0;
    else return a;
}

function VtoFloat(txt, digits) {
    if (typeof (digits) == 'undefined') digits = 0;
    var perem = new String(txt);
    //	perem=str_replace_reg(perem,',','.');
    perem = str_replace(perem, ',', '.');
    numObj = Number(perem);
    res = numObj.toFixed(digits);
    if (isNaN(numObj)) return 0;
    else return parseFloat(res);
}

function formatFloat(txt, digits) {
    if (typeof (digits) == 'undefined') digits = 0;
    var perem = new String(txt);
    //	perem=str_replace_reg(perem,',','.');
    perem = str_replace(perem, ',', '.');
    numObj = Number(perem);
    res = numObj.toFixed(digits);
    if (isNaN(numObj)) return 0;
    else return res.replace(/(\d)(?=(\d\d\d)+([^\d]|$))/g, '$1' + siteConfig['thousandSeparator']);
}

/** замена спец символа - аналог html_special_chars **/
function txt2html(xStr) {
    var htmlarr = new Array();
    htmlarr["&"] = "&amp;";
    htmlarr["\n"] = "<br />";
    htmlarr["<"] = "&lt;";
    htmlarr[">"] = "&gt;";
    htmlarr["\""] = "&#34;";
    htmlarr["\'"] = "&#39;";
    // htmlarr[" "]="&nbsp;";
    for (x in htmlarr)
        xStr = xStr.replace(x, htmlarr[x]);
    return xStr;
}

function str_replace_reg(haystack, needle, replacement) {
    var r = new RegExp(needle, 'g');
    return haystack.replace(r, replacement);
}

function str_replace(haystack, needle, replacement) {
    var temp = haystack.split(needle);
    return temp.join(replacement);
}

function array_key_exists(key, search) {
    if (!search || (search.constructor !== Array && search.constructor !== Object)) return false;
    return search[key] !== undefined;
}

function is_empty(mixed_var) {
    return ($.trim(mixed_var) === "" || mixed_var === 0 || mixed_var === "0" || mixed_var === null || mixed_var === false || (is_array(mixed_var) && mixed_var.length === 0));
}

function is_array(mixed_var) {
    return (mixed_var instanceof Array);
}

function switchSortLink(module, view, layout, trash, sort, orderby, page, lol, multycode, spravid, task, controller) {
    if (spravid === undefined) return false;
    if (task === undefined) task = defaultGetContListTask;

    if (controller === undefined) controller = "default";
    ajaxShowActivity();
    $.ajax({
        url: "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: module,
            psid: multycode,
            task: task,
            view: view,
            trash: trash,
            sort: sort,
            orderby: orderby,
            page: page,
            layout: layout,
            lol: lol,
            controller: controller
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            sprav_parent = $('#' + spravid).parent();
            $('#' + spravid).remove();
            sprav_parent.append(data);
            afterAjaxUpdate(spravid);
            ajaxHideActivity();
        },
        error: function () {
            ajaxHideActivity();
            return false;
        }
    });
}

// For selector search form
function handleAjaxFilterInput(e, field_name, module, view, layout, psid, controller, trash, sort, orderby, page, lol, spravid, task) {
    if (e.keyCode === 13) {
        alterAjaxFilter(field_name, module, view, layout, psid, controller, trash, sort, orderby, page, lol, spravid, task)
    }
}

//For selector search form
function alterAjaxFilterReset() {
    $('.sprav-list-selector').find('.filter-selector-apply').get(0).click()
}

//For selector search form
function alterAjaxFilter(field_name, module, view, layout, psid, controller, trash, sort, orderby, page, lol, spravid, task) {
    if (spravid === undefined) return false;
    if (task === undefined) task = defaultGetContListTask;
    if (controller === undefined) controller = "default";

    var field_val = $('#filter_' + field_name).val();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: module,
            task: 'setfilter',
            view: view,
            filter_string: field_val,
            filter_name: field_name,
            layout: layout,
            controller: controller
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            reloadContList(module, view, layout, psid, controller, 0, sort, orderby, page, lol, spravid, task);
        },
        error: function () {
            ajaxHideActivity();
            return false;
        }
    });
}

function reloadContList(module, view, layout, psid, controller, trash, sort, orderby, page, lol, spravid, task) {
    ajaxShowActivity();
    $.ajax({
        url: "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: module,
            view: view,
            layout: layout,
            task: task,
            psid: psid,
            trash: trash,
            page: page,
            sort: sort,
            orderby: orderby,
            lol: lol,
            controller: controller
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            sprav_parent = $('#' + spravid).parent();
            $('#' + spravid).remove();
            sprav_parent.append(data);
            afterAjaxUpdate(spravid);
            ajaxHideActivity();
        },
        error: function () {
            alert('Does not contain the data.');
            ajaxHideActivity();
            return false;
        }
    });
}

function resetSpravFilterAll(obj, module, view, layout, multy_code, psid, orderby, sort, page, controller, trash) {
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + 'index.php',
        data: ({
            type: 'module',
            option: 'ajax',
            full_reset: 1,
            module: module,
            view: view,
            controller: controller,
            layout: layout,
            multy_code: multy_code,
            psid: psid,
            trash: trash,
            page: page,
            sort: sort,
            orderby: orderby,
            task: 'resetfilter'
        }),
        dataType: 'json',
        success: function (data, textStatus) {
            if (data.result == 'OK') {
//				console.dir(data);
                window.location.href = data.href;
            } else {
                console.dir(data.result);
                alert('Error resetting filter');
                ajaxHideActivity();
            }
        },
        error: function (qq) {
            ajaxHideActivity();
            return false;
        }
    });
}

function resetSpravFilterKey(obj, module, view, layout, multy_code, psid, orderby, sort, page, controller, trash) {
    if (obj) {
        ajaxShowActivity();
        var key_val = $(obj).attr('data-key'); // reset this filter key
        $.ajax({
            url: siteConfig['siteUrl'] + 'index.php',
            data: ({
                type: 'module',
                option: 'ajax',
                module: module,
                view: view,
                controller: controller,
                layout: layout,
                multy_code: multy_code,
                psid: psid,
                trash: trash,
                page: page,
                sort: sort,
                orderby: orderby,
                task: 'resetFilterKey',
                key_val: key_val
            }),
            dataType: 'json',
            success: function (data, textStatus) {
                if (data.result == 'OK') {
//					console.log(data.href);
                    window.location.href = data.href;
                } else {
                    alert('Error resetting filter');
                    ajaxHideActivity();
                }
            },
            error: function () {
                ajaxHideActivity();
                return false;
            }
        });
    }
}

function setContList(obj, psid) {
    if (obj) {
        obj_parent_wrapper = $(obj).parents('.tree-panel').get(0);
        if (obj_parent_wrapper === undefined) return false;
        spravid_holder = $(obj_parent_wrapper).children('input[type=hidden].sprav_list_id').get(0);
        if (spravid_holder === undefined) return false;
        spravid = $(spravid_holder).val();
        if (spravid === undefined || spravid === '') return false;
        var module = $('#module').val();
        var view = $('#view').val();
        var sort = $('#sort').val();
        var orderby = $('#orderby').val();
        var page = $('#page').val();
        var layout = $('#layout').val();
        var controller = $('#controller').val();

        ajaxShowActivity();
        $.ajax({
            url: "index.php",
            data: ({
                type: 'module',
                option: 'ajax',
                module: module,
                view: view,
                controller: controller,
                layout: layout,
                task: 'showData',
                multy_code: psid,
                trash: 0,
                page: page,
                sort: sort,
                orderby: orderby
            }),
            dataType: 'html',
            success: function (data, textStatus) {
                sprav_parent = $('#' + spravid).parent();
                $('#' + spravid).remove();
                sprav_parent.append(data);
                $(obj_parent_wrapper).find('li').removeClass("active");
                $($(obj).parent().get(0)).addClass("active");
                afterAjaxUpdate(spravid);
                ajaxHideActivity();
            },
            error: function () {
                alert('Does not contain the data.');
                ajaxHideActivity();
                return false;
            }
        });
    }
}

function switchPageOnContList(module, view, layout, psid, controller, trash, sort, orderby, page, lol, spravid, task) {
    if (spravid === undefined) return false;
    if (task === undefined) task = defaultGetContListTask;
    if (controller == undefined) controller = '';

    ajaxShowActivity();
    $.ajax({
        url: "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: module,
            controller: controller,
            psid: psid,
            task: task,
            view: view,
            trash: trash,
            sort: sort,
            orderby: orderby,
            page: page,
            layout: layout,
            lol: lol
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            sprav_parent = $('#' + spravid).parent();
            $('#' + spravid).remove();
            sprav_parent.append(data);
            afterAjaxUpdate(spravid);
            ajaxHideActivity();
        },
        error: function () {
            alert('Does not contain the data.');
            ajaxHideActivity();
            return false;
        }
    });
}

function clickACRM(bid) {
    $.ajax({
        url: 'index.php?module=acrm&task=clickACRM&psid=' + bid,
        success: function () {
            return true;
        },
        error: function () {
            return false;
        }
    });
}

function deleteMultyRow(id, mess) {
    if (typeof (mess) == "undefined") mess = 'Delete';
    title = $('#' + id).parent().children('label[for=' + id + ']').html();
    if (confirm(mess + ' : ' + title + ' ?')) $('#' + id).parent().remove();
}

function addFromSelector(el_from, element, id, title, hidemsg) {
    var exists_msg = $('#' + element + '_exists').val();
    if ($('#' + element + '_' + id).val() === undefined) {
        del_msg = $('#' + element + '_delete').val();
        $new_html = '<div class="col-12 mt-1 newline pb-2 pt-2">'
            + '<span class="button-delete-link" onclick="deleteMultyRow(\'' + element + '_' + id + '\',\'' + del_msg + '\')" title="' + del_msg + '"><i class="bi bi-dash-circle"><\/i><\/span>'
            + '<input type="hidden" name="' + element + '[]" value="' + id + '" id="' + element + '_' + id + '">'
            + '<label for="' + element + '_' + id + '">' + title + '<\/label>';
        if ($('#' + element + '_wq').val() == 1) {
            $new_html = $new_html + '<input type="text" class="quantity numeric form-control" name="' + element + '_quantity[' + id + ']" value="1.0000" id="' + element + '_quantity_' + id + '">';
        }
        $new_html = $new_html + '<\/div>';
        $('#' + element).append($new_html);
        applyNumericInput('#' + element + '_quantity_' + id);
        $(el_from).addClass('selected').attr("onclick", "").unbind("click");
        $(el_from).find('img').attr("title", "");
    } else {
        if (typeof (hidemsg) == "undefined") alert(exists_msg);
    }
}

function checkAll(elem, fldName, formName) {
    if (!fldName) {
        fldName = 'cps_id[]';
    }
    if (!formName) {
        formName = 'frmList';
    }
    $("form[name='" + formName + "'] input[name='" + fldName + "']").each(function (i) {
        if ($(elem).is(':checked')) $(this).attr('checked', 'checked');
        else $(this).removeAttr('checked');
        $(this).change();
    });
}

function toggleChecked(elem, className) {
    if (className) {
        var is_on = $(elem).is(':checked');
        $('input.' + className).each(function (i) {
            $(this).attr('checked', is_on);
            $(this).change();
        });
    }
}

function isChecked(fldName, formName) {
    if (!fldName) {
        fldName = 'cps_id[]';
    }
    if (!formName) {
        formName = 'frmList';
    }
    var flag = 0;
    $("form[name='" + formName + "'] input[name='" + fldName + "']").each(function (i) {
        if ($(this).is(':checked')) {
            flag = 1;
        }
    });
    return flag;
}

//used only in sprav list
function submitbutton(module, view, layout, task, formName, target, option, reset_multy, controller) {
    if (!formName) {
        formName = 'frmList';
    }
    if (!target || target === '0') {
        target = "";
    }
    if (!option || option === '0') {
        option = "module";
    }
    if (!reset_multy) {
        reset_multy = false;
    }
    if (!layout) {
        layout = "";
    }
    if (controller == undefined) controller = 'default';
    submitform(module, view, layout, task, formName, target, option, reset_multy, controller);
}

//used in sprav list from submitbutton and directly
function submitform(module, view, layout, task, formName, target, option, reset_multy, controller) {
    if (!formName) {
        formName = 'frmEdit';
    }
    if (!target || target === '0') {
        target = "";
    }
    if (!option || option === '0') {
        option = "module";
    }
    if (!layout) {
        layout = "";
    }
    if (!reset_multy) {
        reset_multy = false;
    }
    if (controller == undefined) controller = 'default';
    $("#view").val(view);
    $("#module").val(module);
    $("#layout").val(layout);
    $("#task").val(task);

    if (reset_multy === true) $("#multy_code").val("");
    var fcol = document.getElementsByName(formName);
    var f = fcol[0];
    if ($("#controller").length) {
        $("#controller").val(controller);
    } else {
        f.controller = controller;
    }
    if (target) f.target = target;
    if (option) f.option.value = option;
    try {
        f.onsubmit();
    } catch (e) {
    }
    f.submit();
}

//очищает значение поля
function clearfieldVal(id) {
    $("#" + id).val('').trigger('change');
}

function go_form(formId) {
    var f = $("#" + formId);
    try {
        f.onsubmit();
    } catch (e) {
    }
    f.submit();
    return true;
}

function form_checkfill(formId, visible_only) {
    var visible_selector = "";
    if (visible_only) visible_selector = ':visible';
    var no_error = true;

    $('#' + formId + ' input' + visible_selector).filter('[required]').each(function (i) {
        $(this).removeClass('invalid');
        if ($(this).val() == '') {
            $(this).addClass('invalid').focus();
            no_error = false;
        }
    });
    $('#' + formId + ' input.required' + visible_selector).each(function (i) {
        $(this).removeClass('invalid');
        if ($(this).val() == '') {
            $(this).addClass('invalid').focus();
            no_error = false;
        }
    });

    $('#' + formId + ' select' + visible_selector).filter('[required]').each(function (i) {
        $(this).removeClass('invalid');
        if ($(this).val() == 0) {
            $(this).addClass('invalid').focus();
            no_error = false;
        }
    });
    $('#' + formId + ' select.required' + visible_selector).each(function (i) {
        $(this).removeClass('invalid');
        if ($(this).val() == 0) {
            $(this).addClass('invalid').focus();
            no_error = false;
        }
    });

    $('#' + formId + ' input[type=checkbox]' + visible_selector).filter('[required]').each(function (i) {
        $(this).parent().removeClass('invalid');
        if (!$(this).prop('checked')) {
            $(this).parent().addClass('invalid');
            no_error = false;
        }
    });
    $('#' + formId + ' input[type=checkbox].required' + visible_selector).each(function (i) {
        $(this).parent().removeClass('invalid');
        if (!$(this).prop('checked')) {
            $(this).parent().addClass('invalid');
            no_error = false;
        }
    });

    return no_error;
}

function ajaxShowActivity() {
    if (ajaxQueryFinished === true) {
        ajaxQueryFinished = false;
        $('#arfacms-overlay').height($(document).height());
        $('#arfacms-loading').bind("click", function () {
            ajaxHideActivity(true);
        });
        // position adjustment
        $('#arfacms-loading').css('left', $(window).width() / 2 - $('#arfacms-loading').width() / 2);
        $('#arfacms-loading').css('top', $(window).height() / 2 - $('#arfacms-loading').height() / 2);
        $('#arfacms-loading').show();
        $('#arfacms-overlay').show();
    }
}

function ajaxHideActivity(ok_flag) {
    if (ok_flag === false) ajaxQueryFinished = false; else ajaxQueryFinished = true;
    $('#arfacms-overlay').hide();
    $('#arfacms-loading').unbind('click');
    $('#arfacms-loading').hide();
}

function ajaxUpdateActivity(msg) {
    $('#arfacms-loading p').html(msg);
}

// May be for remove ??? Check first !!!
function checkFieldUnique(module, obj, psid) {
    if ($(obj).val() != "") {
        ajaxShowActivity();
        $.ajax({
            url: siteConfig['siteUrl'] + "index.php",
            data: ({
                type: 'module',
                option: 'ajax',
                module: module,
                fld: obj.id,
                val: $(obj).val(),
                psid: psid,
                task: 'checkField'
            }),
            dataType: 'html',
            success: function (data, textStatus) {
                if (data == 'OK') {
                    var verify_class = 'verify-ok';
                    var verify_class_old = 'verify-err';
                    $("#save").removeAttr('disabled');
                    $("#apply").removeAttr('disabled');
                } else {
                    var verify_class = 'verify-err';
                    var verify_class_old = 'verify-ok';
                    $("#save").attr("disabled", "true");
                    $("#apply").attr("disabled", "true");
                }
                var attr = $(obj).next().attr("for");
                if (attr == obj.id) {
                    $(obj).next().removeClass(verify_class);
                    $(obj).next().removeClass(verify_class_old);
                    $(obj).next().addClass(verify_class);
                    $(obj).next().show();
                } else {
                    var lbl_tmpl = '<i generated="true" for="' + obj.id + '" class="bi ' + verify_class + '"><\/i>';
                    $(obj).wrap("<div class='verify-wrapper'></div>");
                    $(obj).after(lbl_tmpl);
                }
                ajaxHideActivity();
                return true;
            },
            error: function () {
                ajaxHideActivity();
                return false;
            }
        });
    }
}

function checkSpravFieldUnique(module, view, layout, obj, psid, controller, multy_code) {
    if ($(obj).val() != "") {
        ajaxShowActivity();
        $.ajax({
            url: siteConfig['siteUrl'] + "index.php",
            data: ({
                type: 'module',
                option: 'ajax',
                module: module,
                view: view,
                layout: layout,
                fld: obj.id,
                val: $(obj).val(),
                psid: psid,
                controller: controller,
                multy_code: multy_code,
                task: 'checkSpravField'
            }),
            dataType: 'html',
            success: function (data, textStatus) {
                if (data == 'OK') {
                    var verify_class = 'verify-ok';
                    var verify_class_old = 'verify-err';
                    $("#save").removeAttr('disabled');
                    $("#apply").removeAttr('disabled');
                    $("#add_new").removeAttr('disabled');
                } else {
                    var verify_class = 'verify-err';
                    var verify_class_old = 'verify-ok';
                    $("#save").attr("disabled", "true");
                    $("#apply").attr("disabled", "true");
                    $("#add_new").attr("disabled", "true");
                }
                var attr = $(obj).next().attr("for");
                if (attr == obj.id) {
                    $(obj).next().removeClass(verify_class);
                    $(obj).next().removeClass(verify_class_old);
                    $(obj).next().addClass(verify_class);
                    $(obj).next().show();
                } else {
                    var lbl_tmpl = '<i generated="true" for="' + obj.id + '" class="bi ' + verify_class + '"><\/i>';
                    $(obj).wrap("<div class='verify-wrapper'></div>");
                    $(obj).after(lbl_tmpl);
                }
                ajaxHideActivity();
                return true;
            },
            error: function () {
                ajaxHideActivity();
                return false;
            }
        });
    }
}

function submitAddress() {
    var frm_id = 'addressForm';
    var f = $(frm_id);
    fillManualInput(frm_id);
    try {
        f.onsubmit();
    } catch (e) {
    }
    f.submit();
}

function getManualInputText(frm_id, fld_pref) {
    var frm_pref = '#' + frm_id + ' ';
    if (frm_id === false) frm_pref = "";
    if (!fld_pref) fld_pref = "";
    var address = "";
    var separator = ", ";
    var addrArr = new Array();

    if ($(frm_pref + '#' + fld_pref + 'zipcode').length > 0) addrArr.push($(frm_pref + '#' + fld_pref + 'zipcode').val());
    if (siteConfig['useTextAddress'] == 0) {
        if ($(frm_pref + '#' + fld_pref + 'country_id').length > 0 && $(frm_pref + '#' + fld_pref + 'country_id :selected').val() != "0") addrArr.push($(frm_pref + '#' + fld_pref + 'country_id :selected').text());
        if ($(frm_pref + '#' + fld_pref + 'region_id').length > 0 && $(frm_pref + '#' + fld_pref + 'region_id :selected').val() != "0") addrArr.push($(frm_pref + '#' + fld_pref + 'region_id :selected').text());
        if ($(frm_pref + '#' + fld_pref + 'district_id').length > 0 && $(frm_pref + '#' + fld_pref + 'district_id :selected').val() != "0") addrArr.push($(frm_pref + '#' + fld_pref + 'district_id :selected').text());
        if ($(frm_pref + '#' + fld_pref + 'locality_id').length > 0 && $(frm_pref + '#' + fld_pref + 'locality_id :selected').val() != "0") addrArr.push($(frm_pref + '#' + fld_pref + 'locality_id :selected').text());
    } else {
        if ($(frm_pref + '#' + fld_pref + 'country').length > 0 && $(frm_pref + '#' + fld_pref + 'country').val() != "") addrArr.push($(frm_pref + '#' + fld_pref + 'country').val());
        if ($(frm_pref + '#' + fld_pref + 'region').length > 0 && $(frm_pref + '#' + fld_pref + 'region').val() != "") addrArr.push($(frm_pref + '#' + fld_pref + 'region').val());
        if ($(frm_pref + '#' + fld_pref + 'district').length > 0 && $(frm_pref + '#' + fld_pref + 'district').val() != "") addrArr.push($(frm_pref + '#' + fld_pref + 'district').val());
        if ($(frm_pref + '#' + fld_pref + 'locality').length > 0 && $(frm_pref + '#' + fld_pref + 'locality').val() != "") addrArr.push($(frm_pref + '#' + fld_pref + 'locality').val());
    }
    if ($(frm_pref + '#' + fld_pref + 'street').length > 0 && $(frm_pref + '#' + fld_pref + 'street').val() != "") addrArr.push($(frm_pref + '#' + fld_pref + 'street').val());
    if ($(frm_pref + '#' + fld_pref + 'house').length > 0 && $(frm_pref + '#' + fld_pref + 'house').val() != "") addrArr.push($(frm_pref + '#' + fld_pref + 'house').val());
    if ($(frm_pref + '#' + fld_pref + 'apartment').length > 0 && $(frm_pref + '#' + fld_pref + 'apartment').val() != "") addrArr.push($(frm_pref + '#' + fld_pref + 'apartment').val());

    address = addrArr.join(separator);

    return address;
}

/*
function getManualInputText_OLD(frm_id, fld_pref){
	var frm_pref='#'+frm_id+' ';
	if (frm_id===false) frm_pref="";
	if (!fld_pref) fld_pref="";
	var	adr="";
	var zip_text="";
	var country_text="";
	var region_text="";
	var district_text="";
	var locality_text="";
	var street_text="";
	var house_text="";
	var apartment_text="";
	if( $(frm_pref+'#'+fld_pref+'zipcode').length > 0 ) zip_text=$(frm_pref+'#'+fld_pref+'zipcode').val();
	if (siteConfig['useTextAddress']==0) {
		if( $(frm_pref+'#'+fld_pref+'country_id').length > 0 && $(frm_pref+'#'+fld_pref+'country_id :selected').val()!="0") country_text = $(frm_pref+'#'+fld_pref+'country_id :selected').text();
		if( $(frm_pref+'#'+fld_pref+'region_id').length > 0 && $(frm_pref+'#'+fld_pref+'region_id :selected').val()!="0") region_text = $(frm_pref+'#'+fld_pref+'region_id :selected').text();
		if( $(frm_pref+'#'+fld_pref+'district_id').length > 0 && $(frm_pref+'#'+fld_pref+'district_id :selected').val()!="0") district_text = $(frm_pref+'#'+fld_pref+'district_id :selected').text();
		if( $(frm_pref+'#'+fld_pref+'locality_id').length > 0 && $(frm_pref+'#'+fld_pref+'locality_id :selected').val()!="0") locality_text = $(frm_pref+'#'+fld_pref+'locality_id :selected').text();
	} else {
		if( $(frm_pref+'#'+fld_pref+'country').length > 0 && $(frm_pref+'#'+fld_pref+'country').val()!="") country_text = $(frm_pref+'#'+fld_pref+'country').val();
		if( $(frm_pref+'#'+fld_pref+'region').length > 0 && $(frm_pref+'#'+fld_pref+'region').val()!="") region_text = $(frm_pref+'#'+fld_pref+'region').val();
		if( $(frm_pref+'#'+fld_pref+'district').length > 0 && $(frm_pref+'#'+fld_pref+'district').val()!="") district_text = $(frm_pref+'#'+fld_pref+'district').val();
		if( $(frm_pref+'#'+fld_pref+'locality').length > 0 && $(frm_pref+'#'+fld_pref+'locality').val()!="") locality_text = $(frm_pref+'#'+fld_pref+'locality').val();
	}
	if( $(frm_pref+'#'+fld_pref+'street').length > 0 && $(frm_pref+'#'+fld_pref+'street').val()!="") street_text = $(frm_pref+'#'+fld_pref+'street').val();
	if( $(frm_pref+'#'+fld_pref+'house').length > 0 && $(frm_pref+'#'+fld_pref+'house').val()!="") house_text = $(frm_pref+'#'+fld_pref+'house').val();
	if( $(frm_pref+'#'+fld_pref+'apartment').length > 0 && $(frm_pref+'#'+fld_pref+'apartment').val()!="") apartment_text = $(frm_pref+'#'+fld_pref+'apartment').val();

	adr = zip_text + "," + country_text + "," + region_text + "," + district_text + "," + locality_text + "," + street_text + "," + house_text + "," + apartment_text;
	return adr;
}
*/
function fillManualInput(frm_id, fld_pref) {
    if (typeof (frm_id) === 'undefined' || frm_id === false) frm_pref = "";
    else frm_pref = '#' + frm_id + ' ';
    if (typeof (fld_pref) === 'undefined' || fld_pref === false) fld_pref = "";
    if ($(frm_pref + '#' + fld_pref + 'fullinfo').length > 0 && $(frm_pref + '#' + fld_pref + 'fullinfo').val() == '') {
        $(frm_pref + '#' + fld_pref + 'fullinfo').val(getManualInputText(frm_id, fld_pref));
        return true;
    } else {
        return false;
    }
}

function sweepInput(id) {
    $('#' + id).val('');
}

function updateRegionSelector(ctrl_pref, country_eid, region_eid, district_eid, locality_eid) {
    /*
	if (ctrl_pref != '') {
		country_eid=ctrl_pref+country_eid;
		region_eid=ctrl_pref+region_eid;
		district_eid=ctrl_pref+district_eid;
		locality_eid=ctrl_pref+locality_eid;
	}
	*/
    var parent_id = $("#" + ctrl_pref + country_eid).val();
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: 'user',
            view: 'panel',
            task: 'getRegionSelector',
            ctrl_pref: ctrl_pref,
            psid: parent_id
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            elem = "#" + ctrl_pref + region_eid;
            is_required = $(elem).hasClass('required');
            elem_parent = $(elem).parent();
            data_onchange = $(elem).attr('data-onchange');
            $(elem).remove();
            elem_parent.append(data);
            if (is_required && !$(elem).hasClass('required')) $(elem).addClass('required');
            $(elem).attr('data-onchange', data_onchange);
            $(elem).attr('onchange', data_onchange);
            ajaxHideActivity();
            updateDistrictSelector(ctrl_pref, region_eid, district_eid, locality_eid);
        },
        error: function () {
            alert('Error occured');
            ajaxHideActivity();
            return false;
        }
    });
}

function updateDistrictSelector(ctrl_pref, region_eid, district_eid, locality_eid) {
    /*
	if (ctrl_pref!='') {
		region_eid=ctrl_pref+region_eid;
		district_eid=ctrl_pref+district_eid;
		locality_eid=ctrl_pref+locality_eid;
	}
	*/
    var parent_id = $("#" + ctrl_pref + region_eid).val();
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: 'user',
            ctrl_pref: ctrl_pref,
            view: 'panel',
            task: 'getDistrictSelector',
            psid: parent_id
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            elem = "#" + ctrl_pref + district_eid;
            is_required = $(elem).hasClass('required');
            elem_parent = $(elem).parent();
            data_onchange = $(elem).attr('data-onchange');
            $(elem).remove();
            elem_parent.append(data);
            if (is_required && !$(elem).hasClass('required')) $(elem).addClass('required');
            $(elem).attr('data-onchange', data_onchange);
            $(elem).attr('onchange', data_onchange);
            ajaxHideActivity();
            updateLocalitySelector(ctrl_pref, district_eid, locality_eid);
        },
        error: function () {
            alert('Error occured');
            ajaxHideActivity();
            return false;
        }
    });
}

function updateLocalitySelector(ctrl_pref, district_eid, locality_eid) {
    /*
	if (ctrl_pref!='') {
		district_eid=ctrl_pref+district_eid;
		locality_eid=ctrl_pref+locality_eid;
	}
	*/
    var parent_id = $("#" + ctrl_pref + district_eid).val();
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: 'user',
            ctrl_pref: ctrl_pref,
            view: 'panel',
            task: 'getLocalitySelector',
            psid: parent_id
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            elem = "#" + ctrl_pref + locality_eid;
            is_required = $(elem).hasClass('required');
            elem_parent = $(elem).parent();
            data_onchange = $(elem).attr('data-onchange');
            $(elem).remove();
            elem_parent.append(data);
            if (is_required && !$(elem).hasClass('required')) $(elem).addClass('required');
            $(elem).attr('data-onchange', data_onchange);
            $(elem).attr('onchange', data_onchange);
            ajaxHideActivity();
            return true;
        },
        error: function () {
            alert('Error occured');
            ajaxHideActivity();
            return false;
        }
    });
}

function toggleEnabled(elm, module, view, layout, psid, controller, multy_code) {
    ajaxShowActivity();
    if (controller == undefined) controller = "default";
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        method: 'post',
        data: ({
            _requestVerificationToken: siteConfig['_requestVerificationToken'],
            option: 'ajax',
            module: module,
            view: view,
            layout: layout,
            controller: controller,
            task: 'ToggleEnabled',
            psid: psid,
            multy_code: multy_code
        }),
        dataType: 'json',
        success: function (data, textStatus) {
            if (data.status == 'OK') {
                if ($(elm).hasClass('switcher-on')) {
                    $(elm).removeClass('switcher-on');
                    $(elm).addClass('switcher-off');
                    $("#sprav-tree #multycode_" + psid).addClass('disabled');
                } else if ($(elm).hasClass('switcher-off')) {
                    $(elm).removeClass('switcher-off');
                    $(elm).addClass('switcher-on');
                    $("#sprav-tree #multycode_" + psid).removeClass('disabled');
                }
            } else {
                alert(data.message);
            }
            ajaxHideActivity();
        },
        error: function (jqXHR, exception) {
            errorResponseAlert(jqXHR);
            ajaxHideActivity();
            return false;
        }
    });
}

function toggleSpravTree() {
    if ($('#sprav_panel').hasClass('collapsedPanel')) {
        $('#sprav_panel').removeClass('collapsedPanel');
    } else {
        $('#sprav_panel').addClass('collapsedPanel');
    }
}

function sprToggleTree(cdirection) {
    if ($('#collapse_button').hasClass('tree_collapse_left')) {
        $('#sprav_panel').addClass('collapsedPanel');
        $('#collapse_button').removeClass('tree_collapse_left').addClass('tree_collapse_right');
    } else {
        $('#sprav_panel').removeClass('collapsedPanel');
        $('#collapse_button').removeClass('tree_collapse_right').addClass('tree_collapse_left');
    }
}

function cleanTrash(query_status, module, view, layout, multy_code, is_start, controller) {
    if (controller == undefined) controller = "default";
    if (query_status === 'start') ajaxShowActivity();
    if (ajaxQueryFinished === false) {
        $.ajax({
            url: siteConfig['siteUrl'] + "index.php",
            method: 'post',
            data: ({
                _requestVerificationToken: siteConfig['_requestVerificationToken'],
                option: 'ajax',
                task: 'cleanTrash',
                module: module,
                view: view,
                layout: layout,
                multy_code: multy_code,
                start: is_start,
                controller: controller
            }),
            dataType: 'json',
            success: function (data, textStatus, jqXHR) {
                ajaxUpdateActivity(data.message);
                if (data.status == 'PROCESSING') {
                    setTimeout('cleanTrash(\'' + data.status + '\',\'' + module + '\',\'' + view + '\',\'' + layout + '\',\'' + multy_code + '\',false,\'' + controller + '\')', 1000);
                } else {
                    $('#arfacms-loading').unbind("click");
                    $('#arfacms-loading').bind("click", function () {
                        window.location.reload();
                    });
                }
            },
            error: function (jqXHR, exception) {
                errorResponseAlert(jqXHR);
                ajaxHideActivity();
                return false;
            }
        });
    }
}

/* Comments */
function clearCommentAnswerTo() {
    $('#parent_id').val(0);
    $('#commentLabel').html($('#cleanCommentLabel').val());
    $('#com_selectors').show();
}

function setCommentAnswerTo(comm_id) {
    comm_text = $('#comment_author_' + comm_id).text() + ' (' + $('#comment_date_' + comm_id).text() + ')';
    console.dir(comm_text);
    html_text = '<i onclick=\"clearCommentAnswerTo()\" class=\"bi bi-x comment-clear-answer-to\"></i>';
    html_text += $('#answerCommentLabel').val();
    html_text += '<' + 'a href=\"#comment' + comm_id + '\"> ' + comm_text + '<\/a>:';
    $('#commentLabel').html(html_text);
    $('#parent_id').val(comm_id);
    $('#com_selectors select').val(0);
    $('#com_selectors').hide();
}

function toggleCommentEnabled(elem, module, view, psid, comm_id) {
    var published = $('#comm_published_' + comm_id).val();
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            option: 'ajax',
            module: module,
            view: view,
            psid: psid,
            task: 'ToggleCommentEnabled',
            published: published,
            comm_id: comm_id
        }),
        dataType: 'json',
        success: function (data, textStatus) {
            if (data.status == 'OK') {
                if (published == 1) {
                    $('#comm_published_' + comm_id).val(0);
                    $('#cm_body_' + comm_id).addClass('unpublished');
                } else {
                    $('#comm_published_' + comm_id).val(1);
                    $('#cm_body_' + comm_id).removeClass('unpublished');
                }
                $(elem).html(data.message);
            } else {
                if (data.message != "") alert(data.message);
            }
            ajaxHideActivity();
        },
        error: function () {
            alert('Error occured');
            ajaxHideActivity();
            return false;
        }
    });
}

function toggleCommentDeleted(elem, module, view, psid, comm_id) {
    var deleted = $('#comm_deleted_' + comm_id).val();
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            option: 'ajax',
            module: module,
            view: view,
            psid: psid,
            task: 'ToggleCommentDeleted',
            deleted: deleted,
            comm_id: comm_id
        }),
        dataType: 'json',
        success: function (data, textStatus) {
            if (data.status == 'OK') {
                if (deleted == 1) {
                    $('#comm_deleted_' + comm_id).val(0);
                    $('#cm_body_' + comm_id).removeClass('deleted');
                } else {
                    $('#comm_deleted_' + comm_id).val(1);
                    $('#cm_body_' + comm_id).addClass('deleted');
                }
                $(elem).html(data.message);
            } else {
                if (data.message != "") alert(data.message);
            }
            ajaxHideActivity();
        },
        error: function () {
            alert('Error occured');
            ajaxHideActivity();
            return false;
        }
    });
}

function getMoreComments(elem, module, view, psid, parent_id, start) {
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            option: 'ajax',
            module: module,
            view: view,
            psid: psid,
            task: 'getComments',
            parent_id: parent_id,
            start: start
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            comm_list = $('#morecomments_' + parent_id).parent();
            $('#morecomments_' + parent_id).remove();
            comm_list.append(data);
            ajaxHideActivity();
        },
        error: function () {
            alert('Error occured');
            ajaxHideActivity();
            return false;
        }
    });
}

function getCommentChildren(elem, module, view, psid, parent_id) {
    if ($('#subcomments_' + parent_id).html()) {
        $('#subcomments_' + parent_id).toggle(300);
        return;
    }
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            option: 'ajax',
            module: module,
            view: view,
            psid: psid,
            task: 'getComments',
            parent_id: parent_id
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            $('#subcomments_' + parent_id).append(data);
            $('#subcomments_' + parent_id).toggle(300);
            ajaxHideActivity();
        },
        error: function () {
            alert('Error occured');
            ajaxHideActivity();
            return false;
        }
    });
}

function acrmStatUpdate() {
    var item_ids = "";
    $('.itms_ident').each(function () {
        if (item_ids === "") item_ids = $(this).val(); else item_ids = item_ids + "," + $(this).val();
    });
    if (checkCMSCookies(1) == 1) {
        if (item_ids != "") {
            $.ajax({
                url: siteConfig['siteUrl'] + "index.php",
                data: ({
                    option: 'ajax',
                    module: 'acrm',
                    psid: item_ids,
                    task: 'displayExecuted'
                }),
                dataType: 'html',
                success: function (data, textStatus) {
                },
                error: function () {
                }
            });
        }
    }
}

function voteRating(obj, mod, view, elem, psid, dir) {
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: mod,
            view: view,
            element: elem,
            psid: psid,
            dir: dir,
            task: 'vote'
        }),
        dataType: 'html',
        success: function (data, textStatus) {
            $($(obj).parent().get(0)).html(data);
            ajaxHideActivity();
        },
        error: function () {
            alert('Error in data.');
            ajaxHideActivity();
            return false;
        }
    });
}

function toggleVisiblePan(elm, id) {
    if ($(elm).val() > 0) $("#" + id).hide(); else $("#" + id).show();
}

function applyNumericInput(selector, decimals = 0) {
    if (typeof (selector) == 'undefined') return false;
    // console.log('applyNumericInput to ' + selector);
    if (decimals > 0) {
        $(selector).inputmask("decimal", {radixPoint: '.', groupSeparator: ' '/*, digits: 3*/});
    } else {
        $(selector).inputmask("integer", {groupSeparator: ' '});
    }
    return true;
}

function applyPhoneInput(selector) {
    if (typeof (selector) == 'undefined') return false;
    // console.log('applyPhoneInput to ' + selector);
    // $(selector).each(function(){ $(this).mask("+9(999) 999-9999"); });
    $(selector).each(function () {
        $(this).inputmask("+9(999) 999-9999");
    });
}

function appendDTPicker(el, picker_time, picker_date) {
    // jquery ui
    if ($(el).hasClass('hasDatepicker')) return;
    // ------------------------------------------------
    if (typeof (picker_date) == 'undefined') picker_date = true;
    if (typeof (picker_time) == 'undefined') picker_time = false;
    if ($(el).prev().hasClass("date-selector-clear")) $(el).prev().bind("click", function (e) {
        $(el).val('');
    });
    if ($(el).next().hasClass("date-selector")) $(el).next().bind("click", function (e) {
        $(el).focus();
    });
    if($(el).attr('data-datepicker-year-range')) yearRangeStr = $(el).attr('data-datepicker-year-range');
    else yearRangeStr = '-100:+50';
    if (!picker_time) $(el).datepicker({changeYear: true, yearRange: yearRangeStr, dateFormat: 'dd.mm.yy'});
    else if (!picker_date) $(el).timepicker({timeFormat: 'HH:mm'});
    else $(el).datetimepicker({changeYear: true, yearRange: yearRangeStr, timeFormat: 'HH:mm', separator: ' '});
}

function addAfterContentLoadHandler(handlerName) {
    if (afterContentLoadHandlers.indexOf(handlerName, 0) < 0) {
        afterContentLoadHandlers.push(handlerName);
        // console.log('Added handler: '+handlerName);
        return true;
    } else return false;
}

function applyAfterContentLoadHandlers(parent_prefix) {
    afterContentLoadHandlers.forEach(function (item, i, arr) {
        var fn = window[item];
        if ($.isFunction(fn)) {
            window[item](parent_prefix);
        } else {
            // console.log('Ooops, function absent '+item);
        }
    });
}

function afterAjaxUpdate(el_id) {
    if (el_id) {
        parent_prefix = "#" + el_id;
        afterContentLoad(parent_prefix);
        applyAfterContentLoadHandlers(parent_prefix);
    }
}

function afterContentLoad(parent_prefix) {
    if (parent_prefix) _current_prefix_ws = parent_prefix + " "; else _current_prefix_ws = "";
    applyNumericInput(_current_prefix_ws + 'input.numeric');
    applyNumericInput(_current_prefix_ws + 'input.decimal', 9);
    applyPhoneInput(_current_prefix_ws + 'input.phone');
    $(_current_prefix_ws + 'input.timeselector').each(function () {
        appendDTPicker($(this), true, false);
    });
    $(_current_prefix_ws + 'input.dateselector').each(function () {
        appendDTPicker($(this));
    });
    $(_current_prefix_ws + 'input.datetimeselector').each(function () {
        appendDTPicker($(this), true);
    });
    $(_current_prefix_ws + 'a.rel-popup-image').fancybox({
        'hideOnOverlayClick': true,
        'hideOnContentClick': false,
        'transitionIn': 'elastic',
        'transitionOut': 'elastic',
        'speedIn': 200,
        'speedOut': 100,
        'autoDimensions': true,
        'scrolling': 'no',
        'centerOnScroll': true,
        'titleShow': false,
        'enableNavArrows': false,
        'showNavArrows': false,
        'onComplete': function () {
            //
        }
    });
    /*
	$(_current_prefix_ws + 'a.rel-popup-image').on('click', function(e) {
		e.preventDefault();
		const modalDialog = 'textModalPopup' + Date.now();
		createModalDialog(modalDialog, 'modal-lg', );
		$('#' + modalDialog + ' .modal-body').load($(this).attr('href'), function(e){
			$('#' + modalDialog).modal('show');
			$('#' + modalDialog).on('hidden.bs.modal', function () {
				$(this).remove();
			});
			$('#' + modalDialog + ' .modal-header .modal-title').text($('#' + modalDialog + ' .modal-body .main-title').text());
			applyJSFormats('#' + modalDialog);
		});
	});
	*/
    $(_current_prefix_ws + 'a.rel-popup-text, ' + _current_prefix_ws + 'a.button-sprav-selector').on('click', function (event) {
        event.preventDefault();
        var modal_size = $(this).attr("data-modal-size");
        var popupDivClass = 'modal-lg';
        switch (modal_size) {
            case 'small':
                popupDivClass = 'modal-sm';
                break;
            case 'medium':
                popupDivClass = 'modal-md';
                break;
            default:
                break;
        }
        var back_drop = $(this).attr("data-modal-backdrop");
        var backDrop = 'static';
        switch (back_drop) {
            case '0':
                backDrop = '';
                break;
            default:
                break;
        }
        const modalDialog = 'textModalPopup' + Date.now();
        createModalDialog(modalDialog, popupDivClass, backDrop);
        $('#' + modalDialog + ' .modal-body').load($(this).attr('href'), function (e) {
            $('#' + modalDialog).modal('show');
            $('#' + modalDialog).on('hidden.bs.modal', function () {
                $(this).remove();
            });
            $('#' + modalDialog + ' .modal-header .modal-title').text($('#' + modalDialog + ' .modal-body .main-title').text());
            applyJSFormats('#' + modalDialog);
        });
    });
    if (typeof templateEveryLoad == 'function') templateEveryLoad(parent_prefix);
    $(".singleclick").each(function () {
        $(this).bind("click", function () {
            $(this).unbind('click').bind('click', false).addClass("disabled");
            $(this).siblings('a, button, input[type=button], input[type=submit], input[type=reset]').addClass("disabled");
            return true;
        })
    })
}

/*========================================*/
/*======== Modal dialogs =================*/
/*========================================*/
function showInModalDialog(html, title = '', popupDivClass = "", backDrop = 'static', scrollable = true) {
    var modalDialog = 'textModalPopup' + Date.now();
    if (popupDivClass == "") popupDivClass = 'modal-lg';
    createModalDialog(modalDialog, popupDivClass, backDrop, scrollable);
    $('#' + modalDialog + ' .modal-body').html(html);
    if (title !== false && title !== "") $('#' + modalDialog + ' .modal-header .modal-title').text(title);
    else if (title !== false) $('#' + modalDialog + ' .modal-header .modal-title').text($('#' + modalDialog + ' .modal-body .main-title').text());
    $('#' + modalDialog).modal('show');
    $('#' + modalDialog).on('hidden.bs.modal', function () {
        $(this).remove();
    });
    return modalDialog;
}

function cancelModalDialogByElement(el) {
    $(el).parents('.modal').modal('toggle'); // Close modal dialog
}

function createModalDialog(popupDivId, popupDivClass, backDrop = 'static', scrollable = true) {
    var newPopupDiv = $("<div />", {
        id: popupDivId,
        class: 'modal fade',
        'data-bs-keyboard': 'false',
        'data-bs-focus': 'false',
        tabindex: '-1',
        'aria-labelledby': popupDivId + 'Label',
        'aria-hidden': 'true'
    });
    if (backDrop != '') newPopupDiv.attr('data-bs-backdrop', backDrop);
    var newPopupDivInnerWrapper = $("<div />", {class: 'modal-dialog ' + popupDivClass + ' modal-dialog-centered' + (scrollable ? ' modal-dialog-scrollable' : '')});
    var newPopupDivContent = $("<div />", {class: 'modal-content'});
    var newPopupDivHeader = $("<div />", {class: 'modal-header'});
    var newPopupTitle = $("<h5 />", {class: 'modal-title'});
    var newPopupCloserButton = $("<button />", {class: 'btn-close', 'data-bs-dismiss': 'modal', 'aria-label': 'Close'});
    var newPopupDivBody = $("<div />", {class: 'modal-body'});

    newPopupDivHeader.append(newPopupTitle).append(newPopupCloserButton);
    newPopupDivContent.append(newPopupDivHeader).append(newPopupDivBody);
    newPopupDivInnerWrapper.append(newPopupDivContent);
    newPopupDiv.append(newPopupDivInnerWrapper);

    $('body').append(newPopupDiv);
}

function addToast(text, title, subtitle) {
    if (typeof (text) == 'undefined') {
        console.log('Empty toast text');
        return;
    }
    if (typeof (title) == 'undefined') title = '';
    /*-----------------------------------------*/
    var toasterContainerId = "myPrettyToaster";
    if ($('#' + toasterContainerId).length == 0) {
        $('body').append($("<div />", {
            id: toasterContainerId,
            style: "position: fixed; right: 0; top: 0;",
            class: 'd-flex justify-content-start flex-column',
            "aria-live": "polite",
            "aria-atomic": "true"
        }));
    }
    /*-----------------------------------------*/
    var toastDiv = $("<div />", {
        class: 'toast',
        role: "alert",
        "aria-live": "assertive",
        "aria-atomic": "true",
        "data-bs-autohide": "false"
    });
    var toastHeader = $("<div />", {class: "toast-header"});
    toastHeader.append($("<strong />", {class: "me-auto"}).text(title));
    if (typeof (subtitle) != 'undefined' && subtitle != '') toastHeader.append($("<small />", {class: "text-body-secondary"}).text(subtitle));
    toastHeader.append($("<button />", {
        class: "btn-close",
        type: "button",
        "data-bs-dismiss": "toast",
        "aria-label": "Close"
    }));
    toastDiv.append(toastHeader);
    toastDiv.append($("<div />", {class: "toast-body"}).text(text));
    /*-----------------------------------------*/
    $('#' + toasterContainerId).append(toastDiv);
    var bsAlert = new bootstrap.Toast(toastDiv); //inizialize it
    bsAlert.show(); //show it
}

/*========================================*/
function w_menus_init(ul_id, render_type, toggle_separate, autoclose_other, hover_dropdown, mobile_width) {
    // $('#' + ul_id + '.nav li > ul').parent('li').addClass('has-childs'); // has-childs added in simpleTreeTable
    switch (render_type) {
        case 2:
            window.addEventListener('click', function (e) {
                if (document.getElementById(ul_id).contains(e.target)) {
                    // console.log('Menu clicked');
                } else {
                    $('#' + ul_id).find('*').removeClass('show');
                    // console.log('Clicked out');
                }
            });
        case 4:
            if (toggle_separate) {
                $('#' + ul_id + '.nav li.has-childs > a').prepend('<span class="mnu-toggler-caret mnu-toggler-caret-active"></span>');
                var click_selector = '.mnu-toggler-caret-active';
            } else {
                $('#' + ul_id + '.nav li.has-childs > a').prepend('<span class="mnu-toggler-caret"></span>');
                var click_selector = 'li.has-childs > a';
            }
            $('#' + ul_id + ' ' + click_selector).bind('click', function (event) {
                if (render_type == 2 && hover_dropdown && window.matchMedia("(min-width: " + mobile_width + "px)").matches) {
                    return true;
                }
                event.preventDefault();
                // event.stopPropagation();
                if (toggle_separate) {
                    var li = $(this).parent('a').parent('li');
                } else {
                    var li = $(this).parent('li');
                }
                if (li.hasClass('show')) {
                    // console.log('closing');
                    li.removeClass('show');
                    li.find('*').removeClass('show');
                } else {
                    // console.log('opening');
                    if (autoclose_other) {
                        li.parents('li').siblings('li').removeClass('show');
                        li.parents('li').siblings('li').find('*').removeClass('show');
                        li.siblings('li').removeClass('show');
                        li.siblings('li').find('*').removeClass('show');
                    }
                    li.addClass('show');
                    $('> ul', li).addClass('show');
                }

            });
            break;
        default:
            break;
    }
}

/*========================================*/
function setMaxLength(textareaID, maxLength) {
//	maxLength = $("#"+textareaID).attr("maxlength");
    $("#" + textareaID).after("<div><span id='remainingLength" + textareaID + "'>" + maxLength + "<\/span> remaining<\/div>");
    $("#" + textareaID).bind("keyup change", function () {
        checkMaxLength(textareaID, maxLength);
    })
}

function checkMaxLength(textareaID, maxLength) {
    currentLengthInTextarea = $("#" + textareaID).val().length;
    var remainingLengthTempId = '#remainingLength' + textareaID;
    $(remainingLengthTempId).text(parseInt(maxLength) - parseInt(currentLengthInTextarea));
    if (currentLengthInTextarea > (maxLength)) {
        // Trim the field current length over the maxlength.
        $("#" + textareaID).val($("#" + textareaID).val().slice(0, maxLength));
        $(remainingLengthTempId).text(0);
    }
}

function equalizeDivHeight(div4eq) {
    var currentTallest = 0, currentRowStart = 0, rowDivs = new Array(), current_el, topPosition = 0;
    if (equalizedHeightElements.indexOf(div4eq, 0) < 0) {
        equalizedHeightElementsCounter++;
        equalizedHeightElements[equalizedHeightElementsCounter] = div4eq;
    }
    $(div4eq).height("auto");
    $(div4eq).each(
        function () {
            current_el = $(this);
            topPostion = current_el.offset().top;
            if (currentRowStart != topPostion) {
                for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
                    rowDivs[currentDiv].height(currentTallest);
                }
                rowDivs.length = 0;
                currentRowStart = topPostion;
                currentTallest = current_el.height();
                rowDivs.push(current_el);
            } else {
                rowDivs.push(current_el);
                currentTallest = (currentTallest < current_el.height()) ? (current_el.height()) : (currentTallest);
            }
            for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
                rowDivs[currentDiv].height(currentTallest);
            }
        }
    );
}

function errorResponseAlert(jqXHR) {
    var responseText = "Error occured";
    var response = jqXHR.responseJSON;
    if(typeof response  != 'undefined' ) {
        responseText = response.message;
    }
    alert(responseText);
}

function getErrMsg(jqXHR, exception) {
    var msg = '';
    if (siteConfig['debugMode'] != 0) {
        if (jqXHR.status === 0) {
            msg = 'Not connect.Verify Network.';
        } else if (jqXHR.status == 404) {
            msg = 'Requested page not found. [404]';
        } else if (jqXHR.status == 500) {
            msg = 'Internal Server Error [500].';
        } else if (exception === 'parsererror') {
            msg = 'Requested JSON parse failed.';
        } else if (exception === 'timeout') {
            msg = 'Time out error.';
        } else if (exception === 'abort') {
            msg = 'Ajax request aborted.';
        } else {
            msg = 'Uncaught Error.\n' + jqXHR.responseText;
        }
    }
    return msg;
}

function object_key_exists(key, search) {
    if (!search || (search.constructor !== Array && search.constructor !== Object)) {
        return false;
    }
    return key in search;
}

/* SUPPORT FOR DONKEY */
var JSON = JSON || {};
JSON.stringify = JSON.stringify || function (obj) {
    var t = typeof (obj);
    if (t != "object" || obj === null) { // simple data type
        if (t == "string") obj = '"' + obj + '"';
        return String(obj);
    } else { // recurse array or object
        var n, v, json = [], arr = (obj && obj.constructor == Array);
        for (n in obj) {
            v = obj[n];
            t = typeof (v);
            if (t == "string") v = '"' + v + '"';
            else if (t == "object" && v !== null) v = JSON.stringify(v);
            json.push((arr ? "" : '"' + n + '":') + String(v));
        }
        return (arr ? "[" : "{") + String(json) + (arr ? "]" : "}");
    }
};
