//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: d35a1027 (2024-10-30 16:36:23)
// 


function mm_getRequestVerificationToken() {
    return $("#mm_requestVerificationToken").val();
}

function mm_debugger(text) {
    console.dir(text);
}

function mm_error_response_alert(jqXHR) {
    errorResponseAlert(jqXHR);
    /*
    var response = jqXHR.responseJSON;
    var responseText = response.message;
    alert(responseText);
    */
}

function mm_setContent(content) {
    // mm_debugger('mm_setContent()');
    $('#mediamanager').replaceWith(content);
    if (typeof templateEveryLoad == 'function') templateEveryLoad('#mediamanager');
    afterAjaxUpdate('mediamanager');
}

function mm_getContent(folder, go_to, is_up) {
    // mm_debugger('mm_getContent');
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            type: 'module',
            option: 'ajax',
            module: 'service',
            task: 'getMediaContent',
            folder: folder,
            go_to: go_to,
            is_up: is_up
        }),
        dataType: 'json',
        success: function (data, textStatus) {
            // mm_debugger(html_data);
            mm_setContent(data.message);
            ajaxHideActivity();
        },
        error: function (jqXHR, exception) {
            mm_error_response_alert(jqXHR);
            ajaxHideActivity();
            return false;
        }
    });
}

function mm_deleteFolder(folder, oldfolder, question) {
    if (typeof (question) == 'undefined') question = 'Do you want to delete?';
    if (confirm(question)) {
        ajaxShowActivity();
        $.ajax({
            url: siteConfig['siteUrl'] + "index.php",
            method: 'post',
            data: ({
                type: 'module',
                option: 'ajax',
                module: 'service',
                task: 'deleteMediaFolder',
                _requestVerificationToken: mm_getRequestVerificationToken(),
                folder: folder,
                oldfolder: oldfolder
            }),
            dataType: 'json',
            success: function (data, textStatus) {
                mm_setContent(data.message);
                ajaxHideActivity();
            },
            error: function (jqXHR, exception) {
                mm_error_response_alert(jqXHR);
                ajaxHideActivity();
                return false;
            }
        });
    }
}

function mm_createFolder(folder) {
    var newfolder = $('#newfolder').val();
    if (newfolder != '') {
        ajaxShowActivity();
        $.ajax({
            url: siteConfig['siteUrl'] + "index.php",
            method: 'post',
            data: ({
                type: 'module',
                option: 'ajax',
                module: 'service',
                task: 'createMediaFolder',
                _requestVerificationToken: mm_getRequestVerificationToken(),
                folder: folder,
                newfolder: newfolder
            }),
            dataType: 'json',
            success: function (data, textStatus) {
                mm_setContent(data.message);
                ajaxHideActivity();
            },
            error: function (jqXHR, exception) {
                mm_error_response_alert(jqXHR);
                ajaxHideActivity();
                return false;
            }
        });
    }
}

function mm_deleteFile(folder, file, question) {
    if (typeof (question) == 'undefined') question = 'Do you want to delete?';
    if (confirm(question)) {
        ajaxShowActivity();
        $.ajax({
            url: siteConfig['siteUrl'] + "index.php",
            method: 'post',
            data: ({
                type: 'module',
                option: 'ajax',
                module: 'service',
                task: 'deleteMediaFile',
                _requestVerificationToken: mm_getRequestVerificationToken(),
                folder: folder,
                file: file
            }),
            dataType: 'json',
            success: function (data, textStatus) {
                mm_setContent(data.message);
                ajaxHideActivity();
            },
            error: function (jqXHR, exception) {
                mm_error_response_alert(jqXHR);
                ajaxHideActivity();
                return false;
            }
        });
    }
}

function mm_setLink(el_in_mm, folder, file) {
    var ret_elem = $('#mm_return_element').val();
    var nfl = $('#mm_nfl').val();
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        method: 'post',
        data: ({
            type: 'module',
            option: 'ajax',
            module: 'service',
            task: 'getLink',
            _requestVerificationToken: mm_getRequestVerificationToken(),
            folder: folder,
            file: file,
            ret_elem: ret_elem,
            nfl: nfl
        }),
        dataType: 'json',
        success: function (data, textStatus) {
            if (ret_elem != '') {
                $('#' + ret_elem).val(data.message);
                $('#' + ret_elem).trigger('change');
                cancelModalDialogByElement(el_in_mm);
            } else {
                $('#medialink').html(data.message);
            }
            ajaxHideActivity();
        },
        error: function (jqXHR, exception) {
            mm_error_response_alert(jqXHR);
            ajaxHideActivity();
            return false;
        }
    });
}

function mm_uploaderSetProgress(percentVal, emptyStatus = false) {
    var bar = $('#mm_single_upload .bar');
    var percent = $('#mm_single_upload .percent');
    var status = $('#status');
    if (emptyStatus) {
        // mm_debugger('Clearing status bar');
        status.empty();
    }
    percentVal = percentVal + '%';
    // mm_debugger(percentVal);
    bar.width(percentVal);
    percent.html(percentVal);
}

function mm_uploadFile(ev) {
    ev.preventDefault();
    var fdata = new FormData(ev.target);
    // mm_debugger(fdata);
    // mm_debugger('start ajax');
    $.ajax({
        xhr: function () {
            var xhr = new window.XMLHttpRequest();
            xhr.upload.addEventListener("progress", function (evt) {
                if (evt.lengthComputable) {
                    var percentComplete = evt.loaded / evt.total;
                    percentComplete = parseInt(percentComplete * 100);
                    mm_uploaderSetProgress(percentComplete);
                    // mm_debugger(percentComplete);
                    if (percentComplete === 100) {

                    }
                }
            }, false);
            return xhr;
        },
        url: 'index.php',
        type: 'POST',
        data: fdata,
        processData: false,
        contentType: false,
        dataType: 'json',
        success: function (data, textStatus, jqXHR) {
            // mm_debugger(jqXHR);
            // mm_debugger(data);
            if (jqXHR.status == 200) mm_setContent(data.message);
        },
        error: function (jqXHR, exception) {
            // mm_debugger(jqXHR);
            mm_error_response_alert(jqXHR);
        }
    });
    // ----------------------------------------------------
    // mm_debugger('FORM SUBMIT FINISHED !!!');
    return false;
}

/* =========================================== */
/* ======== Starts from JavaScript =========== */

/* =========================================== */
function mm_startMediaManager(ret_elem, nfl) {
    // mm_debugger('mm_startMediaManager()')
    ajaxShowActivity();
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        data: ({
            type: 'module',
            module: 'service',
            task: 'startMediamanager',
            ret_elem: ret_elem,
            nfl: nfl
        }),
        dataType: 'html',
        success: function (html_data, textStatus) {
            showInModalDialog(html_data, "", "modal-xl");
            if (typeof templateEveryLoad == 'function') templateEveryLoad('#mediamanager');
            ajaxHideActivity();
        },
        error: function () {
            ajaxHideActivity();
            return false;
        }
    });
}