//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 4db4f722 (2024-10-06 13:59:35)
// 


function getPostDatesForMonth(psid, year, month) {
    $.ajax({
        url: siteConfig['siteUrl'] + "index.php",
        async: false,
        data: ({
            // async:false,
            type: 'module',
            option: 'ajax',
            module: 'blog',
            psid: psid,
            post_year: year,
            post_month: month,
            task: 'getPostDatesForMonth'
        }),
        dataType: "json",
        success: function (data, textStatus) {
            blogEnabledDates = data;
            ajaxHideActivity();
        },
        error: function () {
            ajaxHideActivity();
            return false;
        }
    });
}

function disableBlogCalendarDates(date) {
    date = $.datepicker.formatDate('yy-mm-dd', date);
    var todayDate = new Date();
    todayDate = $.datepicker.formatDate('yy-mm-dd', todayDate);
//	console.log(todayDate);
    if (date == todayDate) return [true];
//	console.log([$.inArray(date, blogEnabledDates) !=-1]);
    return [$.inArray(date, blogEnabledDates) != -1];
}

function setBlogCalendarCookie(bid, myDate1, myDate2) {
    if (checkCMSCookies() == 0) return false;
    newcoo = '' + myDate1 + '#' + myDate2;
    setCMSCookie('arfacms_blog_' + bid, newcoo, 30);
}

function resetBlogCalendarCookie(bid) {
    resetCMSCookie('arfacms_blog_' + bid);
}

