<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 5b454f50 (2024-10-24 00:51:05)
// 

use ArfaCMS\Core\Debugger;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\Util;

defined('_ARFACMS_VALID') or die("Access denied");

// Include loader
require_once PATH_PACKAGES . DS . 'loader.php';

// Check server settings
Util::checkServerSettings(true);

final class DatabaseConfig
{
    public static $dbHost = '';
    public static $dbPort = '';
    public static $dbName = '';
    public static $dbUser = '';
    public static $dbPassword = '';
    public static $dbPrefix = '';
    public static $dbSecret = '';
}

class siteConfig
{
    public static $debugMode = false;
    public static $defaultLanguage = 'ru';
    public static $siteDisabled = false;
    public static $siteTemplate = '';
    public static $def_account_bonus = 0;
}

class seoConfig
{
    public static $sefMode = false;
}

// Set PHP interpreter parameters
ini_set('display_errors', 0);
error_reporting(0);

if (version_compare(phpversion(), '5.3.0', '<') == true) error_reporting(E_ALL | E_STRICT);
else error_reporting(E_ALL | E_STRICT | E_DEPRECATED);

ini_set('memory_limit', '64M');
ini_set('max_execution_time', '300');

// Initialize system debugger
Debugger::createInstance();

// Setup locale (core config contains default language parameter)
\siteConfig::$defaultLanguage = Request::getSafe('lang', 'ru');
Util::setupLocale();

// Setup system localization
Text::setLanguage(\siteConfig::$defaultLanguage);
Text::parseBaseIni('debug');
Text::parseBaseIni('install');

// Installer itself
require_once PATH_INSTALL . DS . 'Installer.php';

Installer::getInstance()->render();

?>