SET NAMES 'UTF8'###qb_delimiter###
DROP TABLE IF EXISTS `#__acl_objects`###qb_delimiter###
CREATE TABLE `#__acl_objects` (
  `ao_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ao_name` varchar(50) NOT NULL,
  `ao_module_name` varchar(25) NOT NULL DEFAULT 'common_rules',
  `ao_description` varchar(255) NOT NULL,
  `ao_ordering` int(11) NOT NULL DEFAULT '0',
  `ao_is_admin` int(1) DEFAULT '0',
  PRIMARY KEY (`ao_id`),
  UNIQUE KEY `module_name` (`ao_name`,`ao_module_name`,`ao_is_admin`)
) ENGINE=MyISAM AUTO_INCREMENT=328 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__acl_roles`###qb_delimiter###
CREATE TABLE `#__acl_roles` (
  `ar_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ar_name` varchar(50) NOT NULL,
  `ar_title` varchar(50) NOT NULL,
  `ar_admin` int(1) DEFAULT '0',
  `ar_active` int(1) NOT NULL DEFAULT '1',
  `ar_system` int(1) NOT NULL DEFAULT '1',
  `ar_deleted` int(1) DEFAULT '0',
  PRIMARY KEY (`ar_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__acl_rules`###qb_delimiter###
CREATE TABLE `#__acl_rules` (
  `acl_object_id` int(11) NOT NULL,
  `acl_role_id` int(11) NOT NULL,
  `acl_access` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`acl_object_id`,`acl_role_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__addr_countries`###qb_delimiter###
CREATE TABLE `#__addr_countries` (
  `c_id` int(11) NOT NULL AUTO_INCREMENT,
  `c_name` varchar(64) NOT NULL,
  `c_alpha_2` varchar(2) NOT NULL,
  `c_alpha_3` varchar(3) NOT NULL,
  `c_descr` varchar(255) NOT NULL,
  `c_ordering` int(11) NOT NULL DEFAULT '100',
  `c_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `c_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`c_id`),
  UNIQUE KEY `alpha_2` (`c_alpha_2`),
  UNIQUE KEY `alpha_3` (`c_alpha_3`),
  KEY `idx_country_name` (`c_name`)
) ENGINE=MyISAM AUTO_INCREMENT=895 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__addr_districts`###qb_delimiter###
CREATE TABLE `#__addr_districts` (
  `d_id` int(11) NOT NULL AUTO_INCREMENT,
  `d_parent_id` int(11) NOT NULL DEFAULT '0',
  `d_name` varchar(64) NOT NULL,
  `d_long` float(14,7) NOT NULL DEFAULT '0.0000000',
  `d_lat` float(14,7) NOT NULL DEFAULT '0.0000000',
  `d_show_on_map` int(1) NOT NULL DEFAULT '0',
  `d_ordering` int(11) NOT NULL DEFAULT '0',
  `d_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `d_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`d_id`)
) ENGINE=MyISAM AUTO_INCREMENT=179 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__addr_localities`###qb_delimiter###
CREATE TABLE `#__addr_localities` (
  `l_id` int(11) NOT NULL AUTO_INCREMENT,
  `l_parent_id` int(11) NOT NULL DEFAULT '0',
  `l_name` varchar(64) NOT NULL,
  `l_long` float(14,7) NOT NULL DEFAULT '0.0000000',
  `l_lat` float(14,7) NOT NULL DEFAULT '0.0000000',
  `l_show_on_map` int(1) NOT NULL DEFAULT '0',
  `l_ordering` int(11) NOT NULL DEFAULT '0',
  `l_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `l_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`l_id`)
) ENGINE=MyISAM AUTO_INCREMENT=183 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__addr_regions`###qb_delimiter###
CREATE TABLE `#__addr_regions` (
  `r_id` int(11) NOT NULL AUTO_INCREMENT,
  `r_parent_id` int(11) NOT NULL DEFAULT '0',
  `r_name` varchar(64) NOT NULL,
  `r_ordering` int(11) NOT NULL DEFAULT '0',
  `r_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `r_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`r_id`),
  KEY `idx_country_id` (`r_parent_id`)
) ENGINE=MyISAM AUTO_INCREMENT=286 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__admin_menus`###qb_delimiter###
CREATE TABLE `#__admin_menus` (
  `mnu_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `mnu_parent_id` int(11) NOT NULL DEFAULT '0',
  `mnu_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `mnu_link` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `mnu_module` varchar(50) NOT NULL,
  `mnu_order` int(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`mnu_id`)
) ENGINE=MyISAM AUTO_INCREMENT=129 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__articles`###qb_delimiter###
CREATE TABLE `#__articles` (
  `a_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `a_parent_id` int(11) DEFAULT '0',
  `a_author_id` int(11) DEFAULT NULL,
  `a_date` datetime DEFAULT NULL,
  `a_title` varchar(200) DEFAULT NULL,
  `a_alias` varchar(255) DEFAULT NULL,
  `a_thumb` varchar(255) DEFAULT NULL,
  `a_text` longtext,
  `a_show_info` tinyint(1) NOT NULL DEFAULT '1',
  `a_show_in_contents` tinyint(1) NOT NULL DEFAULT '1',
  `a_show_childs` tinyint(1) NOT NULL DEFAULT '1',
  `a_childs_show_title` tinyint(1) NOT NULL DEFAULT '1',
  `a_childs_title` varchar(200) NOT NULL DEFAULT '',
  `a_show_title` tinyint(1) NOT NULL DEFAULT '1',
  `a_show_breadcrumb` tinyint(1) NOT NULL DEFAULT '1',
  `a_meta_title` varchar(250) NOT NULL DEFAULT '',
  `a_meta_description` varchar(250) NOT NULL DEFAULT '',
  `a_meta_keywords` varchar(250) NOT NULL DEFAULT '',
  `a_rating` int(11) NOT NULL DEFAULT '0',
  `a_ordering` int(11) NOT NULL DEFAULT '0',
  `a_published` tinyint(1) NOT NULL DEFAULT '1',
  `a_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `a_title_thm` varchar(255) NOT NULL DEFAULT '',
  `a_alt_thm` varchar(255) NOT NULL DEFAULT '',
  `a_childs_order_by` varchar(25) NOT NULL DEFAULT 'a_ordering',
  `a_childs_order_dir` varchar(4) NOT NULL DEFAULT 'ASC',
  PRIMARY KEY (`a_id`)
) ENGINE=MyISAM AUTO_INCREMENT=68 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__auth_providers`###qb_delimiter###
CREATE TABLE `#__auth_providers` (
  `sn_id` int(11) NOT NULL AUTO_INCREMENT,
  `sn_name` varchar(30) NOT NULL DEFAULT '',
  `sn_key` varchar(255) NOT NULL DEFAULT '',
  `sn_secret` varchar(255) NOT NULL DEFAULT '',
  `sn_ordering` int(11) NOT NULL DEFAULT '0',
  `sn_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `sn_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`sn_id`),
  UNIQUE KEY `c_sn_providers_UN` (`sn_name`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__banners`###qb_delimiter###
CREATE TABLE `#__banners` (
  `b_id` int(11) NOT NULL AUTO_INCREMENT,
  `b_client_id` int(11) NOT NULL DEFAULT '0',
  `b_cat_id` int(10) unsigned NOT NULL DEFAULT '0',
  `b_name` varchar(255) NOT NULL DEFAULT '',
  `b_alias` varchar(255) NOT NULL DEFAULT '',
  `b_show_total` int(11) NOT NULL DEFAULT '0',
  `b_show_made` int(11) NOT NULL DEFAULT '0',
  `b_clicks` int(11) NOT NULL DEFAULT '0',
  `b_image` varchar(100) NOT NULL DEFAULT '',
  `b_target` varchar(200) NOT NULL DEFAULT '',
  `b_custom_code` text NOT NULL,
  `b_descr` text NOT NULL,
  `b_sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `b_ordering` int(11) NOT NULL DEFAULT '0',
  `b_width` int(4) NOT NULL DEFAULT '0',
  `b_height` int(4) NOT NULL DEFAULT '0',
  `b_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `b_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `b_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `b_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`b_id`),
  KEY `viewbanner` (`b_deleted`),
  KEY `idx_banner_catid` (`b_cat_id`)
) ENGINE=MyISAM AUTO_INCREMENT=24 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__banners_categories`###qb_delimiter###
CREATE TABLE `#__banners_categories` (
  `bc_id` int(11) NOT NULL AUTO_INCREMENT,
  `bc_name` varchar(255) NOT NULL DEFAULT '',
  `bc_descr` text NOT NULL,
  `bc_published` tinyint(1) NOT NULL DEFAULT '1',
  `bc_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`bc_id`),
  KEY `cat_idx` (`bc_published`)
) ENGINE=MyISAM AUTO_INCREMENT=40 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__banners_clients`###qb_delimiter###
CREATE TABLE `#__banners_clients` (
  `bcl_id` int(11) NOT NULL AUTO_INCREMENT,
  `bcl_name` varchar(255) NOT NULL DEFAULT '',
  `bcl_contact` varchar(255) NOT NULL DEFAULT '',
  `bcl_email` varchar(255) NOT NULL DEFAULT '',
  `bcl_info` text NOT NULL,
  `bcl_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `bcl_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`bcl_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__blacklist`###qb_delimiter###
CREATE TABLE `#__blacklist` (
  `bl_id` int(11) NOT NULL AUTO_INCREMENT,
  `bl_val` varchar(255) NOT NULL,
  `bl_type` varchar(20) NOT NULL,
  `bl_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `bl_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`bl_id`),
  UNIQUE KEY `uni` (`bl_val`,`bl_type`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__blogs`###qb_delimiter###
CREATE TABLE `#__blogs` (
  `b_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `b_name` varchar(255) NOT NULL,
  `b_alias` varchar(255) NOT NULL DEFAULT '',
  `b_description` text,
  `b_meta_title` varchar(250) NOT NULL,
  `b_meta_description` varchar(250) NOT NULL,
  `b_meta_keywords` varchar(250) NOT NULL,
  `b_thumb` varchar(250) DEFAULT NULL,
  `b_title_thm` varchar(255) DEFAULT NULL,
  `b_alt_thm` varchar(255) DEFAULT NULL,
  `b_porder_by` varchar(25) NOT NULL DEFAULT 'p_date',
  `b_porder_dir` varchar(4) NOT NULL DEFAULT 'DESC',
  `b_corder_dir` varchar(4) NOT NULL DEFAULT 'ASC',
  `b_layout` varchar(20) NOT NULL DEFAULT 'default',
  `b_show_in_list` tinyint(1) NOT NULL DEFAULT '0',
  `b_post_rating` tinyint(1) NOT NULL DEFAULT '1',
  `b_comments_rating` tinyint(1) NOT NULL DEFAULT '1',
  `b_premoderated` tinyint(1) NOT NULL DEFAULT '0',
  `b_guieditor` tinyint(1) NOT NULL DEFAULT '1',
  `b_hide_properties` tinyint(1) NOT NULL DEFAULT '0',
  `b_hide_comments` tinyint(1) NOT NULL DEFAULT '0',
  `b_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `b_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`b_id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__blogs_cats`###qb_delimiter###
CREATE TABLE `#__blogs_cats` (
  `bc_id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'ид группы',
  `bc_id_parent` int(10) NOT NULL DEFAULT '0' COMMENT 'ид родителя',
  `bc_name` varchar(50) NOT NULL DEFAULT '0' COMMENT 'наименование группы',
  `bc_alias` varchar(255) NOT NULL DEFAULT '',
  `bc_comment` text COMMENT 'описание группы',
  `bc_meta_title` varchar(250) NOT NULL,
  `bc_meta_description` varchar(250) NOT NULL,
  `bc_meta_keywords` varchar(250) NOT NULL,
  `bc_ordering` tinyint(5) NOT NULL DEFAULT '0',
  `bc_enabled` smallint(1) NOT NULL DEFAULT '1',
  `bc_deleted` smallint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`bc_id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__blogs_comments`###qb_delimiter###
CREATE TABLE `#__blogs_comments` (
  `cm_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `cm_post_id` int(11) DEFAULT NULL,
  `cm_parent_id` int(11) DEFAULT '0',
  `cm_author_id` int(11) DEFAULT NULL,
  `cm_date` datetime DEFAULT NULL,
  `cm_text` text,
  `cm_rating` int(5) DEFAULT '0',
  `cm_deleted` int(1) DEFAULT '0',
  PRIMARY KEY (`cm_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__blogs_links`###qb_delimiter###
CREATE TABLE `#__blogs_links` (
  `b_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `parent_id` int(10) NOT NULL DEFAULT '0' COMMENT 'ид группы',
  PRIMARY KEY (`b_id`,`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__blogs_posts`###qb_delimiter###
CREATE TABLE `#__blogs_posts` (
  `p_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `p_author_id` int(11) DEFAULT NULL,
  `p_blog_id` int(11) DEFAULT '0',
  `p_theme` varchar(250) DEFAULT NULL,
  `p_alias` varchar(255) NOT NULL DEFAULT '',
  `p_text` text,
  `p_date` datetime DEFAULT NULL,
  `p_touch_date` datetime DEFAULT NULL,
  `p_comments` int(8) DEFAULT '0',
  `p_rating` int(5) DEFAULT '0',
  `p_tags` tinytext,
  `p_enabled` tinyint(1) DEFAULT '0',
  `p_deleted` tinyint(1) DEFAULT '0',
  `p_closed` tinyint(1) DEFAULT '0',
  `p_thumb` varchar(250) DEFAULT NULL,
  `p_title_thm` varchar(250) DEFAULT NULL,
  `p_alt_thm` varchar(250) DEFAULT NULL,
  `p_meta_title` varchar(250) DEFAULT NULL,
  `p_meta_description` varchar(250) DEFAULT NULL,
  `p_meta_keywords` varchar(250) DEFAULT NULL,
  `p_ordering` int(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`p_id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__blogs_rights`###qb_delimiter###
CREATE TABLE `#__blogs_rights` (
  `b_id` int(11) DEFAULT NULL,
  `u_id` int(11) DEFAULT '0',
  `r_id` int(11) DEFAULT '0',
  `action` varchar(55) DEFAULT NULL,
  `flag` int(1) DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__bonus_list`###qb_delimiter###
CREATE TABLE `#__bonus_list` (
  `b_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `b_uid` int(11) DEFAULT NULL,
  `b_oper` int(11) DEFAULT NULL,
  `b_date` datetime DEFAULT NULL,
  `b_sum` int(11) DEFAULT NULL,
  PRIMARY KEY (`b_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__bonus_type`###qb_delimiter###
CREATE TABLE `#__bonus_type` (
  `b_id` int(10) DEFAULT NULL,
  `b_name` varchar(100) DEFAULT NULL,
  `b_price` int(4) DEFAULT NULL,
  `b_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `b_deleted` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__comms`###qb_delimiter###
CREATE TABLE `#__comms` (
  `cm_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `cm_grp_id` varchar(32) NOT NULL,
  `cm_obj_id` int(11) NOT NULL DEFAULT '0',
  `cm_parent_id` int(11) NOT NULL DEFAULT '0',
  `cm_uid` int(11) NOT NULL DEFAULT '0',
  `cm_nickname` varchar(32) NOT NULL,
  `cm_email` varchar(50) NOT NULL,
  `cm_date` datetime NOT NULL,
  `cm_ip` varchar(15) NOT NULL,
  `cm_title` varchar(250) NOT NULL,
  `cm_text` text NOT NULL,
  `cm_rating` int(5) NOT NULL DEFAULT '0',
  `cm_cat` int(5) DEFAULT NULL,
  `cm_type` int(11) NOT NULL DEFAULT '0',
  `cm_published` tinyint(1) NOT NULL DEFAULT '0',
  `cm_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cm_id`),
  KEY `mod_view_obj` (`cm_grp_id`,`cm_obj_id`),
  KEY `uid` (`cm_uid`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__comms_acl`###qb_delimiter###
CREATE TABLE `#__comms_acl` (
  `ca_grp_id` int(11) NOT NULL,
  `ca_r_id` int(11) NOT NULL DEFAULT '0',
  `ca_action` varchar(32) NOT NULL,
  `ca_flag` int(1) DEFAULT '0',
  PRIMARY KEY (`ca_grp_id`,`ca_r_id`,`ca_action`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__comms_cat`###qb_delimiter###
CREATE TABLE `#__comms_cat` (
  `cc_id` int(11) NOT NULL AUTO_INCREMENT,
  `cc_cgrp_id` int(11) DEFAULT NULL,
  `cc_title` varchar(150) NOT NULL,
  `cc_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `cc_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__comms_grp`###qb_delimiter###
CREATE TABLE `#__comms_grp` (
  `cg_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `cg_title` varchar(150) NOT NULL,
  `cg_module` varchar(32) NOT NULL,
  `cg_view` varchar(32) NOT NULL,
  `cg_tablename` varchar(32) NOT NULL,
  `cg_list_limit` tinyint(3) NOT NULL DEFAULT '20',
  `cg_text_limit` int(3) NOT NULL DEFAULT '1000',
  `cg_bbcode` tinyint(1) NOT NULL DEFAULT '1',
  `cg_premoderate` tinyint(1) NOT NULL DEFAULT '0',
  `cg_mailmoder` tinyint(1) NOT NULL DEFAULT '0',
  `cg_vote_obj` tinyint(1) NOT NULL DEFAULT '0',
  `cg_vote_comms` tinyint(1) NOT NULL DEFAULT '0',
  `cg_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `cg_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cg_id`),
  UNIQUE KEY `module_view` (`cg_module`,`cg_view`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__comms_types`###qb_delimiter###
CREATE TABLE `#__comms_types` (
  `ct_id` int(11) NOT NULL AUTO_INCREMENT,
  `ct_cgrp_id` int(11) DEFAULT NULL,
  `ct_title` varchar(150) NOT NULL,
  `ct_class` tinyint(2) NOT NULL DEFAULT '1',
  `ct_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `ct_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ct_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__config`###qb_delimiter###
CREATE TABLE `#__config` (
  `cfg_section` varchar(25) NOT NULL DEFAULT '',
  `cfg_key` varchar(255) NOT NULL,
  `cfg_value` text,
  PRIMARY KEY (`cfg_section`,`cfg_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__currency`###qb_delimiter###
CREATE TABLE `#__currency` (
  `c_id` int(11) NOT NULL AUTO_INCREMENT,
  `c_code` char(3) NOT NULL,
  `c_name` varchar(64) NOT NULL,
  `c_short_name` varchar(10) NOT NULL,
  `c_enabled` smallint(1) NOT NULL DEFAULT '0',
  `c_deleted` smallint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`c_id`),
  UNIQUE KEY `c_code` (`c_code`),
  KEY `idx_currency_name` (`c_name`)
) ENGINE=MyISAM AUTO_INCREMENT=303 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__currency_rate`###qb_delimiter###
CREATE TABLE `#__currency_rate` (
  `cr_id` int(11) NOT NULL AUTO_INCREMENT,
  `c_id` int(11) NOT NULL,
  `c_datetime` datetime NOT NULL,
  `c_value` decimal(17,4) NOT NULL DEFAULT '1.0000',
  `c_deleted` smallint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cr_id`),
  KEY `idx_currency_name` (`c_datetime`)
) ENGINE=MyISAM AUTO_INCREMENT=147 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__discounts`###qb_delimiter###
CREATE TABLE `#__discounts` (
  `d_id` int(11) NOT NULL AUTO_INCREMENT,
  `d_name` varchar(50) NOT NULL,
  `d_sign` varchar(1) NOT NULL DEFAULT '+',
  `d_value` decimal(17,2) NOT NULL DEFAULT '0.00',
  `d_period_unlimited` tinyint(1) NOT NULL DEFAULT '1',
  `d_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `d_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `d_stop` tinyint(1) NOT NULL DEFAULT '0',
  `d_comment` varchar(255) NOT NULL DEFAULT '',
  `d_ordering` int(11) NOT NULL DEFAULT '0',
  `d_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `d_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`d_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__dts`###qb_delimiter###
CREATE TABLE `#__dts` (
  `d_id` int(11) NOT NULL AUTO_INCREMENT,
  `d_name` varchar(100) NOT NULL,
  PRIMARY KEY (`d_id`),
  UNIQUE KEY `d_name_IDX` (`d_name`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__dts_active`###qb_delimiter###
CREATE TABLE `#__dts_active` (
  `dt_id` int(11) NOT NULL AUTO_INCREMENT,
  `dt_title` varchar(150) NOT NULL,
  `dt_price` decimal(19,2) NOT NULL DEFAULT '0.00',
  `dt_weight_limit` decimal(19,2) NOT NULL DEFAULT '0.00',
  `dt_min_sum` decimal(19,2) NOT NULL DEFAULT '0.00',
  `dt_max_sum` decimal(19,2) NOT NULL DEFAULT '0.00',
  `dt_tax` int(11) NOT NULL DEFAULT '0',
  `dt_currency` int(11) NOT NULL,
  `dt_name` varchar(150) NOT NULL,
  `dt_module` varchar(100) NOT NULL DEFAULT '',
  `dt_logo` varchar(128) NOT NULL DEFAULT '',
  `dt_params` text NOT NULL,
  `dt_comments` text,
  `dt_ordering` int(11) NOT NULL DEFAULT '0',
  `dt_debug` tinyint(1) NOT NULL DEFAULT '0',
  `dt_admin_only` tinyint(1) NOT NULL DEFAULT '0',
  `dt_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `dt_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`dt_id`)
) ENGINE=MyISAM AUTO_INCREMENT=23 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__dts_active_links`###qb_delimiter###
CREATE TABLE `#__dts_active_links` (
  `dt_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `parent_id` int(10) NOT NULL DEFAULT '0' COMMENT 'ид группы',
  PRIMARY KEY (`dt_id`,`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC###qb_delimiter###


DROP TABLE IF EXISTS `#__feedback_fields`###qb_delimiter###
CREATE TABLE `#__feedback_fields` (
  `fld_id` int(11) NOT NULL AUTO_INCREMENT,
  `fld_form` int(11) NOT NULL DEFAULT '0',
  `fld_name` varchar(255) NOT NULL DEFAULT '',
  `fld_label` varchar(255) NOT NULL DEFAULT '',
  `fld_descr` varchar(200) NOT NULL DEFAULT '',
  `fld_placeholder` varchar(255) NOT NULL DEFAULT '',
  `fld_type` tinyint(10) NOT NULL,
  `fld_default` text NOT NULL,
  `fld_required` smallint(1) NOT NULL DEFAULT '0',
  `fld_ordering` int(11) NOT NULL DEFAULT '0',
  `fld_enabled` smallint(1) NOT NULL DEFAULT '1',
  `fld_deleted` smallint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`fld_id`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8 PACK_KEYS=0###qb_delimiter###


DROP TABLE IF EXISTS `#__feedback_fields_choices`###qb_delimiter###
CREATE TABLE `#__feedback_fields_choices` (
  `fc_id` int(11) NOT NULL AUTO_INCREMENT,
  `fc_field_id` int(11) NOT NULL DEFAULT '0',
  `fc_value` varchar(255) NOT NULL DEFAULT '',
  `fc_ordering` int(11) NOT NULL DEFAULT '0',
  `fc_enabled` int(1) NOT NULL DEFAULT '1',
  `fc_deleted` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`fc_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__feedback_fields_types`###qb_delimiter###
CREATE TABLE `#__feedback_fields_types` (
  `t_id` int(10) NOT NULL,
  `t_val_type` varchar(50) NOT NULL,
  `t_input_type` varchar(50) NOT NULL,
  `t_name` varchar(50) NOT NULL,
  PRIMARY KEY (`t_id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__feedback_forms`###qb_delimiter###
CREATE TABLE `#__feedback_forms` (
  `frm_id` int(11) NOT NULL AUTO_INCREMENT,
  `frm_name` varchar(200) NOT NULL,
  `frm_alias` varchar(200) NOT NULL DEFAULT '',
  `frm_prefix` text NOT NULL,
  `frm_postfix` text NOT NULL,
  `frm_email` varchar(100) NOT NULL DEFAULT '',
  `frm_email_theme` varchar(100) NOT NULL DEFAULT '',
  `frm_captcha` tinyint(1) NOT NULL DEFAULT '1',
  `frm_agreed` tinyint(1) NOT NULL DEFAULT '1',
  `frm_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `frm_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `frm_template` varchar(100) NOT NULL DEFAULT 'default',
  PRIMARY KEY (`frm_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__feedback_messages`###qb_delimiter###
CREATE TABLE `#__feedback_messages` (
  `f_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `f_form_title` varchar(250) NOT NULL DEFAULT '',
  `f_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `f_sender` varchar(255) NOT NULL,
  `f_uid` int(11) NOT NULL DEFAULT '0',
  `f_ip` varchar(15) NOT NULL,
  `f_data` text NOT NULL,
  `f_sent` tinyint(1) NOT NULL DEFAULT '0',
  `f_read` tinyint(1) NOT NULL DEFAULT '0',
  `f_readdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `f_comments` text,
  `f_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`f_id`)
) ENGINE=MyISAM AUTO_INCREMENT=97 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__fields_choices`###qb_delimiter###
CREATE TABLE `#__fields_choices` (
  `fc_id` int(11) NOT NULL AUTO_INCREMENT,
  `fc_field_id` int(11) NOT NULL DEFAULT '0',
  `fc_value` varchar(255) NOT NULL DEFAULT '',
  `fc_ordering` int(11) NOT NULL DEFAULT '0',
  `fc_enabled` int(1) NOT NULL DEFAULT '1',
  `fc_deleted` int(1) NOT NULL DEFAULT '0',
  `fc_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`fc_id`)
) ENGINE=MyISAM AUTO_INCREMENT=23 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__fields_groups`###qb_delimiter###
CREATE TABLE `#__fields_groups` (
  `fg_id` int(11) NOT NULL AUTO_INCREMENT,
  `fg_name` varchar(100) NOT NULL DEFAULT '',
  `fg_enabled` int(1) NOT NULL DEFAULT '1',
  `fg_deleted` int(1) NOT NULL DEFAULT '0',
  `fg_comment` text NOT NULL,
  PRIMARY KEY (`fg_id`),
  UNIQUE KEY `c_fields_groups_UN` (`fg_name`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__fields_list`###qb_delimiter###
CREATE TABLE `#__fields_list` (
  `f_id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'ид',
  `f_group` int(11) NOT NULL DEFAULT '0',
  `f_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'название параметра',
  `f_descr` varchar(255) DEFAULT NULL COMMENT 'Название поля',
  `f_default` text NOT NULL COMMENT 'значение по умолчанию',
  `f_type` mediumint(10) NOT NULL COMMENT 'тип параметра(связь)',
  `f_writeable` smallint(5) NOT NULL DEFAULT '90' COMMENT 'возможность изменять для роли',
  `f_required` smallint(1) NOT NULL DEFAULT '0',
  `f_deleted` smallint(1) NOT NULL DEFAULT '0' COMMENT 'признак выключения',
  `f_table` varchar(50) DEFAULT 'goods' COMMENT 'имя модуля в котором используем',
  `f_custom` smallint(1) NOT NULL DEFAULT '0',
  `f_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`f_id`),
  UNIQUE KEY `f_fieldname` (`f_name`,`f_table`),
  KEY `name` (`f_name`),
  KEY `disabled` (`f_deleted`),
  KEY `f_table` (`f_table`)
) ENGINE=MyISAM AUTO_INCREMENT=31 DEFAULT CHARSET=utf8 PACK_KEYS=0###qb_delimiter###


DROP TABLE IF EXISTS `#__fields_types`###qb_delimiter###
CREATE TABLE `#__fields_types` (
  `t_id` int(10) NOT NULL,
  `t_val_type` varchar(50) NOT NULL,
  `t_input_type` varchar(50) NOT NULL,
  `t_name` varchar(50) NOT NULL,
  PRIMARY KEY (`t_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__filters`###qb_delimiter###
CREATE TABLE `#__filters` (
  `f_time` int(11) NOT NULL,
  `f_uid` varchar(50) NOT NULL DEFAULT '0' COMMENT 'ид пользователя',
  `f_module` varchar(30) NOT NULL DEFAULT '' COMMENT 'модуль',
  `f_view` varchar(30) NOT NULL DEFAULT '' COMMENT 'view(таблица)',
  `f_layout` varchar(30) NOT NULL DEFAULT '',
  `f_side` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0-front,1-admin',
  `f_key` varchar(20) NOT NULL DEFAULT '' COMMENT 'поле фильтра',
  `f_val` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`f_uid`,`f_module`,`f_view`,`f_layout`,`f_side`,`f_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 CHECKSUM=1 DELAY_KEY_WRITE=1 ROW_FORMAT=DYNAMIC###qb_delimiter###


DROP TABLE IF EXISTS `#__forum_posts`###qb_delimiter###
CREATE TABLE `#__forum_posts` (
  `p_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `p_author_id` int(11) NOT NULL,
  `p_theme_id` int(11) NOT NULL DEFAULT '0',
  `p_theme` varchar(250) NOT NULL,
  `p_text` text NOT NULL,
  `p_date` datetime NOT NULL,
  `p_touch_date` datetime NOT NULL,
  `p_ip` varchar(15) NOT NULL,
  `p_rating` int(11) NOT NULL DEFAULT '0',
  `p_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `p_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`p_id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__forum_rights`###qb_delimiter###
CREATE TABLE `#__forum_rights` (
  `f_id` int(11) DEFAULT NULL,
  `u_id` int(11) DEFAULT '0',
  `r_id` int(11) DEFAULT '0',
  `action` varchar(55) DEFAULT NULL,
  `flag` int(1) DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__forum_sections`###qb_delimiter###
CREATE TABLE `#__forum_sections` (
  `f_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `f_parent_id` int(11) NOT NULL,
  `f_name` varchar(255) NOT NULL,
  `f_description` text,
  `f_meta_title` varchar(250) NOT NULL,
  `f_meta_description` varchar(250) NOT NULL,
  `f_meta_keywords` varchar(250) NOT NULL,
  `f_layout` varchar(20) NOT NULL DEFAULT 'default',
  `f_show_in_list` tinyint(1) NOT NULL DEFAULT '0',
  `f_post_rating` tinyint(1) NOT NULL DEFAULT '1',
  `f_premoderated` tinyint(1) NOT NULL DEFAULT '0',
  `f_ordering` int(3) NOT NULL DEFAULT '0',
  `f_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `f_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `f_alias` varchar(250) NOT NULL DEFAULT '',
  `f_thumb` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__forum_subscribers`###qb_delimiter###
CREATE TABLE `#__forum_subscribers` (
  `t_id` int(11) NOT NULL,
  `u_id` int(11) NOT NULL,
  PRIMARY KEY (`t_id`,`u_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__forum_themes`###qb_delimiter###
CREATE TABLE `#__forum_themes` (
  `t_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `t_author_id` int(11) NOT NULL,
  `t_forum_id` int(11) NOT NULL DEFAULT '0',
  `t_theme` varchar(250) NOT NULL,
  `t_text` text NOT NULL,
  `t_date` datetime NOT NULL,
  `t_touch_date` datetime NOT NULL,
  `t_rating` int(11) NOT NULL DEFAULT '0',
  `t_tags` tinytext NOT NULL,
  `t_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `t_ip` varchar(15) NOT NULL,
  `t_views` int(11) NOT NULL DEFAULT '0',
  `t_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `t_fixed` tinyint(1) NOT NULL DEFAULT '0',
  `t_closed` tinyint(1) NOT NULL DEFAULT '0',
  `t_alias` varchar(255) NOT NULL DEFAULT '',
  `t_thumb` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`t_id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__galleries`###qb_delimiter###
CREATE TABLE `#__galleries` (
  `g_id` int(11) NOT NULL AUTO_INCREMENT,
  `g_alias` varchar(255) NOT NULL DEFAULT '',
  `g_group_id` int(11) NOT NULL DEFAULT '0',
  `g_title` varchar(250) NOT NULL DEFAULT '',
  `g_thumb` varchar(64) NOT NULL DEFAULT '',
  `g_comment` text,
  `g_ordering` int(11) NOT NULL DEFAULT '0',
  `g_show_in_list` tinyint(1) NOT NULL DEFAULT '1',
  `g_hide_image_titles` tinyint(1) NOT NULL DEFAULT '0',
  `g_published` tinyint(1) NOT NULL DEFAULT '1',
  `g_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `g_alt_thm` varchar(255) DEFAULT NULL,
  `g_title_thm` varchar(255) DEFAULT NULL,
  `g_meta_title` varchar(250) NOT NULL DEFAULT '',
  `g_meta_description` varchar(250) NOT NULL DEFAULT '',
  `g_meta_keywords` varchar(250) NOT NULL DEFAULT '',
  `g_layout` varchar(100) DEFAULT NULL,
  `g_images_by_row` int(3) NOT NULL,
  `g_show_parent_descr` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`g_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__gallery_groups`###qb_delimiter###
CREATE TABLE `#__gallery_groups` (
  `gr_id` int(11) NOT NULL AUTO_INCREMENT,
  `gr_alias` varchar(255) NOT NULL DEFAULT '',
  `gr_title` varchar(250) NOT NULL DEFAULT '',
  `gr_thumb` varchar(64) NOT NULL DEFAULT '',
  `gr_comment` text,
  `gr_ordering` int(11) NOT NULL DEFAULT '0',
  `gr_show_in_list` tinyint(1) NOT NULL DEFAULT '1',
  `gr_published` tinyint(1) NOT NULL DEFAULT '1',
  `gr_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `gr_title_thm` varchar(255) DEFAULT NULL,
  `gr_alt_thm` varchar(255) DEFAULT NULL,
  `gr_meta_title` varchar(250) NOT NULL DEFAULT '',
  `gr_meta_description` varchar(250) NOT NULL DEFAULT '',
  `gr_meta_keywords` varchar(250) NOT NULL DEFAULT '',
  `gr_layout` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`gr_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__gallery_images`###qb_delimiter###
CREATE TABLE `#__gallery_images` (
  `gi_id` int(11) NOT NULL AUTO_INCREMENT,
  `gi_gallery_id` int(4) DEFAULT NULL,
  `gi_title` varchar(200) DEFAULT NULL,
  `gi_image` varchar(64) DEFAULT NULL,
  `gi_thumb` varchar(64) DEFAULT NULL,
  `gi_comment` text,
  `gi_published` tinyint(1) DEFAULT '0',
  `gi_ordering` int(11) NOT NULL DEFAULT '0',
  `gi_deleted` tinyint(1) DEFAULT '0',
  `gi_title_img` varchar(255) DEFAULT NULL,
  `gi_alt_img` varchar(255) DEFAULT NULL,
  `gi_title_thm` varchar(255) DEFAULT NULL,
  `gi_meta_title` varchar(250) NOT NULL DEFAULT '',
  `gi_meta_description` varchar(250) NOT NULL DEFAULT '',
  `gi_meta_keywords` varchar(250) NOT NULL DEFAULT '',
  `gi_alt_thm` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`gi_id`)
) ENGINE=MyISAM AUTO_INCREMENT=309 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods`###qb_delimiter###
CREATE TABLE `#__goods` (
  `g_id` int(11) NOT NULL AUTO_INCREMENT,
  `g_main_grp` int(11) NOT NULL,
  `g_type` int(3) NOT NULL DEFAULT '1',
  `g_sku` varchar(50) NOT NULL COMMENT 'артикул товара',
  `g_name` varchar(150) NOT NULL DEFAULT '' COMMENT 'наименование',
  `g_alias` varchar(255) NOT NULL DEFAULT '',
  `g_fullname` varchar(255) NOT NULL DEFAULT '' COMMENT 'полное наименование',
  `g_stock` decimal(17,4) NOT NULL DEFAULT '0.0000' COMMENT 'остаток',
  `g_measure` int(11) NOT NULL DEFAULT '0' COMMENT 'ед.измерения',
  `g_pack_measure` int(11) NOT NULL DEFAULT '0' COMMENT 'ед измерения упаковки',
  `g_pack_koeff` decimal(17,4) NOT NULL DEFAULT '1.0000' COMMENT 'коэффициент ед.измерения в ед.упаковки',
  `g_size_measure` int(11) NOT NULL DEFAULT '0' COMMENT 'ед измерения размеров',
  `g_height` decimal(17,3) NOT NULL DEFAULT '0.000' COMMENT 'высота',
  `g_width` decimal(17,3) NOT NULL DEFAULT '0.000' COMMENT 'ширина',
  `g_length` decimal(17,3) NOT NULL DEFAULT '0.000' COMMENT 'длина',
  `g_vmeasure` int(11) NOT NULL DEFAULT '0' COMMENT 'ед измерения объема',
  `g_weight` decimal(17,3) NOT NULL DEFAULT '0.000' COMMENT 'вес',
  `g_wmeasure` int(11) NOT NULL DEFAULT '0' COMMENT 'ед измерения веса',
  `g_points` int(10) NOT NULL DEFAULT '0' COMMENT 'баллы',
  `g_currency` int(11) NOT NULL,
  `g_selltype` int(1) NOT NULL DEFAULT '0' COMMENT 'отпуск в единицах измерения',
  `g_price_1` decimal(19,2) NOT NULL DEFAULT '0.00' COMMENT 'Цена',
  `g_price_2` decimal(19,2) NOT NULL DEFAULT '0.00' COMMENT 'цена',
  `g_price_3` decimal(19,2) NOT NULL DEFAULT '0.00' COMMENT 'цена',
  `g_price_4` decimal(19,2) NOT NULL DEFAULT '0.00' COMMENT 'цена',
  `g_price_5` decimal(19,2) NOT NULL DEFAULT '0.00' COMMENT 'цена',
  `g_tax` int(11) NOT NULL DEFAULT '0' COMMENT 'ставка налога',
  `g_image` varchar(64) NOT NULL DEFAULT '' COMMENT 'изображение',
  `g_medium_image` varchar(64) NOT NULL DEFAULT '' COMMENT 'уменьшенное изображение',
  `g_thumb` varchar(64) NOT NULL DEFAULT '' COMMENT 'мини изображение',
  `g_comments` text COMMENT 'комментарий',
  `g_meta_title` varchar(250) NOT NULL DEFAULT '',
  `g_meta_description` varchar(250) NOT NULL DEFAULT '',
  `g_meta_keywords` varchar(250) NOT NULL DEFAULT '',
  `g_enabled` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'включен',
  `g_deleted` smallint(1) NOT NULL DEFAULT '0' COMMENT 'помечен для удаления',
  `g_flypage` varchar(20) NOT NULL DEFAULT 'info' COMMENT 'шаблон страницы товара',
  `g_order_tmpl` varchar(30) NOT NULL DEFAULT '' COMMENT 'шаблон заказа товара',
  `g_is_single` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'один в заказе',
  `g_vendor` int(11) NOT NULL DEFAULT '0' COMMENT 'продавец товара',
  `g_manufacturer` int(11) NOT NULL DEFAULT '0' COMMENT 'товара',
  `g_file_demo` varchar(200) NOT NULL DEFAULT '' COMMENT 'демо файл для скачивания',
  `g_file` varchar(200) NOT NULL DEFAULT '' COMMENT 'файл для скачивания',
  `g_new` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'новинка',
  `g_hit` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'хит продаж',
  `g_change_date` datetime NOT NULL,
  `g_change_uid` int(11) NOT NULL DEFAULT '0',
  `g_title_img` varchar(255) DEFAULT NULL COMMENT 'тайтл основной картинки',
  `g_title_med` varchar(255) DEFAULT NULL COMMENT 'тайтл уменьшенного изображения',
  `g_title_thm` varchar(255) DEFAULT NULL COMMENT 'тайтл мини изображения',
  `g_alt_img` varchar(255) DEFAULT NULL COMMENT 'алт основной картинки',
  `g_alt_med` varchar(255) DEFAULT NULL COMMENT 'алт уменьшенного изображения картинки',
  `g_alt_thm` varchar(255) DEFAULT NULL COMMENT 'алт мини изображения картинки',
  `g_extcode` varchar(36) NOT NULL DEFAULT '' COMMENT 'Exchange GUID',
  PRIMARY KEY (`g_id`),
  UNIQUE KEY `goods_sku` (`g_sku`),
  KEY `goods_deleted` (`g_deleted`),
  KEY `goods_enabled` (`g_enabled`)
) ENGINE=MyISAM AUTO_INCREMENT=75 DEFAULT CHARSET=utf8 CHECKSUM=1 DELAY_KEY_WRITE=1 ROW_FORMAT=DYNAMIC###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_additionals`###qb_delimiter###
CREATE TABLE `#__goods_additionals` (
  `g_id` int(11) NOT NULL DEFAULT '0',
  `ad_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`g_id`,`ad_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_analogs`###qb_delimiter###
CREATE TABLE `#__goods_analogs` (
  `g_id` int(11) NOT NULL DEFAULT '0',
  `a_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`g_id`,`a_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_basket`###qb_delimiter###
CREATE TABLE `#__goods_basket` (
  `basket_id` varchar(128) NOT NULL,
  `basket_touch` int(11) NOT NULL,
  `basket_data` text NOT NULL,
  PRIMARY KEY (`basket_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_compare`###qb_delimiter###
CREATE TABLE `#__goods_compare` (
  `compare_id` varchar(128) NOT NULL,
  `compare_touch` int(11) NOT NULL,
  `compare_data` text NOT NULL,
  PRIMARY KEY (`compare_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_data`###qb_delimiter###
CREATE TABLE `#__goods_data` (
  `obj_id` int(11) NOT NULL COMMENT 'ид объекта',
  `field_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'ид поля свойства',
  `field_name` varchar(50) NOT NULL DEFAULT '' COMMENT 'название поля из метадаты',
  `field_value` text NOT NULL COMMENT 'поля свойства',
  PRIMARY KEY (`obj_id`,`field_name`),
  KEY `field_id` (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_discounts`###qb_delimiter###
CREATE TABLE `#__goods_discounts` (
  `g_id` int(11) NOT NULL DEFAULT '0',
  `d_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`g_id`,`d_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_favourites`###qb_delimiter###
CREATE TABLE `#__goods_favourites` (
  `favourites_id` varchar(128) NOT NULL,
  `favourites_touch` int(11) NOT NULL,
  `favourites_data` text NOT NULL,
  PRIMARY KEY (`favourites_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_feedbacks`###qb_delimiter###
CREATE TABLE `#__goods_feedbacks` (
  `gf_id` int(11) NOT NULL AUTO_INCREMENT,
  `gf_date` datetime NOT NULL,
  `gf_goods_id` int(11) NOT NULL COMMENT 'код товара',
  `gf_userid` int(11) NOT NULL DEFAULT '0',
  `gf_username` varchar(50) NOT NULL,
  `gf_usermail` varchar(50) NOT NULL,
  `gf_userip` varchar(15) NOT NULL,
  `gf_rating` int(11) NOT NULL DEFAULT '3',
  `gf_merits` text NOT NULL,
  `gf_demerits` text NOT NULL,
  `gf_published` int(1) NOT NULL DEFAULT '0',
  `gf_deleted` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`gf_id`),
  UNIQUE KEY `mail_goods` (`gf_goods_id`,`gf_usermail`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_group`###qb_delimiter###
CREATE TABLE `#__goods_group` (
  `ggr_id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'ид группы',
  `ggr_id_parent` int(10) NOT NULL DEFAULT '0' COMMENT 'ид родителя',
  `ggr_name` varchar(150) NOT NULL DEFAULT '' COMMENT 'наименование группы',
  `ggr_alias` varchar(255) NOT NULL,
  `ggr_thumb` varchar(255) NOT NULL DEFAULT '' COMMENT 'мини изображение',
  `ggr_title_thm` varchar(255) DEFAULT NULL,
  `ggr_alt_thm` varchar(255) DEFAULT NULL,
  `ggr_image` varchar(255) NOT NULL DEFAULT '',
  `ggr_title_img` varchar(255) NOT NULL DEFAULT '',
  `ggr_alt_img` varchar(255) NOT NULL DEFAULT '',
  `ggr_image_inherit` smallint(1) NOT NULL DEFAULT '0',
  `ggr_comment` text COMMENT 'описание группы',
  `ggr_meta_title` varchar(250) NOT NULL DEFAULT '',
  `ggr_meta_description` varchar(250) NOT NULL DEFAULT '',
  `ggr_meta_keywords` varchar(250) NOT NULL DEFAULT '',
  `ggr_ordering` int(11) NOT NULL DEFAULT '0' COMMENT 'порядок сортировки',
  `ggr_default_sorting` varchar(50) NOT NULL DEFAULT '',
  `ggr_list_tmpl` varchar(50) NOT NULL COMMENT 'темплейт категории',
  `ggr_enabled` smallint(1) NOT NULL DEFAULT '1' COMMENT 'включен',
  `ggr_deleted` smallint(1) NOT NULL DEFAULT '0' COMMENT 'помечен для удаления',
  `ggr_extcode` varchar(36) DEFAULT NULL COMMENT 'код группы во внешней программе',
  `ggr_change_date` datetime DEFAULT NULL,
  `ggr_change_uid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ggr_id`)
) ENGINE=MyISAM AUTO_INCREMENT=163 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_group_data`###qb_delimiter###
CREATE TABLE `#__goods_group_data` (
  `obj_id` int(11) NOT NULL COMMENT 'ид объекта',
  `field_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'ид поля свойства',
  `field_name` varchar(50) NOT NULL COMMENT 'название поля из метадаты',
  `field_value` text NOT NULL COMMENT 'поля свойства',
  PRIMARY KEY (`obj_id`,`field_name`),
  KEY `field_id` (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_group_fields`###qb_delimiter###
CREATE TABLE `#__goods_group_fields` (
  `f_id` int(11) NOT NULL DEFAULT '0',
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) DEFAULT '0',
  PRIMARY KEY (`f_id`,`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_img`###qb_delimiter###
CREATE TABLE `#__goods_img` (
  `i_id` int(11) NOT NULL AUTO_INCREMENT,
  `i_gid` int(11) NOT NULL,
  `i_type` tinyint(3) NOT NULL,
  `i_link` varchar(250) NOT NULL,
  `i_title` varchar(250) NOT NULL,
  `i_image` varchar(64) NOT NULL,
  `i_thumb` varchar(64) NOT NULL,
  `i_ordering` int(11) NOT NULL,
  `i_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `i_deleted` smallint(1) NOT NULL DEFAULT '0',
  `i_alt_img` varchar(255) DEFAULT NULL COMMENT 'алт картинки',
  `i_alt_thm` varchar(255) DEFAULT NULL COMMENT 'алт мини картинки',
  `i_title_thm` varchar(225) DEFAULT NULL COMMENT 'тайтл мини картинки',
  `i_title_img` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`i_id`),
  KEY `goods_deleted` (`i_deleted`),
  KEY `goods_enabled` (`i_enabled`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_import_tmp`###qb_delimiter###
CREATE TABLE `#__goods_import_tmp` (
  `id` int(11) NOT NULL DEFAULT '0',
  `f1` text NOT NULL,
  `f2` text NOT NULL,
  `f3` text NOT NULL,
  `f4` text NOT NULL,
  `f5` text NOT NULL,
  `f6` text NOT NULL,
  `f7` text NOT NULL,
  `f8` text NOT NULL,
  `f9` text NOT NULL,
  `f10` text NOT NULL,
  `f11` text NOT NULL,
  `f12` text NOT NULL,
  `f13` text NOT NULL,
  `f14` text NOT NULL,
  `f15` text NOT NULL,
  `f16` text NOT NULL,
  `f17` text NOT NULL,
  `f18` text NOT NULL,
  `f19` text NOT NULL,
  `f20` text NOT NULL,
  `f21` text NOT NULL,
  `f22` text NOT NULL,
  `f23` text NOT NULL,
  `f24` text NOT NULL,
  `f25` text NOT NULL,
  `f26` text NOT NULL,
  `f27` text NOT NULL,
  `f28` text NOT NULL,
  `f29` text NOT NULL,
  `f30` text NOT NULL,
  `f31` text NOT NULL,
  `f32` text NOT NULL,
  `f33` text NOT NULL,
  `f34` text NOT NULL,
  `f35` text NOT NULL,
  `f36` text NOT NULL,
  `f37` text NOT NULL,
  `f38` text NOT NULL,
  `f39` text NOT NULL,
  `f40` text NOT NULL,
  `f41` text NOT NULL,
  `f42` text NOT NULL,
  `f43` text NOT NULL,
  `f44` text NOT NULL,
  `f45` text NOT NULL,
  `f46` text NOT NULL,
  `f47` text NOT NULL,
  `f48` text NOT NULL,
  `f49` text NOT NULL,
  `f50` text NOT NULL,
  `f51` text NOT NULL,
  `f52` text NOT NULL,
  `f53` text NOT NULL,
  `f54` text NOT NULL,
  `f55` text NOT NULL,
  `f56` text NOT NULL,
  `f57` text NOT NULL,
  `f58` text NOT NULL,
  `f59` text NOT NULL,
  `f60` text NOT NULL,
  `f61` text NOT NULL,
  `f62` text NOT NULL,
  `f63` text NOT NULL,
  `f64` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_links`###qb_delimiter###
CREATE TABLE `#__goods_links` (
  `g_id` int(11) NOT NULL COMMENT 'код товара',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `parent_id` int(10) NOT NULL DEFAULT '0' COMMENT 'ид группы',
  PRIMARY KEY (`g_id`,`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_opt_types`###qb_delimiter###
CREATE TABLE `#__goods_opt_types` (
  `t_id` int(10) NOT NULL AUTO_INCREMENT,
  `t_val_type` varchar(50) NOT NULL,
  `t_input_type` varchar(50) NOT NULL,
  `t_name` varchar(50) NOT NULL,
  `t_mb_quantitative` tinyint(1) NOT NULL DEFAULT '1',
  `t_have_values` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`t_id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_opt_vals`###qb_delimiter###
CREATE TABLE `#__goods_opt_vals` (
  `ov_id` int(11) NOT NULL AUTO_INCREMENT,
  `ov_opt_id` int(11) NOT NULL DEFAULT '0',
  `ov_name` varchar(255) NOT NULL DEFAULT '',
  `ov_thumb` varchar(64) NOT NULL DEFAULT '',
  `ov_ordering` int(11) NOT NULL,
  `ov_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `ov_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `ov_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`ov_id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_opt_vals_data`###qb_delimiter###
CREATE TABLE `#__goods_opt_vals_data` (
  `ovd_id` int(11) NOT NULL AUTO_INCREMENT,
  `ovd_od_id` int(11) NOT NULL,
  `ovd_val_id` int(11) NOT NULL COMMENT 'ид значения опции',
  `ovd_price_sign` varchar(1) NOT NULL DEFAULT '+',
  `ovd_price_1` decimal(19,2) NOT NULL DEFAULT '0.00',
  `ovd_price_2` decimal(19,2) NOT NULL DEFAULT '0.00',
  `ovd_price_3` decimal(19,2) NOT NULL DEFAULT '0.00',
  `ovd_price_4` decimal(19,2) NOT NULL DEFAULT '0.00',
  `ovd_price_5` decimal(19,2) NOT NULL DEFAULT '0.00',
  `ovd_weight_sign` varchar(1) NOT NULL DEFAULT '+',
  `ovd_weight` decimal(17,3) NOT NULL DEFAULT '0.000',
  `ovd_points_sign` varchar(1) NOT NULL DEFAULT '+',
  `ovd_points` decimal(17,0) NOT NULL DEFAULT '0',
  `ovd_length_sign` varchar(1) NOT NULL DEFAULT '+',
  `ovd_length` decimal(17,3) NOT NULL DEFAULT '0.000',
  `ovd_width_sign` varchar(1) NOT NULL DEFAULT '+',
  `ovd_width` decimal(17,3) NOT NULL DEFAULT '0.000',
  `ovd_height_sign` varchar(1) NOT NULL DEFAULT '+',
  `ovd_height` decimal(17,3) NOT NULL DEFAULT '0.000',
  `ovd_check_stock` tinyint(1) NOT NULL DEFAULT '0',
  `ovd_stock` decimal(17,4) NOT NULL DEFAULT '0.0000',
  `ovd_thumb` varchar(64) NOT NULL DEFAULT '',
  `ovd_ordering` int(11) NOT NULL DEFAULT '0',
  `ovd_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `ovd_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`ovd_id`),
  UNIQUE KEY `od_go_id_od_val_id` (`ovd_od_id`,`ovd_val_id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_options`###qb_delimiter###
CREATE TABLE `#__goods_options` (
  `o_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ид',
  `o_title` varchar(255) DEFAULT NULL COMMENT 'Название поля',
  `o_default` text NOT NULL COMMENT 'значение по умолчанию',
  `o_type` mediumint(10) NOT NULL COMMENT 'тип параметра(связь)',
  `o_required` smallint(1) NOT NULL DEFAULT '0',
  `o_ordering` int(11) NOT NULL DEFAULT '0',
  `o_deleted` smallint(1) NOT NULL DEFAULT '0' COMMENT 'признак выключения',
  `o_is_quantitative` tinyint(1) NOT NULL DEFAULT '0',
  `o_custom` smallint(1) NOT NULL DEFAULT '0',
  `o_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `o_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`o_id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 PACK_KEYS=0###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_options_data`###qb_delimiter###
CREATE TABLE `#__goods_options_data` (
  `od_id` int(11) NOT NULL AUTO_INCREMENT,
  `od_obj_id` int(11) NOT NULL COMMENT 'ид объекта',
  `od_opt_id` int(11) NOT NULL DEFAULT '0' COMMENT 'ид опции',
  `od_ordering` int(11) NOT NULL DEFAULT '0',
  `od_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `od_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`od_id`),
  UNIQUE KEY `field_id` (`od_opt_id`,`od_obj_id`)
) ENGINE=MyISAM AUTO_INCREMENT=117 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_prices`###qb_delimiter###
CREATE TABLE `#__goods_prices` (
  `p_id` int(11) NOT NULL AUTO_INCREMENT,
  `p_g_id` int(11) NOT NULL DEFAULT '0',
  `p_quantity` decimal(17,4) unsigned NOT NULL DEFAULT '0.0000',
  `p_price_1` decimal(19,2) NOT NULL DEFAULT '0.00',
  `p_price_2` decimal(19,2) NOT NULL DEFAULT '0.00',
  `p_price_3` decimal(19,2) NOT NULL DEFAULT '0.00',
  `p_price_4` decimal(19,2) NOT NULL DEFAULT '0.00',
  `p_price_5` decimal(19,2) NOT NULL DEFAULT '0.00',
  `p_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `p_deleted` smallint(1) NOT NULL DEFAULT '0',
  `p_change_date` datetime NOT NULL,
  `p_change_uid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`p_id`),
  UNIQUE KEY `quantity_start` (`p_g_id`,`p_quantity`)
) ENGINE=MyISAM AUTO_INCREMENT=71 DEFAULT CHARSET=utf8 CHECKSUM=1 DELAY_KEY_WRITE=1 ROW_FORMAT=DYNAMIC###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_sets`###qb_delimiter###
CREATE TABLE `#__goods_sets` (
  `g_id` int(11) NOT NULL,
  `s_id` int(11) NOT NULL,
  `s_quantity` float(17,4) NOT NULL DEFAULT '0.0000',
  PRIMARY KEY (`g_id`,`s_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_stat`###qb_delimiter###
CREATE TABLE `#__goods_stat` (
  `gs_id` int(11) NOT NULL AUTO_INCREMENT,
  `gs_remote_url` varchar(100) DEFAULT NULL,
  `gs_goods_id` int(11) DEFAULT '0',
  `gs_count` int(11) DEFAULT '0',
  `gs_enabled` tinyint(1) DEFAULT '1',
  `gs_deleted` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`gs_id`),
  UNIQUE KEY `Uniq` (`gs_remote_url`,`gs_goods_id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__goods_videos`###qb_delimiter###
CREATE TABLE `#__goods_videos` (
  `v_id` int(11) NOT NULL AUTO_INCREMENT,
  `v_gid` int(4) DEFAULT NULL,
  `v_title` varchar(200) DEFAULT NULL,
  `v_image` varchar(64) DEFAULT NULL,
  `v_title_img` varchar(255) DEFAULT NULL,
  `v_alt_img` varchar(255) DEFAULT NULL,
  `v_video_youtube` varchar(250) DEFAULT NULL,
  `v_video_ogg` varchar(250) DEFAULT NULL,
  `v_video_mp4` varchar(250) DEFAULT NULL,
  `v_video_webm` varchar(250) DEFAULT NULL,
  `v_comment` text,
  `v_published` tinyint(1) DEFAULT '0',
  `v_ordering` int(11) NOT NULL DEFAULT '0',
  `v_deleted` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`v_id`)
) ENGINE=MyISAM AUTO_INCREMENT=310 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__install`###qb_delimiter###
CREATE TABLE `#__install` (
  `c_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `c_type` enum('module','widget','plugin','delivery','payment','template','package') DEFAULT NULL,
  `c_name` varchar(255) DEFAULT NULL,
  `c_version` varchar(25) DEFAULT NULL,
  `c_description` varchar(255) DEFAULT NULL,
  `c_author` varchar(100) DEFAULT NULL,
  `c_email` varchar(100) DEFAULT NULL,
  `c_site` varchar(100) DEFAULT NULL,
  `c_license` text,
  `c_data` text,
  PRIMARY KEY (`c_id`),
  UNIQUE KEY `tn` (`c_type`,`c_name`)
) ENGINE=MyISAM AUTO_INCREMENT=36 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__mail`###qb_delimiter###
CREATE TABLE `#__mail` (
  `l_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `l_sender_id` int(11) DEFAULT NULL,
  `l_reciever_id` int(11) DEFAULT NULL,
  `l_theme` varchar(155) DEFAULT NULL,
  `l_text` text,
  `l_date` datetime DEFAULT NULL,
  `l_read` int(1) DEFAULT '0',
  `l_deleted_s` int(1) DEFAULT '0',
  `l_deleted_r` int(1) DEFAULT '0',
  PRIMARY KEY (`l_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__mailer_log`###qb_delimiter###
CREATE TABLE `#__mailer_log` (
  `email` varchar(50) DEFAULT NULL,
  `err_code` varchar(5) DEFAULT NULL,
  `err_text` varchar(250) DEFAULT NULL,
  `err_response` varchar(250) DEFAULT NULL,
  `err_time` datetime DEFAULT NULL,
  `m_theme` varchar(250) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__manufacturer_categories`###qb_delimiter###
CREATE TABLE `#__manufacturer_categories` (
  `mfc_id` int(11) NOT NULL AUTO_INCREMENT,
  `mfc_name` varchar(64) NOT NULL,
  `mfc_desc` text,
  `mfc_deleted` smallint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`mfc_id`),
  KEY `idx_manufacturer_category_category_name` (`mfc_name`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Manufacturers are assigned to these categories'###qb_delimiter###


DROP TABLE IF EXISTS `#__manufacturers`###qb_delimiter###
CREATE TABLE `#__manufacturers` (
  `mf_id` int(11) NOT NULL AUTO_INCREMENT,
  `mf_cat_id` int(11) NOT NULL,
  `mf_name` varchar(150) NOT NULL,
  `mf_logo` varchar(64) NOT NULL DEFAULT '',
  `mf_email` varchar(255) NOT NULL DEFAULT '',
  `mf_url` varchar(255) NOT NULL DEFAULT '',
  `mf_desc` text NOT NULL,
  `mf_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `mf_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `mf_extcode` varchar(36) NOT NULL DEFAULT '',
  `mf_alias` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`mf_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__measure`###qb_delimiter###
CREATE TABLE `#__measure` (
  `meas_id` int(11) NOT NULL AUTO_INCREMENT,
  `meas_code` varchar(10) NOT NULL DEFAULT '',
  `meas_short_name` varchar(100) NOT NULL DEFAULT '',
  `meas_full_name` varchar(100) NOT NULL DEFAULT '',
  `meas_kf` float(19,4) NOT NULL DEFAULT '1.0000',
  `meas_type` tinyint(2) NOT NULL DEFAULT '0',
  `meas_comment` varchar(200) NOT NULL DEFAULT '',
  `meas_enabled` smallint(1) NOT NULL DEFAULT '1',
  `meas_deleted` smallint(1) NOT NULL DEFAULT '0',
  `meas_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`meas_id`)
) ENGINE=MyISAM AUTO_INCREMENT=24 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__menus`###qb_delimiter###
CREATE TABLE `#__menus` (
  `mi_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `mi_parent_id` int(11) NOT NULL,
  `mi_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `mi_type` int(11) NOT NULL DEFAULT '0',
  `mi_target` varchar(20) NOT NULL DEFAULT 'window',
  `mi_nofollow` tinyint(1) NOT NULL DEFAULT '0',
  `mi_link` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `mi_canonical_id` int(11) NOT NULL DEFAULT '0',
  `mi_module` varchar(100) NOT NULL DEFAULT '',
  `mi_view` varchar(100) NOT NULL DEFAULT '',
  `mi_layout` varchar(100) NOT NULL DEFAULT '',
  `mi_alias` varchar(250) NOT NULL DEFAULT '',
  `mi_psid` int(11) NOT NULL DEFAULT '0',
  `mi_controller` varchar(100) NOT NULL DEFAULT '',
  `mi_task` varchar(100) NOT NULL DEFAULT '',
  `mi_ordering` smallint(3) NOT NULL DEFAULT '10',
  `mi_thumb` varchar(255) NOT NULL DEFAULT '',
  `mi_image` varchar(255) NOT NULL DEFAULT '',
  `mi_descr` text NOT NULL,
  `mi_custom_template` varchar(255) NOT NULL DEFAULT '',
  `mi_enabled` smallint(1) NOT NULL DEFAULT '1',
  `mi_deleted` smallint(1) NOT NULL DEFAULT '0',
  `mi_access` text NOT NULL COMMENT 'уровень доступа',
  `mi_forlang` varchar(255) DEFAULT 'all' COMMENT 'for which languages is menu item',
  PRIMARY KEY (`mi_id`),
  KEY `mi_deleted` (`mi_deleted`),
  KEY `mi_enabled` (`mi_enabled`)
) ENGINE=MyISAM AUTO_INCREMENT=47 DEFAULT CHARSET=utf8 CHECKSUM=1 DELAY_KEY_WRITE=1 ROW_FORMAT=DYNAMIC###qb_delimiter###


DROP TABLE IF EXISTS `#__metadata`###qb_delimiter###
CREATE TABLE `#__metadata` (
  `m_id` int(11) NOT NULL AUTO_INCREMENT,
  `m_module` varchar(30) NOT NULL,
  `m_view` varchar(30) NOT NULL,
  `m_field` varchar(50) NOT NULL,
  `m_layout` varchar(50) NOT NULL,
  `m_show` tinyint(1) DEFAULT '1',
  `m_width` varchar(10) DEFAULT NULL,
  `m_input_view` tinyint(1) DEFAULT '1',
  `m_input_size` varchar(10) DEFAULT NULL,
  `m_input_page` tinyint(2) NOT NULL DEFAULT '0',
  `m_show_in_filter` tinyint(1) DEFAULT '1',
  `m_show_in_filter_ext` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0',
  `m_strict_filter` tinyint(1) NOT NULL DEFAULT '0',
  `m_admin_side` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0 - фронтенд, 1 - админка',
  `m_field_loaded` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'флаг для перечитки метадаты',
  `m_field_order` int(11) NOT NULL DEFAULT '0',
  `m_translate_value` tinyint(1) DEFAULT '0' COMMENT 'need value translation',
  PRIMARY KEY (`m_module`,`m_view`,`m_field`,`m_layout`,`m_admin_side`),
  UNIQUE KEY `m_id` (`m_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2016 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__modules`###qb_delimiter###
CREATE TABLE `#__modules` (
  `m_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `m_name` varchar(255) DEFAULT NULL,
  `m_show_breadcrumb` int(1) NOT NULL DEFAULT '1',
  `m_config` text,
  `m_incl_map` tinyint(1) NOT NULL DEFAULT '1',
  `m_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `m_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `m_translated` tinyint(1) DEFAULT '0' COMMENT 'need translation',
  `m_replace_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`m_id`)
) ENGINE=MyISAM AUTO_INCREMENT=38 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__notifications`###qb_delimiter###
CREATE TABLE `#__notifications` (
  `n_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `n_from` varchar(50) NOT NULL,
  `n_fromname` varchar(50) NOT NULL,
  `n_to` varchar(50) NOT NULL,
  `n_phone` varchar(12) NOT NULL,
  `n_time` int(11) NOT NULL,
  `n_title` varchar(150) NOT NULL,
  `n_text` text NOT NULL,
  `n_format` varchar(5) NOT NULL,
  `n_type` tinyint(1) NOT NULL,
  PRIMARY KEY (`n_id`)
) ENGINE=MyISAM AUTO_INCREMENT=628 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__orders`###qb_delimiter###
CREATE TABLE `#__orders` (
  `o_id` int(11) NOT NULL AUTO_INCREMENT,
  `o_hash` varchar(100) NOT NULL DEFAULT '',
  `o_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `o_uid` int(11) NOT NULL,
  `o_vendor` int(11) NOT NULL,
  `o_pt_id` int(11) NOT NULL,
  `o_pt_title` varchar(200) NOT NULL,
  `o_pt_data` text NOT NULL,
  `o_pt_sum` decimal(19,2) NOT NULL DEFAULT '0.00',
  `o_pt_result` text NOT NULL,
  `o_userdata` text NOT NULL,
  `o_dt_id` int(11) NOT NULL,
  `o_dt_title` varchar(200) NOT NULL,
  `o_dt_data` text NOT NULL,
  `o_dt_sum` decimal(19,2) NOT NULL DEFAULT '0.00',
  `o_dt_tax_id` int(11) NOT NULL DEFAULT '0',
  `o_dt_tax_name` varchar(150) NOT NULL DEFAULT '',
  `o_dt_tax_val` decimal(19,2) NOT NULL DEFAULT '0.00',
  `o_dt_tax_sum` decimal(19,2) NOT NULL DEFAULT '0.00',
  `o_discount_sum` decimal(19,2) NOT NULL DEFAULT '0.00',
  `o_taxes_sum` decimal(19,2) NOT NULL DEFAULT '0.00',
  `o_total_sum` decimal(19,2) NOT NULL DEFAULT '0.00',
  `o_points` decimal(19,4) NOT NULL DEFAULT '0.0000',
  `o_currency` int(11) NOT NULL,
  `o_quantity` decimal(19,4) NOT NULL DEFAULT '0.0000',
  `o_measure` int(11) NOT NULL,
  `o_weight` decimal(19,4) NOT NULL DEFAULT '0.0000',
  `o_wmeasure` int(11) NOT NULL,
  `o_status` int(11) NOT NULL,
  `o_paid` smallint(1) NOT NULL DEFAULT '0',
  `o_ip_address` varchar(15) NOT NULL DEFAULT '',
  `o_comments` text NOT NULL,
  `o_module` varchar(100) NOT NULL DEFAULT '',
  `o_deleted` smallint(1) NOT NULL DEFAULT '0',
  `o_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`o_id`)
) ENGINE=MyISAM AUTO_INCREMENT=298 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__orders_files`###qb_delimiter###
CREATE TABLE `#__orders_files` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `f_order_id` int(11) NOT NULL,
  `f_item_id` int(11) NOT NULL,
  `f_g_id` int(11) NOT NULL,
  `f_opt_id` int(11) NOT NULL,
  `f_opt_title` varchar(100) NOT NULL,
  `f_opt_file` varchar(64) NOT NULL,
  `f_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`f_id`)
) ENGINE=MyISAM AUTO_INCREMENT=51 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__orders_items`###qb_delimiter###
CREATE TABLE `#__orders_items` (
  `i_id` int(11) NOT NULL AUTO_INCREMENT,
  `i_order_id` int(11) NOT NULL,
  `i_g_id` int(11) DEFAULT NULL,
  `i_g_type` int(3) NOT NULL DEFAULT '1',
  `i_g_sku` varchar(50) NOT NULL,
  `i_g_name` varchar(250) NOT NULL,
  `i_g_extcode` varchar(36) NOT NULL DEFAULT '',
  `i_g_options` text NOT NULL,
  `i_g_options_text` text NOT NULL,
  `i_g_quantity` decimal(19,4) NOT NULL DEFAULT '0.0000',
  `i_g_measure` int(11) NOT NULL,
  `i_g_price` decimal(19,2) NOT NULL DEFAULT '0.00',
  `i_g_weight` decimal(19,2) NOT NULL DEFAULT '0.00',
  `i_g_wmeasure` int(11) NOT NULL,
  `i_g_tax_id` int(11) NOT NULL DEFAULT '0',
  `i_g_tax_val` decimal(19,2) NOT NULL DEFAULT '0.00',
  `i_g_tax` decimal(19,2) NOT NULL DEFAULT '0.00',
  `i_g_tax_name` varchar(150) NOT NULL,
  `i_g_sum` decimal(19,2) NOT NULL DEFAULT '0.00',
  `i_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`i_id`)
) ENGINE=MyISAM AUTO_INCREMENT=330 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__orders_payments`###qb_delimiter###
CREATE TABLE `#__orders_payments` (
  `payment_id` int(11) NOT NULL AUTO_INCREMENT,
  `payment_order_id` int(11) NOT NULL DEFAULT '0',
  `payment_method_id` int(11) DEFAULT NULL,
  `payment_code` varchar(30) NOT NULL DEFAULT '',
  `payment_number` blob,
  `payment_expire` int(11) DEFAULT NULL,
  `payment_name` varchar(255) DEFAULT NULL,
  `payment_log` text,
  `payment_trans_id` text NOT NULL,
  `payment_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`payment_id`),
  KEY `idx_order_payment_order_id` (`payment_order_id`),
  KEY `idx_order_payment_method_id` (`payment_method_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='The payment method that was chosen for a specific order'###qb_delimiter###


DROP TABLE IF EXISTS `#__orders_status`###qb_delimiter###
CREATE TABLE `#__orders_status` (
  `os_id` int(11) NOT NULL AUTO_INCREMENT,
  `os_name` varchar(50) NOT NULL,
  `os_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `os_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`os_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__plugins`###qb_delimiter###
CREATE TABLE `#__plugins` (
  `p_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `p_path` varchar(100) NOT NULL,
  `p_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `p_params` text NOT NULL,
  `p_ordering` int(3) NOT NULL DEFAULT '0',
  `p_enabled` int(1) NOT NULL DEFAULT '1',
  `p_deleted` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`p_id`),
  UNIQUE KEY `path_and_name` (`p_path`,`p_name`)
) ENGINE=MyISAM AUTO_INCREMENT=69 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__poll_items`###qb_delimiter###
CREATE TABLE `#__poll_items` (
  `pi_id` int(11) NOT NULL AUTO_INCREMENT,
  `pi_poll_id` int(11) NOT NULL DEFAULT '0',
  `pi_text` varchar(255) NOT NULL,
  `pi_hits` int(11) NOT NULL DEFAULT '0',
  `pi_ordering` tinyint(3) NOT NULL DEFAULT '0',
  `pi_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`pi_id`),
  KEY `pollid` (`pi_poll_id`,`pi_text`(1))
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__poll_stats`###qb_delimiter###
CREATE TABLE `#__poll_stats` (
  `ps_voter` varchar(20) NOT NULL COMMENT 'Unique id of user(not u_id)',
  `ps_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ps_item_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ps_voter`,`ps_item_id`)
) ENGINE=MyISAM AUTO_INCREMENT=52 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__polls`###qb_delimiter###
CREATE TABLE `#__polls` (
  `p_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `p_title` varchar(255) NOT NULL,
  `p_alias` varchar(255) NOT NULL,
  `p_lag` int(11) NOT NULL DEFAULT '86400',
  `p_startdate` datetime NOT NULL,
  `p_enddate` datetime NOT NULL,
  `p_comments` text NOT NULL,
  `p_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `p_enabled` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`p_id`)
) ENGINE=MyISAM AUTO_INCREMENT=18 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__profiles`###qb_delimiter###
CREATE TABLE `#__profiles` (
  `pf_id` int(11) unsigned NOT NULL,
  `pf_deleted` int(1) DEFAULT '0',
  `pf_age` varchar(3) DEFAULT NULL,
  `pf_sex` tinyint(1) DEFAULT NULL,
  `pf_site` varchar(50) DEFAULT NULL,
  `pf_telegram` varchar(50) NOT NULL DEFAULT '',
  `pf_whatsapp` varchar(50) NOT NULL DEFAULT '',
  `pf_page_ok` varchar(100) NOT NULL DEFAULT '',
  `pf_page_vk` varchar(100) NOT NULL DEFAULT '',
  `pf_page_rutube` varchar(100) NOT NULL DEFAULT '',
  `pf_viber` varchar(50) NOT NULL DEFAULT '',
  `pf_icq` varchar(12) DEFAULT NULL,
  `pf_skype` varchar(50) DEFAULT NULL,
  `pf_jabber` varchar(50) DEFAULT NULL,
  `pf_img` varchar(250) DEFAULT NULL,
  `pf_text` text,
  PRIMARY KEY (`pf_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__profiles_data`###qb_delimiter###
CREATE TABLE `#__profiles_data` (
  `obj_id` varchar(50) NOT NULL COMMENT 'код товара',
  `field_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'ид поля свойства',
  `field_name` varchar(50) NOT NULL COMMENT 'название поля из метадаты',
  `field_value` text NOT NULL COMMENT 'поля свойства',
  PRIMARY KEY (`obj_id`,`field_name`),
  KEY `field_id` (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__pts`###qb_delimiter###
CREATE TABLE `#__pts` (
  `p_id` int(11) NOT NULL AUTO_INCREMENT,
  `p_name` varchar(100) NOT NULL,
  PRIMARY KEY (`p_id`),
  UNIQUE KEY `p_name_IDX` (`p_name`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__pts_active`###qb_delimiter###
CREATE TABLE `#__pts_active` (
  `pt_id` int(11) NOT NULL AUTO_INCREMENT,
  `pt_title` varchar(150) NOT NULL,
  `pt_name` varchar(150) NOT NULL,
  `pt_module` varchar(100) NOT NULL DEFAULT '',
  `pt_logo` varchar(128) NOT NULL DEFAULT '',
  `pt_price` decimal(19,2) NOT NULL DEFAULT '0.00',
  `pt_currency` int(11) NOT NULL,
  `pt_set_status` int(11) NOT NULL DEFAULT '0',
  `pt_params` text NOT NULL,
  `pt_comments` text,
  `pt_ordering` int(11) NOT NULL DEFAULT '0',
  `pt_debug` tinyint(1) NOT NULL DEFAULT '0',
  `pt_admin_only` tinyint(1) NOT NULL DEFAULT '0',
  `pt_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `pt_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`pt_id`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__redirect_links`###qb_delimiter###
CREATE TABLE `#__redirect_links` (
  `rl_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `rl_old_url` varchar(255) NOT NULL,
  `rl_new_url` varchar(255) NOT NULL,
  `rl_comment` varchar(255) NOT NULL,
  `rl_redirects` int(11) unsigned NOT NULL DEFAULT '0',
  `rl_substitution` tinyint(1) NOT NULL DEFAULT '0',
  `rl_ordering` int(11) NOT NULL DEFAULT '0',
  `rl_published` tinyint(1) NOT NULL DEFAULT '1',
  `rl_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `rl_create_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`rl_id`),
  UNIQUE KEY `idx_link_old` (`rl_old_url`)
) ENGINE=MyISAM AUTO_INCREMENT=6541 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__sessions`###qb_delimiter###
CREATE TABLE `#__sessions` (
  `s_id` varchar(128) NOT NULL,
  `s_uid` int(11) NOT NULL,
  `s_agent` varchar(32) NOT NULL,
  `s_ip` varchar(15) NOT NULL,
  `s_time` int(11) NOT NULL,
  `s_last` int(11) NOT NULL,
  `s_vars` text,
  PRIMARY KEY (`s_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__settings`###qb_delimiter###
CREATE TABLE `#__settings` (
  `s_id` int(11) NOT NULL AUTO_INCREMENT,
  `s_module` varchar(64) NOT NULL DEFAULT 'system',
  `s_name` varchar(64) NOT NULL,
  `s_value` text,
  `s_type` varchar(64) NOT NULL DEFAULT 'string',
  PRIMARY KEY (`s_id`),
  UNIQUE KEY `s_module` (`s_module`,`s_name`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__sitemap_man`###qb_delimiter###
CREATE TABLE `#__sitemap_man` (
  `m_id` int(11) NOT NULL AUTO_INCREMENT,
  `m_loc` varchar(250) DEFAULT NULL,
  `m_lastmod` date DEFAULT NULL,
  `m_changefreq` varchar(50) DEFAULT NULL,
  `m_priority` varchar(5) DEFAULT NULL,
  `m_deleted` tinyint(1) DEFAULT '0',
  `m_enabled` tinyint(1) DEFAULT '1',
  `m_parentid` int(11) DEFAULT NULL COMMENT 'parent tag from this table',
  `m_container` varchar(20) DEFAULT 'url' COMMENT 'url, image:image',
  `m_tag` varchar(50) DEFAULT NULL COMMENT 'image:loc',
  `m_title` varchar(250) DEFAULT NULL COMMENT 'title',
  `m_type` tinyint(1) DEFAULT '1' COMMENT '1 - include, 2 - exclude',
  `m_module` varchar(50) DEFAULT 'main' COMMENT 'module',
  PRIMARY KEY (`m_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__sms_sender_log`###qb_delimiter###
CREATE TABLE `#__sms_sender_log` (
  `phone` varchar(50) NOT NULL DEFAULT '',
  `err_code` varchar(5) NOT NULL DEFAULT '',
  `err_text` varchar(100) NOT NULL DEFAULT '',
  `err_time` datetime DEFAULT NULL,
  `m_text` varchar(250) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__tags`###qb_delimiter###
CREATE TABLE `#__tags` (
  `t_module_name` varchar(32) NOT NULL DEFAULT '',
  `t_object_id` int(11) NOT NULL DEFAULT '0',
  `t_tag_name` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`t_module_name`,`t_object_id`,`t_tag_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__taxes`###qb_delimiter###
CREATE TABLE `#__taxes` (
  `t_id` int(11) NOT NULL AUTO_INCREMENT,
  `t_name` varchar(50) NOT NULL,
  `t_value` decimal(5,2) NOT NULL DEFAULT '0.00',
  `t_comment` varchar(255) NOT NULL DEFAULT '',
  `t_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `t_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `t_extcode` varchar(36) NOT NULL DEFAULT '',
  PRIMARY KEY (`t_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__template_zones`###qb_delimiter###
CREATE TABLE `#__template_zones` (
  `tz_id` int(11) NOT NULL AUTO_INCREMENT,
  `tz_name` varchar(50) NOT NULL DEFAULT '',
  `tz_descr` varchar(250) NOT NULL DEFAULT '',
  `tz_ordering` int(5) NOT NULL DEFAULT '0',
  `tz_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `tz_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`tz_id`),
  UNIQUE KEY `UNIQ_NAME` (`tz_name`)
) ENGINE=MyISAM AUTO_INCREMENT=45 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__templates`###qb_delimiter###
CREATE TABLE `#__templates` (
  `t_id` int(11) NOT NULL AUTO_INCREMENT,
  `t_side` tinyint(1) NOT NULL DEFAULT '0',
  `t_title` varchar(100) NOT NULL DEFAULT '',
  `t_name` varchar(100) NOT NULL,
  `t_enabled` tinyint(3) NOT NULL DEFAULT '1',
  `t_deleted` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`t_id`),
  UNIQUE KEY `t_name_IDX` (`t_name`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__users`###qb_delimiter###
CREATE TABLE `#__users` (
  `u_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `u_affiliate_code` varchar(12) NOT NULL DEFAULT '0',
  `u_referral` int(11) NOT NULL DEFAULT '0',
  `u_login` varchar(50) NOT NULL,
  `u_secret` varchar(255) DEFAULT NULL,
  `u_email` varchar(100) DEFAULT NULL,
  `u_reg_date` datetime DEFAULT NULL,
  `u_nickname` varchar(50) DEFAULT NULL,
  `u_account` float(19,4) DEFAULT '0.0000',
  `u_points` float(19,4) DEFAULT '0.0000',
  `u_discount` float(19,4) DEFAULT '0.0000',
  `u_pricetype` int(11) DEFAULT '1',
  `u_role` int(11) DEFAULT NULL,
  `u_rating` int(5) DEFAULT '0',
  `u_activated` int(1) DEFAULT '0',
  `u_deleted` int(1) DEFAULT '0',
  `u_validation` varchar(50) DEFAULT NULL,
  `u_source` varchar(10) NOT NULL DEFAULT 'system',
  `u_last_visit` datetime DEFAULT '0000-00-00 00:00:00',
  `u_login_date` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`u_id`),
  UNIQUE KEY `Affiliate` (`u_affiliate_code`),
  UNIQUE KEY `u_login` (`u_login`),
  UNIQUE KEY `u_email` (`u_email`),
  UNIQUE KEY `u_nickname` (`u_nickname`)
) ENGINE=MyISAM AUTO_INCREMENT=38 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__users_addr`###qb_delimiter###
CREATE TABLE `#__users_addr` (
  `a_id` int(11) NOT NULL AUTO_INCREMENT,
  `a_uid` int(11) NOT NULL DEFAULT '0',
  `a_type` tinyint(1) NOT NULL DEFAULT '0',
  `a_default` tinyint(1) NOT NULL DEFAULT '0',
  `a_data` blob,
  PRIMARY KEY (`a_id`,`a_uid`),
  UNIQUE KEY `d_id` (`a_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 CHECKSUM=1 DELAY_KEY_WRITE=1 ROW_FORMAT=DYNAMIC###qb_delimiter###


DROP TABLE IF EXISTS `#__users_bank`###qb_delimiter###
CREATE TABLE `#__users_bank` (
  `b_id` int(11) NOT NULL AUTO_INCREMENT,
  `b_uid` int(11) NOT NULL DEFAULT '0',
  `b_default` tinyint(1) NOT NULL DEFAULT '0',
  `b_data` blob,
  PRIMARY KEY (`b_id`,`b_uid`),
  UNIQUE KEY `d_id` (`b_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__users_company`###qb_delimiter###
CREATE TABLE `#__users_company` (
  `c_id` int(11) NOT NULL,
  `c_data` blob,
  PRIMARY KEY (`c_id`),
  UNIQUE KEY `d_id` (`c_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__users_vendors`###qb_delimiter###
CREATE TABLE `#__users_vendors` (
  `uv_id` int(11) NOT NULL AUTO_INCREMENT,
  `uv_uid` int(11) NOT NULL,
  `uv_vid` int(11) NOT NULL,
  `uv_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `uv_deleted` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`uv_id`),
  UNIQUE KEY `vendor` (`uv_vid`),
  UNIQUE KEY `user` (`uv_uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__vendor_categories`###qb_delimiter###
CREATE TABLE `#__vendor_categories` (
  `vc_id` int(11) NOT NULL AUTO_INCREMENT,
  `vc_name` varchar(150) NOT NULL DEFAULT '',
  `vc_desc` text,
  `vc_deleted` smallint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`vc_id`),
  KEY `idx_vendor_category_category_name` (`vc_name`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='The categories that vendors are assigned to'###qb_delimiter###


DROP TABLE IF EXISTS `#__vendors`###qb_delimiter###
CREATE TABLE `#__vendors` (
  `v_id` int(11) NOT NULL AUTO_INCREMENT,
  `v_cat_id` int(11) NOT NULL,
  `v_name` varchar(150) NOT NULL,
  `v_store_name` varchar(150) NOT NULL DEFAULT '',
  `v_minimum_basket` decimal(19,2) NOT NULL DEFAULT '0.00',
  `v_store_desc` text,
  `v_contact_name` varchar(255) NOT NULL DEFAULT '',
  `v_contact_phone` varchar(32) NOT NULL DEFAULT '',
  `v_contact_email` varchar(255) NOT NULL DEFAULT '',
  `v_ogrn` varchar(15) NOT NULL DEFAULT '',
  `v_inn` varchar(12) NOT NULL DEFAULT '',
  `v_kpp` varchar(9) NOT NULL DEFAULT '',
  `v_boss` varchar(75) NOT NULL DEFAULT '',
  `v_ca_name` varchar(75) NOT NULL DEFAULT '',
  `v_bank` varchar(255) NOT NULL DEFAULT '',
  `v_sett_acc` varchar(20) NOT NULL DEFAULT '',
  `v_bik` varchar(9) NOT NULL DEFAULT '',
  `v_bank_acc` varchar(20) NOT NULL DEFAULT '',
  `v_address_p` text NOT NULL,
  `v_address_u` text NOT NULL,
  `v_phone` varchar(32) NOT NULL DEFAULT '',
  `v_fax` varchar(32) NOT NULL DEFAULT '',
  `v_url` varchar(255) NOT NULL DEFAULT '',
  `v_logo` varchar(64) NOT NULL DEFAULT '',
  `v_terms_of_service` text NOT NULL,
  `v_pechat` varchar(64) NOT NULL DEFAULT '',
  `v_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `v_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `v_extcode` varchar(36) NOT NULL DEFAULT '',
  `v_alias` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`v_id`),
  KEY `idx_vendor_name` (`v_name`),
  KEY `idx_vendor_category_id` (`v_cat_id`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__videoset_galleries`###qb_delimiter###
CREATE TABLE `#__videoset_galleries` (
  `vg_id` int(11) NOT NULL AUTO_INCREMENT,
  `vg_alias` varchar(50) NOT NULL DEFAULT '',
  `vg_group_id` int(11) NOT NULL DEFAULT '0',
  `vg_title` varchar(250) NOT NULL DEFAULT '',
  `vg_thumb` varchar(64) NOT NULL DEFAULT '',
  `vg_comment` text,
  `vg_ordering` int(11) NOT NULL DEFAULT '0',
  `vg_show_in_list` tinyint(1) NOT NULL DEFAULT '1',
  `vg_published` tinyint(1) NOT NULL DEFAULT '1',
  `vg_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `vg_alt_thm` varchar(255) DEFAULT NULL,
  `vg_title_thm` varchar(255) DEFAULT NULL,
  `vg_meta_title` varchar(250) NOT NULL DEFAULT '',
  `vg_meta_description` varchar(250) NOT NULL DEFAULT '',
  `vg_meta_keywords` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`vg_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__videoset_groups`###qb_delimiter###
CREATE TABLE `#__videoset_groups` (
  `vgr_id` int(11) NOT NULL AUTO_INCREMENT,
  `vgr_alias` varchar(50) NOT NULL DEFAULT '',
  `vgr_title` varchar(250) NOT NULL DEFAULT '',
  `vgr_thumb` varchar(64) NOT NULL DEFAULT '',
  `vgr_comment` text,
  `vgr_ordering` int(11) NOT NULL DEFAULT '0',
  `vgr_show_in_list` tinyint(1) NOT NULL DEFAULT '1',
  `vgr_published` tinyint(1) NOT NULL DEFAULT '1',
  `vgr_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `vgr_title_thm` varchar(255) DEFAULT NULL,
  `vgr_alt_thm` varchar(255) DEFAULT NULL,
  `vgr_meta_title` varchar(250) NOT NULL DEFAULT '',
  `vgr_meta_description` varchar(250) NOT NULL DEFAULT '',
  `vgr_meta_keywords` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`vgr_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__videoset_videos`###qb_delimiter###
CREATE TABLE `#__videoset_videos` (
  `v_id` int(11) NOT NULL AUTO_INCREMENT,
  `v_gallery_id` int(4) DEFAULT NULL,
  `v_title` varchar(200) DEFAULT NULL,
  `v_image` varchar(64) DEFAULT NULL,
  `v_title_img` varchar(255) DEFAULT NULL,
  `v_meta_title` varchar(250) NOT NULL DEFAULT '',
  `v_meta_description` varchar(250) NOT NULL DEFAULT '',
  `v_meta_keywords` varchar(250) NOT NULL DEFAULT '',
  `v_alt_img` varchar(255) DEFAULT NULL,
  `v_video_youtube` varchar(250) NOT NULL DEFAULT '',
  `v_video_ogg` varchar(250) NOT NULL DEFAULT '',
  `v_video_mp4` varchar(250) NOT NULL DEFAULT '',
  `v_video_webm` varchar(250) NOT NULL DEFAULT '',
  `v_comment` text,
  `v_published` tinyint(1) DEFAULT '0',
  `v_ordering` int(11) NOT NULL DEFAULT '0',
  `v_deleted` tinyint(1) DEFAULT '0',
  `v_alias` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`v_id`)
) ENGINE=MyISAM AUTO_INCREMENT=313 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__votes`###qb_delimiter###
CREATE TABLE `#__votes` (
  `v_uid` int(11) NOT NULL COMMENT 'id юзера',
  `v_type` tinyint(2) NOT NULL COMMENT '1-users,2-articles,3-blog posts,4-blog comments,',
  `v_eid` int(11) NOT NULL COMMENT 'id элемента',
  PRIMARY KEY (`v_uid`,`v_type`,`v_eid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__widgets`###qb_delimiter###
CREATE TABLE `#__widgets` (
  `w_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `w_name` varchar(55) NOT NULL,
  `w_side` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`w_id`),
  UNIQUE KEY `w_name` (`w_name`)
) ENGINE=MyISAM AUTO_INCREMENT=64 DEFAULT CHARSET=utf8###qb_delimiter###


DROP TABLE IF EXISTS `#__widgets_active`###qb_delimiter###
CREATE TABLE `#__widgets_active` (
  `aw_id` int(11) NOT NULL AUTO_INCREMENT,
  `aw_name` varchar(255) NOT NULL,
  `aw_title` varchar(100) NOT NULL,
  `aw_show_title` tinyint(1) NOT NULL DEFAULT '0',
  `aw_title_link` varchar(150) NOT NULL,
  `aw_zone` varchar(255) NOT NULL,
  `aw_class` varchar(150) NOT NULL,
  `aw_config` text NOT NULL,
  `aw_access` text NOT NULL,
  `aw_content` text NOT NULL,
  `aw_ordering` int(5) NOT NULL DEFAULT '0',
  `aw_visible_in` text COMMENT 'Menu IDs',
  `aw_cache` int(7) NOT NULL DEFAULT '0',
  `aw_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `aw_deleted` int(1) NOT NULL DEFAULT '0',
  `aw_forlang` varchar(255) DEFAULT 'all' COMMENT 'for which language show',
  PRIMARY KEY (`aw_id`)
) ENGINE=MyISAM AUTO_INCREMENT=89 DEFAULT CHARSET=utf8###qb_delimiter###


