<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: db5aa4b3 (2024-10-06 12:30:04)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<!DOCTYPE html"><html lang="ru" class="h-100>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="cache-control" content="no-cache"/>
    <meta name="description" content="Установка Арфа-CMS"/>
    <title>Установка Арфа-CMS</title>
    <link rel="stylesheet" type="text/css" href="/assets/css/basicstyle.css"/>
    <link rel="stylesheet" type="text/css" href="/assets/extra/bootstrap/css/bootstrap.min.css"/>
    <link rel="stylesheet" type="text/css" href="/assets/extra/bootstrap/css/bootstrap-icons.min.css"/>
</head>
<body class="d-flex flex-column h-100">
<header id="install-nav-wrap" class="container-fluid p-0 mb-3 bg-body-tertiary">
    <div class="bg-body-tertiary border-bottom px-2 py-2">
        <div class="container">
            <div class="d-flex flex-wrap align-items-center justify-content-between">
                <a class="w-25 my-2 my-lg-0 me-lg-auto align-items-center text-center text-decoration-none" target="_blank" href="https://arfa-cms.ru" title="Посетить сайт Арфа-CMS">
                    <img class="logo" alt="Arfa-CMS" src="/assets/images/logo/blue.png" />
                </a>
                <h5 class="text-primary"><?php echo Text::_("Version")." ".Installer::getVersion(); ?></h5>
                <ul class="nav nav-pills flex-row flex-wrap ms-md-auto">
                    <li class="nav-item">
                        <a href="install.php" class="nav-link" id="tb0" title="">Шаг 0</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="tb1" title="">Шаг 1</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="tb2" title="">Шаг 2</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="tb3" title="">Шаг 3</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="tb4" title="">Шаг 4</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</header>
<main class="flex-shrink-0">
    <div class="container">
        <div class="row">
            <div class="nopad col-12 border border-light-subtle rounded p-3 mb-3">
                <?php echo $stepHTML; ?>
            </div>
        </div>
    </div>
</main>
<footer class="footer mt-auto py-3 bg-body-tertiary border-top">
    <div class="container">
        <div class="row">
            <div class="install-copyright col-auto mx-auto">
                <a href="https://arfa-cms.ru/" target="_blank">Арфа-CMS</a> © 2010-<?php echo date("Y"); ?>. All rights reserved.
            </div>
        </div>
    </div>
</footer>
<script src="/assets/extra/jquery/jquery-3.7.1.js"></script>
<script>
    <?php $step = Request::getInt('step', 0); ?>
    var tb = 'tb<?php echo $step; ?>';
    $(document).ready(function () {
        $('p.sql_error').bind('click', function (el) {
            $(this).next().toggle();
        });
        $("#" + tb).addClass("active");
        $('input[type=submit]').removeAttr("disabled");
        $('input[type=submit]').bind('click', function (el) {
            $(this).attr("disabled", "true");
            $('#inst_frm').submit();
            return true;
        });
    });
</script>
</body>
</html>