<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6000aa50 (2024-10-14 10:56:41)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$settings_ok = true;
$messages = array();
$messages[0] = array("text" => Text::_('Configuration directory is writeable'), "check" => "OK");
$messages[1] = array("text" => Text::_("PHP settings:") . " zend.ze1_compatibility_mode=off", "check" => "OK");
$messages[2] = array("text" => Text::_("PHP settings:") . " register_globals=off", "check" => "OK");
$messages[3] = array("text" => Text::_("PHP version:") . " >=7.4.0", "check" => "OK");

if (!is_writable(PATH_CONFIG)) {
    $messages[0]["check"] = "Failed";
    $settings_ok = false;
}
if (intval(ini_get('zend.ze1_compatibility_mode')) == 1) {
    $messages[1]["check"] = "Failed";
    $settings_ok = false;
}
if (intval(ini_get('register_globals')) == 1) {
    $messages[2]["check"] = "Failed";
    $settings_ok = false;
}
if (version_compare(phpversion(), '7.4.0', '<') == true) {
    $messages[3]["check"] = "Failed";
    $settings_ok = false;
}

if ($settings_ok) {
    $button_text = Text::_('Next');
    $install_step = 2;
} else {
    $button_text = Text::_('Repeat');
    $install_step = 1;
}
?>
<h3 class="title"><?php echo Text::_("Checking server settings"); ?> : </h3>
<form name="frm_install" id="inst_frm" class="m-0" action="install.php" method="post">
    <input type="hidden" name="step" value="<?php echo $install_step; ?>"/>
    <table class="check-settings table table-bordered table-hover table-condensed align-middle">
        <?php
        foreach ($messages as $mess) {
            echo "<tr>";
            echo "<td>".$mess["text"]."</td>";
            echo "<td style=\"width:5%\"><i class=\"bi ".($mess["check"] == "OK" ? "boolean-on" : "boolean-off")."\"></i></td>";
            echo "</tr>";
        }
        ?>
    </table>
    <div class="buttons mt-3">
        <input class="btn btn-primary" type="submit" value="<?php echo $button_text; ?>"/>
    </div>
</form>