<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 367f5f58 (2024-10-05 22:10:09)
// 

use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");
?>
<form class="m-0" name="frm_install" id="inst_frm" action="install.php" method="post">
    <h3 class="title"><?php echo Text::_("Database server settings"); ?> : </h3>
    <?php if (Request::getInt('fail', 0) == 1) echo "<div class=\"alert alert-danger\">" . Text::_("Wrong database connection parameters") . "!</div>"; ?>
    <table class="db-server-settings table table-bordered table-hover table-condensed align-middle">
        <tr class="">
            <td class="db-parameter"><?php echo Text::_('Database host'); ?>:</td>
            <td class="db-input w-50">
                <input class="form-control" type="text" name="dbHost" value="<?php echo Request::getSafe("dbHost", "127.0.0.1"); ?>"/>
            </td>
        </tr>
        <tr>
            <td class="db-parameter"><?php echo Text::_('Database port'); ?>:</td>
            <td class="db-input"><input class="form-control" type="text" name="dbPort" value="<?php echo Request::getSafe("dbPort", "3306"); ?>"/></td>
        </tr>
        <tr>
            <td class="db-parameter"><?php echo Text::_('Database user name'); ?>:</td>
            <td class="db-input"><input class="form-control" type="text" name="dbUser" value="<?php echo Request::getSafe("dbUser"); ?>"/></td>
        </tr>
        <tr>
            <td class="db-parameter"><?php echo Text::_('Database password'); ?>:</td>
            <td class="db-input"><input class="form-control" type="password" name="dbPassword" value=""/></td>
        </tr>
        <tr>
            <td class="db-parameter"><?php echo Text::_('Database name'); ?>:</td>
            <td class="db-input"><input class="form-control" type="text" name="dbName" value="<?php echo Request::getSafe("dbName"); ?>"/></td>
        </tr>
        <tr>
            <td class="db_parameter"><?php echo Text::_('Database prefix'); ?>:</td>
            <td class="db_input"><input class="form-control" type="text" name="dbPrefix" value="<?php echo Request::getSafe("dbPrefix", "t_"); ?>"/></td>
        </tr>
    </table>
    <div class="buttons mt-3">
        <input type="hidden" name="step" value="3"/>
        <input class="btn btn-primary" type="submit" value="<?php echo Text::_('Check connection'); ?>"/>
    </div>
</form>