<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 367f5f58 (2024-10-05 22:10:09)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$server_uri = $_SERVER['SERVER_NAME'];
$server_port = ($_SERVER['SERVER_PORT'] == 443 ? 80 : $_SERVER['SERVER_PORT']);
$this->initDB();
$_templates = Files::getFolders(PATH_TEMPLATES . DS);
$sqlPath = PATH_INSTALL . 'sql' . DS;
?>
<h3 class="title"><?php echo Text::_('Site custom settings'); ?> : </h3>
<form class="m-0" name="frm_install" id="inst_frm" action="install.php" method="post">
    <input type="hidden" name="dbHost" value="<?php echo \DatabaseConfig::$dbHost; ?>"/>
    <input type="hidden" name="dbPort" value="<?php echo \DatabaseConfig::$dbPort; ?>"/>
    <input type="hidden" name="dbUser" value="<?php echo \DatabaseConfig::$dbUser; ?>"/>
    <input type="hidden" name="dbPassword" value="<?php echo \DatabaseConfig::$dbPassword; ?>"/>
    <input type="hidden" name="dbName" value="<?php echo \DatabaseConfig::$dbName; ?>"/>
    <input type="hidden" name="dbPrefix" value="<?php echo \DatabaseConfig::$dbPrefix; ?>"/>
    <input type="hidden" name="step" value="4"/>
    <table class="site-settings table table-bordered table-hover table-condensed align-middle">
        <tr>
            <td class="site-parameter"><?php echo Text::_('Site domain'); ?>:</td>
            <td class="site-input"><input class="form-control" type="text" name="siteDomain" value="<?php echo Request::getSafe("siteDomain", $server_uri); ?>"/></td>
        </tr>
        <tr>
            <td class="site-parameter"><?php echo Text::_('Site port'); ?>:</td>
            <td class="site-input"><input class="form-control" type="text" name="sitePort" value="<?php echo Request::getInt("sitePort", $server_port); ?>"/></td>
        </tr>
        <tr>
            <td class="site-parameter"><?php echo Text::_('Site SSL port'); ?>:</td>
            <td class="site-input"><input class="form-control" type="text" name="siteSSLPort" value="<?php echo Request::getInt("siteSSLPort", "443"); ?>"/></td>
        </tr>
        <tr>
            <td class="site-parameter"><?php echo Text::_('Site title'); ?>:</td>
            <td class="site-input"><input class="form-control" type="text" name="siteTitle" value="<?php echo Request::getSafe("siteTitle", "Arfa-CMS DEMO site"); ?>"/></td>
        </tr>
        <tr><td class="border-start-0 border-end-0 border-light" colspan="2"></td></tr>
        <tr>
            <td class="site-parameter"><?php echo Text::_('Install demo data'); ?>:</td>
            <td class="site-checkbox"><div class="form-check form-switch"><input class="form-check-input" type="checkbox"<?php echo Request::getInt("installDemo", 1) > 0 ? " checked=\"checked\"" : ""; ?> value="1" name="installDemo"/></div></td>
        </tr>
        <tr><td class="border-start-0 border-end-0 border-light" colspan="2"></td></tr>
        <tr class="border-top border-1">
            <td class="site-parameter"><?php echo Text::_('Administrator e-mail'); ?>:</td>
            <td class="site-input"><input class="form-control" type="text" name="adminEmail" value="<?php echo Request::getSafe("adminEmail", "email@email.ru"); ?>"/></td>
        </tr>
        <tr>
            <td class="site-parameter"><?php echo Text::_('Administrator password') . " (" . Text::_('minimum length 6 characters') . ")"; ?>:</td>
            <td class="site-input"><input class="form-control" type="password" name="adminPass" value=""/></td>
        </tr>
        <tr>
            <td class="site-parameter"><?php echo Text::_('Repeat administrator password'); ?>:</td>
            <td class="site-input"><input class="form-control" type="password" name="adminPass2" value=""/></td>
        </tr>
        <!--
        <tr><td colspan="2">&nbsp;</td></tr>
        <tr>
            <td class="site-parameter"><?php echo Text::_('Delete installer after installation complete'); ?>:</td>
            <td class="site-checkbox"><div class="form-check form-switch"><input class="form-check-input" type="checkbox" checked="checked" value="1" name="deleteInstaller" /></div></td>
        </tr>
        -->
    </table>
    <div class="alert alert-warning text-center"><?php echo Text::_('Install process may take a several minutes'); ?></div>
    <div class="buttons mt-3">
        <input class="btn btn-primary" type="submit" value="<?php echo Text::_('Install'); ?>"/>
    </div>
</form>
