<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\MVC\Model;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class aclmgrModelRules extends Model {

	public function getObjects($admin=0) {
		$query = "SELECT * FROM #__acl_objects"
						." WHERE ao_is_admin=".intval($admin)
						." AND (ao_module_name='system' OR ao_module_name='common_rules' OR ao_module_name IN ('".implode("','",Module::getInstalledModules())."'))"
						." ORDER BY ao_module_name, ao_ordering, ao_name";
		$this->_db->setQuery($query);
		$allObjects = $this->_db->loadObjectList("ao_id");
		$enObjects = array();
		foreach ($allObjects as $object) {
			if (!in_array($object->ao_module_name,Portal::getInstance()->getDisabledModules())) {
				$enObjects[$object->ao_id] = $object; 
			}
		}
		
		return $enObjects;
	}

	public function setRule($aclObjectId,$aclRoleId,$aclAccess) {
		$aclAccess = intval($aclAccess);
		$query = "INSERT INTO `#__acl_rules` VALUES(".$aclObjectId.",".$aclRoleId.",".$aclAccess.")";
		$query .= " ON DUPLICATE KEY UPDATE acl_access=".$aclAccess;
		$this->_db->setQuery($query);
		$this->_db->query();	
	}
	
	public function getRules($roleId,$objects) {
		$qin = "(";
		foreach ($objects as $objectId=>$object) {
			if ($qin != "(") $qin .= ",";
			$qin .= $objectId;
		}
		$qin .= ")";
		$query = "SELECT * FROM #__acl_rules AS ar LEFT JOIN #__acl_objects AS ao ON ar.acl_object_id=ao.ao_id"
						." WHERE (ar.acl_role_id=".intval($roleId).") AND (ar.acl_object_id IN ".$qin.")"
						." ORDER BY ao.ao_module_name";
		$this->_db->setQuery($query);
		return $this->_db->loadObjectList();
	}

}

?>