<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8ab5a78a (2024-10-18 17:12:46)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$feCurrent = "";
$beCurrent = "";
$feClass = "";
$beClass = "";
if ($this->tabId == "backend") {
    $beCurrent = " active";
    $beClass = " active";
} else {
    $feCurrent = " active";
    $feClass = " active";
}
?>
<div class="acl-manager rounded-pan">
    <h4 class="title"><?php echo Text::_('ACL manager') . " (" . $this->roleName . ")"; ?></h4>
    <?php if (count($this->message)) { ?>
        <div class="row">
            <div class="col-lg-12"><?php
                foreach ($this->message as $message) {
                    echo "<p class=\"error\">" . $message . "</p>";
                }
                ?></div>
        </div>
    <?php } ?>
    <ul class="nav nav-tabs" id="tabs">
        <li class="nav-item">
            <a class="nav-link<?php echo $feCurrent; ?>" aria-expanded="false" data-bs-target="#tab_frontend" data-bs-toggle="tab"><?php echo Text::_('Frontend'); ?></a>
        </li>
        <li class="nav-item">
            <a class="nav-link<?php echo $beCurrent; ?>" aria-expanded="false" data-bs-target="#tab_backend" data-bs-toggle="tab"><?php echo Text::_('Backend'); ?></a>
        </li>
    </ul>
    <div class="tab-content p-3">
        <div class="tab-pane<?php echo $feClass; ?>" id="tab_frontend">
            <form id="formFrontendRules" action="index.php" method="post">
                <input type="hidden" name="module" value="aclmgr"/>
                <input type="hidden" name="task" value="update"/>
                <input type="hidden" name="roleId" value="<?php echo $this->roleId; ?>"/>
                <input type="hidden" name="tabId" value="frontend"/>

                <?php $module = "";
                $_side = array("", "", "", "");
                $html = "";
                $rcount = 0;
                $r_part = ceil(count($this->objectsFE) / 3);
                $side_n = 1;
                foreach ($this->objectsFE as $objectf) {
                    if ($module != $objectf->ao_module_name) {
                        if ($module) {
                            $html .= "</fieldset>";
                            $_side[$side_n] .= $html;
                            if ($rcount > $r_part * $side_n) $side_n++;
                            $html = "";
                        }
                        $module = $objectf->ao_module_name;
                        $html .= "<fieldset class=\"grouped-fields px-3 mb-3\">";
                        $html .= "<legend>" . Text::_("Module rules for " . $module) . "</legend>";
                    }
                    $checked = "";
                    $canAccess = 0;
                    if (isset($objectf->canAccess)) if ($objectf->canAccess) {
                        $checked = "checked=\"checked\"";
                        $canAccess = 1;
                    }
                    $objectText = $objectf->ao_name;
                    if ($objectf->ao_description != "") $objectText = $objectf->ao_description;
                    $html .= "<div class=\"acl-rule form-check form-switch mb-3\">";
                    $html .= "<input class=\"form-check-input\" id=\"access_" . $objectf->ao_id . "\" type=\"checkbox\" name=\"access[" . $objectf->ao_id . "]\" " . $checked . " />";
                    $html .= HTMLControls::renderLabelField("access_" . $objectf->ao_id, Text::_($objectText));
                    $html .= "<input type=\"hidden\" name=\"oldAccess[" . $objectf->ao_id . "]\" value=\"" . $canAccess . "\" />";
                    $html .= "</div>";
                    $rcount++;
                }
                $html .= "</fieldset>";
                $_side[$side_n] .= $html;
                echo "<div class=\"row\"><div class=\"part_acl col-md-4\">" . $_side[1] . "</div><div class=\"part_acl col-md-4\">" . $_side[2] . "</div><div class=\"part_acl col-md-4\">" . $_side[3] . "</div></div>";
                ?>
                <div class="buttons">
                    <input type="submit" class="commonButton btn btn-primary" value="<?php echo Text::_('Apply tab'); ?>"/>
                    <input type="button" class="commonButton btn btn-primary" onclick="javascript:document.location.href='index.php?module=aclmgr&amp;view=roles&amp;return=1'; return true;" value="<?php echo Text::_('Cancel'); ?>" name="cancel"/>
                </div>
            </form>
        </div>

        <div class="tab-pane<?php echo $beClass; ?>" id="tab_backend">
            <form id="formBackendRules" action="index.php" method="post">
                <input type="hidden" name="module" value="aclmgr"/>
                <input type="hidden" name="task" value="update"/>
                <input type="hidden" name="roleId" value="<?php echo $this->roleId; ?>"/>
                <input type="hidden" name="tabId" value="backend"/>

                <?php $module = "";
                $_side = array("", "", "", "");
                $html = "";
                $rcount = 0;
                $r_part = ceil(count($this->objectsBE) / 3);
                $side_n = 1;
                foreach ($this->objectsBE as $objectb) {
                    if ($module != $objectb->ao_module_name) {
                        if ($module) {
                            $html .= "</fieldset>";
                            $_side[$side_n] .= $html;
                            if ($rcount > $r_part * $side_n) $side_n++;
                            $html = "";
                        }
                        $module = $objectb->ao_module_name;
                        $html .= "<fieldset class=\"grouped-fields px-3 mb-3\">";
                        $html .= "<legend>" . Text::_("Module rules for " . $module) . "</legend>";
                    }
                    $checked = "";
                    $canAccess = 0;
                    if (isset($objectb->canAccess)) if ($objectb->canAccess) {
                        $checked = "checked=\"checked\"";
                        $canAccess = 1;
                    }
                    $objectText = $objectb->ao_name;
                    if ($objectb->ao_description != "") $objectText = $objectb->ao_description;

                    $html .= "<div class=\"acl-rule form-check form-switch mb-3\">";
                    $html .= "<input class=\"form-check-input\" id=\"access_" . $objectb->ao_id . "\" type=\"checkbox\" name=\"access[" . $objectb->ao_id . "]\" " . $checked . " />";
                    $html .= HTMLControls::renderLabelField("access_" . $objectb->ao_id, Text::_($objectText));
                    $html .= "<input type=\"hidden\" name=\"oldAccess[" . $objectb->ao_id . "]\" value=\"" . $canAccess . "\" />";
                    $html .= "</div>";
                    $rcount++;
                }
                $html .= "</fieldset>";
                $_side[$side_n] .= $html;
                echo "<div class=\"row\"><div class=\"part_acl col-md-4\">" . $_side[1] . "</div><div class=\"part_acl col-md-4\">" . $_side[2] . "</div><div class=\"part_acl col-md-4\">" . $_side[3] . "</div></div>";
                ?>
                <div class="buttons">
                    <input type="submit" class="commonButton btn btn-primary" value="<?php echo Text::_('Apply tab'); ?>"/>
                    <input type="button" class="commonButton btn btn-primary" onclick="javascript:document.location.href='index.php?module=aclmgr&amp;view=roles'; return true;" value="<?php echo Text::_('Cancel'); ?>" name="cancel"/>
                </div>
            </form>
        </div>
    </div>
</div>
