<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1e0aa1a2 (2024-09-28 19:39:35)
// 

use ArfaCMS\Core\Router;
use ArfaCMS\Core\simpleTreeTable;
use ArfaCMS\DB\Database;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class articleModule extends Module {
	public function prepare() {
        if(defined("_ADMIN_MODE")){
            $this->setDefaultView('items');
        } else {
            $this->setDefaultView('list');
        }
    }
	public function getSitemapHTML() { 
		$db=Database::getInstance();
		$module=$this->getName();
		$result = array("html"=>"","links"=>array());
		
		$tree=new simpleTreeTable();
		$tree->table="articles";
		$tree->fld_id="a_id";
		$tree->fld_parent_id="a_parent_id";
		$tree->fld_title="a_title";
		$tree->fld_deleted="a_deleted";
		$tree->fld_enabled="a_published";
		$tree->fld_alias="a_alias";
		$tree->fld_orderby="a_title";
		$tree->element_link="index.php?module=article&amp;view=read&amp;psid=";
        $tree->resetDefaultClasses();
		$tree->buildTreeArrays("",0,1,1);
		$result["title_link"]=false; 
		$result["html"] = $tree->getTreeHTML(0, 'article_tree');
		return $result;
	}
    public function getLinksArray(&$i,&$_arr) {
        $db=Database::getInstance();
        $module=$this->getName();
        $sql2='SELECT a_id, a_title, a_alias, a_date, a_deleted FROM #__articles WHERE a_deleted=0 and a_published=1';
        $db->setQuery($sql2);
        $res2=$db->loadObjectList();
        if (count($res2)) {
            foreach($res2 as $val2)  {
                $i++;
                $_arr[$module][$i]['link']=Router::_("index.php?module=article&view=read&psid=".$val2->a_id."&alias=".$val2->a_alias, true);
                $_arr[$module][$i]['name']=$val2->a_title;
                $_arr[$module][$i]['fullname']=$val2->a_title;
                $_arr[$module][$i]['date_change']=$val2->a_date;
            }
        }
        return true;
    }
    public function getACLTemplate($is_admin=true){
        $acl=array();$i=0;
        if($is_admin){
            $i++;$acl[$i]['ao_name']='articleModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='deleteArticleItems'; $acl[$i]['ao_description']='Finally delete articles';
            $i++;$acl[$i]['ao_name']='viewArticleItems'; $acl[$i]['ao_description']='View articles';

        } else {
            $i++;$acl[$i]['ao_name']='articleModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='articleEditing';$acl[$i]['ao_description']='Article editing';
            $i++;$acl[$i]['ao_name']='articleVoting'; $acl[$i]['ao_description']='Voting';
        }
        return 	$acl;
    }
}
?>