<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0fc0f7b0 (2022-08-18 18:57:04)
// 

use ArfaCMS\DB\Database;

defined('_ARFACMS_VALID') or die("Access denied");

class blogHelperPost {
	public function getDates($psid,$postDates){
		if(isset($_COOKIE["arfacms_blog_".$psid])){
			$dates_arr=explode("#",$_COOKIE["arfacms_blog_".$psid]);
			if(count($dates_arr)==2) {
				$postStartDate=$dates_arr[0];
				if(preg_match ("/([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})/", $postStartDate) && $postStartDate!="0000-00-00"){
					$postDates["postStartDate"]=$postStartDate." 00:00:00";
				}
				$postEndDate=$dates_arr[1];
				if(preg_match ("/([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})/", $postEndDate) && $postEndDate!="0000-00-00"){
					$postDates["postEndDate"]=$postEndDate." 23:59:59";
				}
			} 
		}
		return $postDates;	
	}
	public function resetDates($psid){
		unset($_COOKIE["arfacms_blog_".$psid]);
	}
	public function getPostsDates($blog_id, $year=0, $month=0, $with_time=false){
		$result=array();
		$sql="SELECT p_date FROM #__blogs_posts WHERE p_deleted=0 AND p_enabled=1 AND p_blog_id=".$blog_id;
		if ($month && $year){
			$sql.=" AND YEAR(p_date)=".$year." AND MONTH(p_date)=".$month;
		}
		Database::getInstance()->setQuery($sql);
		$tmp=Database::getInstance()->loadAssocList();
		if ($with_time) return $tmp;
		if (count($tmp)){
			foreach($tmp as $key=>$dt){
				$d=substr(strval($dt["p_date"]), 0, 10);
				$result[]=$d;
			}
		}
		return $result;
	}
} 
?>
