<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\Request;
use ArfaCMS\Core\Router;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class blogModelPost extends SpravModel {
	public function cleanLinksFromBlogs(){
		// удаление ссылок
		$query = "DELETE FROM #__blogs_links WHERE parent_id NOT IN (SELECT bc_id FROM #__blogs_cats)".$this->_db->getDelimiter();
		$query.= "DELETE FROM #__tags WHERE t_module_name='".$this->getModule()->getName()."' AND t_object_id NOT IN (SELECT p_id FROM #__blogs_posts)".$this->_db->getDelimiter();
		$this->_db->setQuery($query); if(!$this->_db->query_batch(true,true)) return false;
		return true;
	}
	public function cleanRecords()	{
		if(parent::cleanRecords()) return $this->cleanLinksFromBlogs();	else return false;
	}
	public function save(){
		$tags=$this->buildTagsString(Request::getSafe("p_tags",""));
		Router::getInstance()->setVarsVal("p_tags",$tags);
		$new_psid=parent::save();
		if($new_psid) {
			$this->updateTags($new_psid, $tags);
			$this->updateAlias($new_psid, Request::getSafe('p_alias',""), Request::getSafe('p_theme',""));
		} else return 0;
		return $new_psid;		
	}	
}
?>