<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 689d1789 (2023-06-02 19:38:13)
// 

use ArfaCMS\Core\Router;
use ArfaCMS\DB\Database;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class blogModule extends Module {
	public function prepare() {
        if(defined("_ADMIN_MODE")){
            $this->setDefaultView('categories');
        } else {
            $this->setDefaultView('list');
        }
    }
	public function getSitemapHTML() {
		$arrCatsIdEx=explode(";", $this->getParam('exclude_cats_from_map'));
		$arrblogIdEx=explode(";", $this->getParam('exclude_blogs_from_map'));
		$db=Database::getInstance();
		$result = array("html"=>"","links"=>array());
		$rights=Module::getInstance('blog')->getModel('rights');
		$res=array(0);  	$res_ex=array();
		$sql_blog="SELECT b_id FROM #__blogs WHERE b_deleted=0 AND b_enabled=1";
		$db->setQuery($sql_blog);
		$arrblogId=$db->LoadResultArray();
		if(count($arrblogId)) {
			$res=array_keys($rights->getBlogsWithAction($arrblogId,'read'));
		}
		if(count($arrblogIdEx)) {
			foreach($arrblogIdEx as $blogId) {
				$res_ex[]=intval($blogId);
			}
		}
		$query="SELECT c.*,cats.bc_id,cats.bc_name,cats.bc_alias,links.ordering as ordering
				FROM #__blogs as c
				LEFT JOIN #__blogs_links AS links ON links.b_id=c.b_id
				LEFT JOIN #__blogs_cats AS cats ON cats.bc_id=links.parent_id AND cats.bc_enabled=1 AND cats.bc_deleted=0
				WHERE c.b_deleted=0 AND c.b_enabled=1 AND c.b_show_in_list=1";
		if (count($res)) {
			$query .= " AND (c.b_id IN (".implode(",",$res)."))";
		}
		if (count($res_ex)) {
			$query .= " AND (c.b_id NOT IN (".implode(",",$res_ex)."))";
		}
		$query .=" ORDER BY cats.bc_id, links.ordering ASC";
		$db->setQuery($query);
		$blogs = $db->loadObjectList();
		$current_category=NULL;
		$html='';
		$ul_started=0;
		if(count($blogs)) {
			$html.="<ul>";
			foreach($blogs as $blog) {
				if($current_category!=$blog->bc_id&&!is_null($blog->bc_id)) {
					if($ul_started) {
						$html.="</ul></li>";
						$ul_started--;
					}
					$html.="<li><a href=\"".Router::_("index.php?module=blog&view=category&psid=".$blog->bc_id."&alias=".$blog->bc_alias)."\">".$blog->bc_name."</a>";
					$html.="<ul>";
					$html.="<li><a href=\"".Router::_("index.php?module=blog&view=list&psid=".$blog->b_id."&alias=".$blog->b_alias)."\">".$blog->b_name."</a></li>";
					$ul_started++;
					$current_category=$blog->bc_id;
				} else {
					$html.="<li><a href=\"".Router::_("index.php?module=blog&view=list&psid=".$blog->b_id."&alias=".$blog->b_alias)."\">".$blog->b_name."</a></li>";
				}
			}
			if($ul_started) $html.="</ul></li>";
			$html.="</ul>";
		}
		$result["title_link"]=false;
		$result['html']=$html;
		return $result;
	}
    public function getLinksArray(&$i,&$_arr) {
        $arrCatsIdEx=explode(";", $this->getParam('exclude_cats_from_map'));
        $arrIdEx=explode(";", $this->getParam('exclude_blogs_from_map'));

        $db=Database::getInstance();
        $module=$this->getName();
        // категории блогов
        $sql='SELECT bc_id, bc_name, bc_alias, bc_meta_title FROM #__blogs_cats WHERE bc_enabled=1 AND bc_deleted=0';
        $db->setQuery($sql);
        $res=$db->loadObjectList();
        if (count($res)) {
            foreach($res as $val)  {
                $i++;
                $_arr[$module][$i]['link']=Router::_("index.php?module=blog&view=category&psid=".$val->bc_id."&alias=".$val->bc_alias, true);
                $_arr[$module][$i]['name']=$val->bc_name;
                if ($val->bc_meta_title) $_arr[$module][$i]['fullname']=$val->bc_meta_title;
                else $_arr[$module][$i]['fullname']=$val->bc_name;
            }
        }
        // блоги и их посты
        $rights=Module::getInstance('blog')->getModel('rights');
        $res_id=array(0); $res_ex=array();
        $sql_blog="SELECT b_id FROM #__blogs WHERE b_deleted=0 AND b_enabled=1";
        $db->setQuery($sql_blog);
        $arrId=$db->LoadResultArray();
        if(count($arrId)) $res_id=array_keys($rights->getBlogsWithAction($arrId,'read'));
        if(count($arrIdEx)) {
            foreach($arrIdEx as $eId) {
                $res_ex[]=intval($eId);
            }
        }
        $query='SELECT b_id, b_name,b_alias,b_meta_title FROM #__blogs WHERE b_enabled=1 AND b_deleted=0';
        if (count($res_id)) $query .= " AND (b_id IN (".implode(",",$res_id)."))";
        if (count($res_ex)) $query .= " AND (b_id NOT IN (".implode(",",$res_ex)."))";
        $db->setQuery($query);
        $res_blog=$db->loadObjectList();
        if (count($res_blog)) {
            foreach($res_blog as $val)  {
                $i++;
                $_arr[$module][$i]['link']=Router::_("index.php?module=blog&view=list&psid=".$val->b_id."&alias=".$val->b_alias, true);
                $_arr[$module][$i]['name']=$val->b_name;
                if ($val->b_meta_title) $_arr[$module][$i]['fullname']=$val->b_meta_title;
                else $_arr[$module][$i]['fullname']=$val->b_name;
                // идем в посты этого блога
                $sql_post='SELECT p_id, p_theme,p_alias,p_meta_title,p_touch_date FROM #__blogs_posts WHERE p_blog_id='.$val->b_id.' AND  p_enabled=1 AND p_deleted=0';
                if (count($res_id)) $query .= " AND (p_blog_id IN (".implode(",",$res_id)."))";
                if (count($res_ex)) $query .= " AND (p_blog_id NOT IN (".implode(",",$res_ex)."))";
                $db->setQuery($sql_post);
                $res_post=$db->loadObjectList();
                foreach($res_post as $post)  {
                    $i++;
                    $_arr[$module][$i]['link']=Router::_("index.php?module=blog&view=post&psid=".$post->p_id."&alias=".$post->p_alias, true);
                    $_arr[$module][$i]['name']=$post->p_theme;
                    if ($val->b_meta_title) $_arr[$module][$i]['fullname']=$post->p_meta_title;
                    else $_arr[$module][$i]['fullname']=$post->p_theme;
                    $_arr[$module][$i]['date_change']=$post->p_touch_date;
                }

            }
        }
        return true;
    }
    public function getACLTemplate($is_admin=true){
        $acl=array();$i=0;
        if($is_admin){
            $i++;$acl[$i]['ao_name']='blogModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='deleteBlogList'; $acl[$i]['ao_description']='Finally delete blogs';
            $i++;$acl[$i]['ao_name']='viewBlogList'; $acl[$i]['ao_description']='View blogs list';
            $i++;$acl[$i]['ao_name']='viewBlogCategories'; $acl[$i]['ao_description']='View categories';
            $i++;$acl[$i]['ao_name']='modifyBlogCategories'; $acl[$i]['ao_description']='Modify categories';
            $i++;$acl[$i]['ao_name']='viewSetRights'; $acl[$i]['ao_description']='View and modify rights';
            $i++;$acl[$i]['ao_name']='deleteBlogCategories'; $acl[$i]['ao_description']='Finally delete categories';
            $i++;$acl[$i]['ao_name']='viewBlogPost'; $acl[$i]['ao_description']='View posts';
            $i++;$acl[$i]['ao_name']='deleteBlogPost'; $acl[$i]['ao_description']='Finally delete blog posts';
        } else {
            $i++;$acl[$i]['ao_name']='blogModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='viewBlogList'; $acl[$i]['ao_description']='View blogs list';
            $i++;$acl[$i]['ao_name']='viewBlogCategories'; $acl[$i]['ao_description']='View categories';
        }
        return 	$acl;
    }
}
?>