<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 114e397c (2024-09-28 03:21:15)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$cols=count($this->actions)+1;
$rules=array();
if (count($this->rights)) {
	foreach($this->rights as $right){ $rules[$right->b_id][$right->u_id][$right->action]=$right->flag; }
}
?>
<div class="br_map-wrapper">
	<h4 class="title"><?php echo Text::_('Blog rights map by users'); ?></h4>
	<table class="br_map table table-bordered table-hover table-condensed align-middle text-center sprav-table">
	<?php foreach ($this->blogs as $blog) { 
		if ($blog->b_deleted) $subclass=" deleted"; else $subclass=""	?>
		<tr class="header"><th class="br_title<?php echo $subclass;?>" colspan="<?php echo $cols; ?>"><?php echo Text::_('Blog')." : ".$blog->b_name; ?></td></tr>
		<tr class="subheader">
			<td>&nbsp;</td>
			<?php foreach ($this->actions as $act) {?>
				<td class="br_title"><?php echo Text::_("blog_".$act);?></td>
			<?php } ?>
		</tr>
		<?php foreach ($this->users as $user) {?>
		<tr class="rules">
			<th class="br_title text-start"><?php echo $user->u_login?> (<?php echo $user->u_nickname?>)</td>
			<?php foreach ($this->actions as $act) {?>
				<td class="right-action-switch"><?php
				if(isset($rules[$blog->b_id][$user->u_id][$act])){
					if ($rules[$blog->b_id][$user->u_id][$act]) {
						$newflag=2;
						$state=1;
					} else {
						$newflag=1;
						$state=0;
					}
				}	else {
					$newflag=1;
					$state=2; 
				}
				echo "<a class=\"granted-".$state."\" onclick=\"updateUserRule(this, '".$blog->b_id."', '".$user->u_id."', '".$act."', '".$newflag."')\"><i class=\"bi bi-flag-fill\"></i></a>";
				?></td>
			<?php } ?>
		</tr>
		<?php } ?>
		<tr class="br_separator"><td colspan="<?php echo $cols; ?>">&nbsp;</td></tr>
	<?php } ?>
	</table>
</div>