<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: dd244b00 (2024-10-10 13:35:05)
// 

use ArfaCMS\Core\Event;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<form action="<?php echo Router::_("index.php"); ?>" method="post">
    <input type="hidden" name="module" value="blog"/>
    <input type="hidden" name="task" value="save"/>
    <input type="hidden" name="postId" value="<?php echo $this->postId; ?>"/>
    <input type="hidden" name="psid" value="<?php echo $this->psid; ?>"/>
    <input type="hidden" name="authorId" value="<?php echo $this->authorId; ?>"/>
    <input type="hidden" name="preEditTags" value="<?php echo $this->tagData; ?>"/>
    <input type="hidden" name="_requestVerificationToken" value="<?php echo Request::getVerificationToken(); ?>"/>
    <?php if ($this->blogs && count($this->blogs) > 1) { ?>
        <div id="postBlog" class="row mb-3">
            <div class="col-12 mb-2">
                <?php echo HTMLControls::renderLabelField("blog_id", Text::_('Move to') . ":"); ?>
            </div>
            <div class="col-12">
                <?php echo HTMLControls::renderSelect("blog_id", "blog_id", "b_id", "b_name", $this->blogs, $this->psid, false); ?>
            </div>
        </div>
    <?php } ?>
    <div id="postTheme" class="row mb-3">
        <div class="col-12 mb-2">
            <?php echo HTMLControls::renderLabelField("postThemeFld", Text::_('Theme') . ":"); ?>
        </div>
        <div class="col-12">
            <?php echo HTMLControls::renderInputText("postTheme", $this->postTheme, "120", "120", "postThemeFld"); ?>
        </div>
    </div>
    <div id="postAlias" class="row mb-3">
        <div class="col-12 mb-2">
            <?php echo HTMLControls::renderLabelField("postAliasFld", Text::_('Alias') . ":"); ?>
        </div>
        <div class="col-12">
            <?php echo HTMLControls::renderInputText("postAlias", $this->postAlias, "120", "120", "postAliasFld"); ?>
        </div>
    </div>
    <div class="row mb-3">
        <div class="col-12 mb-2">
            <?php echo HTMLControls::renderLabelField("postText", Text::_('Text of record') . ":"); ?>
        </div>
        <div class="col-12">
            <?php
            if ($this->guiEditor) echo HTMLControls::renderEditor('postText', '', $this->postText);
            else {
                Event::raise("bbcode.editor", array("element_id" => "postText"));
                echo HTMLControls::renderBBCodeEditor('postText', '', $this->postText, 50, 15);
            }
            ?>
        </div>
    </div>
    <div class="row mb-3" id="postTagsBlock">
        <div class="col-12 mb-2">
            <?php echo HTMLControls::renderLabelField("postTags", Text::_('Tags') . " (" . Text::_('comma separated') . ")" . ":"); ?>
        </div>
        <div class="col-12">
            <?php echo HTMLControls::renderInputText("tagData", $this->tagData, "80", "80", "postTags"); ?>
        </div>
    </div>
    <div id="postEditorFooter" class="buttons">
        <input type="submit" class="commonButton btn btn-primary" value="<?php echo Text::_('Save'); ?>"/>
    </div>
</form>