<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0520dfc1 (2022-08-18 21:26:27)
// 

use ArfaCMS\Core\Request;
use ArfaCMS\Core\Session;
use ArfaCMS\DB\Database;

defined('_ARFACMS_VALID') or die("Access denied");

class catalogHelperCompare {
	public static $cookie_name = "arfacms_compare";
	private $compare_id = null;
	private $compare_hash = null;
	public $goods = array(); // id, optArr и количество товаров
	public $keepTime = 1209600; // 14 дней
	
	public function __construct() {
		// $this->initObj();
		$compare_id = Request::getSafe("compare_id","","cookie");
		if(!$compare_id) {
			$compare_id=base64_encode(md5(session_id()).md5(time()));
			Session::getInstance()->setcookie("compare_id", $compare_id, time() + 60*\siteConfig::$cookieLifeTime,"/");
		}
		$this->compare_id=$compare_id;
		$this->compare_hash=md5(Session::getInstance()->getKey());
		$this->cleanOldCompare();
		$this->loadCompare();
	}
	public function cleanOldCompare(){
		$sql = "DELETE FROM #__goods_compare WHERE compare_touch<".(time()-$this->keepTime);
		Database::getInstance()->setQuery($sql);
		return Database::getInstance()->query();
	}
	private function loadCompare() {
		$sql = "SELECT compare_data FROM #__goods_compare WHERE compare_id='".$this->compare_id."'";
		Database::getInstance()->setQuery($sql);
		$this->goods = json_decode(base64_decode(Database::getInstance()->loadResult()), true);
		if(!is_array($this->goods)) $this->goods = array();
	}
	private function saveCompare() {
		$compare_data = base64_encode(json_encode($this->goods));
		$sql = "INSERT INTO #__goods_compare  VALUES ('".$this->compare_id."', ".time().", '".$compare_data."') ON DUPLICATE KEY UPDATE compare_touch=".time().", compare_data='".$compare_data."'";
		Database::getInstance()->setQuery($sql);
		return Database::getInstance()->query();
	}
	public function addComparePosition($psid) {
		$this->goods[$psid] = $psid;
		return $this->saveCompare();
	}
	public function getCompareHash(){
		return $this->compare_hash;
	}
	public function getCompare(){
		return $this->goods;
	}
	public function deleteComparePosition($psid) {
		if ($this->goods && count($this->goods) && array_key_exists($psid, $this->goods)) {
			unset($this->goods[$psid]);
			return $this->saveCompare();
		} else return true;
	}
}
?>
