<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 610dae1f (2023-06-21 18:46:48)
// 

use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Goods groups list",
        "tablename" => "goods_group",
        "keystring" => "ggr_id",
        "namestring" => "ggr_name",
        "alias_field" => "ggr_alias",
        "enabled" => "ggr_enabled",
        "deleted" => "ggr_deleted",
        "multy_field" => "ggr_id_parent",
        "ordering_field" => "ggr_ordering",
        "tree_skip_deleted" => Module::getInstance("catalog")->getParam("tree_skip_deleted")
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "goodsgroup", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "goodsgroup"),
        "clone" => array("show" => 1, "view" => "goodsgroup", "task" => "make_clone"),
        "modify" => array("show" => 1, "view" => "goodsgroup", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "goodsgroup", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "goodsgroup", "task" => "reorder"),
        "undelete" => array("show" => 1, "view" => "goodsgroup", "task" => "delete"),
        "clean_trash" => array("show" => 1, "link" => false),
        "trash" => array("show" => 1, "link" => false)
    ),
    "uni_buttons" => array(
        "list_goods" => array(
            "title" => "List goods in opened category",
            "alt" => '',
            "link" => 'index.php?module=catalog&view=goods&psid=%s',
            "position" => "right"
        ),
        "filter_goods" => array(
            "title" => "Filter goods",
            "alt" => 'Filter goods',
            "view" => 'goods',
            "task" => '',
            "layout" => "",
            "module" => 'catalog',
            "position" => "left",
            "link" => "javascript:showFilter('catalog','goods','','','" . Text::_("Filter goods") . "'); return false;"
        )
    ),
    "fields" => array(
        "field" => array(1 => 'ggr_id', 'ggr_id_parent', 'ggr_name', 'ggr_alias', 'ggr_thumb',
            'ggr_title_thm', 'ggr_alt_thm', 'ggr_image', 'ggr_title_img', 'ggr_alt_img',
            'ggr_image_inherit', 'ggr_comment', 'ggr_meta_title', 'ggr_meta_description', 'ggr_meta_keywords',
            'ggr_list_tmpl', 'ggr_ordering', 'ggr_enabled', 'ggr_deleted', 'ggr_change_date',
            'ggr_change_uid', 'ggr_default_sorting'),
        "name" => array(1 => "Group ID", "Group parent", "Group name", "Alias", "Thumb",
            'Title thumb', 'Alt thumb', 'Image', 'Title image', 'Alt image',
            "Inherit images", "Description", 'Meta title', 'Meta description', 'Meta keywords',
            'List template', "Ordering", "Enabled", "Delete mark", 'Last change date',
            'Last changer', 'default goods sorting'),
        "input_type" => array(1 => 'hidden', 'select', 'text', 'text', 'image',
            'text', 'text', 'image', 'string', 'text',
            "checkbox", "texteditor", 'text', 'textarea', 'textarea',
            'select', 'text', "checkbox", 'hidden', 'label',
            'label_sel', 'select'),
        "val_type" => array(1 => 'int', 'int', 'string', 'string', 'string',
            'string', 'string', 'string', 'string', 'string',
            'boolean', "text", 'string', "text", "text",
            'string', 'int', 'boolean', 'boolean', 'datetime',
            'int', 'string'),
        "check_value" => array(3 => 2, 4 => 3),
        "upload_path" => array(5 => 'ggr', 8 => 'ggr/i'),
        "default_value" => array(20 => 'NOW', 21 => 'AUTHOR'),
        "link" => array(1 => 'index.php?module=catalog&view=goodsgroup&task=modify&psid=[0]&multy_code=[1]',
            3 => 'index.php?module=catalog&view=goods&psid=[0]', ''),
        "link_key" => array(1 => 'id,multy_code', 3 => 'id', ''),
        "link_title" => array(1 => 'Modify', 3 => 'List goods in this category'),
        "ck_reestr" => array(16 => 'goods_list_tmpl', 22 => 'goods_default_sorting'),
        "ch_table" => array(1 => "", 2 => "goods_group", 21 => 'users'),
        "ch_field" => array(1 => "", 2 => "ggr_name", 21 => 'u_nickname'),
        "ch_id" => array(1 => "", 2 => "ggr_id", 21 => 'u_id'),
        "ch_enabled" => array(1 => "", 2 => "ggr_enabled", 21 => ""),
        "ch_deleted" => array(1 => "", 2 => "ggr_deleted", 21 => ""),
        "ch_skip_deleted" => array(2 => 0),
        "ch_skip_disabled" => array(2 => 0)
    )
);
?>