<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Manufacturers",
        "tablename" => "manufacturers",
        "keystring" => "mf_id",
        "namestring" => "mf_name",
        "alias_field" => "mf_alias",
        "enabled" => "mf_enabled",
        "deleted" => "mf_deleted",
        "multy_field" => "mf_cat_id",
        "keysort" => "mf_name",
        "parent_view" => "manufacturer_cats",
        "parent_code" => "mfc_id"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "manufacturers", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "manufacturers"),
        "modify" => array("show" => 1, "view" => "manufacturers", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "manufacturers", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "manufacturers", "task" => "delete"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'mf_id', 'mf_cat_id', 'mf_name', 'mf_alias', 'mf_logo', 'mf_email', 'mf_url', 'mf_desc', 'mf_enabled', 'mf_deleted'),
        "name" => array(1 => 'ID', 'Category', 'Name', 'Alias', 'Logo', 'email', 'url', 'Description', 'Enabled', 'Deleted'),
        "input_type" => array(1 => 'hidden', 'select', 'text', 'text', 'image', 'text', 'text', 'texteditor', 'checkbox', "hidden"),
        "val_type" => array(1 => 'int', 'int', 'string', 'string', 'string', 'string', 'string', 'text', 'boolean', 'boolean'),
        "upload_path" => array(5 => 'manufacturers/logo'),
        "link" => array(3 => 'index.php?module=catalog&view=manufacturers&task=modify&psid=[0]&multy_code=[1]&sort=[2]&page=[3]&orderby=[4]'),
        "link_key" => array(3 => 'id,multy_code,sort,page,orderby'),
        "link_title" => array(3 => 'Modify'),
        "check_value" => array(4 => 3),
        "ch_table" => array(2 => "manufacturer_categories"),
        "ch_field" => array(2 => "mfc_name"),
        "ch_id" => array(2 => "mfc_id")
    )
);
?>