<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Goods options",
        "tablename" => "goods_options",
        "keystring" => "o_id",
        "namestring" => "o_title",
        // "alias_field" => "",
        "enabled" => "o_enabled",
        "deleted" => "o_deleted",
        "ordering_field" => "o_ordering",
        "custom_sql" => "AND c.o_custom>10 AND c.o_custom<20"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "options", "task" => "modifyOption"),
        "filter" => array("show" => 1, "view" => "options"),
        "modify" => array("show" => 1, "view" => "options", "task" => "modifyOption"),
        "reorder" => array("show" => 1, "view" => "options", "task" => "reorder"),
        "delete" => array("show" => 1, "view" => "options", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "options", "task" => "delete"),
        "trash" => array("show" => 1, "view" => "options", "link" => false),
        "clean_trash" => array("show" => 1, "view" => "options", "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'o_id', 'o_title', 'o_vals_count', 'o_default', 'o_type',
            'o_ordering', 'o_required', 'o_is_quantitative', 'o_deleted', 'o_custom',
            'o_enabled'),
        "name" => array(1 => 'ID', 'Label <Description>', "Option values", 'Default value', 'Field type',
            "Ordering", 'Required', 'Is quantitative', 'Deleted', "Is custom field",
            "Enabled"),
        "descr" => array(2 => "Comments in square brackets will not be displayed on the site"),
        "input_type" => array(1 => 'hidden', 'text', "label", 'hidden', 'select',
            'text', 'checkbox', 'checkbox', 'hidden', 'hidden',
            'checkbox'),
        "val_type" => array(1 => 'int', 'string', 'string', 'string', 'int',
            'int', 'boolean', 'boolean', 'boolean', 'int',
            'boolean'),
        "fim" => array(3 => "countOptionsVals"),
        "check_value" => array(1 => 0, 1, 0, 0, 1, 0, 0, 0, 1),
        "update_type" => array(5 => 0, 10 => 0),
        "default_value" => array(10 => 11, 11 => 1),
        "ch_table" => array(1 => "", 5 => "goods_opt_types"),
        "ch_field" => array(1 => "", 5 => "t_name"),
        "ch_id" => array(1 => "", 5 => "t_id"),
        "ck_reestr" => array(10 => "goods_option_type")
    )
);
?>