<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 617f4f23 (2023-04-26 01:47:22)
// 

use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Goods option vals",
        "tablename" => "goods_opt_vals_data",
        "keystring" => "ovd_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "ovd_enabled",
        "multy_field" => "ovd_od_id",
        "ordering_field" => "ovd_ordering",
        "parent_table" => "goods_options_data",
        "parent_name" => "od_id",
        "parent_view" => "options_data",
        "parent_code" => "od_id",
        "use_view_rights" => "goods"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "optionvals_data", "task" => "modifyOptionvals_data"),
        "filter" => array("show" => 1, "view" => "optionvals_data"),
        "modify" => array("show" => 1, "view" => "optionvals_data", "task" => "modifyOptionvals_data"),
        "reorder" => array("show" => 1, "view" => "optionvals_data", "task" => "reorder"),
        "delete" => array("show" => 1, "view" => "optionvals_data", "task" => "deleteNow"),
    ),
    "fields" => array(
        "field" => array(1 => 'ovd_id', 'ovd_od_id_name', 'ovd_val_id', 'ovd_price_sign', 'ovd_price_1',
            'ovd_price_2', 'ovd_price_3', 'ovd_price_4', 'ovd_price_5', 'ovd_thumb',
            'ovd_points_sign', 'ovd_points', 'ovd_weight_sign', 'ovd_weight', 'ovd_length_sign',
            'ovd_length', 'ovd_width_sign', 'ovd_width', 'ovd_height_sign', 'ovd_height',
            'ovd_check_stock', 'ovd_stock', 'ovd_ordering', 'ovd_od_id', 'ovd_enabled'),
        "name" => array(1 => 'ID', 'Option name', 'Name', 'Price sign', 'Price 1',
            'Price 2', 'Price 3', 'Price 4', 'Price 5', 'Thumb',
            'Points sign', 'Points', 'Weight sign', 'Weight', 'Length sign',
            'Length', 'Width_sign', 'Width', 'Height sign', 'Height',
            'Check stock', 'Stock', 'Ordering', 'ovd_od_id', 'Enabled'),
        "input_type" => array(1 => 'hidden', 'label', 'select', 'select', 'text',
            'text', 'text', 'text', 'text', 'image',
            'select', 'text', 'select', 'text', 'select',
            'text', 'select', 'text', 'select', 'text',
            'checkbox', 'text', 'text', 'hidden', 'checkbox'),
        "val_type" => array(1 => 'int', 'string', 'int', 'string', 'currency',
            'currency', 'currency', 'currency', 'currency', 'string',
            'string', 'int', 'string', 'float', 'string',
            'float', 'string', 'float', 'string', 'float',
            'boolean', 'float', 'int', 'int', 'boolean'),
        "check_value" => array(3 => 1, 4 => 1, 11 => 1, 13 => 1, 15 => 1, 17 => 1, 19 => 1),
        "default_value" => array(25 => 1),
        "view" => array(24 => 0),
        "fim" => array(2 => "getOptionName"),
        "ch_table" => array(3 => "goods_opt_vals", 24 => "goods_options_data"),
        "ch_field" => array(3 => "ov_name", 24 => "od_id"),
        "ch_id" => array(3 => "ov_id", 24 => "od_id"),
        "ch_sp_field" => array(3 => "ov_opt_id"),
        "ch_sp_field_val" => array(3 => Module::getInstance()->get('reestr')->get('opt_vals_parent', 0)),
        "ck_reestr" => array(4 => 'sign_vals_ext', 11 => 'sign_vals_ext', 13 => 'sign_vals_ext', 15 => 'sign_vals_ext', 17 => 'sign_vals_ext', 19 => 'sign_vals_ext'),
        "upload_path" => array(10 => 'i/opt_vals_data/thumbs')
    )
);
?>