<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: cbb61111 (2022-08-23 01:35:55)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\MVC\Module;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class catalogModelImages extends SpravModel {
	
	public function updateThumb($psid,$thumb){
		$sql="UPDATE #__goods_img SET i_thumb='".$thumb."' WHERE i_id='".$psid."'";
		$this->_db->setQuery($sql);
		return $this->_db->query();
	}
	
	public function save()	{
		$mdl = Module::getInstance();
		$reestr = $mdl->get('reestr');
		$psid = $reestr->get('psid');
		$new_psid=parent::save();
		if ($new_psid) { 
			if (\catalogConfig::$thumbAutoCreate && \catalogConfig::$thumb_width && \catalogConfig::$thumb_height && $_FILES["i_image"]["name"] && !$_FILES["i_thumb"]["name"]) {
				$res=$this->getElement($new_psid);
				if (!$res) return false;
				$_dest=ARFACMS_STORAGE_PATH."catalog".DS."i".DS."thumbs".DS.$res->i_thumb;
				if ((!$res->i_thumb)||(!file_exists($_dest))) {
					$filename=Files::splitAppendix($res->i_image, true);
					if ($filename) {
						Files::checkFolder(ARFACMS_STORAGE_PATH."catalog".DS."i".DS."thumbs".DS.Files::getAppendix($filename), true);
						$_src=ARFACMS_STORAGE_PATH."catalog".DS."i".DS."fullsize".DS.$filename;
						$_dest=ARFACMS_STORAGE_PATH."catalog".DS."i".DS."thumbs".DS.$filename;
						if(Files::isImage($_src))	{
							if (!Files::resizeImage($_src, $_dest, \catalogConfig::$thumb_width, \catalogConfig::$thumb_height)) return false;
							if (!$this->updateThumb($new_psid,$res->i_image)) return false;
						}							
					} else return false;
				}
			} elseif (\catalogConfig::$thumbAutoResize && \catalogConfig::$thumb_width && \catalogConfig::$thumb_height && $_FILES["i_thumb"]["name"]) {
				$res=$this->getElement($new_psid);
				if (!$res) return false;
				$_dest=ARFACMS_STORAGE_PATH."catalog".DS."i".DS."thumbs".DS.Files::splitAppendix($res->i_thumb, true);
				if ($res->i_thumb && is_file($_dest)) {
					$_src=$_dest;
					if(Files::isImage($_src))	{
						if (!Files::resizeImage($_src, $_dest, \catalogConfig::$thumb_width, \catalogConfig::$thumb_height)) return false;
					}
				}
			}
		}		
		return $new_psid;
	}
}
?>