<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8ab5a78a (2024-10-18 17:12:46)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;
use ArfaCMS\Sprav\SpravStatic;

defined('_ARFACMS_VALID') or die("Access denied");
$_activeTab = $this->activeTab;
$pans_titles = SpravStatic::getCKArray("admin_goods_pans_titles");
$last_tab = $meta->input_last_page;
$el_name = $frm->getInputValue($meta->namestring);
if (!$el_name) $el_name = Text::_('New position');
$html = "<div class=\"rounded-pan\">";
$html .= $frm->startLayout(false);
$html .= "<div id=\"tab_switcher\">";
$html .= "<ul  class=\"nav nav-tabs\" id=\"tabs\">";
for ($_key = 1; $_key <= $last_tab; $_key++) {
    if ($_key == $_activeTab) $_class = ' active'; else $_class = "";
    $html .= "<li class=\"nav-item\">";
    $html .= "<a class=\"nav-link" . $_class . "\" data-bs-target=\"#tab_" . $_key . "\" data-key=\"" . $_key . "\" data-bs-toggle=\"tab\">" . Text::_($pans_titles[$_key]) . "</a>";
    $html .= "</li>";
}
$_akey = $_key + 2;
if ($_akey == $_activeTab) $_class = ' active'; else $_class = "";
$html .= "<li class=\"nav-item\">";
$html .= "<a class=\"nav-link" . $_class . "\" data-bs-target=\"#tab_" . $_akey . "\" data-key=\"" . $_akey . "\" data-bs-toggle=\"tab\">" . Text::_("Goods") . "</a>";
$html .= "</li>";
$html .= "</ul>";
$html .= "</div>"; // tab_switcher
$html .= "<div class=\"tab-content pt-3 px-3\">";
for ($key = 1; $key <= $last_tab; $key++) {
    if ($key == $_activeTab) $_class = " active"; else $_class = "";
    $html .= "<div class=\"tab-pane" . $_class . "\" id=\"tab_" . $key . "\">";
    $html .= "<h4 class=\"title main-title\">" . $el_name . "</h4>";
    foreach ($input_type as $index => $value) {
        if ($key == 1) {
            if ($meta->input_page[$index] > 0 && $meta->input_page[$index] != $key) continue;
        } else {
            if ($meta->input_page[$index] != $key) continue;
        }
        if ($meta->input_view[$index] == 0 && $value != "hidden") continue;

        switch ($value) {
            case "hidden":
                continue 2;
                break;
            case "image":
                $html .= "<div class=\"modify-image-wrapper modify-wrapper-" . $value . "\" id=\"wrapper-" . $meta->field[$index] . "\"><div class=\"row mb-3\">";
                $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                $html .= "<div class=\"col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                $html .= "</div></div>";
                break;
            case "textarea":
            case "texteditor":
                $html .= "<div class=\"modify-editor-wrapper modify-wrapper-" . $value . "\" id=\"wrapper-" . $meta->field[$index] . "\"><div class=\"row mb-3\">";
                $html .= "<div class=\"modify-label col-md-12 mb-2\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                $html .= "<div class=\"modify-input col-md-12\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                $html .= "</div></div>";
                break;
            case "checkbox":
                $html .= "<div class=\"modify-wrapper modify-wrapper-" . $value . " row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
                $html .= "<div class=\"modify-label col-md-4 col mb-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                $html .= "<div class=\"modify-input col-md-8 col-auto align-self-center\"><div class=\"form-check form-switch\">" . $frm->renderInputPart($meta->field[$index]) . "</div></div>";
                $html .= "</div>";
                break;
            default:
                $html .= "<div class=\"modify-wrapper modify-wrapper-" . $value . " row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
                $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                $html .= "<div class=\"modify-input col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                $html .= "</div>";
                break;
        }
    }
    $html .= "</div>"; // tab-pane
}

$akey = $key + 2;
if ($akey == $_activeTab) $_class = " active"; else $_class = "";
$html .= "<div class=\"tab-pane" . $_class . "\" id=\"tab_" . $akey . "\">";
$html .= "<h4 class=\"title\">" . $el_name . "</h4>";
$html .= "<div class=\"links-wrapper\"><fieldset class=\"mb-3\">";
$html .= "<legend class=\"mb-lg-0\">" . Text::_("Goods list") . ":</legend>";
$html .= HTMLControls::renderHiddenField("goodsEditor_nf", $meta->namestring);
$a_info = ""; //"updateLabel(this,'".$module."','goods','getSKU',%s,1)";
$html .= HTMLControls::renderPopupMultySelect("goodsEditor", $this->goodsList, "", "", "index.php?module=" . $module . "&amp;view=goods&amp;layout=selector&amp;task=getContList&amp;lol=goodsEditor&amp;option=ajax", '', $a_info, false);
$html .= "</fieldset></div>"; // .links-wrapper
$html .= "</div>"; // .tab-pane
$html .= "</div>"; // tab-content
$html .= "<div class=\"modify-buttons buttons\">";
$html .= HTMLControls::renderHiddenField("activeTab", $_activeTab);
$html .= $frm->renderInputPart("save");
$html .= $frm->renderInputPart("apply");
$html .= $frm->renderInputPart("add_new");
$html .= $frm->renderInputPart("cancel");
$html .= "</div>"; // modify-buttons buttons
$html .= $frm->endLayout();
$html .= "</div>";
echo $html;
?>