<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1714fcae (2024-10-17 22:21:56)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");
Portal::getInstance()->AddScriptDeclaration("$(document).ready(function() { csv_export_checkbox('export_ggr'); });");
$form = new aForm("export_form");
$form->addInput(array("ID" => "step", "TYPE" => "hidden", "NAME" => "step", "VAL" => 1));
$form->addInput(array("ID" => "module", "TYPE" => "hidden", "NAME" => "module", "VAL" => "catalog"));
$form->addInput(array("ID" => "view", "TYPE" => "hidden", "NAME" => "view", "VAL" => "export"));
$form->addInput(array("CLASS" => "commonButton btn btn-primary", "TYPE" => "submit", "VAL" => Text::_("Continue"), "ID" => "doit", "NAME" => "doit", "ONCLICK" => "return csv_export_proceed();"));
?>
<div class="catalog-manager rounded-pan rounded-pan-medium">
    <h4 class="title"><?php echo Text::_("Export settings"); ?></h4>
    <?php $form->StartLayout(); ?>
    <div class="row mb-3">
        <div class="col-lg-6">
            <h4 class="title"><?php echo Text::_("Groups"); ?></h4>
            <?php echo $this->tree; ?>
        </div>
        <div class="col-lg-6">
            <h4 class="title"><?php echo Text::_("Fields"); ?></h4>
            <?php
            foreach ($this->fields as $key => $val) {
                if (in_array($key, $this->hidden_fields)) continue;
                echo "<span class=\"form-check\">"
                    . HTMLControls::renderCheckbox($key, 1, 1)
                    . HTMLControls::renderLabelField($key, $val, 1)
                    . "</span>";
            }
            ?>
        </div>
    </div>
    <div class="buttons">
        <?php $form->renderInputPart("module"); ?>
        <?php $form->renderInputPart("view"); ?>
        <?php $form->renderInputPart("step"); ?>
        <?php $form->renderInputPart("doit"); ?>
    </div>
    <?php $form->endLayout(); ?>
</div>