<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8ab5a78a (2024-10-18 17:12:46)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");
$html = "<div class=\"rounded-pan" . ($meta->classTable ? " " . $meta->classTable : "") . "\">";
$_activeTab = $this->activeTab;
$name_ggr = $frm->getInputValue('ggr_name');
if (!$name_ggr) $name_ggr = Text::_('New position');
$html .= $frm->startLayout(false);
$html .= "<div id=\"tab_switcher\">";
$html .= "<ul  class=\"nav nav-tabs\" id=\"tabs\">";
if ($_activeTab == 1) $_class = ' active'; else $_class = "";
$html .= "<li class=\"nav-item\">";
$html .= "<a class=\"nav-link " . $_class . "\" data-key=\"1\" data-bs-target=\"#tab_1\" data-bs-toggle=\"tab\">" . Text::_("Main data") . "</a>";
$html .= "</li>";
if ($psid && count($this->group_fields)) {
    if ($_activeTab == 2) $_class = ' active'; else $_class = "";
    $html .= "<li class=\"nav-item\">";
    $html .= "<a class=\"nav-link " . $_class . "\" data-key=\"2\" data-bs-target=\"#tab_2\" data-bs-toggle=\"tab\">" . Text::_("Group fields") . "</a>";
    $html .= "</li>";
}
$html .= "</ul></div>"; // tab_switcher

if ($_activeTab == 1) $_class = " active"; else $_class = "";
$html .= "<div class=\"tab-content pt-3 px-3\">";
$html .= "<div class=\"tab-pane" . $_class . "\" id=\"tab_1\">";
$html .= "<h4 class=\"title\">" . $name_ggr . "</h4>";
$html .= "<table class=\"rounded-tbl non-rounded-tbl\">";
foreach ($input_type as $index => $value) {
    if ($meta->input_view[$index] == 0 && $value != "hidden") continue;
    switch ($value) {
        case "hidden":
            continue 2;
            break;
        case "image":
            $html .= "<div class=\"modify-image-wrapper modify-wrapper-" . $value . "\" id=\"wrapper-" . $meta->field[$index] . "\"><div class=\"row mb-3\">";
            $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
            $html .= "<div class=\"col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
            $html .= "</div></div>";
            break;
        case "textarea":
        case "texteditor":
            $html .= "<div class=\"modify-editor-wrapper modify-wrapper-" . $value . "\" id=\"wrapper-" . $meta->field[$index] . "\"><div class=\"row mb-3\">";
            $html .= "<div class=\"modify-label col-md-12 mb-2\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
            $html .= "<div class=\"modify-input col-md-12\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
            $html .= "</div></div>";
            break;
        case "checkbox":
            $html .= "<div class=\"modify-wrapper modify-wrapper-" . $value . " row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
            $html .= "<div class=\"modify-label col-md-4 col mb-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
            $html .= "<div class=\"modify-input col-md-8 col-auto align-self-center\"><div class=\"form-check form-switch\">" . $frm->renderInputPart($meta->field[$index]) . "</div></div>";
            $html .= "</div>";
            break;
        default:
            $html .= "<div class=\"modify-wrapper modify-wrapper-" . $value . " row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
            $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
            $html .= "<div class=\"modify-input col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
            $html .= "</div>";
            break;
    }
}
$html .= "</table>";
$html .= "</div>"; // tab-pane
if ($psid && count($this->group_fields)) {
    if ($_activeTab == 2) $_class = " active"; else $_class = "";
    $html .= "<div class=\"tab-pane" . $_class . "\" id=\"tab_2\">";
    $html .= "<h4 class=\"title\">" . $name_ggr . "</h4>";
    $fg_id = -1;
    $toggleJS = "$(this).parents('fieldset.collapsible-fieldset').toggleClass('collapsed-fieldset');";
    foreach ($this->group_fields as $fkey => $fval) {
        if ($fval->fg_id != $fg_id) {
            if ($fg_id > -1) $html .= "</div></fieldset>";
            $html .= "<fieldset class=\"collapsible-fieldset params px-3 mb-3\" id=\"wrapper-block" . $fval->fg_id . "\">";
            $html .= "<legend class=\"clickable\" onclick=\"" . $toggleJS . "\">" . $fval->fg_name;
            $html .= "<i class=\"bi bi-chevron-up i-arrow-up\" aria-hidden=\"true\"></i><i class=\"bi bi-chevron-down i-arrow-down\" aria-hidden=\"true\"></i>";
            $html .= "</legend>";
            $html .= "<div class=\"visibility-wrapper\">";
            $fg_id = $fval->fg_id;
        }
        $html .= "<div class=\"form-check mb-2 ml-1\" id=\"wrapper-" . $meta->field[$index] . "\">";
        $html .= HTMLControls::renderCheckbox("group_field[" . $fval->f_id . "]", ($fval->parent_id ? $fval->f_id : 0), $fval->f_id, "group_field_" . $fval->f_id, "form-check-input");
        $html .= HTMLControls::renderLabelField("group_field_" . $fval->f_id, $fval->f_descr);
        $html .= "</div>";
    }
    if ($fg_id > -1) $html .= "</div></fieldset>";
    $html .= "</div>"; // tab-pane
}
$html .= "</div>"; //tab-content
$html .= "<div class=\"modify-buttons buttons\">";
$html .= HTMLControls::renderHiddenField("activeTab", $_activeTab);
$html .= $frm->renderInputPart("save");
$html .= $frm->renderInputPart("apply");
$html .= $frm->renderInputPart("add_clone");
$html .= $frm->renderInputPart("add_new");
$html .= $frm->renderInputPart("cancel");
$html .= "</div>"; // modify-buttons buttons
$html .= $frm->endLayout();
$html .= "</div>";
echo $html;
?>