<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1714fcae (2024-10-17 22:21:56)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$form = new aForm("file_form");
$form->addInput(array("ID" => "module", "TYPE" => "hidden", "NAME" => "module", "VAL" => "catalog"));
$form->addInput(array("ID" => "view", "TYPE" => "hidden", "NAME" => "view", "VAL" => "import"));
$form->addInput(array("ID" => "filecsv", "TYPE" => "file", "NAME" => "filecsv", "REQUIRED" => array("FLAG" => 1, "MESSAGE" => Text::_("It was not specified a valid file to upload"))));
$form->addInput(array("ID" => "step", "TYPE" => "hidden", "NAME" => "step", "VAL" => 1));
$form->addInput(array("ID" => "codepage", "TYPE" => "select", "NAME" => "codepage", "VAL" => "windows-1251", "OPTIONS" => array("windows-1251" => "windows-1251", "UTF-8" => "UTF-8")));
$form->addInput(array("CLASS" => "commonButton btn btn-primary", "TYPE" => "submit", "VAL" => Text::_("Start"), "ID" => "doit", "NAME" => "doit"));
?>
<div class="catalog-manager rounded-pan rounded-pan-medium">
    <h4 class="title"><?php echo Text::_("Import catalog data"); ?></h4>
    <?php $form->StartLayout(); ?>
    <div class="row">
        <div class="col-lg-12">
            <p class="error"><?php echo Text::_("Make backup first") . "!!!"; ?></p>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <p class="error"><?php echo Text::_("Maximum fields count") . " - 64 !!!"; ?></p>
        </div>
    </div>
    <div class="row mb-3">
        <div class="col-lg-12">
            <?php echo Text::_("Filetype") . ": *.csv,*.zip"; ?>
        </div>
    </div>
    <div class="row mb-3">
        <div class="col-md-4 mb-2 mb-md-0 align-self-center"><?php echo HTMLControls::renderLabelField("filecsv", Text::_("Select source file") . ":"); ?></div>
        <div class="col-md-8">
            <div class="fileselector-no-buttons"><?php $form->renderInputPart("filecsv"); ?></div>
        </div>
    </div>
    <div class="row mb-3">
        <div class="col-md-4 mb-2 mb-md-0 align-self-center"><?php echo HTMLControls::renderLabelField("codepage", Text::_("Codepage") . ":"); ?></div>
        <div class="col-md-8"><?php $form->renderInputPart("codepage"); ?></div>
    </div>
    <div class="buttons">
        <?php $form->renderInputPart("step"); ?>
        <?php $form->renderInputPart("doit"); ?>
    </div>
    <?php $form->endLayout(); ?>
</div>

