<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: ede00bfc (2024-10-03 12:17:44)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Portal;
use ArfaCMS\MVC\Module;
use ArfaCMS\Sprav\SpravView;

defined('_ARFACMS_VALID') or die("Access denied");

class catalogViewGoods extends SpravView {
	public function getEmptyImage() {
        return Files::getNoImageLink("no-photo.png");
	}
	public function getImage($img,$image_state=0) {
		$imgpath=ARFACMS_STORAGE_PATH.'catalog'.DS.'i'.DS;
		$imgurl="";
		if($image_state==1) $imgpath.='thumbs'.DS.Files::splitAppendix($img,true);
		elseif($image_state==2) $imgpath.='medium'.DS.Files::splitAppendix($img,true);
		else $imgpath.='fullsize'.DS.Files::splitAppendix($img,true);
		if((file_exists($imgpath))&&(is_file($imgpath))) {
			$imgurl=ARFACMS_STORAGE_LINK.'/catalog/i/';
			if($image_state==1) { $imgurl.='thumbs/'.Files::splitAppendix($img); }
			elseif($image_state==2) { $imgurl.='medium/'.Files::splitAppendix($img); }
			else { $imgurl.='fullsize/'.Files::splitAppendix($img); }
		} 
		return $imgurl;
	}
	public function renderPlayer($video, $width="100%", $height="auto"){
		if (is_file(ARFACMS_STORAGE_PATH."catalog".DS."videothumbs".DS.Files::getAppendix($video->v_image).DS.$video->v_image))
			$video->v_image = ARFACMS_STORAGE_LINK.'/catalog/videothumbs/'.Files::getAppendix($video->v_image)."/".$video->v_image;
		else $video->v_image="";
		return Module::getHelper("player","videoset")->render($video, $width, $height);
	}
	public function haveOptions($gids){
		return Module::getHelper("goods","catalog")->haveOptions($gids);
	}
	public function applyDiscounts($gid, $price, $discounts){
		return Module::getHelper("goods","catalog")->applyDiscounts($gid, $price, $discounts);
	}
	public function getExtendedPrices($ids){
		return Module::getHelper("goods","catalog")->getExtendedPrices($ids);
	}
	public function applyExtendedPrices($gid, $price, $quantity, $extPrices){
		return Module::getHelper("goods","catalog")->applyExtendedPrices($gid, $price, $quantity, $extPrices);
	}
}
?>