<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: e43b5b39 (2024-09-29 20:36:09)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

// Layout for catlogsearch widget 
$show_goods = $this->live_search_show_goods && count($this->goods);
$show_cats = $this->live_search_show_categories && count($this->categories);
if($show_cats){
	if($show_cats && $show_goods) echo "<h3 class=\"livesearch-title\">".Text::_("Categories")."</h3>";
	foreach ($this->categories as $cat){
		echo "<div class=\"livesearch-row\">";
		echo "<div class=\"livesearch-cats-title\">";
		$i = 0;
		$bc = array();
		foreach($cat as $key=>$val) {
			$i++;
			$bc[$i] = "<a class=\"livesearch-cat-link\" href=\"".Router::_("index.php?module=catalog&amp;view=goods&amp;psid=".(int)$key."&amp;alias=".$val["alias"]."&kwds=".urlencode($this->kwds).($this->controller ? "&controller=".$this->controller : ""))."\">".$val["title"]."</a>";
		}
		$bc=array_reverse($bc);
		echo implode(" / ", $bc);
		echo "</div>";
		echo "</div>";
	}
}

if($show_goods){
	if($show_cats && $show_goods) echo "<h3 class=\"livesearch-title\">".Text::_("Goods")."</h3>";
	foreach($this->goods as $g){
		$href = Router::_("index.php?module=catalog&view=goods&layout=info&psid=".$g->g_id."&amp;alias=".$g->g_alias.($this->controller ? "&controller=".$this->controller : ""));
		echo "<div class=\"livesearch-row\" onclick=\"location.href='".$href."'\">";
		echo "<div class=\"livesearch-thumb\">";
		$thumb=$this->getImage($g->g_thumb,1);
		if (!$thumb) $thumb = $this->getEmptyImage();
		echo HTMLControls::renderImage($thumb, false, \catalogConfig::$thumb_width, 0, "", $g->g_id.")".$g->g_name);
		echo "</div>";
		echo "<div class=\"livesearch-goods-title\">";
		echo $g->g_name;
		echo "</div>";
		echo "</div>";
	}
	if($this->count_goods > count($this->goods) && $this->live_search_show_more_goods){
		echo "<div class=\"livesearch-row\">";
		echo "<div class=\"livesearch-show_more\">";
		echo "<a href=\"".Router::_("index.php?module=catalog&kwds=".urlencode($this->kwds).($this->controller ? "&controller=".$this->controller : ""))."\">";
		echo Text::_("Show other variants");
		echo "</a>";
		echo "</div>";
		echo "</div>";
	}
}
?>
