<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: fbff1702 (2024-10-01 01:30:00)
// 

use ArfaCMS\Core\Basket;
use ArfaCMS\Core\orderDelivery;
use ArfaCMS\Core\orderPayment;
use ArfaCMS\Core\Currency;
use ArfaCMS\Core\Files;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\User;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$_js='
	$(document).ready(function(){
		calculateDelivery(1); // @FIXME ????????????????????
	});';
Portal::getInstance()->addScriptDeclaration($_js);
?>
<h1 class="title main-title"><?php echo Text::_("Order registration"); ?></h1>
<?php if ($this->count_vendor_goods) { ?>
	<div id="order_data"><?php echo Basket::getInstance()->modifyBasket(0, true, false,true); ?></div>

	<?php if(!$this->not_enough_sum && !$this->not_enough_quantity) { ?>
		<form id="dt_selector" name="dt_selector" action="<?php echo Router::_("index.php"); ?>" method="post" >
			<?php
            if (count($this->dt_list)>1 || (count($this->dt_list)==1 && count($this->pt_list)>0)) {
                echo "<div class=\"selector-pane\">";
                echo "	<div id=\"delivery_selector\">";
                $new_dts_ids = array();
                $is_ajax = Request::getSafe('option')=="ajax" ? 1 : 0;
                foreach ($this->dt_list as $k=>$obj){
                    orderDelivery::getDeliveryClass($obj->dt_id)->prepare($is_ajax);
                    if($obj->dt_price > 0){
                        $this->dt_list[$k]->dt_title.= " (".number_format(Currency::getInstance()->convert($obj->dt_price, $obj->dt_currency), \catalogConfig::$price_digits, DEFAULT_DECIMAL_SEPARATOR, DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName(DEFAULT_CURRENCY).")";
                    }
                    if($obj->dt_comments){
                        $this->dt_list[$k]->dt_title.= "<span class=\"delivery-comment\">".$obj->dt_comments."</span>";
                    }
                    if($obj->dt_logo){
                        $filename = ARFACMS_STORAGE_PATH."conf".DS."dts".DS.Files::splitAppendix($obj->dt_logo,true);
                        if (Files::isImage($filename)) {
                            $filelink = ARFACMS_STORAGE_LINK."/conf/dts/".Files::splitAppendix($obj->dt_logo);
                            $this->dt_list[$k]->dt_title.= "<img class=\"dts-logo\" src=\"".$filelink."\" alt=\"\">";
                        }
                    }
                    $new_dts_ids[] = $obj->dt_id;
                }
                if(!in_array($this->dt_selected, $new_dts_ids)) $this->dt_selected = $this->dt_list[0]->dt_id;

                echo "<h4 class=\"title\">".Text::_("Delivery type")." :</h4>";
                if (count($this->dt_list)==1) {
                    echo "<div class=\"single-delivery\">";
                    echo HTMLControls::renderLabelField(false, $this->dt_list[0]->dt_title, false, "", "label delivery");
                    echo HTMLControls::renderHiddenField('delivery_type', $this->dt_list[0]->dt_id);
                    echo "</div>";
                } else {
                    echo HTMLControls::renderRadioGroup('delivery_type', '', 'dt_id', 'dt_title', $this->dt_list, $this->dt_selected, "setOrderUserDataForm()","", true);
                }

                echo "	</div>";
                echo "</div>";

                echo "<div class=\"selector-pane\">";
                echo "	<div id=\"payment_selector\">";
                require $this->getLayoutForInclude("pts");
                echo "	</div>";
                echo "</div>";

                echo "<p id=\"order_error_message\" class=\"error\"".($this->err_message ? "" : "style=\"display:none;\"").">".$this->err_message."</p>";
                ?><div id="order_userdata_form"><?php echo $this->data_form; ?></div><?php

                $_html = "";
                if (User::getInstance()->isLoggedIn()){
                    $default_person=User::getInstance()->getNickname();
                    $default_email=User::getInstance()->getEmail();
                    $default_phone="";
                } else {
                    $default_person="";
                    $default_email="";
                    $default_phone="";
                }
                if (Module::getInstance()->getParam("require_person")) $_html.="<div class=\"row mb-3\"><div class=\"col-md-5 mb-2 mb-md-0 align-self-center\">".HTMLControls::renderLabelField("person", Text::_("Contact person"))."</div><div class=\"col-md-7\">".HTMLControls::renderInputText("userdata_person", Request::getSafe("userdata_person",$default_person),100,100, "userdata_person", "", false, true, "", array("onchange"=>"orderUserdataChanged(this);"))."</div></div>";
                if (Module::getInstance()->getParam("require_email")) $_html.="<div class=\"row mb-3\"><div class=\"col-md-5 mb-2 mb-md-0 align-self-center\">".HTMLControls::renderLabelField("email", Text::_("Contact email"))."</div><div class=\"col-md-7\">".HTMLControls::renderInputText("userdata_email", Request::getSafe("userdata_email",$default_email),100,100, "userdata_email", "", false, true, "", array("onchange"=>"orderUserdataChanged(this);"))."</div></div>";
                if (Module::getInstance()->getParam("require_phone")) $_html.="<div class=\"row mb-3\"><div class=\"col-md-5 mb-2 mb-md-0 align-self-center\">".HTMLControls::renderLabelField("phone", Text::_("Contact phone"))."</div><div class=\"col-md-7\">".HTMLControls::renderInputText("userdata_phone", Request::getSafe("userdata_phone",$default_phone),100,100, "userdata_phone", "phone form-control", false, true, "", array("onchange"=>"orderUserdataChanged(this);"))."</div></div>";
                if($_html) {
                    echo "<fieldset id=\"common_contacts\" class=\"grouped-fields px-3 mb-3\"><legend>".Text::_("Contacts")."</legend>";
                    echo $_html;
                    echo "</fieldset>";
                }
                echo "<div class=\"submit-selector\">";
                echo "<div class=\"row mb-3\"><div class=\"col-sm-12 mb-2\">";
                echo HTMLControls::renderLabelField(false,Text::_("Order comments"));
                echo "</div><div class=\"col-sm-12\">";
                echo HTMLControls::renderBBCodeEditor("order_comments","order_comments",$this->order_comments,50,3);
                echo "</div></div>";
                echo "</div>";

                echo "<div id=\"info_container\"class=\"\">";
                // Контейнер для вывода финальной информации
                echo "</div>";

                // catalog rules start
                echo"<div class=\"privacy-policy-block mb-3\">";
                $sr_art=Module::getHelper('article','article')->getArticle(intval(\catalogConfig::$catalog_rules_article));
                echo "<input class=\"commonEdit required form-check-input\" type=\"checkbox\" name=\"i_agree\" value=\"1\" required=\"required\" />"
                    ."&nbsp;".Text::_('I have read and agreed with')
                    ." <a rel=\"nofollow\" class=\"rel-popup-text\" href=\"".Router::_("index.php?module=article&amp;view=read&amp;psid=".$sr_art->a_id."&amp;alias=".$sr_art->a_alias."&amp;notmpl=1")."\">".Text::_('shop rules')."</a>";
                echo"</div>";
                // catalog rules end

                // privacy policy start
                echo"<div class=\"privacy-policy-block\">";
                $pp_art=Module::getHelper('article','article')->getArticle(intval(\siteConfig::$privacy_policy_article));
                echo "<input class=\"commonEdit required form-check-input\" type=\"checkbox\" name=\"privacy_policy_agree\" value=\"1\" required=\"required\" />"
                    ."&nbsp;".Text::_('I have read and agreed with')
                    ." <a rel=\"nofollow\" class=\"rel-popup-text\" href=\"".Router::_("index.php?module=article&amp;view=read&amp;psid=".$pp_art->a_id."&amp;alias=".$pp_art->a_alias."&amp;notmpl=1")."\">".Text::_('privacy policy')."</a>";
                echo"</div>";
                // privacy policy end

                $dt_default_class = orderDelivery::getDeliveryClass($this->dt_selected);
                $dt_need_recalc = false;
                if($dt_default_class && $dt_default_class->needRecalc()) $dt_need_recalc = true;
                ?>
                <div class="buttons">
                    <input type="hidden" name="module" value="catalog" />
                    <input type="hidden" name="view" value="orders" />
                    <input type="hidden" name="layout" value="new" />
                    <input type="hidden" name="step" value="3" />
                    <input <?php echo ($dt_need_recalc ? "" : "style=\"display:none;\"");?> id="calculate_delivery_button" class="shortcutButton btn btn-primary" type="button" onclick="calculateDelivery(0); return false;" value="<?php echo Text::_("Calculate delivery"); ?>" />
                    <input <?php echo ($dt_need_recalc ? "style=\"display:none;\"" : "");?> id="submit_order_button" class="shortcutButton btn btn-primary" type="button" onclick="orderOnSubmit();" value="<?php echo Text::_("Proceed order"); ?>" />
                </div>
            <?php
            }
            ?>
		</form>
	<?php } ?>
<?php } ?>