<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\BaseComments;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;
use ArfaCMS\Sprav\SpravController;

defined('_ARFACMS_VALID') or die("Access denied");

class commentsControllerDefault extends SpravController {
	public function showgroups() {
		$this->showData();
	}
	public function ajaxupdateRoleRule(){
		$grp_id	= Request::getSafe("psid");
		$role_id	= Request::getSafe("role");
		$action 	= Request::getSafe("act");
		$state			= Request::getInt("flag");
		if (!$grp_id || !$role_id || !in_array($action, BaseComments::getInstance()->getActions())) echo "ERROR DATA";
		$model 	= $this->getModel("rights");
		if ($model->setRuleForRole($grp_id,$role_id,$action,$state)) {
			echo "OK";
		} else {
			echo "ERROR UPDATE";
		}
	}
	public function showRights() {
		$mdl = Module::getInstance();
		$view = $this->getView();
		$model = $this->getModel();
		$groups = $model->getGroups();
		$roles = $model->getRoles();
		$rights = $model->getAllRulesForAllRoles();
		if (!count($groups)) $this->setRedirect('index.php?module=comments',Text::_('Group not exists'));
		else {
			$view->assign("grps",$groups);
			$view->assign("roles",$roles);
			$view->assign("rights",$rights);
			$view->assign("actions",BaseComments::getInstance()->getActions());
		}
	}
	public function showcomments(){
		$this->showData("cg_title","comms_grp");
	}
	public function showcomcat(){
		$this->showData();
	}
	public function showcomtypes() {
		$this->showData();
	}	
	
}

?>