<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 114e397c (2024-09-28 03:21:15)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$cols=count($this->actions)+1;
$rules=array();
if (count($this->rights)) {
	foreach($this->rights as $right){ $rules[$right->ca_grp_id][$right->ca_r_id][$right->ca_action]=$right->ca_flag; }
}
?>
<div class="br_map-wrapper">
	<h4 class="title"><?php echo Text::_('Comments rights map by roles'); ?></h4>
	<table class="br_map table table-bordered table-hover table-condensed align-middle text-center sprav-table">
	<?php foreach ($this->grps as $grp) { 
		if ($grp->cg_deleted) $subclass=" deleted"; else $subclass=""	?>
		<tr class="header"><th class="br_title<?php echo $subclass;?>" colspan="<?php echo $cols; ?>"><?php echo Text::_('Group')." : ".$grp->cg_title; ?></td></tr>
		<tr class="subheader">
			<td>&nbsp;</td>
			<?php foreach ($this->actions as $act) {?>
				<td class="br_title"><?php echo Text::_("grp_".$act);?></td>
			<?php } ?>
		</tr>
		<?php foreach ($this->roles as $role) {?>
		<tr class="rules">
			<th class="br_title text-start"><?php echo $role->ar_title?></td>
			<?php foreach ($this->actions as $act) {?>
				<td class="right-action-switch"><?php
				if(isset($rules[$grp->cg_id][$role->ar_id][$act])){
					if ($rules[$grp->cg_id][$role->ar_id][$act]) $flag=1; else $flag=0;
				}	else $flag=0;
				echo "<a class=\"granted-".$flag."\" onclick=\"updateCommentRoleRule(this,'".$grp->cg_id."','".$role->ar_id."','".$act."','".abs($flag-1)."')\"><i class=\"bi bi-flag-fill\"></i></a>";
				?></td>
			<?php } ?>
		</tr>
		<?php } ?>
		<tr class="br_separator"><td colspan="<?php echo $cols; ?>">&nbsp;</td></tr>
	<?php } ?>
	</table>
</div>