<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 887f1626 (2023-04-26 12:02:12)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Delivery types",
        "tablename" => "dts_active",
        "keystring" => "dt_id",
        // "namestring" => "dt_title",
        "enabled" => "dt_enabled",
        "deleted" => "dt_deleted",
        "multy_field" => "dt_id",
        "ordering_field" => "dt_ordering",
        "keycurrency" => "dt_currency",
		"parent_subordination" => false,
        "parent_table" => "pts_active",
        "parent_name" => "pt_title",
        "parent_view" => "paymenttypes",
        "parent_code" => "pt_id"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "deliverytypes", "task" => "newDTS"),
        "clone" => array("show" => 1, "view" => "deliverytypes", "task" => "make_clone"),
        "filter" => array("show" => 1, "view" => "deliverytypes"),
        "modify" => array("show" => 1, "view" => "deliverytypes", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "deliverytypes", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "deliverytypes", "task" => "reorder"),
        "undelete" => array("show" => 1, "view" => "deliverytypes", "task" => "delete"),
        "clean_trash" => array("show" => 1, "link" => false),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => "dt_id", "dt_title", "dt_price", "dt_currency", "dt_tax",
            "dt_weight_limit", "dt_min_sum", "dt_max_sum", "dt_name", "dt_logo",
            "dt_params", "dt_comments", "dt_ordering", "dt_debug", "dt_admin_only",
            "dt_enabled", "dt_deleted", "dt_module"),
        "descr" => array(3 => "Fixed price", 6 => "Delivery max weight", 7 => "Delivery min sum", 8 => "Delivery max sum"),
        "name" => array(1 => "Id", "Name", "Price", "Currency", "Tax",
            "Max weight", "Min sum", "Max sum", "Template", "Logo",
            "Params", "Comments", "Ordering", "Debug mode on", "Admin only",
            "Enabled", "Deleted", "Module"),
        "input_type" => array(1 => "hidden", "text", "text", "select", "select",
            "text", "text", "text", "label", "image",
            "text", "textarea", "text", "checkbox", "checkbox",
            "checkbox", "hidden", "label"),
        "val_type" => array(1 => "int", "string", "currency", "int", "int",
            "float", "currency", "currency", "string", "string",
            "string", "text", "int", "boolean", "boolean",
            "boolean", "boolean", "string"),
        "update_type" => array(11 => 0),
        "upload_path" => array(10 => "dts"),
        "check_value" => array(4 => 1),
        "default_value" => array(4 => DEFAULT_CURRENCY),
        "ch_table" => array(4 => "currency", 5 => "taxes"),
        "ch_field" => array(4 => "c_name", 5 => "t_name"),
        "ch_deleted" => array(4 => "c_deleted"),
        "ch_enabled" => array(4 => "c_enabled"),
        "ch_id" => array(4 => "c_id", 5 => "t_id")
    )
);
?>