<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 546b0b72 (2024-11-10 14:44:57)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Widgets",
        "tablename" => "widgets_active",
        "keystring" => "aw_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "aw_enabled",
        "deleted" => "aw_deleted",
        "keysort" => "aw_name",
        "ordering_field" => "aw_ordering",
        "post_sorting" => array("aw_ordering" => "ASC")
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "widgets", "task" => "newWidget"),
        "filter" => array("show" => 1, "view" => "widgets"),
        "modify" => array("show" => 1, "view" => "widgets", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "widgets", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "widgets", "task" => "reorder"),
        "undelete" => array("show" => 1, "view" => "widgets", "task" => "delete"),
        "trash" => array("show" => 1, "view" => "widgets", "link" => false),
        "clean_trash" => array("show" => 1, "view" => "widgets", "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'aw_id', 'aw_name', 'aw_title', 'aw_show_title', 'aw_title_link',
            'aw_zone', 'aw_class', 'aw_config', 'aw_content', 'aw_access',
            'aw_visible_in', 'aw_ordering', 'aw_enabled', 'aw_cache', 'aw_deleted',
            'aw_forlang'),
        "name" => array(1 => 'ID', 'Widget type', 'Title', 'Show title', 'Title link',
            'Zone', 'Class', 'Params', 'Content', 'Roles that can access',
            'Visibility upon selected menu item', 'Ordering', 'Enabled', "Cache time", 'Deleted',
            'Show for language'),
        "input_type" => array(1 => 'hidden', 'label_sel', 'text', 'checkbox', 'text',
            'select', 'text', 'text', 'texteditor', 'text',
            'text', 'text', 'checkbox', 'select', 'hidden',
            (defined("_ARFACMS_TRANSLATE") ? 'multiselect' : "hidden")),
        "val_type" => array(1 => 'int', 'string', 'string', 'boolean', 'string',
            'string', 'string', 'string', 'text', 'string',
            'string', 'int', 'boolean', 'int', 'boolean',
            'string'),
        "view" => array(1 => 0, 1, 1, 1, 1,
            1, 1, 1, 1, 1,
            1, 1, 1, 1, 0,
            1),
        "check_value" => array(6 => 1, 16 => defined("_ARFACMS_TRANSLATE")),
        "update_type" => array(8 => 0, 10 => 0, 11 => 0),
        "link" => array(3 => "index.php?module=conf&view=widgets&task=modify&psid=[0]&page=[1]&sort=[2]&orderby=[3]"),
        "link_title" => array(3 => 'Modify'),
        "link_key" => array(3 => 'id, page, sort, orderby'),
        "ch_table" => array(1 => "", 2 => "widgets", 6 => "template_zones"),
        "ch_field" => array(1 => "", 2 => "w_name", 6 => "tz_name"),
        "ch_id" => array(1 => "", 2 => "w_name", 6 => "tz_name"),
        "ch_sort" => array(6 => "tz_ordering"),
        "ck_reestr" => array(14 => "cache_time_interval", 16 => 'list_lang')
    )
);
?>