<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: ab31c237 (2024-07-29 11:16:27)
// 

use ArfaCMS\Core\Text;
use ArfaCMS\Core\Util;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class confModule extends Module {
	public function prepare() {
		/* Not need here if is set in module settings */
        if(defined("_ADMIN_MODE")){
            $this->setDefaultView('config');
        } else {
            Util::fatalError(Text::_("Module unavailable"));
        }
    }
	public function getACLTemplate($is_admin=true){		
		$acl=array();$i=0;
		if($is_admin){
			$i++;$acl[$i]['ao_name']='confModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='viewConfModules'; $acl[$i]['ao_description']='Modules';
            $i++;$acl[$i]['ao_name']='viewConfPlugins'; $acl[$i]['ao_description']='Plugins';
			$i++;$acl[$i]['ao_name']='viewConfWidgets'; $acl[$i]['ao_description']='Widgets';
            $i++;$acl[$i]['ao_name']='deleteConfWidgets'; $acl[$i]['ao_description']='Finally delete widgets';
			$i++;$acl[$i]['ao_name']='viewConfDopfields'; $acl[$i]['ao_description']='Additional fields';
			$i++;$acl[$i]['ao_name']='deleteConfDopfields'; $acl[$i]['ao_description']='Finally delete additional fields';
            $i++;$acl[$i]['ao_name']='viewConfCladr'; $acl[$i]['ao_description']='Countries, regions, cities';
			$i++;$acl[$i]['ao_name']='deleteConfCladr'; $acl[$i]['ao_description']='Finally delete сountries, regions, cities';
			$i++;$acl[$i]['ao_name']='viewConfRedirectlinks'; $acl[$i]['ao_description']='Redirect links';
			$i++;$acl[$i]['ao_name']='deleteConfRedirectlinks'; $acl[$i]['ao_description']='Finally delete redirects';
			$i++;$acl[$i]['ao_name']='viewConfTmplzones'; $acl[$i]['ao_description']='Template zones';
			$i++;$acl[$i]['ao_name']='deleteConfTmplzones'; $acl[$i]['ao_description']='Finally delete template zones';
			$i++;$acl[$i]['ao_name']='viewConfMansitemap'; $acl[$i]['ao_description']='Show sitemap мanual editor';
			$i++;$acl[$i]['ao_name']='deleteConfMansitemap'; $acl[$i]['ao_description']='Finally delete element in site map manual editor';
            $i++;$acl[$i]['ao_name']='viewConfPaymenttypes'; $acl[$i]['ao_description']='Payment types';
            $i++;$acl[$i]['ao_name']='deleteConfPaymenttypes'; $acl[$i]['ao_description']='Finally delete payment types';
            $i++;$acl[$i]['ao_name']='viewConfDeliverytypes'; $acl[$i]['ao_description']='Delivery types';
            $i++;$acl[$i]['ao_name']='deleteConfDeliverytypes'; $acl[$i]['ao_description']='Finally delete delivery types';
            $i++;$acl[$i]['ao_name']='viewConfMeasures'; $acl[$i]['ao_description']='Measures';
            $i++;$acl[$i]['ao_name']='viewConfCurrency'; $acl[$i]['ao_description']='Currencies';
            $i++;$acl[$i]['ao_name']='viewConfCurrency_rate'; $acl[$i]['ao_description']='Currency rates';
            $i++;$acl[$i]['ao_name']='viewConfTaxes'; $acl[$i]['ao_description']='List of taxes';
            $i++;$acl[$i]['ao_name']='deleteConfTaxes'; $acl[$i]['ao_description']='Finally delete taxes';

        } else {
			//
		}
		return 	$acl;
	}
}
?>