<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 680a4453 (2023-07-28 15:46:25)
// 

use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;
use ArfaCMS\MVC\View;

defined('_ARFACMS_VALID') or die("Access denied");

class confViewFields extends View {
	function listModules()	{
		$type=Request::getInt('m_admin_side');
		$mdl = Module::getInstance();
		$model=$mdl->getModel("fields");
		$res=$model->getModulesList($type);
		$html="";
		if(is_array($res)&&count($res)>0) {
			foreach($res as $val)	{
				$html.="<option value=\"$val\">$val</option>";
			}
		} else $html="<option value=\"0\">".Text::_("Modules absent")."</option>";
		echo $html;
	}
	function listViews()	{
		$type=Request::getInt('m_admin_side');
		$m_module=Request::getSafe('m_module','');
		$mdl = Module::getInstance();
		$model=$mdl->getModel("fields");
		$res=$model->getViewsList($type,$m_module);
		$html="";
		if(is_array($res)&&count($res)>0) {
			foreach($res as $val)	{
				$html.="<option value=\"$val\">$val</option>";
			}
		} else $html="<option value=\"0\">".Text::_("Views absent")."</option>";
		echo $html;
	}

	function listLayouts() {
		$type=Request::getInt('m_admin_side');
		$m_module=Request::getSafe('m_module','');
		$m_view=Request::getSafe('m_view','');
		$mdl = Module::getInstance();
		$model=$mdl->getModel("fields");
		$res=$model->getLayoutsList($type,$m_module, $m_view);
		$html="";
		if(is_array($res)&&count($res)>0) {
			foreach($res as $val)	{
				$html.="<option value=\"$val\">$val</option>";
			}
		} else $html="<option value=\"0\">".Text::_("Layouts absent")."</option>";
		echo $html;
	}
}
?>