<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6a85f7e5 (2024-10-09 22:55:01)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="conf-manager rounded-pan">
    <?php
    $clone_mode = $reestr->get("clone_mode");
    $frm->addInput(array('NAME' => 'clone_mode', 'TYPE' => "hidden", 'VAL' => $clone_mode, 'ID' => 'clone_mode'));
    echo $frm->startLayout(false);
    echo "<h4 class=\"title main-title\">" . $dop_head . " " . $head . " : " . Text::_($meta->title) . "</h4>";
    echo "<div class=\"tab-pane tab-pane-single\">";
    if ($this->renderLinksEditor) {
        echo "<div class=\"links-wrapper\"><fieldset class=\"mb-3\">";
        echo "<legend class=\"mb-lg-0\">" . Text::_("Payment types") . ":</legend>";
        $link_add = "index.php?module=" . $module . "&amp;view=" . $parent_view . "&amp;layout=selector&amp;task=getContList&amp;lol=linkEditor&amp;option=ajax&amp;dt_module=" . $row->dt_module;
        echo HTMLControls::renderPopupMultySelect("linkEditor", $this->linksArray, "", "", $link_add, "", $info, $this->linksAreNew);
        echo "</fieldset></div>";
    }
    foreach ($input_type as $index => $value) {
        if ($meta->input_view[$index] == 0 && $value != "hidden") continue;
        if ($meta->field[$index] == "dt_params") {
            if (count($this->def_params)) {
                echo "<div class=\"modify-wrapper row mb-3\"><div class=\"col-md-12\">";
                echo HTMLControls::renderParamsPanel($meta->field[$index], $meta->field_title[$index], $this->def_params, $this->params);
                echo "</div></div>";
            }
            continue;
        } else {
            switch ($value) {
                case "hidden":
                    continue 2;
                    break;
                case "checkbox":
                    echo "<div class=\"modify-wrapper modify-wrapper-" . $value . " row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
                    echo "<div class=\"modify-label col-md-4 col mb-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    echo "<div class=\"modify-input col-md-8 col-auto align-self-center\"><div class=\"form-check form-switch\">" . $frm->renderInputPart($meta->field[$index]) . "</div></div>";
                    echo "</div>";
                    break;
                default:
                    echo "<div class=\"modify-wrapper modify-wrapper-" . $value . " row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
                    echo "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    echo "<div class=\"modify-input col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                    echo "</div>";
                    break;
            }
        }
    }
    echo "</div>";
    echo "<div class=\"modify-buttons buttons\">";
    echo $frm->renderInputPart("save");
    if (!$ajaxModify) echo $frm->renderInputPart("apply");
    echo $frm->renderInputPart("cancel");
    echo "</div>";
    echo $frm->endLayout();
    ?>
</div>