<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: b33dc3b3 (2024-10-09 16:33:21)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="conf-manager rounded-pan rounded-pan-mini">
    <h4 class="title"><?php echo Text::_("New delivery type"); ?></h4>
    <form id="someTypeSelector" action="index.php" method="post">
        <div class="row mb-3">
            <div class="col-md-12 mb-2"><?php echo Text::_("Select delivery type template"); ?></div>
            <div class="col-md-12"><?php echo HTMLControls::renderSelect('tmpl_name', 'tmpl_name', 'd_name', 'd_name', $this->templates_arr, 0, 0); ?></div>
        </div>
        <div class="row mb-3">
            <div class="col-md-12 mb-2"><?php echo Text::_("Select delivery type module"); ?></div>
            <div class="col-md-12"><?php echo HTMLControls::renderSelect('module_name', 'module_name', '', '', $this->modules_arr, '', ''); ?></div>
        </div>
        <div class="buttons">
            <input type="hidden" id="task" value="SaveNewDTS" name="task"/>
            <input type="hidden" id="module" value="conf" name="module"/>
            <input type="hidden" id="view" value="deliverytypes" name="view"/>
            <input type="hidden" id="layout" value="" name="modify"/>
            <input type="button" class="commonButton btn btn-primary" onclick="javascript:history.back(); ; return true" value="<?php echo Text::_("Close"); ?>" name="cancel"/>
            <input type="submit" class="commonButton btn btn-primary" value="<?php echo Text::_("Next"); ?>" name="save"/>
        </div>
    </form>
</div>