<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1714fcae (2024-10-17 22:21:56)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$mod_arr = Module::getInstalledModules();
asort($mod_arr);
foreach ($mod_arr as $k => $v) {
    $_arr[$v] = $v;
}
$form = new aForm("prepare_fields_form");
$form->addInput(array("TYPE" => "hidden", "NAME" => "task", "ID" => "task", "VAL" => "checkFields"));
$form->addInput(array("TYPE" => "hidden", "NAME" => "module", "ID" => "module", "VAL" => "conf"));
$form->addInput(array("TYPE" => "checkbox", "NAME" => "admin_zone", "TITLE" => "Admin modules", "VAL" => 1));
$form->addInput(array("TYPE" => "checkbox", "NAME" => "deflt_zone", "TITLE" => "Modules", "VAL" => 1));
$form->addInput(array('TYPE' => "select", 'ID' => 'm_module', 'NAME' => 'm_module', 'CLASS' => 'form-control', 'SIZE' => 1, 'LABEL' => Text::_('select mod name'), 'VAL' => $this->m_module, 'OPTIONS' => $_arr));
$form->addInput(array("TYPE" => "submit", "CLASS" => "commonButton btn btn-primary", "VAL" => Text::_("Prepare"), "NAME" => "Prepare"));
$form->StartLayout();
?>
<div class="conf-manager rounded-pan rounded-pan-mini">
    <h3 class="title"><?php echo Text::_("Prepare metadata fields"); ?></h3>
    <p><?php echo Text::_("Select module"); ?></p>
    <div id="prepareVisio">
        <div class="row mb-3">
            <div class="col-lg-4 mb-2 mb-md-0 align-self-center"><?php echo Text::_("Modules"); ?></div>
            <div class="col-lg-8"><?php $form->renderInputPart("m_module"); ?></div>
        </div>
        <div class="buttons">
            <?php $form->renderInputPart("Prepare"); ?>
        </div>
    </div>
</div>
<?php $form->endLayout(); ?>
