<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: db6a85e1 (2024-10-09 21:25:38)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");
?>
<div class="conf-manager rounded-pan rounded-pan-medium">
    <h4 class="title"><?php echo Text::_("Prepare visio"); ?></h4>
    <div id="selectVisio">
        <form method="post" action="index.php">
            <div class="prepare-visio">
                <div class="row mb-3">
                    <div class="col-md-4 mb-2 mb-md-0 align-self-center"><?php echo HTMLControls::renderLabelField("m_admin_side", Text::_("Type of side") . ":"); ?></div>
                    <div class="col-md-8">
                        <select class="singleSelect form-select" onchange="setListVisioModules();" id="m_admin_side" name="m_admin_side">
                            <option selected="selected" value="-1"><?php echo Text::_("Select view side"); ?></option>
                            <option value="1"><?php echo Text::_("Admin side"); ?></option>
                            <option value="0"><?php echo Text::_("Front side"); ?></option>
                        </select>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-md-4 mb-2 mb-md-0 align-self-center"><?php echo HTMLControls::renderLabelField("m_module", Text::_("List of modules") . ":"); ?></div>
                    <div class="col-md-8">
                        <select class="singleSelect form-select" onchange="setListVisioViews();" id="m_module" name="m_module">
                            <option><?php echo Text::_("Select module"); ?></option>
                        </select>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-md-4 mb-2 mb-md-0 align-self-center"><?php echo HTMLControls::renderLabelField("m_view", Text::_("List of views") . ":"); ?></div>
                    <div class="col-md-8">
                        <select class="singleSelect form-select" onchange="setListVisioLayout();" id="m_view" name="m_view">
                            <option><?php echo Text::_("Select view"); ?></option>
                        </select>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-md-4 mb-2 mb-md-0 align-self-center"><?php echo HTMLControls::renderLabelField("m_layout", Text::_("List of layout") . ":"); ?></div>
                    <div class="col-md-8">
                        <select class="singleSelect form-select" id="m_layout" name="m_layout">
                            <option><?php echo Text::_("Select layout"); ?></option>
                        </select>
                    </div>
                </div>
                <div class="buttons">
                    <input class="commonButton btn btn-primary" type="submit" name="save" value="<?php echo Text::_("Edit"); ?>"/>
                    <input type="hidden" name="module" value="conf"/>
                    <input type="hidden" name="task" value="prepareVisioForm"/>
                    <input type="hidden" name="view" value="fields"/>
                </div>
            </div>
        </form>
    </div>
</div>