<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6a85f7e5 (2024-10-09 22:55:01)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="conf-manager rounded-pan">
    <?php
    echo $frm->startLayout(false);
    echo "<h4 class=\"title\">" . $dop_head . " " . $head . " : " . Text::_($meta->title) . "</h4>";
    echo "<div class=\"tab-pane tab-pane-single\">";
    $param_prefix = ""; // Text::getLanguage() == "en" ? "" : "module_".$row->m_name."_";
    foreach ($input_type as $index => $value) {
        if ($meta->input_view[$index] == 0 && $value != "hidden") continue;
        if ($meta->field[$index] == "m_config") {
            if (count($this->def_params)) {
                echo "<div class=\"modify-wrapper row mb-3\"><div class=\"col-md-12\">";
                echo HTMLControls::renderParamsPanel("mod_param", $meta->field_title[$index], $this->def_params, $this->params, $param_prefix, $this->activeTab);
                echo "</div></div>";
            }
            continue;
        } else {
            switch ($value) {
                case "hidden":
                    continue 2;
                    break;
                case "image":
                    echo "<div class=\"modify-image-wrapper\" id=\"wrapper-" . $meta->field[$index] . "\"><div class=\"row mb-3\">";
                    echo "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    echo "<div class=\"col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                    echo "</div></div>";
                    break;
                case "textarea":
                case "texteditor":
                    echo "<div class=\"modify-editor-wrapper\" id=\"wrapper-" . $meta->field[$index] . "\"><div class=\"row mb-3\">";
                    echo "<div class=\"modify-label col-md-12 mb-2\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    echo "<div class=\"modify-input col-md-12\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                    echo "</div></div>";
                    break;
                case "checkbox":
                    echo "<div class=\"modify-wrapper row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
                    echo "<div class=\"modify-label col-md-4 col mb-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    echo "<div class=\"modify-input col-md-8 col-auto align-self-center\"><div class=\"form-check form-switch\">" . $frm->renderInputPart($meta->field[$index]) . "</div></div>";
                    echo "</div>";
                    break;
                default:
                    echo "<div class=\"modify-wrapper row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
                    echo "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    echo "<div class=\"modify-input col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                    echo "</div>";
                    break;
            }
        }
    }
    echo "</div>";
    echo "<div class=\"modify-buttons buttons\">";
    echo $frm->renderInputPart("save");
    if (!$ajaxModify) echo $frm->renderInputPart("apply");
    echo $frm->renderInputPart("cancel");
    echo "</div>";
    echo $frm->endLayout();
    ?>
</div>