<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 992f56d4 (2024-10-09 16:41:19)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$html_link = Portal::getURI(true) . "sitemap.html";
$html_file = PATH_SITE . "sitemap.html";
$xml_link = Portal::getURI(true) . "sitemap.xml";
$xml_file = PATH_SITE . "sitemap.xml";
$createmap_link = Portal::getURI() . "index.php?module=conf&task=createmap";
?>
<div class="sitemap-manager rounded-pan rounded-pan-mini">
    <h4 class="title main-title"><?php echo Text::_('Created maps') ?></h4>
    <div class="sitemap mb-3">
        <ul class="sitemap-selector nav justify-content-center">
            <?php if (is_file($html_file)) { ?>
                <li class="nav-item">
                    <a class="nav-link" href="<?php echo $html_link; ?>" target="_blank"><?php echo Text::_("HTML format"); ?></a>
                </li>
            <?php } ?>
            <?php if (is_file($xml_file)) { ?>
                <li class="nav-item">
                    <a class="nav-link" href="<?php echo $xml_link; ?>" target="_blank"><?php echo Text::_("XML format"); ?></a>
                </li>
            <?php } ?>
        </ul>
    </div>
    <div class="buttons">
        <a href="<?php echo $createmap_link; ?>" class="commonButtonbtn btn btn-primary"><?php echo Text::_(is_file($html_file) || is_file($xml_file) ? "Recreate site map" : "Create site map"); ?></a>
    </div>
</div>