<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: d1ab6ad6 (2024-10-20 19:30:11)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Request;
use ArfaCMS\MVC\Module;
use ArfaCMS\Sprav\SpravController;

defined('_ARFACMS_VALID') or die("Access denied");

class feedbackControllerDefault extends SpravController
{
    public function showForms()
    {
        $this->showData();
    }

    public function showFields()
    {
        $this->showData();
    }

    public function showFields_choices()
    {
        $this->showData();
    }

    public function showMessages()
    {
        $layout = $this->get('layout');
        if ($layout == 'single') {
            Portal::getInstance()->disableTemplate();
            $psid = Request::getInt('psid', 0);
            if ($psid) {
                $model = $this->getModel();
                $model->setRead($psid);
                $msg = $model->getElement($psid);
                $view = $this->getView();
                $view->assign('msg', $msg);
            }
        } else $this->showData();
    }

    public function prepareDataForModify(&$elem, &$model, &$view)
    {
        switch ($view->getName()) {
            case "messages":
                $message_arr = json_decode($elem->f_data, true);
                if (is_array($message_arr)) {
                    $elem->f_data = implode(CR_LF, $message_arr);
                }
                break;
        }
        return true;
    }

    public function modifyMessage($ajaxModify = false)
    {
        $mdl = Module::getInstance();
        $moduleName = $mdl->getName();
        $model = $this->getModel();
        $viewname = $this->getView()->getName();
        $this->checkACL("modify" . ucfirst($moduleName) . ucfirst($viewname));

        $psid = $this->getPsid();
        if ($psid) $model->setRead($psid);
        parent::modify($ajaxModify);
    }
}

?>