<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 4b12ff90 (2023-08-30 03:47:10)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Form fields",
        "tablename" => "feedback_fields",
        "keystring" => "fld_id",
        "namestring" => "fld_name",
        "enabled" => "fld_enabled",
        "deleted" => "fld_deleted",
        "multy_field" => "fld_form",
        "ordering_field" => "fld_ordering",
        "parent_view" => "forms",
        "parent_code" => "frm_id",
        "use_view_rights" => "forms"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "fields", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "fields"),
        "modify" => array("show" => 1, "view" => "fields", "task" => "modify"),
        "reorder" => array("show" => 1, "view" => "fields", "task" => "reorder"),
        "delete" => array("show" => 1, "view" => "fields", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "fields", "task" => "delete"),
        "trash" => array("show" => 1, "view" => "fields", "link" => false),
        "clean_trash" => array("show" => 1, "view" => "fields", "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'fld_id', 'fld_form', 'fld_name', 'fld_type', 'fld_label',
            'fld_placeholder','fld_descr', 'fld_vals_count', 'fld_default', 'fld_required',
            'fld_ordering', 'fld_enabled', 'fld_deleted'
        ),
        "name" => array(1 => 'ID', 'Form', 'Field name', 'Field type', 'Field label',
            'Field placeholder', 'Field hint', 'Field values', 'Default value', 'Required',
            'Ordering', 'Enabled', 'Deleted'),
        "descr" => array(6 => "If there is a property for this type of field"),
        "input_type" => array(1 => 'hidden', 'label_sel', 'text', 'select', 'text',
            'text', 'text', 'label', 'text', 'checkbox',
            'text', 'checkbox', 'hidden'),
        "view" => array(1 => 1, 0, 1, 1, 1,
            1, 1, 1, 1, 1,
            1, 1, 0),
        "val_type" => array(1 => 'int', 'int', 'string', 'int', 'string',
            'string', 'string', 'string', 'string', 'boolean',
            'int', 'boolean', 'boolean'),
        "fim" => array(8 => "countFieldVals"),
        "field_on_change" => array(4 => "FeedbackFieldTypeOnChange(this)"),
        "check_value" => array(1 => 0, 1, 1, 1, 1,
            0, 0, 0, 0, 0,
            1, 1, 0),
        "link" => array(3 => 'index.php?module=feedback&view=fields&task=modify&psid=[0]&multy_code=[1]'),
        "link_title" => array(3 => 'Modify'),
        "link_key" => array(3 => 'id,multy_code'),
        "update_type" => array(1 => 0, 4 => 0),
        "ch_table" => array(1 => "", 2 => "feedback_forms", 4 => "feedback_fields_types"),
        "ch_field" => array(1 => "", 2 => "frm_name", 4 => "t_name"),
        "ch_id" => array(1 => "", 2 => "frm_id", 4 => "t_id"),
    )
);
?>