<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: ea6fca28 (2023-08-29 21:18:49)
// 

use ArfaCMS\Core\aNotifier;
use ArfaCMS\Core\Date;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\User;
use ArfaCMS\Core\Util;
use ArfaCMS\MVC\Model;

defined('_ARFACMS_VALID') or die("Access denied");

class feedbackModelForm extends Model
{
    public function getForm($psid = 0){
        $res = null;
        $sql = "SELECT * FROM #__feedback_forms WHERE frm_id=".$psid." AND frm_enabled=1 AND frm_deleted=0";
        $this->_db->setQuery($sql);
        $this->_db->loadObject($res);
        return $res;
    }

    public function getFormFields($psid = 0){
        $sql = "SELECT ff.*, ft.t_val_type, ft.t_input_type";
        $sql.= " FROM #__feedback_fields AS ff, #__feedback_fields_types AS ft";
        $sql.= " WHERE ff.fld_type=ft.t_id AND ff.fld_form=".$psid." AND ff.fld_enabled=1 AND ff.fld_deleted=0";
        $sql.= " ORDER BY ff.fld_ordering";
        $this->_db->setQuery($sql);
        $fields = $this->_db->loadObjectList();
        $fields_vals = $this->getFormFieldsVals($psid);
        foreach ($fields as &$field){
            $field_vals = array();
            foreach ($fields_vals as $val){
                if($val->fc_field_id == $field->fld_id) $field_vals[$val->fc_id] = $val->fc_value;
            }
            $field->field_values = $field_vals;
        }
        return $fields;
    }

    public function getFormFieldsVals($psid = 0){
        $sql = "SELECT ff.fld_form, ffc.*  FROM `#__feedback_fields_choices` AS ffc, `#__feedback_fields` AS ff";
        $sql.= " WHERE ffc.fc_field_id=ff.fld_id AND ff.fld_form=".$psid." AND ff.fld_enabled=1 AND ff.fld_deleted=0";
        $sql.= " ORDER BY ff.fld_ordering, ffc.fc_ordering";
        $this->_db->setQuery($sql);
        return $this->_db->loadObjectList();
    }
    public function saveMessage(&$form, &$data){
        if(!is_array($data) || !count($data)) return 0;
        $_psid = 0;
        if(User::getInstance()->isLoggedIn()) {
            $f_uid = User::getInstance()->getID();
            $f_sender = User::getInstance()->getNickname();
        } else {
            $f_uid = 0;
            $f_sender = 'Anonymous';
        }
        $text = addslashes(json_encode($data));
        $sql = "INSERT INTO #__feedback_messages (f_date, f_form_title, f_sender, f_uid, f_ip, f_data, f_sent, f_read, f_readdate, f_comments)";
        $sql.= " VALUES('".Date::nowSQL()."', '".$form->frm_name."', '".$f_sender."', ".$f_uid.", '".User::getInstance()->getIP()."', '".$text."', 0, 0, '0000-00-00 00:00:00', '')";
        $this->_db->setQuery($sql);
        if($this->_db->query()) $_psid = $this->_db->insertid();
        return $_psid;
    }
    public function sendMessage($msgid, &$form, &$data){
        $addresses = array();
        if($form->frm_email){
            $emails = explode(",", $form->frm_email);
            foreach($emails as $email) {
                $email = trim($email);
                if($email) $addresses[] =$email;
            }
        }
        $to = count($addresses) ? $addresses[0] : \soConfig::$siteEmail;
        $theme = $form->frm_email_theme ? : Text::_('Message for site administration');
        $link = Router::_("/" . ADMIN_FOLDER . "/index.php?module=feedback&view=messages&task=modify&psid=" . $msgid, false, true, 1, 2);
        $text = sprintf(Text::_("feedback mail text"), \siteConfig::$siteDomain, User::getInstance()->getIP(), implode(CR_LF, $data), $link);
        // Util::pre($to, $theme, $text);
        if (aNotifier::addToMailQueue($to, $theme, $text)) {
            $query = "UPDATE #__feedback_messages SET f_sent=1 WHERE f_id=" . intval($msgid);
            $this->_db->setQuery($query);
            if ($this->_db->query()) return true;
            else return false;
        }
        return false;
    }
}
?>