<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 2392d161 (2024-10-01 20:32:15)
// 

use ArfaCMS\Core\Date;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class feedbackModule extends Module {
	public function prepare() {
        if(defined("_ADMIN_MODE")){
            $this->setDefaultView('messages');
        } else {
            // @TODO Set right default view
            $this->setDefaultView('form');
        }
    }
	public function getSitemapHTML() {
		$result = array("html"=>"","links"=>array());
		$html="<ul>";
		$html.="<li><a href=\"".Router::_("index.php?module=feedback&view=message")."\">".Text::_("You may write us from here")."</a>";
		$html.="<li><a href=\"".Router::_("index.php?module=feedback&view=backcall")."\">".Text::_("Order backcall")."</a>";
		$html.="</ul>";
		$result["title_link"]=true;
		$result['html']=$html;
		return $result;
	}
    public function getACLTemplate($is_admin=true){
        $acl=array();$i=0;
        if($is_admin){
            $i++;$acl[$i]['ao_name']='feedbackModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='viewFeedbackMessages'; $acl[$i]['ao_description']='View feedback messages';
            $i++;$acl[$i]['ao_name']='modifyFeedbackMessages'; $acl[$i]['ao_description']='Modify feeback messages';
            $i++;$acl[$i]['ao_name']='deleteFeedbackMessages'; $acl[$i]['ao_description']='Finally delete feedbacks';
            $i++;$acl[$i]['ao_name']='viewFeedbackForms'; $acl[$i]['ao_description']='View forms';
            $i++;$acl[$i]['ao_name']='deleteFeedbackForms'; $acl[$i]['ao_description']='Finally delete forms';
        } else {
            $i++;$acl[$i]['ao_name']='feedbackModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='feedbackDisableFloodControl'; $acl[$i]['ao_description']='Disable flood control';
            $i++;$acl[$i]['ao_name']='feedbackDisableCaptcha'; $acl[$i]['ao_description']='Disable captcha';
        }
        return 	$acl;
    }
    public function getLinksArray(&$i,&$_arr) {
        $module=$this->getName();
        $i++;
        $_arr[$module][$i]['link']=Router::_("index.php?module=feedback&view=message", true);
        $_arr[$module][$i]['name']=Text::_("You may write us from here");
        $_arr[$module][$i]['fullname']=Text::_("You may write us from here");
        $_arr[$module][$i]['date_change']=Date::nowSQL();
        $i++;
        $_arr[$module][$i]['link']=Router::_("index.php?module=feedback&view=backcall", true);
        $_arr[$module][$i]['name']=Text::_("Order backcall");
        $_arr[$module][$i]['fullname']=Text::_("Order backcall");
        $_arr[$module][$i]['date_change']=Date::nowSQL();
        return true;
    }
}
?>