<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 21bb58d4 (2023-08-29 15:22:16)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;
use ArfaCMS\Sprav\SpravView;

defined('_ARFACMS_VALID') or die("Access denied");

class feedbackViewFields extends SpravView
{
    public function modify($row)
    {
        $js = "$(document).ready(function() {
			FeedbackFieldTypeOnChange($('#fld_type'));
			FeedbackFieldTypeOnChange($('#p_fld_type_select'));
		});";
        Portal::getInstance()->addScriptDeclaration($js);
        parent::modify($row);
    }

    public function countFieldVals(&$psid, &$row, $allow_links = true)
    {
        if ($row && ($row->fld_type == 5 || $row->fld_type == 8)) {
            $count = Module::getInstance()->getModel()->countFieldVals($psid);
            $link = "index.php?module=feedback&view=fields_choices&psid=" . $psid;
            if ($allow_links) {
                if ($count) return "<a title=\"" . Text::_("Show additional field values") . "\" href=\"" . $link . "\">" . Text::_("Total") . ": " . $count . "</a>";
                else return "<a title=\"" . Text::_("Show additional field values") . "\" href=\"" . $link . "\">" . Text::_("Values absent") . "</a>";
            } else {
                if ($count) return Text::_("Total") . ": " . $count;
                else return Text::_("Values absent");
            }
        } elseif ($row) {
            return Text::_("Values impossible");
        } else {
            return Text::_("Values access will appear after save");
        }
    }
}

?>