<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 17603b49 (2024-10-30 14:35:57)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\Util;
use ArfaCMS\MVC\Module;
use ArfaCMS\MVC\View;

defined('_ARFACMS_VALID') or die("Access denied");

class feedbackViewForm extends View
{
    public function prepareForm()
    {
        if (count($this->fields)) {
            $reestr = Module::getInstance()->get('reestr');
            $uniq = Util::generateRandomString(10, '', 1);
            $form_id = 'frm_' . $uniq;
            $form_name = $form_id;
            $onsubmit = "
                var form_id = $(this).attr('id');
                " . (\siteConfig::$debugMode ? "console.log('onsubmit in ' + form_id);" : "") . "
                var isFD=false;
                if(typeof FormData=='function'){
                    var formData=new FormData(this);
                    isFD=true;
                } else {
                    var formData = $(this).serializeArray();
                }
                ajaxShowActivity();
                $.ajax({
                url : siteConfig['siteUrl'],
                    type: 'POST',
                    data:formData,
                    processData:(isFD ? false : true),
                    contentType:(isFD ? false : 'application/x-www-form-urlencoded;charset=UTF-8'),
                    dataType:'json',
                    success: function (data, textStatus) {
                        ajaxHideActivity();
                        var response_div = $('#' + form_id).parent('.feedback-form').find('.sendform-response');
                        if(data.status=='OK'){
                            response_div.html('<p class=\'title-response title-response-ok\'>' + data.message + '</p>');
                            $('#' + form_id).hide();
                        } else {
                            response_div.html('<p class=\'title-response title-response-error\'>' + data.message + '</p>');
                            alert('" . Text::mapjsAddSlashes(Text::_("Form has errors")) . "');
                        }
                        var ajaxModify = ".(int)$reestr->get("ajaxModify").";
                        if(ajaxModify == 0) $('html, body').animate({ scrollTop: 0 }, 'slow');
                    },
                    error: function (jqXHR, exception) {
                        var response = jqXHR.responseJSON;
                        var responseText = response.message;
                        var response_div = $('#' + form_id).parent('.feedback-form').find('.sendform-response');
                        response_div.html('<p class=\'title-response title-response-error\'>' + responseText + '</p>');
                        alert('" . Text::mapjsAddSlashes(Text::_("Feedback send error")) . "');
                        ajaxHideActivity();
                        return false;
                    }
                });
                return false;
                ";
            $this->frm = new aForm($form_name, 'post', '', $reestr->get("ajaxModify"), $form_id, $onsubmit);
            $this->frm->addInput(array('NAME' => 'psid', 'TYPE' => "hidden", 'VAL' => $this->form->frm_id, 'ID' => 'psid'));
            $this->frm->addInput(array('NAME' => 'alias', 'TYPE' => "hidden", 'VAL' => $this->form->frm_alias, 'ID' => 'alias'));
            $this->frm->addInput(array('NAME' => 'layout', 'TYPE' => "hidden", 'VAL' => $reestr->get('layout'), 'ID' => 'layout'));
            $this->frm->addInput(array('NAME' => 'module', 'TYPE' => "hidden", 'VAL' => "feedback", 'ID' => 'module'));
            $this->frm->addInput(array('NAME' => 'task', 'TYPE' => "hidden", 'VAL' => 'save', 'ID' => 'task'));
            $this->frm->addInput(array('NAME' => 'view', 'TYPE' => "hidden", 'VAL' => 'form', 'ID' => 'view'));
            $this->frm->addInput(array('NAME' => 'controller', 'TYPE' => "hidden", 'VAL' => $reestr->get('controller'), 'ID' => 'controller'));
            foreach ($this->fields as $field) {
                $arr_field = array();
                $on_change_js = "";
                switch ($field->t_input_type) {
                    case "textarea":
                        $arr_field = array(
                            'ONCHANGE' => $on_change_js,
                            'TYPE' => 'textarea',
                            'ID' => "fld_" . $field->fld_id,
                            'NAME' => "fld_" . $field->fld_id,
                            'CLASS' => 'form-control',
                            'COLS' => 60,
                            'ROWS' => 6,
                            'LABEL' => $field->fld_label,
                            'PLACEHOLDER' => $field->fld_placeholder,
                            'DESCRIPTION' => $field->fld_descr,
                            'VAL' => Request::getSafe("fld_" . $field->fld_id, $field->fld_default)
                        );
                        break;
                    case "select":
                    case "multiselect":
                        $arr_field = array(
                            'ONCHANGE' => $on_change_js,
                            'TYPE' => "select",
                            'ID' => "fld_" . $field->fld_id,
                            'CLASS' => 'form-control',
                            'NAME' => "fld_" . $field->fld_id,
                            'SIZE' => 1,
                            'LABEL' => $field->fld_label,
                            'DESCRIPTION' => $field->fld_descr,
                            'MULTIPLE' => ($field->t_input_type == "multiselect" ? 5 : 0), // 5 это размер
                            'VAL' => $field->fld_default,
                            'OPTIONS' => $field->field_values
                        );
                        break;
                    case "label":
                        if ($field->t_val_type == "goods"){
                            $element_id = Request::getInt("fld_" . $field->fld_id, $field->fld_default);
                            if($element_id) $field->fld_required = 0;
                            $arr_field = array(
                                'TYPE' => "hidden",
                                'ID' => "fld_" . $field->fld_id,
                                'LABEL' => $field->fld_label,
                                'DESCRIPTION' => $field->fld_descr,
                                'PLACEHOLDER' => $field->fld_placeholder,
                                'NAME' => "fld_" . $field->fld_id,
                                'VAL' => $element_id
                            );
                        }
                        break;
                    case "date_ajax":
                        $arr_field = array(
                            'ONCHANGE' => $on_change_js,
                            'ID' => "fld_" . $field->fld_id,
                            'NAME' => "fld_" . $field->fld_id,
                            'TYPE' => "dateselector",
                            'SIZE' => 10,
                            'CLASS' => 'form-control dateselector',
                            'MAXLENGTH' => 10,
                            'READONLY' => true,
                            'LABEL' => $field->fld_label,
                            'PLACEHOLDER' => $field->fld_placeholder,
                            'DESCRIPTION' => $field->fld_descr,
                            'VAL' => ''
                        );
                        break;
                    case "datetime_ajax":
                        $arr_field = array(
                            'ONCHANGE' => $on_change_js,
                            'ID' => "fld_" . $field->fld_id,
                            'NAME' => "fld_" . $field->fld_id,
                            'TYPE' => "datetimeselector",
                            'CLASS' => 'form-control datetimeselector',
                            'SIZE' => 16,
                            'MAXLENGTH' => 16,
                            'READONLY' => true,
                            'LABEL' => $field->fld_label,
                            'PLACEHOLDER' => $field->fld_placeholder,
                            'DESCRIPTION' => $field->fld_descr,
                            'VAL' => ''
                        );
                        break;
                    case "checkbox":
                        $arr_field = array(
                            'ONCHANGE' => $on_change_js,
                            'ID' => "fld_" . $field->fld_id,
                            'NAME' => "fld_" . $field->fld_id,
                            'TYPE' => "checkbox",
                            'LABEL' => $field->fld_label,
                            'DESCRIPTION' => $field->fld_descr,
                            'CHECKED' => (int)$field->fld_default,
                            'VAL' => "1"
                        );
                        break;
                    case "text":
                    default:
                        if ($field->t_val_type == "int") $field_class = "form-control numeric";
                        elseif ($field->t_val_type == "phone") $field_class = "form-control phone";
                        elseif ($field->t_val_type == "email") $field_class = "form-control email";
                        elseif ($field->t_val_type == "float" || $field->t_val_type == "currency") $field_class = "form-control decimal";
                        else $field_class = "form-control";
                        $arr_field = array(
                            'ONCHANGE' => $on_change_js,
                            'TYPE' => "text",
                            'ID' => "fld_" . $field->fld_id,
                            'NAME' => "fld_" . $field->fld_id,
                            /*'MAXLENGTH' => $val_size,*/
                            /*'SIZE' => $input_size,*/
                            'CLASS' => $field_class,
                            'LABEL' => $field->fld_label,
                            'PLACEHOLDER' => $field->fld_placeholder,
                            'DESCRIPTION' => $field->fld_descr,
                            'VAL' => Request::getSafe("fld_" . $field->fld_id, $field->fld_default)
                        );
                        break;
                }
                if ($field->fld_required) {
                    $arr_field['REQUIRED']["FLAG"] = 1;
                    $arr_field['REQUIRED']["MESSAGE"] = Text::_("Undefined value") . $field->fld_label;
                }
                $this->frm->addInput($arr_field);
            }
        }
    }
}

?>