<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: c9f9d167 (2024-10-09 22:05:16)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");
$reestr = Module::getInstance()->get('reestr');
// Util::traceStack();
if(isset($title_h)) $title_h++; else $title_h = 1;
$wrapper_class = $reestr->get("ajaxModify") ? "feedback-ajax-content-wrapper" : "feedback-content-wrapper";
?>
<?php if (is_object($this->form)) { ?>
    <div class="<?php echo $wrapper_class; ?> feedback-contacts-wrapper-<?php echo $this->form->frm_id; ?>">
        <div class="contact-info row">
            <h<?php echo $title_h; ?> class="contact_info col-lg-12"><?php echo Text::_("Contact information"); ?></h<?php echo $title_h; ?>>
            <div itemscope itemtype="http://schema.org/Organization" class="col-lg-12">
                <table class="contact-info-table table table-bordered table-hover table-condensed align-middle">
                    <?php
                    if (\soConfig::$fullFirmName) echo "<tr><th>".Text::_("Firm name").":</th><td><span itemprop=\"name\">".\soConfig::$fullFirmName."</span></td></tr>";
                    if (\soConfig::$OGRN) echo "<tr><th>".Text::_("OGRN").":</th><td><span itemprop=\"name\">".\soConfig::$OGRN."</span></td></tr>";
                    if (\soConfig::$INN) echo "<tr><th>".Text::_("INN").":</th><td><span itemprop=\"name\">".\soConfig::$INN."</span></td></tr>";
                    if (\soConfig::$KPP) echo "<tr><th>".Text::_("KPP").":</th><td><span itemprop=\"name\">".\soConfig::$KPP."</span></td></tr>";
                    if (\soConfig::$Address) {
                        echo "<tr><th>".Text::_("Address").":</th><td><span itemprop=\"address\">";
                        echo \soConfig::$Address;
                        if (\soConfig::$Addressadd) echo ", ".\soConfig::$Addressadd;
                        echo "</span></td></tr>";
                    }
                    if (\soConfig::$Timework) echo "<tr><th>".Text::_("Timework").":</th><td><span itemprop=\"address\">".\soConfig::$Timework."</span></td></tr>";
                    if (\soConfig::$Phone) echo "<tr><th>".Text::_("Phone").":</th><td><span itemprop=\"telephone\">".\soConfig::$Phone."</span></td></tr>";
                    if (\soConfig::$Phone2) echo "<tr><th>".Text::_("Phone").":</th><td><span itemprop=\"telephone\">".\soConfig::$Phone2."</span></td></tr>";
                    if (\soConfig::$Fax) echo "<tr><th>".Text::_("Fax").":</th><td><span itemprop=\"faxNumber\">".\soConfig::$Fax."</span></td></tr>";
                    if (\soConfig::$siteEmail) echo "<tr><th>".Text::_("Contact e-mail").":</th><td><span itemprop=\"email\">".HTMLControls::hideEmail(\soConfig::$siteEmail,"mymylo")."</span></td></tr>";
                    if (\soConfig::$contactName) echo "<tr><th>".Text::_("Contact name").":</th><td>".\soConfig::$contactName."</td></tr>";
                    if (\soConfig::$Viber) echo "<tr><th class=\"social-label\">".Text::_("Viber").":</th><td>".\soConfig::$Viber."</td></tr>";
                    if (\soConfig::$WhatsApp) echo "<tr><th class=\"social-label\">".Text::_("WhatsApp").":</th><td>".\soConfig::$WhatsApp."</td></tr>";
                    if (\soConfig::$Telegram) echo "<tr><th class=\"social-label\">".Text::_("Telegram").":</th><td>".\soConfig::$Telegram."</td></tr>";
                    if (\soConfig::$Skype) echo "<tr><th class=\"social-label\">".Text::_("Skype").":</th><td>".\soConfig::$Skype."</td></tr>";
                    // if (\soConfig::$ICQ) echo "<tr><th class=\"social-label\">".Text::_("ICQ").":</th><td>".\soConfig::$ICQ."</td></tr>";
                    //if (\soConfig::$Jabber) echo "<tr><th class=\"social-label\">".Text::_("Jabber").":</th><td>".HTMLControls::hideEmail(\soConfig::$Jabber,"",false)."</td></tr>";
                    if (\soConfig::$PageOk) echo "<tr><th class=\"social-label\">".Text::_("Ok page link").":</th><td><a href=\"".\soConfig::$PageOk."\" target=\"_blank\">".\soConfig::$PageOk."</a></td></tr>";
                    if (\soConfig::$PageVk) echo "<tr><th class=\"social-label\">".Text::_("Vk page link").":</th><td><a href=\"".\soConfig::$PageVk."\" target=\"_blank\">".\soConfig::$PageVk."</a></td></tr>";
                    if (\soConfig::$PageRutube) echo "<tr><th class=\"social-label\">".Text::_("Rutube page link").":</th><td><a href=\"".\soConfig::$PageRutube."\" target=\"_blank\">".\soConfig::$PageRutube."</a></td></tr>";
                    ?>
                </table>
            </div>
        </div>
    </div>
<?php } ?>
<?php require $this->getLayoutForInclude("default"); ?>