<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: fbff1702 (2024-10-01 01:30:00)
// 

use ArfaCMS\Core\Date;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

if (count($this->list)) {
    foreach ($this->list as $k => $v) {
        $message_data = "";
		$message_arr = json_decode($v->f_data, true);
		if(is_array($message_arr)){
			$message_data = implode("<br />", $message_arr);
		}
        echo "<div class=\"row mb-3\"><div class=\"col-lg-12\"><div class=\"fb-message\">";
        echo "		<div class=\"row mb-2\">";
        echo "			<div class=\"fb-title col-lg-8 mb-2 mb-lg-0\">" . $v->f_form_title . "</div>";
        echo "			<div class=\"fb-date col-lg-4\">" . Date::fromSQL($v->f_date, false, true) . "</div>";
        echo "			<div class=\"fb-text col-lg-12\">" . $message_data . "</div>";
        echo "		</div>";
        if ($v->f_read) {
            echo "		<div class=\"row mb-2\">";
            echo "			<div class=\"fb-date-read col-lg-12\">" . Text::_("Date of read") . ": " . Date::fromSQL($v->f_readdate, false, true) . "</div>";
            echo "		</div>";
            if (strlen($v->f_comments) > 20) {
                echo "		<div class=\"row admin-comment\">";
                echo "			<div class=\"fb-title col-lg-12\">" . Text::_("Message admin comment") . "</div>";
                echo "			<div class=\"fb-text col-lg-12\">" . $v->f_comments . "</div>";
                echo "		</div>";
            }
        } else {
            echo "		<div class=\"row mb-2\">";
            echo "			<div class=\"fb-status col-lg-12\">" . ($v->f_read ? "" : Text::_("Unread")) . "</div>";
            echo "		</div>";
        }
        echo "</div></div></div>";
    }
} else {
    echo "<div class=\"row mb-3\"><div class=\"col-lg-12\"><div class=\"fb-no-messages\">";
    echo Text::_("Messages not found");
    echo "</div></div></div>";
}
?>
