<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Forum posts",
        "tablename" => "forum_posts",
        "keystring" => "p_id",
        "namestring" => "p_theme",
        // "alias_field" => "",
        "enabled" => "p_enabled",
        "deleted" => "p_deleted",
        "multy_field" => "p_theme_id",
        // "ordering_field" => "",
        "parent_table" => "forum_themes",
        "parent_name" => "t_theme",
        "parent_view" => "themes",
        "parent_code" => "t_id"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "posts", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "posts"),
        "modify" => array("show" => 1, "view" => "posts", "task" => "modify"),
        "reorder" => array("show" => 1, "view" => "posts", "task" => "reorder"),
        "modify_links" => array("show" => 1, "view" => "posts", "task" => "modifyLinks"),
        "delete" => array("show" => 1, "view" => "posts", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "posts", "task" => "delete"),
        "clean_trash" => array("show" => 1, "link" => false),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'p_id', 'p_author_id', 'p_theme_id', 'p_theme', 'p_text',
            'p_date', 'p_touch_date', 'p_ip', 'p_rating', 'p_enabled', 'p_deleted'),
        "name" => array(1 => 'ID', 'Author', 'Theme', 'Sub theme', 'Text',
            'Date', 'Touch date', 'IP', 'Rating', 'Enabled', 'Deleted'),
        "default_value" => array(2 => "AUTHOR", 6 => "NOW", 7 => "NOW", 8 => "AUTHOR_IP"),
        "val_type" => array(1 => 'int', 'int', 'int', 'string', 'text',
            'datetime', 'datetime', 'string', 'int', 'boolean', 'boolean'),
        "view" => array(1 => 0, 1, 0, 1, 0, 1, 1, 1, 1, 0, 1),
        "input_type" => array(1 => 'hidden', 'label_sel', 'select', 'text', 'textarea',
            'label', 'label', 'label', 'label', 'checkbox', 'hidden'),
        "ch_table" => array(1 => "", 2 => "users", 3 => "forum_themes"),
        "ch_field" => array(1 => "", 2 => "u_login", 3 => "t_theme"),
        "ch_id" => array(1 => "", 2 => "u_id", 3 => "t_id")
    )
);
?>