<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Forum sections",
        "tablename" => "forum_sections",
        "keystring" => "f_id",
        "namestring" => "f_name",
        "alias_field" => "f_alias",
        "enabled" => "f_enabled",
        "deleted" => "f_deleted",
        "multy_field" => "f_parent_id",
        "ordering_field" => "f_ordering"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "sections", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "sections"),
        "modify" => array("show" => 1, "view" => "sections", "task" => "modify"),
        "reorder" => array("show" => 1, "view" => "sections", "task" => "reorder"),
        "modify_links" => array("show" => 1, "view" => "sections", "task" => "modifyLinks"),
        "delete" => array("show" => 1, "view" => "sections", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "sections", "task" => "delete"),
        "clean_trash" => array("show" => 1, "link" => false),
        "trash" => array("show" => 1, "link" => false)
    ),
    "uni_buttons" => array(
        "rights" => array(
            "title" => "Modify rights",
            "alt" => 'R',
            "module" => "forum",
            "view" => "rights",
            "position" => "left",
            "alert" => "Please select element from list"
        ),
        "list" => array(
            "title" => "List themes in opened section",
            "alt" => 'T',
            "link" => 'index.php?module=forum&view=themes&psid=%s',
            "position" => "right"
        )
    ),
    "fields" => array(
        "field" => array(1 => "f_id", "f_parent_id", "f_name", "f_alias", "f_description", "f_meta_title", "f_meta_description", "f_meta_keywords", "f_layout", "f_show_in_list", "f_post_rating", "f_premoderated", "f_ordering", "f_thumb", "f_enabled", "f_deleted"),
        "name" => array(1 => "ID", "Forum parent", "Forum name", "Alias", "Description", 'Meta title', 'Meta description', 'Meta keywords', "Layout", "Show in list", "Enable post rating", "Premoderate", "Ordering", "Thumb", "Published", "Deleted"),
        "link" => array(3 => "index.php?module=forum&view=themes&psid=[0]"),
        "link_key" => array(3 => 'id'),
        "link_title" => array(3 => 'Forum themes'),
        "val_type" => array(1 => "int", "int", "string", "string", "text", 'string', 'text', 'text', 'string', 'boolean', 'boolean', 'boolean', 'int', 'string', 'boolean', 'boolean'),
        "view" => array(1 => 0, 1, 1, 1, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0),
        "input_type" => array(1 => 'hidden', 'select', 'text', 'text', 'texteditor', 'text', 'textarea', 'textarea', 'text', 'checkbox', 'checkbox', 'checkbox', 'string', 'image', 'checkbox', 'hidden'),
        "upload_path" => array(14 => 'sections'),
        "ch_table" => array(1 => "", 2 => "forum_sections"),
        "ch_field" => array(1 => "", 2 => "f_name"),
        "ch_id" => array(1 => "", 2 => "f_id")
    )
);
?>