<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: c8928ca6 (2024-10-09 22:00:14)
// 

use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$return_link = "index.php?module=forum";
?>
<div class="acl-manager rounded-pan rounded-pan-mini">
    <h4 class="title"><?php echo Text::_('Forum rights') . " (" . Text::_('Forum') . "&nbsp;" . $this->forum_name . ")"; ?></h4>
    <form action="index.php" method="post">
        <input type="hidden" name="module" value="forum"/>
        <input type="hidden" name="view" value="rights"/>
        <input type="hidden" name="layout" value="modify"/>
        <input type="hidden" name="psid" value="<?php echo $this->forum_id; ?>"/>
        <input type="hidden" name="return" value="<?php echo $this->return; ?>"/>

        <div class="row mb-3">
            <div class="col-md-6 mb-2 mb-md-0 align-self-center">
                <input class="form-check-input" type="radio" id="rb_user" name="subject" value="user"/>
                <label for="rb_user" class="label form-check-label"><?php echo Text::_('User login'); ?></label>
            </div>
            <div class="col-md-6">
                <input class="form-control" onfocus="javascript:$('#rb_user').click();" type="text" id="t_user" name="userlogin" value=""/>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-md-6 mb-2 mb-md-0 align-self-center">
                <input class="form-check-input" type="radio" id="rb_role" name="subject" value="role" checked="checked"/>
                <label for="rb_role" class="label form-check-label"><?php echo Text::_('User role'); ?></label>
            </div>
            <div class="col-md-6">
                <select class="singleSelect form-select" onfocus="javascript:$('#rb_role').click();" id="s_role" name="roleid">
                    <?php foreach ($this->roles as $roleid => $role) { ?>
                        <option value="<?php echo $roleid; ?>"><?php echo $role->ar_title; ?></option>
                    <?php } ?>
                </select>
            </div>
        </div>
        <div class="buttons">
            <input type="submit" class="commonButton btn btn-primary" value="<?php echo Text::_('Edit'); ?>"/>
            <input type="button" class="commonButton btn btn-primary" onclick="javascript:document.location.href='<?php echo Router::_($return_link); ?>'; return true;" value="<?php echo Text::_('Cancel'); ?>" name="cancel"/>
        </div>
    </form>
</div>