<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 2ba520e3 (2024-10-31 16:22:54)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

// ====================================================
$form = new aForm("rights_form");
$form->addInput(array("ID" => "module", "TYPE" => "hidden", "NAME" => "module", "VAL" => "forum"));
$form->addInput(array("ID" => "task", "TYPE" => "hidden", "NAME" => "task", "VAL" => "updateRights"));
$form->addInput(array("ID" => "subject", "TYPE" => "hidden", "NAME" => "subject", "VAL" => $this->subject));
$form->addInput(array("ID" => "psid", "TYPE" => "hidden", "NAME" => "psid", "VAL" => $this->psid));
if ($this->subject == 'role') $form->addInput(array("ID" => "roleId", "TYPE" => "hidden", "NAME" => "roleId", "VAL" => $this->roleId));
else $form->addInput(array("ID" => "userId", "TYPE" => "hidden", "NAME" => "userId", "VAL" => $this->userId));
foreach ($this->actions as $action) {
    $form->addInput(array("TYPE" => "checkbox", "ID" => "access_".$action, "NAME" => "access[".$action."]", "LABEL" => Text::_("forum_".$action), "VAL" => 1, "CHECKED" => isset($this->rules[$action]) ? intval($this->rules[$action]->flag) : 0));
}
$form->addInput(array("CLASS" => "commonButton btn btn-primary", "TYPE" => "submit", "VAL" => Text::_("Save"), "ID" => "save", "NAME" => "save"));
$form->addInput(array("CLASS" => "commonButton btn btn-primary", "TYPE" => "submit", "VAL" => Text::_("Apply"), "ID" => "apply", "NAME" => "apply"));
$on_cancel = "document.location.href='".Router::_("index.php?module=forum&view=rights&psid=".$this->psid)."'; return true;";
$form->addInput(array("CLASS" => "commonButton btn btn-primary", "TYPE" => "button", "VAL" => Text::_("Cancel"), "ID" => "cancel", "NAME" => "cancel", "ONCLICK" => $on_cancel));
// ====================================================
?>
<div class="acl-manager rounded-pan rounded-pan-mini">
    <h4 class="title"><?php echo Text::_('Forum rights')." (".Text::_('Forum')."&nbsp;".$this->forum_name.")&nbsp;".Text::_('for')."&nbsp;".$this->subjectName; ?></h4>
    <?php $form->StartLayout(); ?>
    <?php foreach ($this->actions as $action) { ?>
        <div class="row mb-3">
            <div class="col">
                <?php $form->renderLabelFor("access[".$action."]"); ?>
            </div>
            <div class="col-auto">
                <div class="form-check form-switch">
                    <?php $form->renderInputPart("access[".$action."]"); ?>
                </div>
            </div>
        </div>
    <?php } ?>
    <div class="buttons">
        <?php $form->renderInputPart("save"); ?>
        <?php $form->renderInputPart("apply"); ?>
        <?php $form->renderInputPart("cancel"); ?>
    </div>
    <?php $form->endLayout(); ?>
</div>