<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: fbff1702 (2024-10-01 01:30:00)
// 

use ArfaCMS\Core\Date;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\User;

defined('_ARFACMS_VALID') or die("Access denied");

echo "<div class=\"main-forum-panel mb-3\">";
if (User::getInstance()->isLoggedIn()) echo "<a href=\"".Router::_("index.php?module=forum&view=new")."\">".Text::_("New messages")." : ".$this->newposts."</a>";
echo"</div>";
if ($this->section) { // выводим информацию о родительском форуме
	// Если нужно то можно оверрайдить метатеги
//	Portal::getInstance()->setTitle( Text::_("Forum")." - ".($this->section->f_meta_title ? $this->section->f_meta_title : $this->section->f_name).($this->page > 1 ? " - ".Text::_("Page")." ".$this->page : "") );
	echo "<h1 class=\"title main-title\">".$this->section->f_name."</h1>";
	echo "<div class=\"main-forum-body\">".$this->section->f_description."</div>";
} else {
	echo "<h1 class=\"title main-title\">".Text::_("Forums")."</h1>";
}
if(!User::getInstance()->isLoggedIn())	echo "<p class=\"warning\">".Text::_("For posting log in or register")."</p>";

if (count($this->sections)) { // выводим информацию о форумах
	echo "<div class=\"row\"><div class=\"col-lg-12\"><div class=\"forums\"><div class=\"table-responsive\"><table class=\"table table-bordered table-striped align-middle\">";
	if ($this->section)	echo "<tr><th colspan=\"4\" class=\"sub-forum-title\">".Text::_("Subforums")."</th></tr>";
	echo "<tr class=\"text-center\"><th colspan=\"2\" class=\"forum-title\">".Text::_("Name")."/".Text::_("Description")."</th>";
	echo "<th width=\"15%\" class=\"forum-title\">".Text::_("Subforums")."</th>";
	echo "<th width=\"15%\" class=\"forum-title\">".Text::_("Themes")."</th>";
	echo "</tr>";
	foreach($this->sections as $forum){
		if (in_array($forum->f_id,$this->allowed_ids)) {
			echo "<tr><td colspan=\"2\"><a class=\"forum-title\" href=\"".Router::_("index.php?module=forum&view=section&psid=".$forum->f_id.($forum->f_alias ? "&alias=".$forum->f_alias : ""))."\">".$forum->f_name."</a><br />";
			echo $forum->f_description."</td>";
			echo "<td class=\"text-center\">".$forum->f_forums."</td>";
			echo "<td class=\"text-center\">".$forum->f_themes."</td>";
			echo "</tr>";
		}
	}
	echo "</table></div></div></div></div>";
}
if ($this->section) {
	echo "<div class=\"row mb-3\"><div class=\"col-lg-12\"><div class=\"forum-panel btn-group\">";
	if ($this->canWrite) {
		echo "<a rel=\"nofollow\" class=\"linkButton btn btn-primary\" href=\"".Router::_("index.php?module=forum&task=modifyTheme&psid=".$this->section->f_id."&page=".$this->page)."\">".Text::_("Create theme")."</a>";
	}
	echo "<a class=\"linkButton btn btn-primary\" href=\"".Router::_("index.php?module=forum")."\">".Text::_("All forums")."</a>";
	echo "</div></div></div>";
}

if ($this->section) {
	echo "<div class=\"row\"><div class=\"col-lg-12\"><div class=\"forums\"><div class=\"table-responsive\"><table class=\"table table-bordered table-striped align-middle\">";
	echo "<tr><th colspan=\"4\" class=\"sub-theme-title\">".Text::_("Themes")."</th></tr>";
	echo "<tr class=\"text-center\"><th class=\"theme-title\">".Text::_("Theme")."</th>";
	echo "<th width=\"20%\" class=\"theme-title\">".Text::_("Last post")."</th>";
	echo "<th class=\"theme-title\">".Text::_("Answers")."</th>";
	echo "<th class=\"theme-title\">".Text::_("Views")."</th>";
	echo "</tr>";
	if (count($this->themes)) {// выводим информацию о темах
		foreach($this->themes as $theme){
			if ($theme->t_deleted) $dclass=" deletedTheme"; 
			elseif (!$theme->t_enabled) $dclass=" disabledTheme";
			else $dclass="";
			echo "<tr class=\"rowTheme".$dclass."\"><td><a class=\"theme-title\" href=\"".Router::_("index.php?module=forum&view=theme&psid=".$theme->t_id.($theme->t_alias ? "&alias=".$theme->t_alias : ""))."\">".$theme->t_theme."</a></td>";
//			echo "<td align=\"center\">".Date::fromSQL($theme->t_date)."<br />".Text::_("from")." ".$theme->u_nickname."</td>";
			echo "<td class=\"text-center\">";
			echo "<a title=\"".Text::_("View theme")."\" href=\"".Router::_("index.php?module=forum&view=theme&psid=".$theme->t_id.($theme->t_alias ? "&alias=".$theme->t_alias : "").($theme->t_posts ? "&layout=lastpage" : ""))."\">".Date::fromSQL($theme->post_date)."</a>";
			echo "<br />".Text::_("from")." "
			."<a title=\"".Text::_("Profile")."\" href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$theme->post_author_id)."\">".$theme->post_author."</a>"
			."</td>";
			echo "<td class=\"text-center\">".$theme->t_posts."</td>";
			echo "<td class=\"text-center\">".$theme->t_views."</td></tr>";
		}
	}
	echo "</table></div></div></div></div>";
}
?>