<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: ede00bfc (2024-10-03 12:17:44)
// 

use ArfaCMS\Core\Date;
use ArfaCMS\Core\Event;
use ArfaCMS\Core\Files;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\User;

defined('_ARFACMS_VALID') or die("Access denied");

if ($this->theme){
    echo "<div class=\"forum-post-list\">";
	// Если нужно то можно оверрайдить метатеги
	// Portal::getInstance()->setTitle( Text::_("Theme")." - ".$this->theme->t_theme.($this->page > 1 ? " - ".Text::_("Page")." ".$this->page : "") );
	if(!User::getInstance()->isLoggedIn())	echo "<p class=\"warning\">".Text::_("For posting log in or register")."</p>";
	$onclick=" onclick=\"if (!confirm('".Text::_("Are you sure")."  ?')) return false;\"";
	if ($this->theme->t_deleted) $dclass=" deleted-theme";
	elseif (!$this->theme->t_enabled) $dclass=" disabled-theme";
	else $dclass="";
	if(!$this->theme->t_enabled){
		echo "<p class=\"red-warning\">".Text::_("The message will be published after consideration by moderator")."</p>";
	}	
	echo "<h3 class=\"title\"><a href=\"".Router::_("index.php?module=forum&view=section&psid=".$this->theme->t_forum_id.( $this->section->f_alias ? "&alias=".$this->section->f_alias : ""))."\">".$this->section->f_name."</a></h3>";
	echo "<div class=\"forum-post forum-start-theme".$dclass."\">";
	if ($this->canModerate||(!$this->theme->t_closed && $this->theme->t_author_id && $this->theme->t_author_id==User::getInstance()->getId())){
		$link="index.php?module=forum&psid=".$this->theme->t_forum_id."&tid=".$this->theme->t_id;
		if ($this->page) $link.="&page=".$this->page;
		$link.="&task=";
		echo "<div class=\"post-admin-panel\"><div class=\"btn-group\">";
		if (!$this->theme->t_closed && !count($this->posts)) echo "<a rel=\"nofollow\" class=\"linkButton btn btn-primary\" href=\"".Router::_("index.php?module=forum&task=modifyTheme&psid=".$this->theme->t_forum_id."&tid=".$this->theme->t_id)."\">".Text::_("Mod.")."</a>";
		if ($this->canModerate){
			if ($this->theme->t_closed) {
				$buttonLabel="Op";
				echo "<a".$onclick." rel=\"nofollow\" class=\"linkButton btn btn-success\" href=\"".Router::_($link."toggleThemeClosed")."\">".Text::_($buttonLabel)."</a>";
			} else {
				$buttonLabel="Cl";
				echo "<a".$onclick." rel=\"nofollow\" class=\"linkButton btn btn-danger\" href=\"".Router::_($link."toggleThemeClosed")."\">".Text::_($buttonLabel)."</a>";
			}
			if ($this->theme->t_deleted) {
				$buttonLabel="Undel";
				echo "<a".$onclick." rel=\"nofollow\" class=\"linkButton btn btn-success\" href=\"".Router::_($link."toggleThemeDeleted")."\">".Text::_($buttonLabel)."</a>";
			} elseif (!$this->theme->t_enabled)  {
				$buttonLabel="Enab";
				echo "<a".$onclick." rel=\"nofollow\" class=\"linkButton btn btn-success\" href=\"".Router::_($link."toggleThemePublished")."\">".Text::_($buttonLabel)."</a>";
				$buttonLabel="Del";
				echo "<a".$onclick." rel=\"nofollow\" class=\"linkButton btn btn-danger\" href=\"".Router::_($link."toggleThemeDeleted")."\">".Text::_($buttonLabel)."</a>";
			} else {
				$buttonLabel="Dis";
				echo "<a".$onclick." rel=\"nofollow\" class=\"linkButton btn btn-warning\" href=\"".Router::_($link."toggleThemePublished")."\">".Text::_($buttonLabel)."</a>";
			}
		}
		echo "</div></div>";
	}
	echo "<div class=\"forumPostBody row\">";

    echo "<div class=\"col-lg-9\">";
	echo "<h1 class=\"title\">".$this->theme->t_theme."</h1>";
	Event::raise("bbcode.parse",array(),$this->theme->t_text);
	echo "<p class=\"postMessage\">".$this->theme->t_text."</p>";
	echo "</div>";

    echo "<div class=\"forumPostAuthor col-lg-3\">";
	if(!empty($this->theme->pf_img)) {
		$img_path=ARFACMS_STORAGE_PATH."user".DS."i".DS."avatars".DS.Files::getAppendix($this->theme->pf_img).DS.$this->theme->pf_img;
		if (is_file($img_path))	$avatar='<img width="100" src="'.ARFACMS_STORAGE_LINK.'/user/i/avatars/'.Files::getAppendix($this->theme->pf_img)."/".$this->theme->pf_img.'" alt="" />';
		else $avatar='<img class="avatar" alt="" src="'.Files::getNoImageLink("no-foto.png").'" />';
	} else $avatar='<img class="avatar" alt="" src="'.Files::getNoImageLink("no-foto.png").'" />';
	echo "<div class=\"post-author-avatar\">".$avatar."</div>";
	echo "<div class=\"post-author-link\">"."<a href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$this->theme->t_author_id)."\">".$this->theme->u_nickname."</a></div>";
	echo "<div class=\"post-date\">".Date::fromSQL($this->theme->t_date)."</div>";
	echo "</div>"; // forumPostAuthor

	echo "</div>";

	if ($this->canWrite && !$this->theme->t_closed) {
		echo "<div class=\"post-panel\"><div class=\"btn-group\">";
		if (User::getInstance()->getID()){
			if($this->userSubscribed){
				echo "<a id=\"subscribe_theme_button\" rel=\"nofollow\" onclick=\"toggleForumSubscription(".$this->theme->t_id.", 0); return false;\" class=\"linkButton btn btn-primary\" href=\"#\">".Text::_("Unsubscribe")."</a>";
			} else {
				echo "<a id=\"subscribe_theme_button\" rel=\"nofollow\" onclick=\"toggleForumSubscription(".$this->theme->t_id.", 1); return false;\" class=\"linkButton btn btn-primary\" href=\"#\">".Text::_("Subscribe")."</a>";
			}
		}
		echo "<a rel=\"nofollow\" class=\"linkButton btn btn-primary\" href=\"".Router::_("index.php?module=forum&task=modifyPost&psid=".$this->theme->t_id."&page=".$this->page)."\">".Text::_("Answer theme")."</a>";
		echo "</div></div>";
	}
	echo "</div>";
	if (count($this->posts)){
		foreach	($this->posts as $post) {
			$link="index.php?module=forum&psid=".$post->p_theme_id."&pid=".$post->p_id;
			if ($this->page) $link.="&page=".$this->page;
			$link.="&task=";
			if ($post->p_deleted) $dclass = " deleted-post";
			elseif (!$post->p_enabled) $dclass = " disabled-post";
			else $dclass="";
			echo "<div class=\"forum-post".$dclass."\">";
			if ($this->canModerate||(!$this->theme->t_closed && $post->p_author_id && $post->p_author_id==User::getInstance()->getId())){
				echo "<div class=\"post-admin-panel\"><div class=\"btn-group\">";
				if (!$this->theme->t_closed) echo "<a class=\"linkButton btn btn-primary\" href=\"".Router::_($link."modifyPost")."\">".Text::_("Mod.")."</a>";
				if ($this->canModerate){
					if ($post->p_deleted) { 
						$buttonLabel="Undel";  
						echo "<a".$onclick." rel=\"nofollow\" class=\"linkButton btn btn-success\" href=\"".Router::_($link."togglePostDeleted")."\">".Text::_($buttonLabel)."</a>";
					} elseif (!$post->p_enabled)  {
						$buttonLabel="Enab";
						echo "<a".$onclick." rel=\"nofollow\" class=\"linkButton btn btn-success\" href=\"".Router::_($link."togglePostPublished")."\">".Text::_($buttonLabel)."</a>";
						$buttonLabel="Del";  
						echo "<a".$onclick." rel=\"nofollow\" class=\"linkButton btn btn-danger\" href=\"".Router::_($link."togglePostDeleted")."\">".Text::_($buttonLabel)."</a>";
					} else {
						$buttonLabel="Dis";
						echo "<a".$onclick." rel=\"nofollow\" class=\"linkButton btn btn-warning\" href=\"".Router::_($link."togglePostPublished")."\">".Text::_($buttonLabel)."</a>";
					}
				}
				echo "</div></div>";
			}
			echo "<a name=\"post".$post->p_id."\"></a>";
			echo "<div class=\"forumPostBody row\">";

            echo "<div class=\"col-lg-9\">";
			echo "<h3 class=\"title\">".$post->p_theme."</h3>";
			Event::raise("bbcode.parse",array(),$post->p_text);
			echo "<div class=\"postMessage\">".$post->p_text."</div>";
			echo "</div>";

            echo "<div class=\"forumPostAuthor col-lg-3\">";
			if(!empty($post->pf_img)) {
				$img_path=ARFACMS_STORAGE_PATH."user".DS."i".DS."avatars".DS.Files::getAppendix($post->pf_img).DS.$post->pf_img;
				if (is_file($img_path))	$avatar='<img width="100" src="'.ARFACMS_STORAGE_LINK.'/user/i/avatars/'.Files::getAppendix($post->pf_img)."/".$post->pf_img.'" alt="" />';
				else $avatar='<img class="avatar" alt="" src="'.Files::getNoImageLink("no-foto.png").'" />';
			} else $avatar='<img class="avatar" alt="" src="'.Files::getNoImageLink("no-foto.png").'" />';
			echo "<div class=\"post-author-avatar\">".$avatar."</div>";
			echo "<div class=\"post-author-link\">"."<a rel=\"nofollow\" class=\"linkButton\" href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$post->p_author_id)."\">".$post->u_nickname."</a></div>";
			echo "<div class=\"post-date\">".Date::fromSQL($post->p_date)."</div>";
			echo "</div>"; // forumPostAuthor

			echo "</div>";
			if (($this->theme)&&($this->canWrite)) {
				echo "<div class=\"post-panel\">";
				echo "<a rel=\"nofollow\" class=\"linkButton btn btn-primary\" href=\"".Router::_("index.php?module=forum&task=modifyPost&psid=".$this->theme->t_id."&page=".$this->page)."\">".Text::_("Answer theme")."</a>";
				echo "</div>";
			}
			echo "</div>";
		}
	}
    echo "</div>";
}
?>