<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: fbff1702 (2024-10-01 01:30:00)
// 

use ArfaCMS\Core\Event;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\User;

defined('_ARFACMS_VALID') or die("Access denied");
echo "<div class=\"forum-post-modify\">";
echo "<div class=\"forum-post\">";
echo "<h3 class=\"title main-title\">".$this->theme->t_theme."</h3>";
Event::raise("bbcode.parse",array(),$this->theme->t_text);
echo "<p class=\"postMessage\">".$this->theme->t_text."</p>";
echo "</div>";
if($this->premoderated) echo "<p class=\"red-warning\">".Text::_("The message will be published after consideration by moderator")."</p>";
if ($this->errMessage) { echo "<h4 class=\"invalid\">".$this->errMessage."</h4>"; }
?>
    <form action="<?php echo Router::_("index.php"); ?>" method="post" id="PostForm">
        <input type="hidden" name="module" value="forum" />
        <input type="hidden" name="task" value="savePost" />
        <input type="hidden" name="psid" value="<?php echo $this->theme->t_id; ?>" />
        <input type="hidden" name="pid" value="<?php echo $this->post->p_id; ?>" />
        <input type="hidden" name="page" value="<?php echo $this->page; ?>" />
        <div id="forumTheme" class="row mb-3"><div class="col-lg-12 mb-2">
            <?php echo HTMLControls::renderLabelField("postTitle", Text::_('Theme')); ?>:
            </div><div class="col-lg-12">
            <?php echo HTMLControls::renderInputText("postTitle", $this->post->p_theme, 100, 100, "postTitle", "commonEdit", false, true); ?>
        </div></div>
        <div class="themeText row mb-3">
            <div class="col-lg-12 mb-2">
                <?php echo HTMLControls::renderLabelField("postText", Text::_('Text')); ?>:
            </div><div class="col-lg-12">
                <?php
                Event::raise("bbcode.editor",array("element_id"=>"postText"));
                echo HTMLControls::renderBBCodeEditor("postText","postText",$this->post->p_text,80,15,"editorArea form-control required");
                ?>
            </div>
        </div>
        <?php if(!$this->post->p_id || ($this->post->p_author_id && User::getInstance()->getID()==$this->post->p_author_id)) { ?>
        <div class="themeRow row mb-3"><div class="col-lg-12"><div class="form-check">
            <?php echo HTMLControls::renderCheckbox("p_subscribe",$this->userSubscribed,1,"","checkbox").HTMLControls::renderLabelField("p_subscribe", Text::_('Subscribe to theme')); ?>
        </div></div></div>
        <?php } ?>
        <?php  if(!$this->disableCaptcha) { ?>
            <div id="forumCaptcha" class="row mb-3"><div class="col-lg-12">
                <?php echo Event::raise("captcha.renderForm",array("module"=>"forum"))?>
            </div></div>
        <?php } ?>
        <div id="themeFooter" class="buttons">
            <input type="submit" class="commonButton btn btn-primary" value="<?php echo Text::_('Send'); ?>" />
        </div>
    </form>
</div>