<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Galleries",
        "tablename" => "galleries",
        "keystring" => "g_id",
        "namestring" => "g_title",
        "alias_field" => "g_alias",
        "enabled" => "g_published",
        "deleted" => "g_deleted",
        "multy_field" => "g_group_id",
        "ordering_field" => "g_ordering",
        "parent_view" => "groups",
        "parent_code" => "gr_id"
    ),
    "buttons" => array(
        "go_up" => array("show" => 1, "link" => false),
        "new" => array("show" => 1, "view" => "items", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "items"),
        "modify" => array("show" => 1, "view" => "items", "task" => "modify"),
        "delete" => array("show" => 1, "view" => "items", "task" => "delete"),
        "undelete" => array("show" => 1, "view" => "items", "task" => "delete"),
        "reorder" => array("show" => 1, "view" => "items", "task" => "reorder"),
        "trash" => array("show" => 1, "link" => false),
        "clean_trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'g_id', 'g_alias', 'g_group_id', 'g_title', 'g_thumb',
            'g_title_thm', 'g_alt_thm', 'g_comment', 'g_ordering', 'g_show_in_list',
            'g_hide_image_titles', 'g_published', 'g_deleted', 'g_meta_title', 'g_meta_description',
            'g_meta_keywords', 'g_layout'),
        "name" => array(1 => 'ID', 'Alias', 'Group', 'Title', 'Thumb',
            'Title image', 'Alt image', 'Comments', 'Ordering', 'Show in list',
            'Hide images titles', 'Published', 'Delete mark', 'Meta title', 'Meta description',
            'Meta keywords', 'Layout'),
        "link" => array(4 => "index.php?module=gallery&view=images&psid=[0]"),
        "link_key" => array(4 => 'id'),
        "link_type" => array(4 => ''),
        "val_type" => array(1 => 'int', 'string', 'int', 'string', 'string',
            'string', 'string', 'text', 'int', 'boolean',
            'boolean', 'boolean', 'boolean', 'string', 'text',
            'text', 'string'),
        "input_type" => array(1 => 'hidden', 'text', 'select', 'text', 'image',
            'text', 'text', 'texteditor', 'text', 'checkbox',
            'checkbox', 'checkbox', 'hidden', 'text', 'textarea',
            'textarea', 'text'),
        "upload_path" => array(5 => 'items/thumbs'),
        "check_value" => array(3 => 1),
        "ch_table" => array(3 => "gallery_groups"),
        "ch_field" => array(3 => "gr_title"),
        "ch_id" => array(3 => "gr_id")
    )
);
?>