<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1a91e368 (2023-01-19 19:26:27)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class galleryModelImages extends SpravModel {

	public function save(){
		$psid=parent::save(); 
		if ($psid) {
            if ($this->getModule()->getParam("galThumbAutoCreate") && $this->getModule()->getParam("galThumbWidth") && $this->getModule()->getParam("galThumbHeight") && $_FILES["gi_image"]["name"] && !$_FILES["gi_thumb"]["name"]) {
					$res=$this->getElement($psid);
					if (!$res) return 0;
					$_src_thumb=ARFACMS_STORAGE_PATH."gallery".DS."i".DS."thumbs".DS.$res->gi_thumb;
					if (!$res->gi_thumb || !is_file($_src_thumb)) {
						$filename=Files::splitAppendix($res->gi_image,true);
						if ($filename) {
							$_src=ARFACMS_STORAGE_PATH."gallery".DS."i".DS.$filename;
							$_dest_path=ARFACMS_STORAGE_PATH."gallery".DS."i".DS."thumbs".DS;
							Files::checkFolder($_dest_path.Files::getAppendix($res->gi_image), true); 
							$_dest=$_dest_path.$filename; 
							if(Files::isImage($_src)){
								if (!Files::resizeImage($_src, $_dest, $this->getModule()->getParam("galThumbWidth"), $this->getModule()->getParam("galThumbHeight"))) return 0;
								if (!$this->updateThumb($psid,$res->gi_image)) return 0;
							}
						} else return 0;
					}
			} elseif ($this->getModule()->getParam("galThumbAutoResize") && $this->getModule()->getParam("galThumbWidth") && $this->getModule()->getParam("galThumbHeight") && $_FILES["gi_thumb"]["name"]) {
				$res=$this->getElement($psid);
				if (!$res) return 0;
				$_src_thumb=ARFACMS_STORAGE_PATH."gallery".DS."i".DS."thumbs".DS.Files::splitAppendix($res->gi_thumb, true);
				if ($res->gi_thumb && is_file($_src_thumb)) {
					$_dest=$_src_thumb;
					$_src=$_src_thumb;
					if(Files::isImage($_src))	{
						if (!Files::resizeImage($_src, $_dest, $this->getModule()->getParam("galThumbWidth"), $this->getModule()->getParam("galThumbHeight"))) return 0;
					}
				}
			}
		} else return 0;
		return $psid;
	}
	public function updateThumb($psid,$thumb){
		$sql="UPDATE #__gallery_images SET gi_thumb='".$thumb."' WHERE gi_id=".$psid;
		$this->_db->setQuery($sql);
		return $this->_db->query();
	}
}

?>