<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1a91e368 (2023-01-19 19:26:27)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Request;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class galleryModelItems extends SpravModel {
	
	public function checkTrashChilds(){
		// картинки принадлежащие удаляемым галлереям, в том числе и помеченные на удаление
		$sql="SELECT COUNT(gi_id) FROM #__gallery_images WHERE AND gi_gallery_id IN (SELECT g_id FROM #__galleries WHERE g_deleted=1))";
		$this->_db->setQuery($sql);
		$images=$this->_db->loadResult();
		if ($images) return true;
		return false;
	}
	
	public function save(){
		$psid=parent::save(); 
		if ($psid) {
			if ($this->getModule()->getParam("galGalleryThumbAutoResize") && $this->getModule()->getParam("galGalleryThumbWidth") && $this->getModule()->getParam("galGalleryThumbHeight") && $_FILES["g_thumb"]["name"]) {
				$res=$this->getElement($psid);
				if (!$res) return 0;
				$filename=Files::splitAppendix($res->g_thumb, true);
				if ($filename) {
					$_src=ARFACMS_STORAGE_PATH."gallery".DS."items".DS."thumbs".DS.$filename;
					$_dest=$_src;
					if(Files::isImage($_src)){
						$res=Files::resizeImage($_src, $_dest, $this->getModule()->getParam("galGalleryThumbWidth"), $this->getModule()->getParam("galGalleryThumbHeight"));
						if (!$res) return 0;
					}
				}
			}
		} else return 0;
		$this->updateAlias($psid, Request::getSafe('g_alias',""), Request::getSafe('g_title',""));
		return $psid;
	}
	
}
?>