<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1a91e368 (2023-01-19 19:26:27)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\DB\Database;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class galleryModule extends Module {
	public function prepare() {
        if(defined("_ADMIN_MODE")){
            $this->setDefaultView('groups');
        } else {
            $this->setDefaultView('groups');
            $js = "siteConfig['slideshow_timeout']=" . $this->getParam("galSlideshowTimeout") . ";";
            Portal::getInstance()->addScriptDeclaration($js);
        }
    }
	public function getSitemapHTML() {
		$db=Database::getInstance();
		$module=$this->getName();
		$result = array("html"=>"","links"=>array());
		$sql = "SELECT gr.gr_id, gr.gr_title, gr.gr_alias,g.g_id,g.g_title,g.g_alias 
				FROM #__galleries as g, #__gallery_groups as gr 
				WHERE gr.gr_id = g.g_group_id 
				AND gr.gr_deleted=0 AND gr.gr_published=1 AND gr.gr_show_in_list=1 
				AND g.g_deleted=0 AND g.g_published=1 AND g.g_show_in_list=1
				ORDER BY gr.gr_title";
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		$html='';
		$current_category=NULL;
		$html='';
		$ul_started=0;
		if(count($res)) {
			$html.="<ul>";
			foreach($res as $gal) {
				if($current_category!=$gal->gr_id&&!is_null($gal->gr_id)) {
					if($ul_started) $html.="</ul></li>";
					$html.="<li><a href=\"".Router::_("index.php?module=gallery&view=items&psid=".$gal->gr_id."&alias=".$gal->gr_alias)."\">".$gal->gr_title."</a>";
					$html.="<ul>";
					$html.="<li><a href=\"".Router::_("index.php?module=gallery&view=images&psid=".$gal->g_id."&alias=".$gal->g_alias)."\">".$gal->g_title."</a></li>";
					$ul_started++;
					$current_category=$gal->gr_id;
				} else {
					$html.="<li><a href=\"".Router::_("index.php?module=gallery&view=images&psid=".$gal->g_id."&alias=".$gal->g_alias)."\">".$gal->g_title."</a></li>";
				}
			}
			if($ul_started) $html.="</ul></li>";
			$html.="</ul>";
		}
		$result["title_link"]=true;
		$result['html']=$html;
		return $result;
	}
    public function getLinksArray(&$i,&$_arr) {
        $db=Database::getInstance();
        $module=$this->getName();
        $sql='SELECT gr_id, gr_title, gr_alias FROM #__gallery_groups WHERE gr_deleted=0 AND gr_published=1';
        $db->setQuery($sql);
        $res=$db->loadObjectList();
        if (count($res)) {
            foreach($res as $val)  {
                $i++;
                $_arr[$module][$i]['link']=Router::_("index.php?module=gallery&view=items&psid=".$val->gr_id."&alias=".$val->gr_alias, true);
                $_arr[$module][$i]['name']=$val->gr_title;
                $_arr[$module][$i]['fullname']=$val->gr_title;
            }
        }
        $sql1='SELECT g_id, g_title, g_alias FROM #__galleries WHERE g_deleted=0 AND g_published=1';
        $db->setQuery($sql1);
        $res1=$db->loadObjectList();
        if (count($res1)) {
            foreach($res1 as $val1)  {
                $i++;
                $_arr[$module][$i]['link']=Router::_("index.php?module=gallery&view=images&psid=".$val1->g_id."&alias=".$val1->g_alias, true);
                $_arr[$module][$i]['name']=$val1->g_title;
                $_arr[$module][$i]['fullname']=$val1->g_title;
            }
        }
        return true;
    }
    public function getACLTemplate($is_admin=true){
        $acl=array();$i=0;
        if($is_admin){
            $i++;$acl[$i]['ao_name']='galleryModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='viewGalleryGroups'; $acl[$i]['ao_description']='Gallery groups';
            $i++;$acl[$i]['ao_name']='viewGalleryItems'; $acl[$i]['ao_description']='Gallery items';
            $i++;$acl[$i]['ao_name']='viewGalleryImages'; $acl[$i]['ao_description']='Gallery images';
            $i++;$acl[$i]['ao_name']='deleteGalleryGroups'; $acl[$i]['ao_description']='Finally delete groups';
            $i++;$acl[$i]['ao_name']='deleteGalleryItems'; $acl[$i]['ao_description']='Finally delete galleries';
            $i++;$acl[$i]['ao_name']='deleteGalleryImages'; $acl[$i]['ao_description']='Finally delete images';
        } else {
            $i++;$acl[$i]['ao_name']='galleryModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='viewGalleryGroups'; $acl[$i]['ao_description']='Gallery groups';
            $i++;$acl[$i]['ao_name']='viewGalleryItems'; $acl[$i]['ao_description']='Gallery items';
            $i++;$acl[$i]['ao_name']='viewGalleryImages'; $acl[$i]['ao_description']='Gallery images';
        }
        return 	$acl;
    }
}
?>