<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: c8d5554b (2024-09-27 23:26:45)
// 

use ArfaCMS\Core\Text;
use ArfaCMS\DB\Database;

defined('_ARFACMS_VALID') or die("Access denied");

class galleryModuleParams{
	public static function _proceed(&$module){
		$module->addParam("images_by_row", "select", "4", false, array("2"=>"2", "3"=>"3", "4"=>"4", "6"=>"6"));
        $module->addParam("galShowParentDescr", "boolean", true);
        $module->addParam("galSlideshowTimeout", "integer", 3, true);
		$module->addParam("exclude_cats_from_map", "multiselect", "0", false, self::getGroups());
		$module->addParam("exclude_galleries_from_map", "multiselect", "0", false, self::getItems());
        //============================================================================
        $module->addParam("gallery_sizes_tab", "tab", Text::_("Pictures sizes"));
        $module->addParam("galGroupThumbAutoResize", "boolean", true);
        $module->addParam("galGroupThumbWidth", "integer", 200, true);
        $module->addParam("galGroupThumbHeight", "integer", 200, true);

        $module->addParam("galGalleryThumbAutoResize", "boolean", true);
        $module->addParam("galGalleryThumbWidth", "integer", 200, true);
        $module->addParam("galGalleryThumbHeight", "integer", 200, true);

        $module->addParam("galThumbAutoCreate", "boolean", true);
        $module->addParam("galThumbAutoResize", "boolean", true);
        $module->addParam("galThumbWidth", "integer", 100, true);
        $module->addParam("galThumbHeight", "integer", 100, true);
	}
	public static function getGroups() {
		$sql="SELECT gr_id AS `id`, gr_title AS `name` FROM #__gallery_groups WHERE gr_deleted=0 ORDER BY gr_ordering";
		Database::getInstance()->setQuery($sql);
		return Database::getInstance()->loadAssocList();
	}
	public static function getItems($psid=0) {
		$sql="SELECT g_id AS `id`, g_title AS `name` FROM #__galleries WHERE g_deleted=0 ORDER BY g_ordering";
		Database::getInstance()->setQuery($sql);
		return Database::getInstance()->loadAssocList();
	}
}
?>