<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: dc974189 (2024-10-13 02:45:16)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

echo "<h1 class=\"title main-title\">".Text::_("Gallery groups")."</h1>";
if (count($this->groups)) {
    $_galGroupThumbWidth = Module::getInstance()->getParam("galGroupThumbWidth");
    $_galGroupThumbHeight = Module::getInstance()->getParam("galGroupThumbHeight");
    if($_galGroupThumbWidth) $autowidth=" style=\"width:".$_galGroupThumbWidth."px;\""; else $autowidth="";
    foreach($this->groups as $group) {
        $href="index.php?module=gallery&amp;view=items&amp;psid=".$group->gr_id;
        if ($group->gr_alias) $href.="&amp;alias=".$group->gr_alias;
        echo "<div class=\"gallery-group\">";
        echo "<div class=\"row\">";

        echo "<div class=\"col-lg-12\">";
        echo "<h2 class=\"title\"><a class=\"gallery-group-title\" href=\"".Router::_($href)."\">".$group->gr_title."</a></h2>";
        echo "</div>";

        echo "<div class=\"gallery-group-thumb col-md-3\">";
        if ($group->gr_thumb) $img=ARFACMS_STORAGE_PATH.'gallery'.DS.'groups'.DS.'thumbs'.DS.Files::getAppendix($group->gr_thumb).DS.$group->gr_thumb;
        else $img="";
        echo "<a class=\"gallery-group-image-link\" href=\"".Router::_($href)."\">";
        if($img && is_file($img)) {
            $img_link=ARFACMS_STORAGE_LINK.'/gallery/groups/thumbs/'.Files::getAppendix($group->gr_thumb)."/".$group->gr_thumb;
            echo "<img".$autowidth." title=\"".$group->gr_title_thm."\" alt=\"".$group->gr_alt_thm."\" class=\"gallery-group-image\" src=\"".$img_link."\" />";
        }	else {
            echo "<img".$autowidth." title=\"".$group->gr_title_thm."\" alt=\"".$group->gr_alt_thm."\" class=\"empty-img\" src=\"/assets/images/blank.gif\" width=\"".$_galGroupThumbWidth."\" height=\"".$_galGroupThumbHeight."\" />";
        }
        echo "</a>";
        echo "</div>";
        echo "<div class=\"gallery-group-comment col-md-9\">".$group->gr_comment."</div>";

        echo "</div>";
        echo "</div>";
	}
}
?>