<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1ecc717d (2024-10-14 14:16:51)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");
if (is_object($this->item)) {
    echo "<h1 class=\"title main-title\">" . Text::_("Gallery") . " - " . $this->item->g_title . "</h1>";
    $href = "index.php?module=gallery&amp;view=items&amp;psid=" . $this->item->g_group_id;
    if (is_object($this->group)) $href .= "&amp;alias=" . $this->group->gr_alias;
    echo "<div class=\"gallery-toolbar row\">";
    echo "<div class=\"gallery-toolbar-link col\"><a class=\"btn btn-primary\" href=\"" . Router::_($href) . "\">" . Text::_("Back to galleries") . "</a></div>";
    echo "<div class=\"gallery-toolbar-link col-auto\"><a class=\"btn btn-primary\" onclick=\"slideshow();\">" . Text::_("Start slideshow") . "</a></div>";
    echo "</div>";
    if ($this->item->g_thumb) $img = ARFACMS_STORAGE_PATH . 'gallery' . DS . 'items' . DS . 'thumbs' . DS . Files::getAppendix($this->item->g_thumb) . DS . $this->item->g_thumb;
    else $img = "";
    if ($img && is_file($img)) $img_link = ARFACMS_STORAGE_LINK . '/gallery/items/thumbs/' . Files::getAppendix($this->item->g_thumb) . "/" . $this->item->g_thumb;
    else $img_link = "";
    if ($this->item->g_show_parent_descr && ($this->item->g_comment || $img_link)) {
        $_galThumbWidth = Module::getInstance()->getParam("galThumbWidth");
        $_galThumbHeight = Module::getInstance()->getParam("galThumbHeight");
        echo "<div class=\"gallery-item\">";
        echo "<div class=\"row\">";

        echo "<div class=\"gallery-item-thumb col-12 col-sm-5 col-md-3\">";
        if($img_link){
            echo "<img title=\"" . $this->item->g_title_thm . "\" alt=\"" . $this->item->g_alt_thm . "\" class=\"gallery-item-image\" src=\"" . $img_link . "\" />";
        } else {
            echo "<img title=\"" . $this->item->g_title_thm . "\" alt=\"" . $this->item->g_alt_thm . "\" class=\"empty-img\" src=\"/assets/images/blank.gif\" width=\"".$_galThumbWidth."\" height=\"".$_galThumbHeight."\" />";
        }
        echo "</div>";
        echo "<div class=\"gallery-item-comment col-12 col-sm-7 col-md-9\">" . $this->item->g_comment . "</div>";

        echo "</div>";
        echo "</div>";
    }
    echo "<div class=\"image-list row\">";
    if (count($this->images)) {
        switch ($this->images_by_row) {
            case "2":
                $item_class = "col-12 col-sm-6";
                break;
            case "3":
                $item_class = "col-12 col-sm-6 col-md-4";
                break;
            case "4":
                $item_class = "col-12 col-sm-6 col-md-3";
                break;
            case "6":
                $item_class = "col-12 col-sm-4 col-md-3 col-lg-2";
                break;
            default:
                $item_class = "col-12 col-sm-6 col-md-3";
                break;
        }
        $first_image_id = " id=\"first_image\"";

        /********************/
        /***** Variant 1 *****/
        // $_galThumbHeight = Module::getInstance()->getParam("galThumbHeight");
        // $automax = $_galThumbHeight ? " style=\"height:".$_galThumbHeight."px;\"" : "";
        /***** Variant 2 *****/
        $automax = ""; $item_class.= " align-self-center";
        /********************/
        foreach ($this->images as $image) {
            // Preparing data
            $thumb_file = ARFACMS_STORAGE_PATH . 'gallery' . DS . 'i' . DS . 'thumbs' . DS . Files::getAppendix($image->gi_thumb) . DS . $image->gi_thumb;
            $thumb = is_file($thumb_file);
            $img_file = ARFACMS_STORAGE_PATH . 'gallery' . DS . 'i' . DS . Files::getAppendix($image->gi_image) . DS . $image->gi_image;
            $img = is_file($img_file);
            $title = addslashes($image->gi_title);
            if (!$thumb && !$img) {
                $thumb_link = "";
                $image_link = "";
            } elseif (!$thumb) {
                $image_link = ARFACMS_STORAGE_LINK . '/gallery/i/' . Files::getAppendix($image->gi_image) . "/" . $image->gi_image;
                $thumb_link = ARFACMS_STORAGE_LINK . '/gallery/i/' . Files::getAppendix($image->gi_image) . "/" . $image->gi_image;
            } elseif (!$img) {
                $image_link = "";
                $thumb_link = ARFACMS_STORAGE_LINK . '/gallery/i/thumbs/' . Files::getAppendix($image->gi_thumb) . "/" . $image->gi_thumb;
            } else {
                $image_link = ARFACMS_STORAGE_LINK . '/gallery/i/' . Files::getAppendix($image->gi_image) . "/" . $image->gi_image;
                $thumb_link = ARFACMS_STORAGE_LINK . '/gallery/i/thumbs/' . Files::getAppendix($image->gi_thumb) . "/" . $image->gi_thumb;
            }
            if($thumb_link){
                // Rendering image
                echo "<div class=\"" . $item_class . "\">";
                echo "<div class=\"gallery-image\">";

                echo "<div class=\"gallery-image-thumb-wrapper\">";

                if ($image_link) {
                    echo "<a" . $first_image_id . " title=\"" . $title . "\" data-gg-attr=\"gallery-image-thumb\" class=\"gallery-image-thumb\" href=\"" . $image_link . "\">";
                    if ($first_image_id) $first_image_id = "";
                } else echo "<span" . $first_image_id . " class=\"gallery-thumb\">";
                echo "<img".$automax." title=\"" . $image->gi_title_img . "\" alt=\"" . $image->gi_alt_img . "\" class=\"single-image" . ($thumb_link ? "" : " empty-img") . "\" src=\"" . ($thumb_link ? : "/assets/images/blank.gif") . "\" />";
                echo $image_link ? "</a>" : "</span>";

                echo "</div>";
                if (!$this->item->g_hide_image_titles) echo "<div class=\"gallery-image-title\">" . $title . "</div>";

                echo "</div>";
                echo "</div>";
            }
        }
    }
    echo "</div>";
    $mdl = Module::getInstance();
    $reestr = $mdl->get('reestr');
    $page = $reestr->get('page', 0);
    $sort = $reestr->get('sort');
    $str_sql_wf = $reestr->get('str_sql_wf');
    $records_count_wf = $reestr->get('records_count_wf', 0);
    $psid = $reestr->get('psid');
    $multy_code = $reestr->get('multy_code');

    $ref = "index.php?module=gallery&view=images&multy_code=" . $multy_code . "&psid=" . $psid;
    if (is_object($this->item)) $ref .= "&alias=" . $this->item->g_alias;
    echo $this->appendLimitStringWF(false, $page, $ref, $records_count_wf, $str_sql_wf, $reestr);
}
?>