<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: dc974189 (2024-10-13 02:45:16)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$href="index.php?module=gallery";
echo "<h1 class=\"title main-title\"><a class=\"gallery-groups\" href=\"".Router::_($href)."\">".Text::_("Galleries")."</a> - ".$this->group->gr_title."</h1>";

if ($this->group->gr_thumb) $img=ARFACMS_STORAGE_PATH.'gallery'.DS.'groups'.DS.'thumbs'.DS.Files::getAppendix($this->group->gr_thumb).DS.$this->group->gr_thumb;
else $img="";
if($img && is_file($img)) $img_link=ARFACMS_STORAGE_LINK.'/gallery/groups/thumbs/'.Files::getAppendix($this->group->gr_thumb)."/".$this->group->gr_thumb;
else $img_link="";
if (Module::getInstance()->getParam("galShowParentDescr") && ($this->group->gr_comment || $img_link)) {
    $_galGroupThumbWidth = Module::getInstance()->getParam("galGroupThumbWidth");
    $_galGroupThumbHeight = Module::getInstance()->getParam("galGroupThumbHeight");
    if($_galGroupThumbWidth) $autowidth=" style=\"width:".$_galGroupThumbWidth."px;\""; else $autowidth="";
    echo "<div class=\"gallery-group\">";
    echo "<div class=\"row\">";
    echo "<div class=\"gallery-group-thumb col-sm-5 col-md-3\">";
    if($img_link) {
        echo "<img".$autowidth." title=\"".$this->group->gr_title_thm."\" alt=\"".$this->group->gr_alt_thm."\" class=\"gallery-group-image\" src=\"".$img_link."\" />";
    } else {
        echo "<img".$autowidth." title=\"".$this->group->gr_title_thm."\" alt=\"".$this->group->gr_alt_thm."\" class=\"empty-img\" src=\"/assets/images/blank.gif\" width=\"".$_galGroupThumbWidth."\" height=\"".$_galGroupThumbHeight."\" />";
    }
    echo "</div>";
    echo "<div class=\"gallery-group-comment col-sm-7 col-md-9\">".$this->group->gr_comment."</div>";
    echo "</div>";
    echo "</div>";
}

if (count($this->items)) {
    $_galThumbWidth = Module::getInstance()->getParam("galThumbWidth");
    $_galThumbHeight = Module::getInstance()->getParam("galThumbHeight");
    if($_galThumbWidth) $autowidth=" style=\"width:".$_galThumbWidth."px;\""; else $autowidth="";
    foreach($this->items as $item) {
        $href="index.php?module=gallery&amp;view=images&amp;psid=".$item->g_id;
        if ($item->g_alias) $href.="&amp;alias=".$item->g_alias;
        echo "<div class=\"gallery-item\">";
        echo "<div class=\"row\">";

        echo "<div class=\"col-lg-12\">";
        echo "<h2 class=\"title\"><a class=\"gallery-item-title\" href=\"".Router::_($href)."\">".$item->g_title."</a></h2>";
        echo "</div>";

        echo "<div class=\"gallery-item-thumb col-md-3\">";
        if ($item->g_thumb) $img = ARFACMS_STORAGE_PATH.'gallery'.DS.'items'.DS.'thumbs'.DS.Files::getAppendix($item->g_thumb).DS.$item->g_thumb;
        else $img="";
        echo "<a class=\"gallery-item-image-link\" href=\"".Router::_($href)."\">";
        if($img && is_file($img)) {
            $img_link=ARFACMS_STORAGE_LINK.'/gallery/items/thumbs/'.Files::getAppendix($item->g_thumb)."/".$item->g_thumb;
            echo "<img".$autowidth." title=\"".$item->g_title_thm."\" alt=\"".$item->g_alt_thm."\" class=\"gallery-item-image\" src=\"".$img_link."\" />";
        } else {
            echo "<img".$autowidth." title=\"".$item->g_title_thm."\" alt=\"".$item->g_alt_thm."\" class=\"empty-img\" src=\"/assets/images/blank.gif\" width=\"".$_galThumbWidth."\" height=\"".$_galThumbHeight."\" />";
        }
        echo "</a>";
        echo "</div>";
        echo "<div class=\"gallery-item-comment col-md-9\">".$item->g_comment."</div>";

        echo "</div>";
        echo "</div>";
	}
}
?>