<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 96247043 (2024-10-09 21:38:40)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>

<div class="license rounded-pan">

<h3 class="main-title">Соглашение об использовании системы управления контентом Арфа-CMS (Arfa-CMS)</h3>

<p>Настоящее Соглашение (далее Соглашение) является договором между приобретателем прав пользования системой Арфа-CMS (далее Пользователь) и разработчиком системы Арфа-CMS (Arfa-CMS), далее Правообладатель.</p>

<p>ВНИМАНИЕ: использование Вами системы Арфа-CMS возможно только на условиях настоящего Соглашения.</p>

<p>Соглашение вступает в законную силу непосредственно в момент установки Пользователем либо с момента первого обращения к установленной cистеме Арфа-CMS (далее Система).</p>

<p>Продолжение установки либо использования свидетельствует о том, что Вы ознакомились с содержанием Соглашения, принимаете его положения и будете использовать Систему на условиях данного Соглашения.</p>

<p>1. Предмет Соглашения</p>

<p>1.1. Программный продукт Арфа-CMS это web-ориентированный скрипт, предназначенный для эксплуатации в сети Интернет.</p>

<p>1.2. Предметом настоящего пользовательского Соглашения является право использования одного экземпляра программного продукта Арфа-CMS, в порядке и на условиях, установленных настоящим Соглашением. Если вы не согласны с условиями данного Соглашения, вы не можете использовать данный продукт. Установка и использование продукта означает ваше полное согласие со всеми пунктами настоящего Соглашения.</p>

<p>1.3. Соглашение предоставляет конечному пользователю ограниченные права на использование экземпляра данной системы. Приобретая регистрационный ключ (ключ авторизации) на программный продукт Арфа-CMS, вы должны знать, что не приобретаете авторские права на программный продукт. Вы приобретаете только право на использование одного экземпляра программного продукта на единственном веб сайте (одном домене второго уровня), принадлежащем Вам или Вашему клиенту. Вы должны быть ознакомлены, что программный продукт Арфа-CMS, а также регистрационный ключ (ключ авторизации) зарегистрированный на доменное имя указанное при покупке, не подлежит возврату или обмену.</p>

<p>2. Авторские права</p>

<p>2.1. Система является интеллектуальной собственностью Правообладателя.</p>

<p>2.2. Авторские права и исключительные имущественные права на Систему (как на программный продукт), а также на все материалы, представленные в Системе, принадлежат Правообладателю, за исключением сторонних материалов и сторонних компонентов указанных в дополнении к данному Соглашению. Там же указаны условия распространения этих материалов и компонентов.</p>

<p>2.3. Система защищена законодательством России и международными соглашениями в области авторского права и интеллектуальной собственности, в частности, действующей редакцией Гражданского Кодекса РФ.</p>

<p>2.4. В случае нарушения авторских прав предусматривается ответственность в соответствии с действующим законодательством.</p>

<p>3. Условия использования Системы и ограничения</p>

<p>3.1. Правообладатель не предоставляет Пользователю никаких иных прав, кроме как явно заявляя об этом.</p>

<p>3.2. Правообладатель имеет право в любое время вносить любые изменения, дополнения, модификации в Систему и/или модули и компоненты Системы, не препятствуя праву Пользователя на эти обновления в рамках приобретенной версии Системы, но и не гарантируя такого права. Правообладатель вправе также не вносить никаких изменений в конфигурацию Системы.</p>

<p>3.3. Пользователю разрешено:</p>

<p>3.3.1. Изменять дизайн и структуру программного кода в соответствии с нуждами своего сайта. Модификации, произведенные Вами самостоятельно, не являются нашей собственностью , если не содержат программные коды непосредственно Системы. При внесении изменений или модификаций пользователь сам несет все риски сохранения работоспособности Системы в целом.</p>

<p>3.3.2. Создавать модули, которые будут взаимодействовать с нашими программными кодами, с указанием на то, что это Ваш оригинальный продукт.</p>

<p>3.4. Пользователю запрещается:</p>

<p>3.4.1. Перепродавать право на использование Системы.</p>

<p>3.4.2. Вносить изменения в объектный код программ или баз данных, за исключением тех, которые вносятся средствами, включенными в комплект Системы и описанными в документации по использованию Системы.</p>

<p>3.4.3. Разделять компоненты Системы. Система является единым изделием. Запрещается отделять от нее составляющие ее части, компоненты и модули и использовать отдельно.</p>

<p>3.4.4. Использовать товарные знаки, логотипы, марки и идентифицирующие изображения (например, печати, штампы, факсимиле) Правообладателя. Настоящее Соглашение не предоставляет Пользователю никаких прав в отношении каких-либо торговых знаков или названий, логотипов, марок, идентифицирующих изображений Правообладателя.</p>

<p>3.4.5. Любыми способами подавлять вывод информации о том, что система не зарегистрирована и работает в демонстранционном режиме.</p>

<p>4. Ответственность сторон</p>

<p>4.1. За нарушение условий настоящего Соглашения наступает ответственность, предусмотренная законодательством Российской Федерации.</p>

<p>4.2. В наибольшей степени, допускаемой действующим законодательством, ни при каких обстоятельствах Правообладатель, его уполномоченные представители или официальные дилеры, дистрибуторы, агенты или штатный персонал не несут ответственности за какой-либо особый, случайный, косвенный или опосредованный ущерб или убытки (включая, но не ограничиваясь только перечисленным:</p>

<p>- упущенную выгоду,<br>
- убытки, вызванные утратой конфиденциальной или иной информации,<br>
- убытки, вызванные перерывами в коммерческой или производственной деятельности,<br>
- убытки, вызванные нанесением ущерба здоровью,<br>
- убытки, вызванные нарушением неприкосновенности частной жизни,<br>
- убытки, вызванные неисполнением любого обязательства (включая обязательство действовать добросовестно и с разумной осмотрительностью),<br>
- убытки, вызванные небрежностью,<br>
- любой иной ущерб и прочие убытки имущественного или иного характера), возникающие в связи с использованием или невозможностью использования Системы, либо оказанием или неоказанием услуг по технической поддержке, а также с любыми другими положениями настоящего Соглашения, даже в случаях отказа элементов системы, гражданского правонарушения (включая халатность), даже если Правообладатель, или любой его уполномоченный представитель, или официальный поставщик были заранее извещены о возможности такого ущерба или убытков, или по любому иску третьей стороны.</p>

<p>5. Расторжение Соглашения</p>

<p>5.1. Без ущерба для каких-либо своих прав Правообладатель может прекратить действие настоящего Соглашения при несоблюдении его условий и ограничений. В случае такого несоблюдения Соглашение считается расторгнутым немедленно.</p>

<p>5.2. При расторжении Соглашения Пользователь обязан немедленно прекратить использование Системы.</p>

<p>5.3. В случае, если компетентный суд признает какие-либо положения настоящего Соглашения недействительными, Соглашение продолжает действовать в остальной части.</p>

<p>6. Ограниченная гарантия</p>

<p>6.1. В максимально разрешенном применимым правом объеме Система представляется к использованию такой, какова она есть (AS IS). Правообладатель не несет никакой ответственности за то, что Система не соответствует ожиданиям и/или представлениям Пользователя, не соответствует аналогам и/или стандартам, не описанным в спецификациях и сопроводительной документации, не содержит ошибок, а также за прямые или косвенные последствия применения Системы, в том числе возникшие из-за возможных ошибок или опечаток в комплекте Системы и сопроводительной и/или пояснительной документации.</p>

<p>6.2. Правообладатель не гарантирует совместную работу Системы с программным обеспечением и оборудованием третьих лиц и организаций, в особенности с оборудованием, не имеющим гарантий совместимости от производителей программного обеспечения, а также не имеющим соответствующих соглашений с поставщиками услуг доступа к сети Интернет. У пользователя есть возможность проверить работоспособность и совместимость системы путем использования полнофункциональной демонстрационной версии системы до момента приобретения регистрационного ключа (ключа авторизации).</p>

<p>6.3. В дополнение хотим отметить, что механизмы безопасности, установленные на программные компоненты и модули Системы, имеют известные ограничения. Вы должны быть ознакомлены с отсутствием абсолютных гарантий:</p>

<p>- защищенности Вашей информации,<br>
- невозможности злонамеренных действий заинтересованных лиц или хакеров,<br>
- преследования органов социальной безопасности.</p>

<p>Со своей стороны, Правообладатель декларирует легитимность своих действий и безусловную лояльность по отношению к органам законодательной и исполнительной власти Российской Федерации.</p>

<p>Использованные в системе сторонние компоненты, сохраняют свои лицензионные статусы.<br>
Перечень использованных компонентов приведен в дополнении к настоящему Соглашению.</p>

<br />
<h4>Дополнение.</h4>
<h4>Сводная таблица сторонних скриптов используемых в сборке</h4>
<?php
$buffer = file_get_contents(PATH_ASSETS."extra".DS."licenses.txt");
echo Text::toHtml(htmlspecialchars($buffer));
?> 
</div>