<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: cfd81958 (2024-10-09 21:59:11)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="install-list mb-3">
    <h4 class="title"><?php echo Text::_("Package instalation and deleting"); ?></h4>
    <?php
    echo "<div class=\"table-responsive\">";
    echo "<table class=\"table table-bordered table-hover table-condensed align-middle sprav-table \">";
    echo "<tr class=\"text-center\">";
    echo "<th>" . Text::_("Package type") . "</th>";
    echo "<th>" . Text::_("Package name") . "</th>";
    echo "<th>" . Text::_("Version") . "</th>";
    echo "<th>" . Text::_("Description") . "</th>";
    echo "<th>" . Text::_("Author") . "</th>";
    echo "<th>" . Text::_("E-mail") . "</th>";
    echo "<th>" . Text::_("Site") . "</th>";
    echo "<th>" . Text::_("License") . "</th>";
    echo "<th>" . Text::_("Uninstall") . "</th>";
    echo "</tr>";
    $crow = 0;
    if (count($this->packages)) {
        foreach ($this->packages as $package) {
            $crow = abs($crow - 1);
            $class = "crow_" . $crow;
            echo "<tr class=\"" . $class . "\">";
            echo "<td>" . Text::_($package->c_type) . "</td>";
            echo "<td class=\"package_name\">" . $package->c_name . "</td>";
            echo "<td class=\"package\">" . $package->c_version . "</td>";
            echo "<td class=\"package\">" . $package->c_description . "</td>";
            echo "<td class=\"package\">" . $package->c_author . "</td>";
            if ($package->c_email) $link = "<a href=\"mailto:" . $package->c_email . "\">" . $package->c_email . "</a>"; else $link = "";
            echo "<td class=\"package\">" . $link . "</td>";
            if ($package->c_site) $link = "<a target=\"_blank\" href=\"" . $package->c_site . "\">" . $package->c_site . "</a>"; else $link = "";
            echo "<td class=\"package\">" . $link . "</td>";
            if ($package->c_license) $link = "<a class=\"rel-popup-text\" href=\"index.php?module=installer&option=ajax&task=readLicense&psid=" . $package->c_id . "\">" . Text::_("Read") . "</a>"; else $link = Text::_("Absent");
            echo "<td class=\"but\">" . $link . "</td>";
            $button = "<a onclick=\"if (confirm('" . Text::_("Do you want to delete") . " " . Text::_($package->c_type) . " " . $package->c_name . " ?')) return true; else return false;\" href=\"index.php?module=installer&task=uninstall&psid=" . $package->c_id . "\">" . Text::_("Uninstall") . "</a>";
            echo "<td class=\"but\" width=\"10%\">" . $button . "</td>";
            echo "</tr>";
        }
    }
    echo "</table>";
    echo "</div>";
    ?>
</div>

<div class="install-manager rounded-pan rounded-pan-medium">
    <div class="install-form">
        <form action="index.php" method="post" enctype="multipart/form-data">
            <input type="hidden" name="option" value="module"/>
            <input type="hidden" name="module" value="installer"/>
            <input type="hidden" name="task" value="installFromFile"/>
            <div class="row mb-3">
                <div class="col-md-8 mb-2 mb-md-0 align-self-center">
                    <div class="row">
                        <div class="col-md-4 mb-2 mb-md-0 align-self-center">
                            <?php echo HTMLControls::renderLabelField("packageFile", Text::_("File") . ":"); ?>
                        </div>
                        <div class="col-md-8">
                            <div class="fileselector-no-buttons">
                                <?php echo HTMLControls::renderInputFile("packageFile", "", 135, "packageFile"); ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <input class="commonButton btn btn-primary" type="submit" value="<?php echo Text::_("Upload and install"); ?>"/>
                </div>
            </div>
        </form>
        <form action="index.php" method="post">
            <input type="hidden" name="option" value="module"/>
            <input type="hidden" name="module" value="installer"/>
            <input type="hidden" name="task" value="installFromFolder"/>
            <div class="row mb-3">
                <div class="col-md-8 mb-2 mb-md-0 align-self-center">
                    <div class="row">
                        <div class="col-md-4 mb-2 mb-md-0 align-self-center">
                            <?php echo HTMLControls::renderLabelField("packagePath", Text::_("Package path") . ":"); ?>
                        </div>
                        <div class="col-md-8">
                            <input type="text" class="form-control" id="packagePath" name="packagePath" value=""/></td>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <input class="commonButton btn btn-primary" type="submit" value="<?php echo Text::_("Install"); ?>"/>
                </div>
            </div>
        </form>
        <form action="index.php" method="post">
            <input type="hidden" name="option" value="module"/>
            <input type="hidden" name="module" value="installer"/>
            <input type="hidden" name="task" value="installFromURL"/>
            <div class="row">
                <div class="col-md-8 mb-2 mb-md-0 align-self-center">
                    <div class="row">
                        <div class="col-md-4 mb-2 mb-md-0 align-self-center">
                            <?php echo HTMLControls::renderLabelField("packagePath", Text::_("File link") . ":"); ?>
                        </div>
                        <div class="col-md-8">
                            <input type="text" class="form-control" id="packageURL" name="packageURL" value=""/>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <input class="commonButton btn btn-primary" type="submit" value="<?php echo Text::_("Download and install"); ?>"/>
                </div>
            </div>
        </form>
    </div>
</div>
