<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 53cd524d (2024-09-28 18:47:32)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

echo "<div class=\"mail-toolbar row\"><div class=\"col\">";
echo "	<a class=\"linkButton btn btn-primary\" rel=\"nofollow\" id=\"newLetter\" href=\"".Router::_("index.php?module=mail&amp;view=write")."\">".Text::_('New letter')."</a>";
echo "</div><div class=\"col-auto\">";
if ($this->mode == 'all') {
	echo "	<a class=\"linkButton btn btn-primary\" rel=\"nofollow\" id=\"unreadletters\" href=\"".Router::_("index.php?module=mail&amp;view=contents&amp;mode=unread&amp;inbox=".$this->inbox)."\">".Text::_('Unread')."</a>";
}	else {
	echo "	<a class=\"linkButton btn btn-primary\" rel=\"nofollow\" id=\"allLetters\" href=\"".Router::_("index.php?module=mail&amp;view=contents&amp;inbox=".$this->inbox)."\">".Text::_('All')."</a>";
}
echo "</div></div>";
?>
<div id="folderSelector" class="mail-folder-selector">
<form action="<?php echo Router::_("index.php"); ?>" method="post">
	<input type="hidden" name="option" value="module" />
	<input type="hidden" name="module" value="mail" />
	<input type="hidden" name="view" value="contents" />
	<?php echo HTMLControls::renderSelect("inbox", false, false, false, $this->boxes,$this->inbox, 0, "form.submit()", 0, "commonSelect"); ?>
</form>
</div>
<?php
if(count($this->letters)){
    echo "<div class=\"letter-list\">";
    foreach ($this->letters as $letter) {
        echo "<div class=\"letter-block\" id=\"letterBlock_".$letter->l_id."\">";
        // ----------------------------------
        $ltrLink = Router::_("index.php?module=mail&amp;view=read&amp;ltrid=".$letter->l_id);
        echo "<div class=\"letter-theme\"><h3><a href=\"".$ltrLink."\">".$letter->l_theme."</a><h3></div>";
        // ----------------------------------
        echo "<div class=\"letter-data row\">";
        if ($this->inbox == true) {
            $userLink = "<a href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$letter->l_sender_id)."\">".$letter->sender."</a>";
            echo "<div class=\"letter-prop col\">".HTMLControls::renderLabelField("",Text::_('Sender').": ").$userLink."</div>";
        }
        else {
            $userLink = "<a href=\"".Router::_("index.php?module=user&amp;view=info&amp;psid=".$letter->l_reciever_id)."\">".$letter->reciever."</a>";
            echo "<div class=\"letter-prop col\">".HTMLControls::renderLabelField("",Text::_('Reciever').": ").$userLink."</div>";
        }
        echo "<div class=\"letter-prop col\">".HTMLControls::renderLabelField("",Text::_('Date').": ").$letter->l_date."</div>";
        $status = "<span class=\"error\">".HTMLControls::renderLabelField("",Text::_('Status unread'))."</span>";
        if ($letter->l_read == '1') $status = Text::_('Status read');
        echo "<div class=\"letter-prop col-auto\">".HTMLControls::renderLabelField("",Text::_('Status').": ").$status."</div>";
        echo "</div>";
        // ----------------------------------
        echo "<div class=\"letter-footer-links\">";
        echo "<a class=\"linkButton btn btn-primary\" href=\"".Router::_("index.php?module=mail&amp;task=delete&amp;inbox=".intval($this->inbox)."&amp;letterid=".$letter->l_id)."\">".Text::_('Delete')."</a>";
        echo "</div>";
        // ----------------------------------
        echo "</div>";
    }
    echo "</div>";
} else {
    echo "<div class=\"letterBlock\"><b>".Text::_('Letters are absent')."</b></div>";
}
?>