<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: fbff1702 (2024-10-01 01:30:00)
// 

use ArfaCMS\Core\Event;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div id="mailEditor">
    <form action="<?php echo Router::_("index.php"); ?>" method="post">
        <input type="hidden" name="module" value="mail" />
        <input type="hidden" name="task" value="send" />
        <div id="mailEditorHeader">
            <div class="row mail-form-row">
                <div class="form-label col-sm-12">
                    <?php echo HTMLControls::renderLabelField("recvUser",Text::_('Reciever name').":"); ?>
                </div>
                <div class="col-sm-12">
                    <input class="commonEdit form-control" size="30" type="text" id="recvUser" name="recvUser" value="<?php echo $this->recvNickname; ?>" />
                </div>
            </div>
            <div class="row mail-form-row">
                <div class="form-label col-sm-12">
                    <?php echo HTMLControls::renderLabelField("letterTheme",Text::_('Theme').":"); ?>
                </div>
                <div class="col-sm-12">
                    <input class="commonEdit form-control" size="100" type="text" id="letterTheme" name="letterTheme" value="<?php echo $this->theme; ?>" />
                </div>
            </div>
        </div>
        <div id="mailEditorData">
            <div class="row mail-form-row">
                <div class="col-sm-12">
                    <?php Event::raise("bbcode.editor",array("element_id"=>"letterText")); ?>
                    <?php echo HTMLControls::renderBBCodeEditor('letterText','',$this->letterText); ?>
                </div>
            </div>
        </div>
        <div id="mailEditorCaptcha">
            <div class="row mail-form-row">
                <div class="col-sm-12">
                    <?php echo Event::raise("captcha.renderForm",array("module"=>"mail"))?>
                </div>
            </div>
        </div>
        <div id="mailFooter" class="buttons">
            <input type="submit" class="commonButton btn btn-primary" value="<?php echo Text::_('Send'); ?>" />
        </div>
    </form>
</div>