<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6640751d (2023-03-29 13:28:03)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class menusModelItems extends SpravModel {
	public function save(){
		$psid=parent::save();
		if ($psid) {
			$thumbWidth=$this->getModule()->getParam("menuThumbWidth");
			$thumbHeight=$this->getModule()->getParam("menuThumbHeight");
			if (isset($_FILES["mi_image"]) && $_FILES["mi_image"]["name"] && (!isset($_FILES["mi_thumb"]) || !$_FILES["mi_thumb"]["name"])) {
				$res=$this->getElement($psid);
				if (!$res) return 0;
				$_src_thumb=ARFACMS_STORAGE_PATH."menus".DS."thumbs".DS.$res->mi_thumb;
				if (!$res->mi_thumb || !is_file($_src_thumb)) {
					$filename=Files::splitAppendix($res->mi_image,true);
					if ($filename) {
						$_src=ARFACMS_STORAGE_PATH."menus".DS."i".DS.$filename;
						$_dest_path=ARFACMS_STORAGE_PATH."menus".DS."thumbs".DS;
						Files::checkFolder($_dest_path.Files::getAppendix($res->mi_image), true);
						$_dest=$_dest_path.$filename;
						if(Files::isImage($_src)){
							if (!Files::resizeImage($_src, $_dest, $thumbWidth, $thumbHeight)) return 0;
							if (!$this->updateThumb($psid,$res->mi_image)) return 0;
						}
					} else return 0;
				}
			} elseif (isset($_FILES["mi_thumb"]["name"]) && $_FILES["mi_thumb"]["name"]){
				$res=$this->getElement($psid);
				if (!$res) return 0;
				$_src_thumb=ARFACMS_STORAGE_PATH."menus".DS."thumbs".DS.Files::splitAppendix($res->mi_thumb, true);
				if ($res->mi_thumb && is_file($_src_thumb)) {
					$_dest=$_src_thumb;
					$_src=$_src_thumb;
					if(Files::isImage($_src))	{
						if (!Files::resizeImage($_src, $_dest, $thumbWidth, $thumbHeight)) return 0;
					}
				}
			}
		} else return 0;
		return $psid;
	}
	public function updateThumb($psid,$thumb){
		$sql="UPDATE #__menus SET mi_thumb='".$thumb."' WHERE mi_id=".$psid;
		$this->_db->setQuery($sql);
		return $this->_db->query();
	}
}
?>