<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8ab5a78a (2024-10-18 17:12:46)
// 


use ArfaCMS\Core\ACLObject;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$html = "<div class=\"rounded-pan" . ($meta->classTable ? " " . $meta->classTable : "") . "\">";
$html .= $frm->startLayout(false);
$html .= "<h4 class=\"title\">" . $dop_head . " " . $head . " : " . $title . "</h4>";
$pans_titles = $meta->pans_titles;
$last_tab = $meta->input_last_page ? $meta->input_last_page : 1;
$render_tabs = $last_tab > 1 ? true : false;
// $render_tabs=true; // НЕ УДАЛЯТЬ !!! НУЖНО ДЛЯ ВКЛАДОК СВЕРСТАНЫХ ВРУЧНУЮ
$_activeTab = $this->activeTab;

if (defined("_ARFACMS_TRANSLATE")) {
    $countFldForTranslate = $translator->getTranslateList($meta);
    if ($countFldForTranslate) {
        $render_tabs = true; // у нас будут еще вкладки поскольку есть языки - панели нужны начиная с превой
    }
}
if ($render_tabs) {
    $html .= "<div id=\"tab_switcher\">";
    $html .= "<ul class=\"nav nav-tabs\" id=\"tabs\">";
    for ($_key = 1; $_key <= $last_tab; $_key++) {
        if ($_key == $_activeTab) $_class = ' active'; else $_class = "";
        $html .= "<li class=\"nav-item\">";
        $html .= "<a class=\"nav-link" . $_class . "\" data-bs-target=\"#tab_" . $_key . "\" data-key=\"" . $_key . "\" data-bs-toggle=\"tab\">" . (array_key_exists($_key, $pans_titles) ? Text::_($pans_titles[$_key]) : Text::_("Pan") . " " . $_key) . "</a>";
        $html .= "</li>";
    }

    /*
    Тут место для своих табов №1, не забыть отремить $render_tabs=true выше
    */

    // если включена система переводов - добавляем панели языков к уже имеющимся вкладкам
    if (defined("_ARFACMS_TRANSLATE")) {
        // добавим проверку надо ли их вообще - может нет ни одного поля для перевода
        if ($countFldForTranslate) $html .= $translator->prepareTranslatorPanelHead($_activeTab);
    }
    $html .= "</ul>";
    $html .= "</div>"; // tab_switcher
}
if ($render_tabs) $html .= "<div class=\"tab-content pt-3 px-3\">";
for ($key = 1; $key <= $last_tab; $key++) {
    if ($key == $_activeTab) $_class = ' active'; else $_class = "";
    $html .= "<div class=\"tab-pane" . (!$render_tabs ? "-single" : "") . $_class . "\" id=\"tab_" . $key . "\">";
    if ($this->renderLinksEditor && $key == 1) {
        $html .= "<div class=\"modify-wrapper row mb-3\"><fieldset>";
        $html .= "<legend>" . Text::_($meta->parent_title ?: "Subordination") . ":</legend>";
        $html .= HTMLControls::renderHiddenField("linkEditor_nf", $meta->parent_name);
        $html .= HTMLControls::renderPopupMultySelect("linkEditor", $this->linksArray, "", "", "index.php?module=" . $module . "&amp;view=" . $parent_view . "&amp;layout=selector&amp;task=getContList&amp;lol=linkEditor&amp;option=ajax", '', $info, $this->linksAreNew);
        $html .= "</fieldset></div>";
    }
    foreach ($input_type as $index => $value) {
        if ($key == 1) {
            if ($meta->input_page[$index] > 0 && $meta->input_page[$index] != $key) continue;
        } else {
            if ($meta->input_page[$index] != $key) continue;
        }

        if ($meta->input_view[$index] == 0 && $value != "hidden") continue;
        if ($meta->field[$index] == "mi_access") {
            if (isset($row->mi_access)) {
                if ($row->mi_access == "all") $mi_access = $row->mi_access;
                else $mi_access = explode(";", $row->mi_access);
            } else $mi_access = "all";

            $html .= "<div class=\"modify-wrapper row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
            $html .= "<div class=\"col-md-12\">";
            $html .= "<fieldset class=\"params px-3\"><legend class=\"bold\">" . Text::_($meta->field_title[$index]);
            $html .= "</legend>";
            $roles = ACLObject::getRoles();
            if ($mi_access == "all") {
                $fsStyle = "display:none;";
                $ewShowChecked = " checked=\"checked\"";
            } else {
                $fsStyle = "";
                $ewShowChecked = "";
            }
            $ewaShowJS = "$('#itemAccess').toggle();";
            $html .= "<div class=\"visible_all form-check mb-2 ml-1\"><input class=\"form-check-input\" type=\"checkbox\" id=\"mi_access_all\" onclick=\"" . $ewaShowJS . "\" name=\"mi_access_all\"" . $ewShowChecked . " />";
            $html .= HTMLControls::renderLabelField("mi_access_all", Text::_('Show everybody'));
            $html .= "</div>";
            $html .= "<div id=\"itemAccess\" style=\"" . $fsStyle . "\">";
            foreach ($roles as $role) {
                $checked = "";
                if (is_array($mi_access) && in_array($role->ar_id, $mi_access)) $checked = "checked=\"checked\"";
                $html .= "<div class=\"form-check mb-2\">";
                $html .= "<input class=\"form-check-input\" id=\"mi_access_" . $role->ar_id . "\" type=\"checkbox\" name=\"mi_access[" . $role->ar_id . "]\" $checked/>";
                $html .= HTMLControls::renderLabelField("mi_access_" . $role->ar_id, $role->ar_title);
                $html .= "</div>";
            }
            $html .= "</div>";
            $html .= "</fieldset>";
            $html .= "</div>";
            $html .= "</div>";
        } elseif ($meta->field[$index] == "mi_module") {
            $html .= "<div class=\"modify-wrapper row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
            $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
            if (isset($row->mi_module)) $_cur_val = $row->mi_module; else $_cur_val = "";
            $html .= "<div class=\"modify-input col-md-8\">";
            $html .= $this->renderModulesSelector($_cur_val);
            $html .= "</div>";
            $html .= "</div>";
        } elseif ($meta->field[$index] == "mi_view") {
            $html .= "<div class=\"modify-wrapper row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
            $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
            if (isset($row->mi_module)) $this->modname = $row->mi_module; else $this->modname = "";
            if (isset($row->mi_view)) $this->vname = $row->mi_view; else $this->vname = "";
            $html .= "<div class=\"modify-input col-md-8\">";
            $html .= $this->renderViewsSelector();
            $html .= "</div>";
            $html .= "</div>";
        } elseif ($meta->field[$index] == "mi_controller") {
            $html .= "<div class=\"modify-wrapper row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
            $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
            if (isset($row->mi_module)) $this->modname = $row->mi_module; else $this->modname = "";
            if (isset($row->mi_controller)) $this->vcontroller = $row->mi_controller; else $this->vcontroller = "";
            $html .= "<div class=\"modify-input col-md-8\">";
            $html .= $this->renderControllersSelector();
            $html .= "</div>";
            $html .= "</div>";
        } elseif ($meta->field[$index] == "mi_canonical_id") {
            $html .= "<div class=\"modify-wrapper row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
            $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
            if (isset($row->mi_canonical_id)) $this->mi_canonical_id = $row->mi_canonical_id; else $this->mi_canonical_id = 0;
            if (isset($row->mi_id)) $this->mi_id = $row->mi_id; else $this->mi_id = 0;
            $html .= "<div class=\"modify-input col-md-8\">";
            $html .= $this->renderMenuSelector();
            $html .= "</div>";
            $html .= "</div>";
        } else {
            switch ($value) {
                case "hidden":
                    continue 2;
                    break;
                case "image":
                    $html .= "<div class=\"modify-image-wrapper\" id=\"wrapper-" . $meta->field[$index] . "\"><div class=\"row mb-3\">";
                    $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    $html .= "<div class=\"col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                    $html .= "</div></div>";
                    break;
                case "textarea":
                case "texteditor":
                    $html .= "<div class=\"modify-editor-wrapper\" id=\"wrapper-" . $meta->field[$index] . "\"><div class=\"row mb-3\">";
                    $html .= "<div class=\"modify-label col-md-12 mb-2\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    $html .= "<div class=\"modify-input col-md-12\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                    $html .= "</div></div>";
                    break;
                case "checkbox":
                    $html .= "<div class=\"modify-wrapper row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
                    $html .= "<div class=\"modify-label col-md-4 col mb-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    $html .= "<div class=\"modify-input col-md-8 col-auto align-self-center\"><div class=\"form-check form-switch\">" . $frm->renderInputPart($meta->field[$index]) . "</div></div>";
                    $html .= "</div>";
                    break;
                default:
                    $html .= "<div class=\"modify-wrapper row mb-3\" id=\"wrapper-" . $meta->field[$index] . "\">";
                    $html .= "<div class=\"modify-label col-md-4 mb-2 mb-md-0 align-self-center\">" . $frm->renderLabelFor($meta->field[$index]) . "&nbsp;" . $frm->renderBalloonFor($meta->field[$index], false) . "</div>";
                    $html .= "<div class=\"modify-input col-md-8\">" . $frm->renderInputPart($meta->field[$index]) . "</div>";
                    $html .= "</div>";
            }
        }
    } // foreach on fields

    $html .= "</div>"; // tab-pane
} // for on tabs

/*
Тут место для своих табов №2, не забыть отремить $render_tabs=true выше
*/

// если включена система переводов - добавляем данные на панель языков
if (defined("_ARFACMS_TRANSLATE")) {
    if ($countFldForTranslate) {
        $this->milestone('before including translation data', __FUNCTION__);
        $translateData = $translator->prepareTranslatorPanel($_activeTab, $meta, $frm);
        $html .= $translateData;
        $this->milestone('after including translation data', __FUNCTION__);
    }
}
if ($render_tabs) $html .= "</div>"; // .tab-content

$html .= "<div class=\"modify-buttons buttons\">";
$html .= HTMLControls::renderHiddenField("activeTab", $_activeTab);
$html .= $frm->renderInputPart("save");
if (!$ajaxModify && defined("_ADMIN_MODE")) $html .= $frm->renderInputPart("apply");
if (!$ajaxModify && $meta->buttons['clone']['show'] && defined("_ADMIN_MODE")) $html .= $frm->renderInputPart("add_clone");
if (!$ajaxModify && defined("_ADMIN_MODE") && $meta->buttons['new']['show']) $html .= $frm->renderInputPart("add_new");
$html .= $frm->renderInputPart("cancel");
$html .= "</div>"; // .modify-buttons
$html .= $frm->endLayout();
$html .= "</div>";
echo $html;
$this->milestone('After form DisplayOutput', __FUNCTION__);
?>