<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 84e3a466 (2024-09-20 12:58:35)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Util;
use ArfaCMS\MVC\Module;
use ArfaCMS\Sprav\SpravController;

defined('_ARFACMS_VALID') or die("Access denied");

/*
 * @TODO Проверить функции модели админки
 */

class ordersControllerDefault extends SpravController
{
    public function downloadFile()
    {
        $folder = Request::getSafe("folder", "");
        $file = Request::getSafe("filename", "");
        $absolute = Request::getInt("abs", 0);
        if ($this->getModule() && $file) {
            $filepath = ARFACMS_STORAGE_PATH;
            if (!$absolute) $filepath .= $this->getModule()->getName() . DS;
            if ($folder) $filepath .= Util::dsPath($folder) . DS;
            Util::download($filepath, $file, Util::getRefererUrl(false));
        }
    }

    public function ajaxviewOrder()
    {
        $this->printOrders();
    }

    public function printOrders()
    {
        Portal::getInstance()->changeTemplateFile('print');
        $mdl = Module::getInstance();
        $moduleName = $mdl->getName();
        $reestr = $mdl->get('reestr');
        $model = $this->getModel();
        $view = $this->getView();
        $viewname = $view->getName();
        $arr_psid = $this->getArrPsid();    // массив отмеченных галочкой элементов
        if (count($arr_psid) == 1 && $arr_psid[0] == 0) $arr_psid = $this->getPsid();
        $multy_code = Request::getInt('multy_code', false);        // ид верхней группы
        $reestr->set('view', $viewname);
        $reestr->set('model', $model);
        $reestr->set("multy_code", $multy_code);
        $reestr->set('arr_psid', $arr_psid);

        $orders = $model->getOrders();
        if ($orders) {
            $orders = $model->decodeOrdersData($orders);
            $orders_items = $model->getOrdersItems();
        } else {
            $orders = false;
            $orders_items = false;
        }

        $view->setLayout('print');
        $view->assign("orders", $orders);
        $view->assign("orders_items", $orders_items);
        $view->render();
    }

    public function showItems()
    {
        $this->showData("o_id", "orders");
    }

    public function showOrders()
    {
        $viewname = $this->getView()->getName();
        $mdl = Module::getInstance();
        $this->checkACL("view" . ucfirst($mdl->getName()) . ucfirst($viewname));
        $reestr = $mdl->get('reestr');
        $model = $this->getModel('orders');
        $model->loadMeta();

        $multy_code = Request::getInt('multy_code', false);        // ид верхней группы
        $psid = $this->getPsid();
        if (!$multy_code) $multy_code = $psid;
        elseif (!$psid) $psid = $multy_code;
        $reestr->set('psid', $psid);
        $reestr->set('canModify', true);
        $reestr->set('page', Request::getInt("page", 1));
        $reestr->set('sort', Request::getSafe("sort"));
        $reestr->set('orderby', Request::getSafe("orderby"));
        $reestr->set("multy_code", $multy_code);

        $trash = Request::getInt('trash', 0);
        $reestr->set("trash", $trash);
        $view = $this->getView();
        Request::getSafe('option') == "ajax" ? $is_ajax = 1 : $is_ajax = 0;
        $reestr->set("is_ajax", $is_ajax);
        $result = $model->getData();
        $result = $model->decodeOrdersData($result);

        $view->renderSprav($model->meta, $result);
    }

}

?>