<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 62ff4b57 (2023-09-24 15:00:11)
// 

use ArfaCMS\Core\Date;
use ArfaCMS\Core\Debugger;
use ArfaCMS\Core\orderDelivery;
use ArfaCMS\Core\orderPayment;
use ArfaCMS\Core\Taxes;
use ArfaCMS\Core\User;
use ArfaCMS\DB\Database;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class ordersHelperOrder
{
    public function addOrder($hash, $status, $vendor, $dt, $pt,
                             $userdata, $quantity, $measure, $weight, $weight_measure,
                             $deliverySum, $paymentSum, $discountSum, $taxesSum, $totalSum,
                             $points, $comments, $module, $user_id = null)
    {
        $ip_address = User::getInstance()->getIP();
        if(is_null($user_id)) $user_id = User::getInstance()->getId();
        $currency = DEFAULT_CURRENCY;
        $order_sql = "INSERT INTO #__orders
                    (
                    o_id, o_hash, o_date, o_uid, o_vendor,	
                    o_pt_id, o_pt_title, o_pt_data, o_pt_sum, o_pt_result, 
                    o_userdata, o_dt_id, o_dt_title, o_dt_data, o_dt_sum, 
                    o_dt_tax_id, o_dt_tax_name, o_dt_tax_val, o_dt_tax_sum, o_discount_sum,
                    o_taxes_sum, o_total_sum, o_points, o_currency, o_quantity, 
                    o_measure, o_weight, o_wmeasure, o_status, o_paid, 
                    o_ip_address,o_comments, o_module
                    )
                    VALUES
                    (
                    NULL, '" . $hash . "', '" . Date::nowSQL() . "', '" . $user_id . "', '" . $vendor . "', 
                    '" . $pt->getId() . "', '" . $pt->getTitle() . "', '" . $pt->getEncodedData() . "', '" . $paymentSum . "', '" . $pt->getEncodedArray() . "',
                    '" . $pt->getEncodedArray($userdata) . "', '" . $dt->getId() . "', '" . $dt->getTitle() . "', '" . $dt->getEncodedData() . "', '" . $deliverySum . "',
                    '" . $dt->getTaxId() . "', '" . Taxes::getInstance()->getTaxName($dt->getTaxId()) . "', '" . Taxes::getInstance()->getTaxValue($dt->getTaxId()) . "', '" . Taxes::getInstance()->calculateTaxSum($dt->getTaxId(), $deliverySum) . "', '" . $discountSum . "',
                    '" . $taxesSum . "', '" . $totalSum . "', '" . $points . "', '" . $currency . "', '" . $quantity . "',
                    '" . $measure . "', '" . $weight . "', '" . $weight_measure . "', '" . $status . "', '0',
                    '" . $ip_address . "', '" . $comments . "', '" . $module . "'
                    )";
        Database::getInstance()->setQuery($order_sql);
        $order_id = Database::getInstance()->query() ? Database::getInstance()->insertid() : 0;
        return $order_id;
    }

    public function addOrderItem($order_id, $item)
    {
        $item_sql = "INSERT INTO #__orders_items
                    (
                    i_id, i_order_id, i_g_id, i_g_type, i_g_sku,
                    i_g_name, i_g_extcode, i_g_options, i_g_options_text, i_g_quantity,
                    i_g_measure, i_g_price, i_g_weight, i_g_wmeasure, i_g_tax_id,
                    i_g_tax_val, i_g_tax, i_g_tax_name, i_g_sum
                    )
                    VALUES
                    (
                    NULL, '" . $order_id . "', '" . $item->g_id . "', '" . $item->g_type . "', '" . $item->g_sku . "',
                    '" . $item->g_name . "', '" . $item->g_extcode . "', '" . addslashes(json_encode($item->options_data)) . "', '" . implode("; ", $item->options_text) . "', '" . $item->g_quantity . "',
                    '" . $item->g_sell_measure . "', '" . $item->g_price . "', '" . $item->g_weight . "', '" . $item->g_wmeasure . "', '" . $item->g_tax_id . "',
                    '" . $item->g_tax_val . "', '" . $item->g_tax . "', '" . $item->g_tax_name . "', '" . $item->g_sum . "'
                    )";
        Database::getInstance()->setQuery($item_sql);
        $item_id = Database::getInstance()->query() ? Database::getInstance()->insertid() : 0;
        return $item_id;
    }

    public function addOrderItemFile($tmp_file, $upload_dir, $order_id, $item_id, $goods_id, $opt_id, $opt_title, $opt_file){
        if (copy($tmp_file, $upload_dir . DS . $opt_file)) {
            $files_sql = "INSERT INTO `#__orders_files` (`f_id`, `f_order_id`, `f_item_id`, `f_g_id`, `f_opt_id`, `f_opt_title`, `f_opt_file` )
                        VALUES (NULL, '" . $order_id . "', '" . $item_id . "', '" . $goods_id . "', '" . $opt_id . "', '" . $opt_title . "', '" . $opt_file . "');";
            Database::getInstance()->setQuery($files_sql);
            return Database::getInstance()->query();
        } else {
            Debugger::getInstance()->error(Text::_("Copying files failed"));
            return false;
        }
    }
    public function getOrderData($order_id, $order_hash="") {
        $model = Module::getInstance("orders")->getModel("orders");
        $order_items = false;
        if ($order_id) {
            $order=$model->getOrder($order_id, $order_hash);
            if ($order) $order_items=$model->getOrderItems($order_id);
            else {
                $order=false;
                // $order_items=false;
            }
        } else {
            $order=false;
            // $order_items=false;
        }
        if ($order) {
            $payment=orderPayment::getPaymentClass($order->o_pt_id);
            $delivery=orderDelivery::getDeliveryClass($order->o_dt_id);
            // $params = array("order"=>$order);
        } else {
            $delivery=false;
            $payment=false;
        }
        if (is_object($order) && ($order_items) && count($order_items)) {
            $result["delivery"] = $delivery;
            $result["payment"] = $payment;
            $result["order"] = $order;
            $result["order_items"] = $order_items;
        } else {
            $result = false;
        }
        return $result;
    }

}

?>
