<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 84e3a466 (2024-09-20 12:58:35)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\DB\Database;
use ArfaCMS\Sprav\SpravView;

defined('_ARFACMS_VALID') or die("Access denied");

class ordersViewItems extends SpravView
{
    public function getOrderFiles($psid)
    {
        $sql = "SELECT * FROM #__orders_files WHERE f_item_id=" . $psid;
        Database::getInstance()->setQuery($sql);
        $res = Database::getInstance()->loadObjectList();
        $html_arr = array();
        if (count($res)) {
            foreach ($res as $file) {
                $path = ARFACMS_STORAGE_PATH . "orders" . DS . "items" . DS . Files::splitAppendix($file->f_opt_file, true);
                if (Files::isImage($path)) {
                    $href = ARFACMS_STORAGE_LINK . "/orders/items/" . Files::splitAppendix($file->f_opt_file);
                    $html_arr[] = "<a class=\"rel-popup-image\" href=\"" . $href . "\">" . $file->f_opt_title . ": " . $file->f_opt_file . "</a>";
                } else {
                    $href = Router::_("index.php?module=orders&task=downloadFile&folder=" . urlencode("items/" . Files::getAppendix($file->f_opt_file)) . "&filename=" . urlencode($file->f_opt_file));
                    $html_arr[] = "<a target=\"_blank\" href=\"" . $href . "\">" . $file->f_opt_title . ": " . $file->f_opt_file . "</a>";
                }
            }
        } else {
            $html_arr[] = Text::_("Files absent");
        }
        return implode("<br />", $html_arr);
    }
}

?>