<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 9b27a37e (2024-09-29 01:37:17)
// 

use ArfaCMS\Core\orderDelivery;
use ArfaCMS\Core\orderPayment;
use ArfaCMS\Core\Currency;
use ArfaCMS\Core\Date;
use ArfaCMS\Core\Measure;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$orders  = $this->orders;
$orders_items = $this->orders_items;
$price_digits = Module::getInstance()->getParam("price_digits");
$quantity_digits = Module::getInstance()->getParam("quantity_digits");
if (count($orders)) {
	foreach ($orders as $order){
		$taxesInOrder=array();
		$summa=0; $total=0;
		$oid=$order->o_id;
		$summa=0; $total=0;
		echo "<div class=\"one-order printA4V\">";
		if (Request::getSafe("option")=="ajax"){
            echo "<div class=\"sprav-toolbar text-end border-0\">";
			echo "<div class=\"tb-picto tb-picto-right\"><a class=\"btn " . SPRAV_LIST_TOOLBAR_BUTTON_CLASS . "\" target=\"_blank\" href=\"index.php?module=orders&view=orders&task=printOrders&psid=".$order->o_id."\" title=\"".Text::_("Print")."\"><i class=\"bi tb-img tb-img-print\"></i></a></div>";
            echo "</div>";
		}
		echo "<h3 class=\"title main-title\">".Text::_("Order")." № ".$order->o_id." ".Text::_("from")." ".Date::GetdateRus($order->o_date)."</h3>";
		echo "<div class=\"order-row\">";
		echo "<b>".Text::_("Delivery type")." : </b>".$order->o_dt_title;
		$delivery_data_html = orderDelivery::getDeliveryClass($order->o_dt_id)->renderInfo($order->o_dt_data);
		if($delivery_data_html) echo "<br />";
		echo $delivery_data_html;
		echo "</div>";
		echo "<div class=\"order-row\">";
		echo "<b>".Text::_("Payment type")." : </b>".$order->o_pt_title;
		$payment_data_html = orderPayment::getPaymentClass($order->o_pt_id)->renderInfo($order->o_pt_data);
		if($payment_data_html) echo "<br />";
		echo $payment_data_html;
		echo "</div>";
		$userdata = $order->o_userdata;
		if(is_array($userdata)){
			$_userdata_arr=array();
			if (array_key_exists("userdata_person", $userdata) && $userdata["userdata_person"])	$_userdata_arr[]= "<b>".Text::_("Contact person").":</b> ".$userdata["userdata_person"];
			if (array_key_exists("userdata_email", $userdata) && $userdata["userdata_email"]) $_userdata_arr[]= "<b>".Text::_("Contact email").":</b> ".$userdata["userdata_email"];
			if (array_key_exists("userdata_phone", $userdata) && $userdata["userdata_phone"]) $_userdata_arr[]= "<b>".Text::_("Contact phone").":</b> ".$userdata["userdata_phone"];
			if(count($_userdata_arr)) { 
				echo "<div class=\"order-row\">".implode("</div><div class=\"order-row\">", $_userdata_arr)."</div>";
			}
		}
        if(count($order->o_pt_result)){
            $payment_results_html = orderPayment::getPaymentClass($order->o_pt_id)->renderPaymentData($order->o_pt_result);
            if($payment_results_html){
                echo "<div class=\"order-row\">";
                echo "<b>".Text::_("Payment results")." : </b><br />";
                echo $payment_results_html;
                echo "</div>";
            }
        }
		echo "<div class=\"order-row\">";
		echo "<b>".Text::_("Comments")." : </b>".htmlspecialchars($order->o_comments);
		echo "</div>";
		// echo "<div class=\"clr\"></div>";
		echo "<div class=\"full-order\"><table class=\"orders table table-bordered table-hover table-condensed align-middle text-center\"> \n\n";
		echo "<thead> \n";
		echo "<tr> \n";
		echo "<th class=\"npp\">".Text::_('NPP')."</th> \n";
		echo "<th>".Text::_('Articul')."</th> \n";
		echo "<th>".Text::_('Title')."</th>";
		echo "<th class=\"cur-price\">".Text::_('Price')."</th>";
		echo "<th class=\"cur-quantity\">".Text::_('Quantity')."</th>";
		echo "<th class=\"cur-sum\">".Text::_('Sum')."</th>";
		echo "</tr>";
		echo "</thead><tbody>";
		$counter=0;
		foreach($orders_items as $g) {
			if ($oid!=$g->i_order_id) continue;
			$counter++;
			echo "<tr>";
			echo "<td>".$counter."</td>";
			echo "<td>".$g->i_g_sku."</td>";
			if($g->i_g_options_text){
				$i_g_options_text = "<span class=\"order-row-options\">".$g->i_g_options_text."</span>";
			} else {
				$i_g_options_text = "";
			}
				
			echo "<td>".$g->i_g_name.$i_g_options_text."</td>";
			$current_price=$g->i_g_price;
			$current_quantity=$g->i_g_quantity;
			$current_sum=$g->i_g_sum;
			echo "<td class=\"cur-price\">".number_format($current_price, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td>";
			$summa=$summa+$current_sum;
			echo "<td class=\"cur-quantity\">".number_format($current_quantity, $quantity_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Measure::getInstance()->getShortName($g->i_g_measure)."</td>";
			echo "<td class=\"cur-sum\">".number_format($current_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td>";
			echo "</tr> \n";
			if ($g->i_g_tax>0){
				$tax_name=base64_encode($g->i_g_tax_name);
				if (!isset($taxesInOrder[$tax_name]))$taxesInOrder[$tax_name]=0;
				$taxesInOrder[$tax_name]+=$g->i_g_tax;
			}
		}
		echo "<tr><td class=\"subtotal text-end\" colspan=\"5\">".Text::_("Sum by order")." : </td>";
		echo "<td class=\"subtotal-sum\" colspan=\"1\">".number_format($summa, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td></tr> \n";
		$total=$summa+$order->o_dt_sum;
		
		if ($order->o_dt_sum>0) {
			if ($order->o_dt_tax_val){
				$tax_name=base64_encode($order->o_dt_tax_name);
				if (!isset($taxesInOrder[$tax_name])) $taxesInOrder[$tax_name]=0;
				$taxesInOrder[$tax_name]+=$order->o_dt_tax_sum;
			}
			echo "<tr><td class=\"deliveries text-end\" colspan=\"5\">".Text::_("Delivery sum")." : </td>";
			echo "<td class=\"deliveries-sum\" colspan=\"1\">".number_format($order->o_dt_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td></tr> \n";
		}
		
		$total=$total+$order->o_pt_sum;
		if ($order->o_pt_sum>0) {
			echo "<tr><td class=\"payments text-end\" colspan=\"5\">".Text::_("Payment commission")." : </td>";
			echo "<td class=\"payments-sum\" colspan=\"1\">".number_format($order->o_pt_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td></tr> \n";
		}
		
		$total=$total-$order->o_discount_sum;
		if ($order->o_discount_sum>0) {
			if ($order->o_discount_sum>0) {
				echo "<tr><td class=\"discounts text-end\" colspan=\"5\">".Text::_("Discount")." : </td>";
				echo "<td class=\"discounts-sum\" colspan=\"1\">".number_format($order->o_discount_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td></tr> \n";
			} else {
				echo "<tr><td class=\"discounts text-end\" colspan=\"5\">".Text::_("Fee")." : </td>";
				echo "<td class=\"discounts-sum\" colspan=\"1\">".number_format(abs($order->o_discount_sum), $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td></tr> \n";
			}
		}
		if ($total!=$summa){
			echo "<tr><td class=\"subtotal text-end\" colspan=\"5\">".Text::_("Sum")." : </td>";
			echo "<td class=\"subtotal-sum\" colspan=\"1\">".number_format($total, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td></tr> \n";
		}
		if (floatval($order->o_taxes_sum)) {
			echo "<tr><td class=\"taxes text-end\" colspan=\"5\">".Text::_("Taxes in order")." : </td>";
			echo "<td class=\"taxes-sum\" colspan=\"1\">".number_format($order->o_taxes_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td></tr> \n";
			if (count($taxesInOrder)) {
				foreach($taxesInOrder as $kt=>$vt){
					echo "<tr><td class=\"taxes text-end\" colspan=\"5\">".base64_decode($kt)." : </td>";
					echo "<td class=\"taxes-sum\" colspan=\"1\">".number_format($vt, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td></tr> \n";
				}
			}
		}
		echo "<tr><td class=\"total text-end\" colspan=\"5\">".Text::_("Total")." : </td>";
		echo "<td class=\"total-sum\" colspan=\"1\">".number_format($order->o_total_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td></tr> \n";
		echo "</tbody>";
		echo "</table></div>";
		echo "</div>";
	}
}
?>