<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 803b94d7 (2024-10-01 15:13:53)
// 

use ArfaCMS\Core\orderUserdata;
use ArfaCMS\Core\Currency;
use ArfaCMS\Core\Date;
use ArfaCMS\Core\Measure;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\Vendor;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

if ($this->override_css) { ?>
<style type=text/css>
	h1 { font-family:arial;font-size:14px; }
	div.one-order{ width:780px !important; padding-left: 0.25rem; padding-right: 0.25rem; font-size:12px; font-family:Tahoma, Arial, sans-serif;  margin-left: auto; margin-right: auto;max-width:100% !important;}
		
</style>
<?php }
$css_mobile_bp = "md";
$css_hidden_on_mobile = "d-none d-".$css_mobile_bp."-block";
$css_visible_on_mobile = "d-inline-block d-".$css_mobile_bp."-none";
/* ----------------------- */
$taxesInOrder=array();
$payment=$this->pt_class;
$delivery=$this->dt_class;
$order=$this->order;
$items=$this->order_items;
$summa=0; $total=0; $counter=0;
$price_digits = Module::getInstance()->getParam("price_digits");
$quantity_digits = Module::getInstance()->getParam("quantity_digits");
if (is_object($order) && ($items) && count($items)) { 
	$currency_text=Currency::getShortName($order->o_currency);
	$vendor=Vendor::getInstance()->getVendor($order->o_vendor);
	/* hide prices check start */
	$cols4name = 3;
	$cols4price = 2;
	$cols4sum = 2;

	$show_prices = true;
    $test_sum = 0;
	foreach($items as $g) {
		$test_sum = $test_sum + $g->i_g_sum;
	}
	if(!$test_sum){
		$cols4name = $cols4name + $cols4price + $cols4sum;
		$show_prices = false;
	}
	/* hide prices check stop */
?>
	<div class="one-order">
		<h1 class="title main-title"><?php echo Text::_("Order")." № ".$order->o_id." ".Text::_("from")." ".Date::GetdateRus($order->o_date); ?></h1>
		<div class="order-vendor"><b><?php echo Text::_("Vendor").":</b> ".$vendor->v_name; ?></div>
		<div class="order-delivery">
			<b><?php echo Text::_("Delivery type"); ?>: </b><?php echo $order->o_dt_title; ?>
			<?php
			if ($delivery){
				$delivery_data = $delivery->getDecodedData($order->o_dt_data);
				$delivery_data_html = $delivery->renderInfo($delivery_data);
				if($delivery_data_html) echo "<br />";
				echo $delivery_data_html;
			}
			?>
		</div>
		<div class="order-payment">
			<b><?php echo Text::_("Payment type"); ?>: </b><?php echo $order->o_pt_title; ?>
			<?php 
			if ($payment) {
				$payment_data = $payment->getDecodedData($order->o_pt_data);
				$payment_data_html = $payment->renderInfo($payment_data);
				if($payment_data_html) echo "<br />";
				echo $payment_data_html;
			}
			?>
		</div>
		<?php 
		$ud = new orderUserdata(0);
		$userdata = $ud->getDecodedData($order->o_userdata);
		if(is_array($userdata)){
			$_userdata_arr=array();
			if (array_key_exists("userdata_person", $userdata) && $userdata["userdata_person"])	$_userdata_arr[]= "<b>".Text::_("Contact person").":</b> ".$userdata["userdata_person"];
			if (array_key_exists("userdata_email", $userdata) && $userdata["userdata_email"]) $_userdata_arr[]= "<b>".Text::_("Contact email").":</b> ".$userdata["userdata_email"];
			if (array_key_exists("userdata_phone", $userdata) && $userdata["userdata_phone"]) $_userdata_arr[]= "<b>".Text::_("Contact phone").":</b> ".$userdata["userdata_phone"];
			if(count($_userdata_arr)) { ?><div class="order-row"><?php echo implode("</div><div class=\"order-row\">", $_userdata_arr); ?></div><?php }
		}
		?>
		<?php if(trim(strip_tags($order->o_comments))) { ?>
		<div class="order-comments">
			<b><?php echo Text::_("Comments"); ?>: </b><?php echo htmlspecialchars($order->o_comments); ?>
		</div>
		<?php } ?>
		<div class="order-header <?php echo $css_hidden_on_mobile; ?>">
			<div class="row  gx-sm-1">
				<div class="order-header-cell order-header-points col-md-1 text-start text-sm-center">
					<?php echo Text::_('NPP'); ?>
				</div>
				<div class="order-header-cell order-header-sku col-md-2 text-start text-sm-center">
					<?php echo Text::_('Articul'); ?>
				</div>
				<div class="order-header-cell order-header-name col-md-<?php echo $cols4name; ?> text-start text-sm-center">
					<?php echo Text::_('Goods title'); ?>
				</div>
				<?php if($show_prices){?>
					<div class="order-header-cell order-header-price col-md-<?php echo $cols4price; ?> text-start text-sm-center">
						<?php echo Text::_('Price'); ?>
					</div>
				<?php } ?>
				<div class="order-header-cell order-header-quantity col-md-2 text-start text-sm-center">
					<?php echo Text::_('Quantity'); ?>
				</div>
				<?php if($show_prices){?>
					<div class="order-header-cell order-header-sum col-md-<?php echo $cols4sum; ?> text-start text-sm-center">
						<?php echo Text::_('Sum'); ?>
					</div>
				<?php } ?>
			</div>
		</div>
		<div class="order-body">
			<?php foreach($items as $g) { ?>
				<?php $counter++; ?>
				<?php if ($g->i_g_quantity) { ?>
				<div class="order-row">
					<div class="row gx-sm-1">
						<?php 
						$current_price=$g->i_g_price;
						$current_quantity=$g->i_g_quantity;
						$current_sum=$g->i_g_sum;
						$summa=$summa+$current_sum;
						if ($g->i_g_tax>0){
							$tax_name=base64_encode($g->i_g_tax_name);
							if (!isset($taxesInOrder[$tax_name]))$taxesInOrder[$tax_name]=0;
							$taxesInOrder[$tax_name]+=$g->i_g_tax;
						}
						?>
						<div class="order-row-cell order-row-cell-npp col-md-1 text-start text-sm-center">
							<span class="<?php echo $css_visible_on_mobile; ?>"><?php echo Text::_('NPP'); ?>: </span><?php echo $counter; ?>
						</div>
						<div class="order-row-cell order-row-cell-sku col-md-2 text-start text-sm-center">
							<span class="<?php echo $css_visible_on_mobile; ?>"><?php echo Text::_('Articul'); ?>: </span><?php echo $g->i_g_sku; ?>
						</div>
						<div class="order-row-cell order-row-cell-name col-md-<?php echo $cols4name; ?>">
							<?php 
							echo $g->i_g_name;
							if($g->i_g_options_text){
								if(Portal::getInstance()->inPrintMode()){
									$i_g_options_title="";
									$i_g_options_text=$g->i_g_options_text;
								} else {
									$i_g_options_title=$g->i_g_options_text;
									$i_g_options_text=mb_substr($i_g_options_title, 0, \siteConfig::$shortTextLength)."...";
								}
								echo  "<span title=\"".$i_g_options_title."\" class=\"order-row-options\">".$i_g_options_text."</span>";
							}
							?>
						</div>
						<?php if($show_prices){?>
							<div class="order-row-cell order-row-cell-price col-md-<?php echo $cols4price; ?> text-start text-sm-center">
								<span class="<?php echo $css_visible_on_mobile; ?>"><?php echo Text::_('Price'); ?>: </span><?php echo number_format($current_price, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR); ?>
							</div>
						<?php } ?>
						<div class="order-row-cell order-row-cell-quantity col-md-2 text-start text-sm-center">
							<span class="<?php echo $css_visible_on_mobile; ?>"><?php echo Text::_('Quantity'); ?>: </span>
							<?php echo number_format($current_quantity, $quantity_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Measure::getInstance()->getShortName($g->i_g_measure); ?>
						</div>
						<?php if($show_prices){?>
							<div id="sum_<?php echo $g->i_g_id;?>" class="order-row-cell order-row-cell-sum col-md-<?php echo $cols4sum; ?> text-start text-sm-center">
								<span class="<?php echo $css_visible_on_mobile; ?>"><?php echo Text::_('Sum'); ?>: </span><?php echo number_format($current_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR); ?>
							</div>
						<?php } ?>
					</div>
				</div>
				<?php } ?>
			<?php } ?>
		</div>
		<div class="order-footer">
			<div class="row gx-sm-1">
				<?php if ($order->o_points>0) { ?>
					<div class="order-footer-cell order-footer-points col-sm-6 col-md-4 text-end">
						<?php echo Text::_('Total points'); ?>
					</div>
					<div class="order-footer-cell order-footer-points col-sm-6 col-md-2 text-end text-sm-center">
						<?php echo $order->o_points; ?>
					</div>
				<?php } else { ?>
					<div class="order-footer-cell <?php echo $css_hidden_on_mobile; ?> col-sm-12 col-md-6 text-end"></div>
				<?php } ?>
				<?php if($summa){ ?>
					<div class="order-footer-cell col-sm-6 col-md-4 text-end">
						<?php echo Text::_('Sum'); ?>
					</div>
					<div class="order-footer-cell col-sm-6 col-md-2 text-end text-sm-center">
						<?php echo number_format($summa, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)."&nbsp;".Currency::getShortName(DEFAULT_CURRENCY); ?>
					</div>
				<?php } else {?>
					<div class="order-footer-cell <?php echo $css_hidden_on_mobile; ?> col-sm-12 col-md-7 text-end"></div>
				<?php }?>
			</div>
			<?php $total = $summa; ?>
			<div class="subtotals">
				<?php if ($order->o_dt_sum && $order->o_dt_sum>0) { 
					if ($order->o_dt_tax_val){
						$tax_name=base64_encode($order->o_dt_tax_name);
						if (!isset($taxesInOrder[$tax_name])) $taxesInOrder[$tax_name]=0;
						$taxesInOrder[$tax_name]+=$order->o_dt_tax_sum;
					}
				?>
				<?php if($order->o_dt_sum){ ?>
					<div class="row gx-sm-1">
						<div class="order-footer-cell col-sm-6 col-md-10 text-end">
							<?php echo Text::_("Delivery sum"); ?>
						</div>
						<div class="order-footer-cell col-sm-6 col-md-2 text-end text-sm-center">
							<?php echo number_format($order->o_dt_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)."&nbsp;".Currency::getShortName(DEFAULT_CURRENCY); ?>
						</div>
					</div>
				<?php } ?>
				<?php $total = $total + $order->o_dt_sum; ?>
				<?php } ?>
				<?php if ($order->o_pt_sum && $order->o_pt_sum>0) { ?>
				<div class="row gx-sm-1 pt-sum">
					<div class="order-footer-cell col-sm-6 col-md-10 text-end">
						<?php echo Text::_("Payment commission"); ?>
					</div>
					<div class="order-footer-cell col-sm-6 col-md-2 text-end text-sm-center">
						<?php echo number_format($order->o_pt_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)."&nbsp;".Currency::getShortName(DEFAULT_CURRENCY); ?>
					</div>
				</div>
				<?php $total = $total + $order->o_pt_sum; ?>
				<?php } ?>
				<?php if (floatval($order->o_discount_sum)) { ?>
				<div class="row gx-sm-1 discount-sum">
					<?php if ($order->o_discount_sum>0) { ?>
						<div class="order-footer-cell col-sm-6 col-md-10 text-end">
							<?php echo Text::_("Discount"); ?>
						</div>
					<?php } else { ?>
						<div class="order-footer-cell col-sm-6 col-md-10 text-end">
							<?php echo Text::_("Fee"); ?>
						</div>
					<?php } ?>
					<div class="order-footer-cell col-sm-6 col-md-2 text-end text-sm-center">
						<?php echo number_format($order->o_discount_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)."&nbsp;".Currency::getShortName(DEFAULT_CURRENCY); ?>
					</div>
				</div>
				<?php $total = $total - $order->o_discount_sum; ?>
				<?php } ?>
				<?php if($total != $summa){ ?>
				<div class="row gx-sm-1 total-sum">
					<div class="order-footer-cell col-sm-6 col-md-10 text-end">
						<?php echo Text::_("Total"); ?>
					</div>
					<div class="order-footer-cell col-sm-6 col-md-2 text-end text-sm-center">
						<?php echo number_format($total, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)."&nbsp;".Currency::getShortName(DEFAULT_CURRENCY); ?>
					</div>
				</div>
				<?php } ?>
				<?php if (floatval($order->o_taxes_sum)) { ?>
					<div class="row gx-sm-1">
						<div class="order-footer-cell col-sm-6 col-md-10 text-end">
							<?php echo Text::_("Taxes in order"); ?>
						</div>
						<div class="order-footer-cell col-sm-6 col-md-2 text-end text-sm-center">
							<?php echo number_format($order->o_taxes_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)."&nbsp;".Currency::getShortName(DEFAULT_CURRENCY); ?>
						</div>
					</div>
					<?php if (count($taxesInOrder)) { ?>
						<?php foreach($taxesInOrder as $kt=>$vt){ ?>
							<div class="row gx-sm-1">
								<div class="order-footer-cell col-sm-6 col-md-10 text-end">
									<?php print base64_decode($kt); ?>
								</div>
								<div class="order-footer-cell col-sm-6 col-md-2 text-end text-sm-center">
									<?php echo number_format($vt, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)."&nbsp;".Currency::getShortName(DEFAULT_CURRENCY); ?>
								</div>
							</div>
						<?php } ?>
					<?php } ?>
				<?php } ?>
				<?php if(floatval($order->o_total_sum)>0){ ?>
				<div class="row gx-sm-1 grand-total-sum">
					<div class="order-footer-cell col-sm-6 col-md-10 text-end">
						<?php echo Text::_("Grand total"); ?>
					</div>
					<div class="order-footer-cell col-sm-6 col-md-2 text-end text-sm-center">
						<?php echo number_format($order->o_total_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)."&nbsp;".Currency::getShortName(DEFAULT_CURRENCY); ?>
					</div>
				</div>
				<?php } ?>
			</div>
			<?php if($this->controls) { ?>
			<div class="buttons">
				<a id="print_but" target="_blank" class="linkButton btn btn-primary" href="<?php echo Router::_("index.php?option=print&module=orders&view=order&layout=print&order_id=".$order->o_id."&order_hash=".$order->o_hash); ?>"><?php echo Text::_('Print'); ?></a>
				<?php if ($order->o_paid==0 && $payment) { ?><a id="pay_but" class="linkButton btn btn-primary" href="<?php echo Router::_("index.php?module=orders&view=payment&order_id=".$order->o_id."&order_hash=".$order->o_hash); ?>"><?php echo Text::_('Pay'); ?></a><?php } ?>
			</div>
			<?php } ?>
		</div>
	</div>
<?php } else { ?>
	<h1><?php echo Text::_("Order not found"); ?></h1>
<?php } ?>
