<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 9b27a37e (2024-09-29 01:37:17)
// 

use ArfaCMS\Core\Currency;
use ArfaCMS\Core\Date;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$price_digits = Module::getInstance()->getParam("price_digits");
if (count($this->orders)>0) {
	echo "<h1 class=\"title main-title\">".Text::_("Your orders")."</h1>";
	echo "<p>".Text::_("Attention. To cancel the order contact us via e-mail. Order cancellation is possible only before its payment.")."</p>";
	echo "<div class=\"orders-wrapper table-responsive\">";
	echo "<table class=\"orders table table-bordered table-hover table-condensed align-middle text-center sprav-table\"><thead>";
	echo "<tr>";
	echo "<th>".Text::_("Order number")."</th>";
	echo "<th>".Text::_("Order date")."</th>";
	if (\siteConfig::$use_points_system) { echo "<th>".Text::_('Points')."</th>"; }
	echo "<th>".Text::_("Sum")."</th>";
	echo "<th>".Text::_("Is paid")."</th>";
	echo "<th>".Text::_("Status")."</th>";
	echo "</tr>";
	echo "</thead><tbody>";
	foreach ($this->orders as $order) {
		$view_href=Router::_("index.php?module=orders&view=order&order_id=".$order->o_id);
		$view_title=Text::_("View order");
		echo "<tr>";
		echo "<td>".$order->o_id."</td>";
		echo "<td><a rel=\"nofollow\" title=\"".$view_title."\" href=\"".$view_href." \">".Date::fromSQL($order->o_date, true, true)."</a></td>";
		if (\siteConfig::$use_points_system) echo "<td>".$order->o_points."</td>";
		echo "<td>".number_format($order->o_total_sum, $price_digits, DEFAULT_DECIMAL_SEPARATOR , DEFAULT_THOUSAND_SEPARATOR)." ".Currency::getShortName($order->o_currency)."</td>";
		if ($order->o_paid)	echo "<td class=\"green\">".Text::_("Is paid")."</td>";
		else	{
			$pay_href=Router::_("index.php?module=orders&view=payment&order_id=".$order->o_id);
			$pay_title=Text::_("Pay")." ".Text::_("order")." № ".$order->o_id;
			echo "<td><a rel=\"nofollow\" title=\"".$pay_title."\" href=\"".$pay_href." \">".Text::_("N")."</a></td> \n";
		}
		echo "<td>".$this->status_arr[$order->o_status]->os_name."</td>";
		echo "</tr>";
	}
	echo "</tbody></table>";
	echo "</div>";
} else { echo "<h1>".Text::_("You have not orders yet")."</h1>"; }
?>