<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6b2b19ee (2024-10-11 03:43:06)
// 

use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class pollsModelPolls extends SpravModel
{

    public function getPollsCount($enabled_only = true)
    {
        $query = "SELECT COUNT(*) FROM #__polls";
        $query .= " WHERE p_deleted=0";
        if($enabled_only) $query .= " AND p_enabled=1";
            $this->_db->setQuery($query);
        return intval($this->_db->loadResult());
    }

    public function getPolls($enabled_only = true)
    {
        $query = "SELECT *, ";
        $query .= " (SELECT SUM(pi_hits) FROM #__poll_items WHERE pi_poll_id=p_id GROUP BY pi_poll_id) as p_total_voted";
        $query .= " FROM #__polls";
        $query .= " WHERE p_deleted=0";
        if($enabled_only) $query .= " AND p_enabled=1";
        $query .= $this->getAppendix();
        $this->_db->setQuery($query);
        $polls = $this->_db->loadObjectList();
        return $polls;
    }

    public function getPoll($psid, $enabled_only = true)
    {
        $query = "SELECT *, ";
        $query .= " (SELECT SUM(pi_hits) FROM #__poll_items WHERE pi_poll_id=p_id GROUP BY pi_poll_id) as p_total_voted";
        $query .= " FROM #__polls";
        $query .= " WHERE p_deleted=0";
        if($enabled_only) $query .= " AND p_enabled=1";
        $query .= " AND p_id=" . $psid;
        $this->_db->setQuery($query);
        $poll = false;
        $this->_db->loadObject($poll);
        return $poll;
    }

    public function getItems($polls)
    {
        if (count($polls) > 0) {
            foreach ($polls as $poll) {
                $ids[] = $poll->p_id;
            }
            $instr = "(" . implode(",", $ids) . ")";
            $query = "SELECT * FROM #__poll_items";
            $query .= " WHERE pi_deleted=0 AND pi_poll_id IN " . $instr;
            $query .= " ORDER BY pi_ordering";
            $this->_db->setQuery($query);
            $items = $this->_db->loadObjectList();
            return $items;
        } else return false;
    }
}

?>