<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 544b15c0 (2024-09-28 19:17:51)
// 

use ArfaCMS\Core\Date;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

if (count($this->polls)) { ?>
    <div class="polls-list">
    <?php foreach ($this->polls as $poll) { ?>
        <?php $total = (int)$poll->p_total_voted; ?>
        <div class="poll-block">
            <h3 class="poll-title">
                <a href="<?php echo Router::_("index.php?module=polls&view=poll&psid=" . $poll->p_id . "&alias=" . $poll->p_alias); ?>"><?php echo $poll->p_title; ?></a>
            </h3>
            <div class="poll-date">
                <?php echo Text::_("Vote time") . ":&nbsp;<span>" . Date::fromSQL($poll->p_startdate)."&nbsp;-&nbsp;" . Date::fromSQL($poll->p_enddate)."</span>"; ?>
            </div>
            <div class="poll-total">
                <?php echo Text::_("Total voted") . ":&nbsp;<span>" . (int)$poll->p_total_voted . "</span>"; ?>
            </div>
        </div>
    <?php } ?>
    </div>
<?php } ?>