<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8c1d565a (2023-05-18 13:21:59)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Request;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\Util;
use ArfaCMS\DB\Exporter;
use ArfaCMS\MVC\Model;

defined('_ARFACMS_VALID') or die("Access denied");

class serviceModelDb extends Model {
	public function backupDB($path,$file){
		$exporter = Exporter::getInstance(false);
		$tables = $exporter->getTablesList();
		$fpsys = fopen($path.$file,"wt");
		//$delimiter=$this->_db->getDelimiter();
		$delimiter=";\n";
		$setnames = "SET NAMES 'UTF8'".$delimiter."\n";
		fputs($fpsys, $setnames, mb_strlen($setnames,DEF_CP));
		foreach ($tables as $t) {
			$expMode = Request::getInt($t.'_mode',0);
			if ($expMode) {
				$createTable = "DROP TABLE IF EXISTS `".$t."`".$delimiter."\n";
				$createTable .= $exporter->getCreateTable($t, $delimiter)."\n";
				fputs($fpsys, $createTable);
				$inserts = $exporter->getInserts($t, $delimiter)."\n";
				fputs($fpsys, $inserts);
			}
		}
		fclose($fpsys);
	}
	public function downloadFile($folder,$file,$href){
		if (in_array($file, Files::getHiddenFilesTemplate()) || !$folder) Util::redirect($href, Text::_("File not exists")." : ".$file);
		$fullname = $folder.DS.$file;
		if ((file_exists($fullname))&&(is_file($fullname))) {
			header('Content-Description: File Transfer');
			header('Content-Type: application/octet-stream');
			header('Content-Disposition: attachment; filename="'.$file.'"');
			header('Content-Transfer-Encoding: binary');
			header('Expires: 0');
			header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
			header('Pragma: public');
			header("Content-Length: ".filesize($fullname));
			ob_end_clean();
			readfile($fullname);
			Util::halt();
		}
	}
}
?>