<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: cfd81958 (2024-10-09 21:59:11)
// 

use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");
?>
<div class="service-manager rounded-pan rounded-pan-medium">
    <h4 class="title main-title"><?php echo Text::_("Current backups"); ?></h4>
    <div class="buttons">
        <a class="linkButton btn btn-primary" href="index.php?module=service&amp;view=db&amp;layout=export"><?php echo Text::_("Create DB backup"); ?></a>
    </div>
    <div class="row mt-3">
        <div class="col-lg-12">
            <?php echo Text::_("Path"); ?>: <?php echo $this->backup_path ?>
        </div>
    </div>
    <?php
    if ($this->files) {
        echo "<table id=\"backups\" class=\"table table-bordered table-hover table-condensed align-middle text-center sprav-table mt-3\">";
        echo "<tr>";
        echo "<th>" . Text::_("Name") . "</th>";
        echo "<th>" . Text::_("File size") . "</th>";
        echo "<th>" . Text::_("Date") . "</th>";
        echo "<th>&nbsp;</th>";
        echo "</tr>";
        foreach ($this->files as $file) {
            echo "<tr>";
            echo "<td><a href=\"index.php?module=service&amp;task=downloadBackup&amp;file=" . $file["filename"] . "\">" . $file["filename"] . "</a></td>";
            echo "<td>" . $file["filesize"] . "</td>";
            echo "<td>" . $file["filedate"] . "</td>";
            echo "<td align=\"center\">";
            // @FIXME Add form token to the link
            echo "<a class=\"btn btn-danger\" href=\"index.php?module=service&amp;task=deleteBackup&amp;file=" . $file["filename"] . "\" onclick=\"javascript:if(confirm('" . Text::_("Do you want to delete") . " " . $file["filename"] . " ?'))return true; else return false;\" title=\"" . Text::_("Delete") . "\">";
            echo "<i class=\"bi bi-trash-fill\"></i>";
            echo "</a></td>";
            echo "</tr>";
        }
        echo "</table>";
    }
    ?>
</div>
