<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 96247043 (2024-10-09 21:38:40)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");
?>
<div class="service-manager rounded-pan rounded-pan-medium">
    <h4 class="title main-title"><?php echo Text::_("Backup tables"); ?></h4>
    <form action="index.php" method="post">
        <table class="table table-bordered table-hover table-condensed align-middle text-center sprav-table">
            <tr>
                <td class="text-start">
                    <?php if (count($this->tables)) {
                    echo HTMLControls::renderButton("start", Text::_("Export now"), "submit");
                    echo HTMLControls::renderHiddenField("module", "service");
                    echo HTMLControls::renderHiddenField("view", "db");
                    echo HTMLControls::renderHiddenField("file", $this->file);
                    echo HTMLControls::renderHiddenField("task", "exportTables");
                    ?>
                </td>
                <td class="w-auto">
                    <?php echo HTMLControls::renderCheckbox("", 1, 1, "toggleAll", "", "toggleChecked(this,'checkup')"); ?>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <?php echo Text::_("Path"); ?>: <?php echo $this->backup_path . $this->file; ?>
                </td>
            </tr>
            <?php foreach ($this->tables as $tbl) { ?>
                <tr>
                    <th class="text-start"><?php echo HTMLControls::renderLabelField($tbl . "_checkup", $tbl); ?></th>
                    <td><?php echo HTMLControls::renderCheckbox($tbl . "_mode", 1, 1, $tbl . "_checkup", "checkup"); ?></td>
                </tr>
            <?php }
            } ?>
        </table>
    </form>
</div>
