<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 03acea51 (2024-10-09 21:43:56)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied"); ?>

<?php
$script = "
function massResizeOnSubmit(){
	if($('#i_understand_1').prop('checked')) return true;
	else return false;
}
function massOptimizeOnSubmit(){
	if($('#i_understand_2').prop('checked')) return true;
	else return false;
}
";
Portal::getInstance()->addScriptDeclaration($script);
?>
<div class="service-manager image-processor rounded-pan rounded-pan-medium">
    <h4 class="title"><?php echo Text::_("Image processor"); ?></h4>
    <p align="center" class="red-warning"><?php echo Text::_("Beta version of module is for testing ONLY") . ".<br />" . Text::_("We dont quarantee the correct working of your CMS while using it") . "."; ?></p>
    <ul class="nav nav-tabs">
        <li class="nav-item"><a class="nav-link active" data-bs-toggle="tab" href="#mass_resize"><?php echo Text::_("Mass resize"); ?></a></li>
        <li class="nav-item"><a class="nav-link" data-bs-toggle="tab" href="#mass_optimize"><?php echo Text::_("Mass optimize"); ?></a></li>
    </ul>
    <div class="tab-content p-3">
        <div id="mass_resize" class="tab-pane active">
            <form id="frmImageProcessor1" name="frmImageProcessor" action="index.php" method="post" onsubmit="return massResizeOnSubmit();">
                <h4 class="title"><?php echo Text::_("Select field for processing"); ?></h4>
                <div class="row mb-3">
                    <div class="col-lg-12"><?php
                        $i = 0;
                        foreach ($this->objects as $k => $o) {
                            $i++;
                            echo "<div class=\"form-check\"><input class=\"form-check-input\" id=\"field_" . $i . "\" name=\"field_key\" type=\"radio\" value=\"" . $k . "\" required /><label for=\"field_" . $i . "\">" . $o["title"] . " => " . $o["field_title"] . " (" . $o["width"] . "x" . $o["height"] . ")</label></div>";
                        }
                        ?></div>
                </div>
                <h4 class="title"><?php echo Text::_("Options"); ?></h4>
                <div class="row mb-3">
                    <div class="col-lg-12">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="skip_deleted" name="skip_deleted" value="1" />
                            <label for="skip_deleted"><?php echo Text::_("Skip deleted"); ?></label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="enabled_only" name="enabled_only" value="1" />
                            <label for="enabled_only"><?php echo Text::_("Enabled only"); ?></label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="force_from_source" name="force_from_source" value="1" />
                            <label for="force_from_source"><?php echo Text::_("Force resize from source"); ?></label>
                        </div>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-lg-12">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="i_understand_1" name="i_understand" value="1" required="required" />
                            <label for="i_understand_1" class="red-warning"><?php echo Text::_("I understand that this operation may cause damage to files and database"); ?></label>
                        </div>
                    </div>
                </div>
                <div class="buttons">
                    <input type="submit" class="commonButtonbtn btn btn-primary" value="<?php echo Text::_("Start"); ?>">
                    <input type="hidden" name="module" value="service">
                    <input type="hidden" name="view" value="imageprocessor">
                    <input type="hidden" name="task" value="processResize">
                </div>
            </form>
        </div>
        <div id="mass_optimize" class="tab-pane fade">
            <form id="frmImageProcessor2" name="frmImageProcessor" action="index.php" method="post" onsubmit="return massOptimizeOnSubmit();">
                <div class="row">
                    <div class="col-lg-12">

                    </div>
                </div>
                <h4 class="title"><?php echo Text::_("Under construction"); ?></h4>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="i_understand_2" name="i_understand" value="1" />
                            <label class="red" for="i_understand_2"><?php echo Text::_("I understand that this operation may cause damage to files and database"); ?></label>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="buttons">
                            <input type="submit" class="commonButtonbtn btn btn-primary" value="<?php echo Text::_("Start"); ?>">
                            <input type="hidden" name="module" value="service">
                            <input type="hidden" name="view" value="imageprocessor">
                            <input type="hidden" name="task" value="startOptinmize">
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>