<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 03acea51 (2024-10-09 21:43:56)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied"); ?>

<?php
if (!$this->error_message) {
    $script = "
	function processResize(next_start) {
		ajaxShowActivity();
		$.ajax({
			url : siteConfig['siteUrl']+'index.php',
	 		type: 'POST',
			data:({
				type:'module',
				option:'ajax',
				module:'service',
				view:'imageprocessor',
				task:'processResize',
				enabled_only:" . $this->enabled_only . ",
				skip_deleted:" . $this->skip_deleted . ",
				force_from_source:" . $this->force_from_source . ",
				i_understand:" . $this->i_understand . ",
				start: next_start,
				field_key:'" . $this->field_key . "'
			}),
			dataType:'json',
			success: function (response) {
				$('#mass_resize_result').append('<span class=\"'+response.status+'\">'+response.message+'</span>');
				if (response.status==='processing' && response.next_start > 0) {
					if(response.error_message !='') $('#mass_resize_result').append('<span class=\"error\">'+response.error_message+'</span>');
					setTimeout('processResize(\''+response.next_start+'\')', 1000);
				} else if (response.status==='aborted'){
					ajaxHideActivity();
				} else if (response.status==='finished'){
					ajaxHideActivity();
				} else{
					alert('Error');
					ajaxHideActivity();
				}
			}
		});
	}
	$(document).ready(function(){
		processResize(1);
	});
	";
    Portal::getInstance()->addScriptDeclaration($script);
}
?>
<div class="service-manager image-processor rounded-pan rounded-pan-medium">
    <h4 class="title"><?php echo Text::_("Image processor"); ?></h4>
    <?php if ($this->image_object) { ?>
        <h4 class="title"><?php echo $this->image_object["title"] . " => " . $this->image_object["field_title"] . " (" . $this->image_object["width"] . "x" . $this->image_object["height"] . ")"; ?></h4>
    <?php } ?>
    <p><?php echo Text::_("Skip deleted"); ?>: <?php echo $this->skip_deleted ? Text::_("Y") : Text::_("N"); ?></p>
    <p><?php echo Text::_("Enabled only"); ?>: <?php echo $this->enabled_only ? Text::_("Y") : Text::_("N"); ?></p>
    <p><?php echo Text::_("Force resize from source"); ?>: <?php echo $this->force_from_source ? Text::_("Y") : Text::_("N"); ?></p>
    <?php if ($this->error_message) { ?>
        <div class="row">
            <div class="col-lg-12">
                <div class="message-error">
                    <?php echo $this->error_message; ?>
                </div>
            </div>
        </div>
    <?php } else { ?>
        <h4 class="title"><?php echo Text::_("Results"); ?>:</h4>
        <div class="row mb-3">
            <div class="col-lg-12">
                <div id="mass_resize_result"></div>
            </div>
        </div>
    <?php } ?>
    <div class="buttons">
        <a href="<?php echo Portal::getURI(); ?>index.php" class="commonButtonbtn btn btn-primary"><?php echo Text::_("Admin panel"); ?></a>
        <a href="<?php echo Portal::getURI(); ?>index.php?module=service&view=imageprocessor" class="commonButtonbtn btn btn-primary"><?php echo Text::_("Image processor"); ?></a>
    </div>
</div>
