<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 96247043 (2024-10-09 21:38:40)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

if ($this->current_revision > $this->my_revision || $this->update_status == "failed") $class = "text-danger";
else $class = "text-primary";
?>
<div class="service-manager rounded-pan rounded-pan-mini">
    <?php if(\backofficeConfig::$updatesBetaChannel) { ?>
        <h4 class="title"><span class="text-danger"><?php echo Text::_("Beta updates channel") ?></span></h4>
        <p class="text-danger" style="text-align: center"><?php echo Text::_("Beta updates channel is for testing ONLY").". ".Text::_("We dont quarantee the correct working of your CMS while using it")."."; ?></p>
    <?php } else { ?>
        <h4 class="title"><?php echo Text::_("Main updates channel") ?></h4>
    <?php } ?>
    <h4 class="title"><?php echo Text::_("Version control") ?></h4>
    <?php if($this->changedMajorMinor) { ?>
        <p class="text-danger" style="text-align: center; font-size: 120%">
            <?php echo sprintf(Text::_("Before update to Arfa-CMS %s, check all your modules, plugins and widgets for compatability with Arfa-CMS"), $this->changedMajorMinor); ?>
        </p>
    <?php } ?>
    <div class="row mb-3">
        <div class="col-sm-8"><?php echo HTMLControls::renderLabelField(false, Text::_("Your version").":"); ?></div>
        <div class="col-sm-4 <?php echo $class; ?>"><?php echo Portal::getVersion(); ?></div>
    </div>
    <?php if ($this->current_revision && $this->current_revision != $this->my_revision) { ?>
        <div class="row mb-3">
            <div class="col-sm-8"><?php echo HTMLControls::renderLabelField(false, Text::_("Current version").":"); ?></div>
            <div class="col-sm-4"><?php echo $this->current_version; ?></div>
        </div>
    <?php } ?>
    <div class="row"><div class="col-md-12">
        <?php if ($this->update_message) { ?>
            <?php echo "<p class=\"" . $class . "\">".Text::_($this->update_message)."</p>"; ?>
        <?php }	?>
        <p class="<?php echo $class ?>">
            <?php if (!$this->current_revision) { ?>
            <?php echo Text::_("Updates unavailable"); ?>
            <?php } elseif ($this->current_revision > $this->my_revision) { ?>
            <?php echo Text::_("Your version is out-of-date"); ?>
            <?php }	else { ?>
            <?php echo Text::_("Your version is up-to-date"); ?>
            <?php }	?>
        </p>
    </div></div>
    <div class="buttons text-center">
        <?php  if ($this->update_status == "success" && $this->current_revision && ($this->current_revision > $this->my_revision)) { ?>
            <a class="linkButton singleclick btn btn-primary" href="index.php?module=service&amp;view=updater&amp;layout=autoupdate"><?php echo Text::_("Automatic update"); ?></a>
        <?php } ?>
        <a class="linkButton btn btn-primary" href="index.php"><?php echo Text::_("Close"); ?></a>
    </div>
</div>