<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 03acea51 (2024-10-09 21:43:56)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

if ($this->current_revision > $this->my_revision) $class = "text-danger";
else $class = "text-primary";
?>
<div class="service-manager rounded-pan rounded-pan-mini">
    <h4 class="title"><?php echo Text::_("Database restructuring") ?></h4>
    <?php if ($this->current_revision && ($this->current_revision > $this->my_revision)) { ?>
        <div class="row mb-3">
            <div class="col-lg-12 text-danger">
                <?php
                echo "<h3 style=\"font-weight:bold; text-align:center;\">" . Text::_("Attention") . "!</h3>";
                echo Text::_("You must make full backup of your site and database before you continue") . ".<br />";
                echo Text::_("Database restructuring process may cause harm to your site and database") . "!<br /><br />";
                echo Text::_("You start it at own risk") . "!<br /><br />";
                echo Text::_("We do not incur responsibility for") . " ";
                echo Text::_("any moral costs or commercial losses connected with") . " <br />";
                echo Text::_("use of automatic updating") . " !!!<br /><br />";
                echo Text::_("By pressing CONTINUE button you completely agree with the above-stated conditions") . " ";
                echo Text::_("and take all risks up") . " !!!<br />";
                ?>
            </div>
        </div>
    <?php } ?>
    <div class="row mb-3">
        <div class="col-sm-8"><?php echo HTMLControls::renderLabelField(false, Text::_("Current version") . ":"); ?></div>
        <div class="col-sm-4"><?php echo $this->current_version; ?></div>
    </div>
    <div class="row mb-3">
        <div class="col-sm-8"><?php echo HTMLControls::renderLabelField(false, Text::_("Your version") . ":"); ?></div>
        <div class="col-sm-4 <?php echo $class; ?>"><?php echo Portal::getVersionMajor() . "." . Portal::getVersionMinor() . "." . $this->my_revision; ?></div>
    </div>
    <?php if ($this->current_revision > $this->my_revision) { ?>
        <h4 class="title">
            <span class="<?php echo $class; ?>"><?php echo Text::_("Your database must be restructured"); ?></span>
        </h4>
    <?php } else { ?>
        <h4 class="title">
            <span class="<?php echo $class; ?>"><?php echo Text::_("Your database does not need restructuring"); ?></span>
        </h4>
    <?php } ?>
    <div class="buttons text-center">
        <?php if ($this->current_revision && ($this->current_revision > $this->my_revision)) { ?>
            <a class="linkButton singleclick btn btn-primary" href="index.php?module=service&amp;task=restructureDB"><?php echo Text::_("Continue"); ?></a>
        <?php } ?>
        <a class="linkButton btn btn-primary" href="index.php"><?php echo Text::_("Close"); ?></a>
    </div>
</div>