<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: db6a85e1 (2024-10-09 21:25:38)
// 

use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

?>
<div class="service-manager rounded-pan rounded-pan-mini">
    <h4 class="title"><?php echo Text::_("Database restructuring") ?></h4>
    <div class="row mb-3">
        <div class="col-lg-12"><?php echo HTMLControls::renderLabelField(false, Text::_("Operations log")); ?></div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <?php if (count($this->packagelog) > 0) {
                foreach ($this->packagelog as $msg) {
                    echo "<p class=\"updater-log-message mb-3\">" . $msg . "</p>";
                }
            } else {
                echo "<p class=\"updater-log-message mb-3\">" . Text::_("Operation complete") . "</p>";
            } ?>
        </div>
    </div>
    <div class="buttons text-center">
        <a class="linkButton btn btn-primary" href="index.php?module=service&amp;view=updater&amp;layout=restructure"><?php echo Text::_("Continue"); ?></a>
    </div>
</div>