<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 8564a6f0 (2023-04-26 13:19:29)
// 

use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Auth providers",
        "tablename" => "auth_providers",
        "keystring" => "sn_id",
        "namestring" => "sn_name",
        // "alias_field" => "",
        "enabled" => "sn_enabled",
        "deleted" => "sn_deleted",
        "ordering_field" => "sn_ordering"
    ),
    "buttons" => array(
        "new" => array("show" => 1, "view" => "auth_providers", "task" => "modifyAuth_providers"),
        "filter" => array("show" => 1, "view" => "auth_providers"),
        "modify" => array("show" => 1, "view" => "auth_providers", "task" => "modifyAuth_providers"),
        "reorder" => array("show" => 1, "view" => "auth_providers", "task" => "reorder"),
        "undelete" => array("show" => 1, "view" => "auth_providers", "task" => "delete"),
        "delete" => array("show" => 1, "view" => "auth_providers", "task" => "delete"),
        "clean_trash" => array("show" => 1, "link" => false),
        "trash" => array("show" => 1, "link" => false)
    ),
    "fields" => array(
        "field" => array(1 => 'sn_id', 'sn_name', 'sn_key', 'sn_secret', 'sn_ordering', 'sn_enabled', 'sn_deleted'),
        "name" => array(1 => 'ID', 'Auth provider name', 'Auth provider key', 'Auth provider secret', 'Ordering', 'Enabled', 'Deleted'),
        "descr" => array(2 => 'Latin, lowercase, without spaces and special simbols'),
        "input_type" => array(1 => 'hidden', 'select', 'text', 'text', 'text', 'checkbox', 'checkbox'),
        "val_type" => array(1 => 'int', 'string', 'string', 'string', 'int', 'boolean', 'boolean'),
        "view" => array(1 => 1, 1, 0, 0, 1, 1, 0),
        "input_view" => array(1 => 1, 1, 1, 1, 1, 1, 0),
        "check_value" => array(2 => 2),
        "ck_reestr" => array(2 => Module::getInstance("user")->getModel("auth_providers")->getAuthProvidersCKArray()),
        "link" => array(2 => 'index.php?module=user&view=auth_providers&task=modifyAuth_providers&psid=[0]&multy_code=[1]&sort=[2]&page=[3]&orderby=[4]'),
        "link_title" => array(2 => 'Modify'),
        "link_key" => array(2 => 'id,multy_code,sort,page,orderby'),
        "link_type" => array(2 => '')
    )
);
?>