<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 60230277 (2024-11-14 01:05:45)
// 

defined('_ARFACMS_VALID') or die("Access denied");

$_curr_md = array(
    "header" => array(
        "title" => "Users",
        "tablename" => "users",
        "keystring" => "u_id",
        // "namestring" => "",
        // "alias_field" => "",
        "enabled" => "u_activated",
        "deleted" => "u_deleted"
    ),
    "buttons" => array(
        "go_up" => array("show" => 0, "link" => false),
        "new" => array("show" => 1, "view" => "users", "task" => "modify"),
        "filter" => array("show" => 1, "view" => "users"),
        "clone" => array("show" => 0, "view" => "users", "task" => "make_clone"),
        "modify" => array("show" => 1, "view" => "users", "task" => "modify"),
        "undelete" => array("show" => 1, "view" => "users", "task" => "delete"),
        "delete" => array("show" => 1, "view" => "users", "task" => "delete"),
        "clean_trash" => array("show" => 1, "link" => false),
        "trash" => array("show" => 1, "link" => false)
    ),
    "uni_buttons" => array(
        "vcard" => array(
            "title" => "Modify profile",
            "alt" => 'VC',
            "module" => 'user',
            "view" => 'panel',
            "task" => 'modifyProfile',
            "position" => "right",
            "alert" => "Elements are not chosen"
        )
    ),
    "fields" => array(
        "field" => array(1 => 'u_id', 'u_affiliate_code', 'u_referral', 'u_login', // 1-4
            'u_secret', 'u_email', 'u_reg_date', 'u_nickname', // 5-8
            'u_account', 'u_points', 'u_discount', 'u_pricetype', // 9-12
            'u_role', 'u_rating', 'u_last_visit','u_activated',  // 13-16
            'u_deleted'), // 17
        "name" => array(1 => 'id', 'affiliate code', 'referral', 'User login',
            'password', 'User email', 'User registration date', 'User nickname',
            'Account status', 'Points', 'Personal discount', 'Type of price',
            'User role', 'rating', 'Last visit', 'activated',
            'Deleted'),
        "input_type" => array(1 => 'label', 'label', 'label_sel', 'text',
            'password', 'text', 'label', 'text',
            'label', 'label', 'text', 'select',
            'select', 'label', 'label', 'checkbox',
            'hidden'),
        "val_type" => array(1 => 'int', 'string', 'int', 'string',
            'string', 'string', 'datetime', 'string',
            'float', 'float', 'float', 'int',
            'int', 'int', 'datetime', 'boolean',
            'int'),
        "update_type" => array(2 => 0, 3 => 0, 4 => 0, 7 => 0),
        "check_value" => array(4 => 2, 6 => 2, 8 => 2, 12 => 1, 13 => 1),
        "default_value" => array(7 => "NOW", 13 => \backofficeConfig::$defaultUserRole),
        "link" => array(
            4 => 'index.php?module=user&view=users&task=modify&psid=[0]&multy_code=[1]&sort=[2]&page=[3]&orderby=[4]',
            8 => 'index.php?module=user&view=panel&task=modifyProfile&psid=[0]&multy_code=[1]&sort=[2]&page=[3]&orderby=[4]'
        ),
        "link_title" => array(4 => 'Modify', 8 => 'Modify profile'),
        "link_key" => array(4 => 'id,multy_code,sort,page,orderby', 8 => 'id,multy_code,sort,page,orderby'),
        "link_type" => array(4 => '', 8 => ''),
        "ch_table" => array(3=>"users", 13 => "acl_roles"),
        "ch_field" => array(3=>"u_nickname", 13 => "ar_title"),
        "ch_id" => array(3=>"u_id", 13 => "ar_id"),
        "ck_reestr" => array(12 => "price_type")

    )
);
?>