<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 08c227f4 (2023-03-02 12:04:38)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Request;
use ArfaCMS\Sprav\SpravModel;
use ArfaCMS\Tools\Crypta;

defined('_ARFACMS_VALID') or die("Access denied");

class userModelAuth_providers extends SpravModel {
	public function save(){
		$psid=parent::save();
		if ($psid) {
			$res = $this->getElement($psid);
			if (!$res) return 0;
			$sn_key = Request::getSafe("sn_key");
			$sn_secret = Request::getSafe("sn_secret");
			$crypt = new Crypta ();
			$sn_key_encoded = base64_encode($crypt->xxtea_encrypt($sn_key, \backofficeConfig::$secretCode));
			$sn_secret_encoded = base64_encode($crypt->xxtea_encrypt($sn_secret, \backofficeConfig::$secretCode));
			$sql = "UPDATE #__auth_providers SET sn_key='".$sn_key_encoded."', sn_secret='".$sn_secret_encoded."' WHERE sn_id=".$psid;
			$this->_db->setQuery($sql);
			$this->_db->setQuery($sql);
			if (!$this->_db->query()) return 0;
		}
		return $psid;
	}
	public function getAuthProvidersCKArray(){
		$providers = array();
		$files = Files::getFiles(PATH_PACKAGES."ArfaCMS".DS."Providers".DS."SocialNetworks", "", false);
		$mask = "SNProvider.php";
		if(is_array($files)){
			foreach ($files as $filename=>$data){
				$found = mb_stristr($filename, $mask, true);
				if($found) $providers[mb_strtolower($found)]=$found;
			}
			
		}
		return $providers;
	}
}
?>