<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 60230277 (2024-11-14 01:05:45)
// 

use ArfaCMS\Core\simpleTreeTable;
use ArfaCMS\MVC\Model;

defined('_ARFACMS_VALID') or die("Access denied");

class userModelStructure extends Model
{
    function getStructure($u_id)
    {
        $tree = new simpleTreeTable;
        $tree->table = "users";
        $tree->fld_id = "u_affiliate_code";
        $tree->fld_parent_id = "u_referral";
        $tree->fld_title = "u_nickname";
        $tree->fld_deleted = "u_deleted";
        $tree->fld_orderby = "u_nickname";
        $tree->element_link = "index.php?module=user&amp;view=info&amp;affiliate=";
        $tree->resetDefaultClasses();
        $tree->buildTreeArrays('', 0, 1);
        return $tree->getTreeHTML($u_id, 'users_tree');
    }

}

?>