<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 58ec577f (2023-03-02 18:44:27)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class userModule extends Module {
	public function prepare() {
        if(defined("_ADMIN_MODE")){
            $this->setDefaultView('users');
        } else {
            $this->setDefaultView('panel');
            Portal::getInstance()->addStyleSheet("sprav.css", true);
        }
	}
    public function getACLTemplate($is_admin=true){
        $acl=array();$i=0;
        if($is_admin){
            $i++;$acl[$i]['ao_name']='userModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='viewUserUsers'; $acl[$i]['ao_description']='View users list';
            $i++;$acl[$i]['ao_name']='modifyUserUsers'; $acl[$i]['ao_description']='Modify user';
            $i++;$acl[$i]['ao_name']='deleteUserUsers'; $acl[$i]['ao_description']='Finally delete users';
            $i++;$acl[$i]['ao_name']='viewUserAuth_providers'; $acl[$i]['ao_description']='View auth provders list';
            $i++;$acl[$i]['ao_name']='modifyUserAuth_providers'; $acl[$i]['ao_description']='Modify auth provders';
            $i++;$acl[$i]['ao_name']='deleteUserAuth_providers'; $acl[$i]['ao_description']='Finally delete auth provders';
            $i++;$acl[$i]['ao_name']='viewUserPanel'; $acl[$i]['ao_description']='View user panel';
            $i++;$acl[$i]['ao_name']='modifyUserPanel'; $acl[$i]['ao_description']='Modify user profile';
            $i++;$acl[$i]['ao_name']='viewUserBlacklist'; $acl[$i]['ao_description']='View and modify blacklist';
            $i++;$acl[$i]['ao_name']='deleteUserBlacklist'; $acl[$i]['ao_description']='Finally delete blacklist';
        } else {
            $i++;$acl[$i]['ao_name']='Profileuser'; $acl[$i]['ao_description']='User profile';
            $i++;$acl[$i]['ao_name']='userModule'; $acl[$i]['ao_description']='Module access';
        }
        return 	$acl;
    }

}
?>