<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0f92c18d (2022-08-23 02:06:48)
// 

use ArfaCMS\Sprav\SpravView;
use ArfaCMS\Tools\Crypta;

defined('_ARFACMS_VALID') or die("Access denied");

class userViewAuth_providers extends SpravView {
	public function modify($row) {
		if(is_object($row)){
			if($row->sn_key && $row->sn_secret){
				$crypt = new Crypta ();
				$row->sn_key = $crypt->xxtea_decrypt(base64_decode($row->sn_key), \backofficeConfig::$secretCode);
				$row->sn_secret = $crypt->xxtea_decrypt(base64_decode($row->sn_secret), \backofficeConfig::$secretCode);
			} else {
				$row->sn_key = "";
				$row->sn_secret = "";
			}
		} else {
			$row = new \stdClass();
			$row->sn_key = "";
			$row->sn_secret = "";
		}
		parent::modify($row);
	}
}
?>