<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1714fcae (2024-10-17 22:21:56)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

// Prepare form
$frm = new aForm("resetForm");
$frm->addInput(array("ID"=>"task", "TYPE"=>"hidden", "NAME"=>"task", "VAL"=>"reactivate"));
$frm->addInput(array("ID"=>"module", "TYPE"=>"hidden", "NAME"=>"module", "VAL"=>"user"));
$frm->addInput(array("ID"=>"r_email", "TYPE"=>"text", "NAME"=>"r_email", "VAL"=>"", "LABEL"=>Text::_("Your e-mail"), "REQUIRED"=>array("FLAG"=>true), "CLASS"=>"commonEdit form-control"));
$frm->addInput(array("CLASS"=>"commonButton btn btn-primary","TYPE"=>"submit", "VAL"=>Text::_("Request activation"), "ID"=>"submit_button", "NAME"=>"submit_button"));
?>
<div id="resetForm" class="commonPopup">
    <?php $frm->startLayout(); ?>
    <h3 class="title main-title"><?php echo Text::_("Registration confirmation") ;?></h3>
    <div class="registrationFormField row mb-3">
        <div class="col-sm-12 mb-2"><?php $frm->renderLabelFor("r_email"); ?></div>
        <div class="col-sm-12"><?php $frm->renderInputPart("r_email"); ?></div>
    </div>
    <div id="loginButtons" class="buttons">
        <?php $frm->renderInputPart("submit_button"); ?>
    </div>
    <?php $frm->endLayout(); ?>
</div>