<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: ede00bfc (2024-10-03 12:17:44)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$profile = $this->profile;
if(!empty($profile["pf_img"]["val"])) {
	$img_path=ARFACMS_STORAGE_PATH."user".DS."i".DS."avatars".DS.$profile["pf_img"]["val"];
	if (is_file($img_path))	$img='<img width="100" src="'.ARFACMS_STORAGE_LINK.'/user/i/avatars/'.$profile["pf_img"]["val"].'" alt="" />'; 	
	else $img='<img class="avatar" alt="" src="'.Files::getNoImageLink("no-foto.png").'">';
} else $img='<img class="avatar" alt="" src="'.Files::getNoImageLink("no-foto.png").'">';
$about = str_replace("\n", "<br />",$profile["pf_text"]["val"]);

Portal::getInstance()->setTitle( Text::_("User info")." ".$this->nickname );
?>

<div class="userinfo">
	<h1 class="title"><?php echo Text::_("User info")." ".$this->nickname;?></h1>
	<div id="usercontacts">
<?php	foreach($profile as $key=>$val) {
		if ($key=="pf_img" || $key=="pf_text") continue;
		echo "<div class=\"row mb-3\">";
		echo "<div class=\"col-lg-5 mb-2 mb-lg-0 align-self-center\">";
		echo HTMLControls::renderLabelField(false, $val["title"].": ");
		echo "</div><div class=\"col-lg-7 align-self-center\">";
		echo $val["val"];
		echo "</div>";
		echo "</div>";
} ?>
	</div>
	<div id="userabout" class="row mb-3">
		<div class="col-sm-12 mb-2"><?php echo $img ?></div>
		<div class="col-sm-12"><?php echo $about; ?></div>
	</div>
	<?php if($this->canWriteToUser) {?>
		<div id="userlink" class="buttons">
			<a class="commonButton btn btn-primary" href="<?php echo Router::_("index.php?module=mail&view=write&recvuid=".$this->psid); ?>"><?php echo Text::_("Write personal message"); ?></a>
		</div>
	<?php } ?>
</div>
