<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1714fcae (2024-10-17 22:21:56)
// 

use ArfaCMS\Core\Address;
use ArfaCMS\Core\aForm;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$address=$this->address;
$title = Text::_("Address info")." - ";
if ($address["psid"]) $title.= Text::_("Changing data"); else $title.= Text::_("Adding data");

// Prepare form
$frm = new aForm("addressForm");
$frm->addInput(array("ID"=>"task", "TYPE"=>"hidden", "NAME"=>"task", "VAL"=>"saveAddress"));
$frm->addInput(array("ID"=>"module", "TYPE"=>"hidden", "NAME"=>"module", "VAL"=>"user"));
$frm->addInput(array("ID"=>"view", "TYPE"=>"hidden", "NAME"=>"view", "VAL"=>"panel"));
$frm->addInput(array("ID"=>"psid", "TYPE"=>"hidden", "NAME"=>"psid", "VAL"=>$address["psid"]));
$frm->addInput(array("CLASS"=>"commonButton btn btn-primary","TYPE"=>"submit", "VAL"=>Text::_("Save"), "ONCLICK"=>"submitAddress();", "ID"=>"submit_button", "NAME"=>"submit_button"));

?>
<?php $frm->startLayout(); ?>
    <div class="userAddress">
        <h3 class="title main-title" colspan="3"><?php echo $title;?></h3>
        <div class="addressPanel">
            <div class="row mb-3">
                <div class="col-md-5 mb-2 mb-md-0 align-self-center">
                    <?php echo HTMLControls::renderLabelField("type_id", Text::_("Address type").":");?>
                </div>
                <div class="col-md-7">
                    <?php echo Address::renderTypeSelector($address['type_id']);?>
                </div>
            </div>
        </div>
        <?php echo Address::renderEditor($address, false, true);?>
        <div class="buttons">
            <?php $frm->renderInputPart("submit_button"); ?>
        </div>
    </div>
<?php $frm->endLayout(); ?>
