<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1714fcae (2024-10-17 22:21:56)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$frm = new aForm("bankForm");
$frm->addInput(array("ID"=>"task", "TYPE"=>"hidden", "NAME"=>"task", "VAL"=>"saveBank"));
$frm->addInput(array("ID"=>"module", "TYPE"=>"hidden", "NAME"=>"module", "VAL"=>"user"));
$frm->addInput(array("ID"=>"view", "TYPE"=>"hidden", "NAME"=>"view", "VAL"=>"panel"));
$frm->addInput(array("CLASS"=>"commonButton btn btn-primary","TYPE"=>"submit", "VAL"=>Text::_("Save"), "ID"=>"submit_button", "NAME"=>"submit_button"));
$data = $this->bank;
foreach($data as $key=>$val){
    if ($key=="use_as_default") {
        $frm->addInput(array('ID' => $key, 'NAME' => $key, 'TYPE' => "checkbox", 'CLASS'=>'form-check-input', 'LABEL' => Text::_($key), 'CHECKED' => $val, 'VAL' => "1"));
    } elseif ($key=="psid") {
        $frm->addInput(array("ID"=>$key, "TYPE"=>"hidden", "NAME"=>$key, "VAL"=>$val));
    } else {
        $frm->addInput(array("ID"=>$key, "TYPE"=>"text", "NAME"=>$key, "VAL"=>$val, "LABEL"=>Text::_($key), "CLASS"=>"commonEdit form-control"));
    }
}
$title = Text::_("Banks info")." - ";
if ($data["psid"]) $title.= Text::_("Changing data"); else  $title.= Text::_("Adding data");
?>
<?php $frm->startLayout(); ?>
    <div class="userBank">
        <h3 class="title main-title"><?php echo $title;?></h3>
        <?php foreach($data as $key=>$val){ ?>
            <?php if ($key=="psid") continue; ?>
            <div class="row mb-3">
                <?php if($frm->getInput($key)["TYPE"] == "checkbox") {
                    $_css_class_1 = "order-1 order-md-0 col col-md-5 mb-0 align-self-center";
                    $_css_class_2 = "order-0 order-md-1 col-auto col-md-7";
                } else {
                    $_css_class_1 = "col-md-5 mb-2 mb-md-0 align-self-center";
                    $_css_class_2 = "col-md-7";
                } ?>
                <div class="<?php echo $_css_class_1; ?>"><?php $frm->renderLabelFor($key); ?></div>
                <div class="<?php echo $_css_class_2; ?>"><?php $frm->renderInputPart($key); ?></div>
            </div>
        <?php } ?>
        <div class="buttons">
            <?php $frm->renderInputPart("submit_button"); ?>
        </div>
    </div>
<?php $frm->endLayout(); ?>