<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1714fcae (2024-10-17 22:21:56)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\Userdata;

defined('_ARFACMS_VALID') or die("Access denied");

$frm = new aForm("bankForm");
$frm->addInput(array("ID"=>"task", "TYPE"=>"hidden", "NAME"=>"task", "VAL"=>"saveCompany"));
$frm->addInput(array("ID"=>"module", "TYPE"=>"hidden", "NAME"=>"module", "VAL"=>"user"));
$frm->addInput(array("ID"=>"view", "TYPE"=>"hidden", "NAME"=>"view", "VAL"=>"panel"));
$frm->addInput(array("CLASS"=>"commonButton btn btn-primary","TYPE"=>"submit", "VAL"=>Text::_("Save"), "ID"=>"submit_button", "NAME"=>"submit_button"));
$data = $this->company;
foreach($data as $key=>$val){
    if ($key=="doc_date") {
        $frm->addInput(array('ID' => $key, 'NAME' => $key, 'TYPE' => "dateselector", 'SIZE' => 10, 'CLASS' => 'form-control dateselector', 'MAXLENGTH' => 10, 'READONLY' => true, 'LABEL' => Text::_($key), 'VAL' => $val));
    } elseif ($key=="org_type") {
        // skip
    } elseif (in_array($key, array("phone", "fax", "phone_mobile", "phone_mobile_2"))) {
        $frm->addInput(array("ID"=>$key, "TYPE"=>"tel", "NAME"=>$key, "VAL"=>$val, "LABEL"=>Text::_($key), "CLASS"=>"commonEdit phone form-control"));
    } else {
        $frm->addInput(array("ID"=>$key, "TYPE"=>"text", "NAME"=>$key, "VAL"=>$val, "LABEL"=>Text::_($key), "CLASS"=>"commonEdit form-control"));
    }
}
?>
<?php $frm->startLayout(); ?>
    <div class="userAddress">
        <h3 class="title main-title"><?php echo Text::_("Business info");?> - <?php echo Text::_("Changing data");?></h3>
        <?php foreach($data as $key=>$val){ ?>
            <div class="row mb-3">
                <?php if ($key=="org_type") { ?>
                    <div class="col-lg-5 mb-2 mb-lg-0 align-self-center"><?php echo HTMLControls::renderLabelField($key,Text::_($key)) ?></div>
                    <div class="col-lg-7"><?php echo Userdata::renderOrgTypeSelector($val); ?></div>
                <?php } else { ?>
                    <div class="col-lg-5 mb-2 mb-lg-0 align-self-center"><?php $frm->renderLabelFor($key); ?></div>
                    <div class="col-lg-7"><?php $frm->renderInputPart($key); ?></div>
                <?php } ?>
            </div>
        <?php } ?>
        <div class="buttons">
            <?php $frm->renderInputPart("submit_button"); ?>
        </div>
    </div>
<?php $frm->endLayout(); ?>