<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1714fcae (2024-10-17 22:21:56)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\Event;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\User;

defined('_ARFACMS_VALID') or die("Access denied");

// Prepare form
$frm = new aForm("regForm");
$frm->addInput(array("ID"=>"task", "TYPE"=>"hidden", "NAME"=>"task", "VAL"=>"resetPassword"));
$frm->addInput(array("ID"=>"module", "TYPE"=>"hidden", "NAME"=>"module", "VAL"=>"user"));
$frm->addInput(array("ID"=>"code", "TYPE"=>"hidden", "NAME"=>"code", "VAL"=>$this->vcode));
$frm->addInput(array("ID"=>"rLogin", "TYPE"=>"text", "NAME"=>"rLogin", "VAL"=>"", "LABEL"=>Text::_("Login name"), "CLASS"=>"commonEdit required form-control"));
$frm->addInput(array("ID"=>"rPassword", "TYPE"=>"password", "NAME"=>"rPassword", "VAL"=>"", "LABEL"=>Text::_("New password"), "REQUIRED"=>array("FLAG"=>true), "CLASS"=>"commonEdit required form-control"));
$frm->addInput(array("ID"=>"rPasswordRetype", "TYPE"=>"password", "NAME"=>"rPasswordRetype", "VAL"=>"", "LABEL"=>Text::_("Confirm password"), "REQUIRED"=>array("FLAG"=>true), "CLASS"=>"commonEdit required form-control"));
$frm->addInput(array("CLASS"=>"commonButton btn btn-primary","TYPE"=>"submit", "VAL"=>Text::_("Change password"), "ID"=>"submit_button", "NAME"=>"submit_button"));
?>
<div id="resetForm">
    <?php $frm->startLayout(); ?>
    <h1 class="title"><?php echo Text::_('Change password')?></h1>
    <?php if (!User::getInstance()->isLoggedIn()) { ?>
        <div class="registrationFormField row mb-3">
            <div class="col-sm-12 mb-2"><?php $frm->renderLabelFor("rLogin"); ?></div>
            <div class="col-sm-12"><?php $frm->renderInputPart("rLogin"); ?></div>
        </div>
    <?php } ?>

    <div class="registrationFormField row mb-3">
        <div class="col-sm-12 mb-2"><?php $frm->renderLabelFor("rPassword"); ?></div>
        <div class="col-sm-12"><?php $frm->renderInputPart("rPassword"); ?></div>
    </div>
    <div class="registrationFormField row mb-3">
        <div class="col-sm-12 mb-2"><?php $frm->renderLabelFor("rPasswordRetype"); ?></div>
        <div class="col-sm-12"><?php $frm->renderInputPart("rPasswordRetype"); ?></div>
    </div>
    <?php if (!User::getInstance()->isLoggedIn()) { ?>
        <div class="row-for-captcha row mb-3"><div class="col-sm-12">
            <?php echo Event::raise("captcha.renderForm",array("module"=>"user"))?>
        </div></div>
    <?php } ?>
    <div id="resetFormFooter" class="buttons">
        <?php $frm->renderInputPart("submit_button"); ?>
    </div>
    <?php $frm->endLayout(); ?>
</div>