<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1714fcae (2024-10-17 22:21:56)
// 

use ArfaCMS\Core\aForm;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\User;

defined('_ARFACMS_VALID') or die("Access denied");

$js="$(document).ready(function() {
    $('#email').bind('blur', function() { checkFieldUnique('user',this,".User::getInstance()->getID()."); });
});
";
Portal::getInstance()->addScriptDeclaration($js);

// Prepare form
$frm = new aForm("regForm");
$frm->addInput(array("ID"=>"task", "TYPE"=>"hidden", "NAME"=>"task", "VAL"=>"resetEmail"));
$frm->addInput(array("ID"=>"module", "TYPE"=>"hidden", "NAME"=>"module", "VAL"=>"user"));
$frm->addInput(array("ID"=>"email", "TYPE"=>"text", "NAME"=>"rEmail", "VAL"=>"", "LABEL"=>Text::_("New e-mail"), "REQUIRED"=>array("FLAG"=>true), "CLASS"=>"commonEdit form-control"));
if ($this->email) $button_text="Change e-mail"; else $button_text="Save e-mail";
$frm->addInput(array("CLASS"=>"commonButton btn btn-primary","TYPE"=>"submit", "VAL"=>Text::_($button_text), "ID"=>"submit_button", "NAME"=>"submit_button"));
?>
<div id="resetForm">
    <?php $frm->startLayout(); ?>
    <?php if (!$this->email) {?>
        <h1 class="title main-title"><?php echo Text::_('Finishing registration')?></h1>
    <?php }?>
    <h2 class="title"><?php echo Text::_('For usage all possibilities of our site enter e-mail')?>.</h2>
    <?php if ($this->email) { ?>
        <div class="registrationFormLabel old_email row mb-3">
            <div class="col-md-4 mb-2 mb-md-0"><?php echo Text::_('Old e-mail')?>:</div>
            <div class="col-md-8"><?php echo User::getInstance()->getEmail(); ?></div>
        </div>
    <?php } ?>
    <div class="registrationFormField row mb-3">
        <div class="col-sm-12 mb-2"><?php $frm->renderLabelFor("rEmail"); ?></div>
        <div class="col-sm-12"><?php $frm->renderInputPart("rEmail"); ?></div>
    </div>
    <div id="resetFormFooter" class="buttons">
        <?php $frm->renderInputPart("submit_button"); ?>
    </div>
    <?php $frm->endLayout(); ?>
</div>