<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1a91e368 (2023-01-19 19:26:27)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Request;
use ArfaCMS\Sprav\SpravModel;

defined('_ARFACMS_VALID') or die("Access denied");

class videosetModelItems extends SpravModel {
	
	public function checkTrashChilds(){
		// картинки принадлежащие удаляемым галлереям, в том числе и помеченные на удаление
		$sql="SELECT COUNT(v_id) FROM #__videoset_videos WHERE AND v_gallery_id IN (SELECT vg_id FROM #__video_galleries WHERE vg_deleted=1))";
		$this->_db->setQuery($sql);
		$images=$this->_db->loadResult();
		if ($images) return true;
		return false;
	}
	
	public function save(){
		$psid=parent::save(); 
		if ($psid) {
			$gal_thumbAutoResize = $this->getModule()->getParam("gal_thumbAutoResize");
			$gal_thumbWidth = $this->getModule()->getParam("gal_thumbWidth");
			$gal_thumbHeight = $this->getModule()->getParam("gal_thumbHeight");
			if ($gal_thumbAutoResize && $gal_thumbWidth && $gal_thumbHeight && $_FILES["vg_thumb"]["name"]) {
				$res=$this->getElement($psid);
				if (!$res) return 0;
				$filename=Files::splitAppendix($res->vg_thumb, true);
				if ($filename) {
					$_src=ARFACMS_STORAGE_PATH."videoset".DS."items".DS."thumbs".DS.$res->vg_thumb;
					$_dest=$_src;
					if(Files::isImage($_src)){
						$res=Files::resizeImage($_src, $_dest, $this->getModule()->getParam("gal_thumbWidth"), $this->getModule()->getParam("gal_thumbHeight"));
						if (!$res) return 0;
					}
				}
			}
		} else return 0;
		$this->updateAlias($psid, Request::getSafe('vg_alias',""), Request::getSafe('vg_title',""));
		return $psid;
	}
}
?>