<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 38678579 (2022-08-23 12:28:23)
// 

use ArfaCMS\Core\Router;
use ArfaCMS\DB\Database;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class videosetModule extends Module {
	public function prepare() {
        if(defined("_ADMIN_MODE")){
            $this->setDefaultView('groups');
        } else {
            $this->setDefaultView('groups');
        }
	}
	public function getSitemapHTML() {
		$db=Database::getInstance();
		$module=$this->getName();
		$result = array("html"=>"","links"=>array());
		$sql = "SELECT gr.vgr_id, gr.vgr_title, gr.vgr_alias,g.vg_id,g.vg_title,g.vg_alias
				FROM #__videoset_galleries as g, #__videoset_groups as gr
				WHERE gr.vgr_id = g.vg_group_id AND gr.vgr_deleted=0 AND gr.vgr_published=1 AND gr.vgr_show_in_list=1
				AND g.vg_deleted=0 AND g.vg_published=1 AND g.vg_show_in_list=1";
		$db->setQuery($sql);
		$res=$db->loadObjectList();
		$html='';
		$current_category=NULL;
		$html='';
		$ul_started=0;
		if(count($res))
		{
			$html.="<ul>";
			foreach($res as $gal)
			{
				if($current_category!=$gal->vgr_id&&!is_null($gal->vgr_id))
				{
					if($ul_started) $html.="</ul></li>";
					$html.="<li><a href=\"".Router::_("index.php?module=videoset&view=items&psid=".$gal->vgr_id."&alias=".$gal->vgr_alias)."\">".$gal->vgr_title."</a>";
					$html.="<ul>";
					$html.="<li><a href=\"".Router::_("index.php?module=videoset&view=videos&psid=".$gal->vg_id."&alias=".$gal->vg_alias)."\">".$gal->vg_title."</a></li>";
					$ul_started++;
					$current_category=$gal->vgr_id;
				}
				else {
					$html.="<li><a href=\"".Router::_("index.php?module=videoset&view=videos&psid=".$gal->vg_id."&alias=".$gal->vg_alias)."\">".$gal->vg_title."</a></li>";
				}
			}
			if($ul_started) $html.="</ul></li>";
			$html.="</ul>";
		}
		$result["title_link"]=true;
		$result['html']=$html;
		return $result;
	}
    public function getLinksArray(&$i,&$_arr) {
        $db=Database::getInstance();
        $module=$this->getName();
        $sql='SELECT vgr_id, vgr_title, vgr_alias FROM #__videoset_groups WHERE vgr_deleted=0 AND vgr_published=1';
        $db->setQuery($sql);
        $res=$db->loadObjectList();
        if (count($res)) {
            foreach($res as $val)  {
                $i++;
                $_arr[$module][$i]['link']=Router::_("index.php?module=videoset&view=items&psid=".$val->vgr_id."&alias=".$val->vgr_alias, true);
                $_arr[$module][$i]['name']=$val->vgr_title;
                $_arr[$module][$i]['fullname']=$val->vgr_title;
            }
        }
        $sql1='SELECT vg_id, vg_title, vg_alias FROM #__videoset_galleries WHERE vg_deleted=0 AND vg_published=1';
        $db->setQuery($sql1);
        $res1=$db->loadObjectList();
        if (count($res1)) {
            foreach($res1 as $val1)  {
                $i++;
                $_arr[$module][$i]['link']=Router::_("index.php?module=videoset&view=videos&psid=".$val1->vg_id."&alias=".$val1->vg_alias, true);
                $_arr[$module][$i]['name']=$val1->vg_title;
                $_arr[$module][$i]['fullname']=$val1->vg_title;
            }
        }
        return true;
    }
    public function getACLTemplate($is_admin=true){
        $acl=array();$i=0;
        if($is_admin){
            $i++;$acl[$i]['ao_name']='videosetModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='viewVideosetItems'; $acl[$i]['ao_description']='Gallery items';
            $i++;$acl[$i]['ao_name']='viewVideosetGroups'; $acl[$i]['ao_description']='Gallery groups';
            $i++;$acl[$i]['ao_name']='viewVideosetVideos'; $acl[$i]['ao_description']='Gallery videos';
            $i++;$acl[$i]['ao_name']='deleteVideosetGroups'; $acl[$i]['ao_description']='Finally delete groups';
            $i++;$acl[$i]['ao_name']='deleteVideosetItems'; $acl[$i]['ao_description']='Finally delete galleries';
            $i++;$acl[$i]['ao_name']='deleteVideosetVideos'; $acl[$i]['ao_description']='Finally delete videos';
        } else {
            $i++;$acl[$i]['ao_name']='viewVideosetItems'; $acl[$i]['ao_description']='Gallery items';
            $i++;$acl[$i]['ao_name']='videosetModule'; $acl[$i]['ao_description']='Module access';
            $i++;$acl[$i]['ao_name']='viewVideosetGroups'; $acl[$i]['ao_description']='Gallery groups';
            $i++;$acl[$i]['ao_name']='viewVideosetVideos'; $acl[$i]['ao_description']='Gallery videos';
        }
        return 	$acl;
    }
}
?>