<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: dc974189 (2024-10-13 02:45:16)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

echo "<h1 class=\"title main-title\">" . Text::_("Video gallery groups") . "</h1>";
if (count($this->groups)) {
    $_ggr_thumbWidth = Module::getInstance()->getParam("ggr_thumbWidth");
    $_ggr_thumbHeight = Module::getInstance()->getParam("ggr_thumbHeight");
    if($_ggr_thumbWidth) $autowidth = " style=\"width:" . $_ggr_thumbWidth . "px;\""; else $autowidth = "";
    foreach ($this->groups as $group) {
        $href = "index.php?module=videoset&amp;view=items&amp;psid=" . $group->vgr_id;
        if ($group->vgr_alias) $href .= "&amp;alias=" . $group->vgr_alias;
        echo "<div class=\"videoset-group\">";
        echo "<div class=\"row\">";

        echo "<div class=\"col-lg-12\">";
        echo "<h2 class=\"title\"><a class=\"videoset-group-title\" href=\"" . Router::_($href) . "\">" . $group->vgr_title . "</a></h2>";
        echo "</div>";

        echo "<div class=\"videoset-group-thumb col-md-3\">";
        if ($group->vgr_thumb) $img = ARFACMS_STORAGE_PATH . 'videoset' . DS . 'groups' . DS . 'thumbs' . DS . Files::getAppendix($group->vgr_thumb) . DS . $group->vgr_thumb;
        else $img = "";
        echo "<a class=\"videoset-group-image-link\" href=\"" . Router::_($href) . "\">";
        if ($img && is_file($img)) {
            $img_link = ARFACMS_STORAGE_LINK . '/videoset/groups/thumbs/' . Files::getAppendix($group->vgr_thumb) . "/" . $group->vgr_thumb;
            echo "<img" . $autowidth . " alt=\"" . $group->vgr_title . "\" class=\"videoset-group-image\" src=\"" . $img_link . "\" /></a>";
        } else {
            echo "<img" . $autowidth . " alt=\"" . $group->vgr_title . "\" class=\"empty-img\" src=\"/assets/images/blank.gif\" width=\"$_ggr_thumbWidth\" height=\"$_ggr_thumbHeight\" /></a>";
        }
        echo "</a>";
        echo "</div>";
        echo "<div class=\"videoset-group-comment col-md-9\">" . $group->vgr_comment . "</div>";

        echo "</div>";
        echo "</div>";
    }
}
?>