<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: dc974189 (2024-10-13 02:45:16)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

$href="index.php?module=videoset";
echo "<h1 class=\"title main-title\"><a class=\"videoset-groups\" href=\"".Router::_($href)."\">".Text::_("Video galleries")."</a> - ".$this->group->vgr_title."</h1>";

if ($this->group->vgr_thumb) $img=ARFACMS_STORAGE_PATH.'videoset'.DS.'groups'.DS.'thumbs'.DS.Files::getAppendix($this->group->vgr_thumb).DS.$this->group->vgr_thumb;
else $img="";
if($img && is_file($img)) $img_link=ARFACMS_STORAGE_LINK.'/videoset/groups/thumbs/'.Files::getAppendix($this->group->vgr_thumb)."/".$this->group->vgr_thumb;
else $img_link="";

if (Module::getInstance()->getParam("videosetShowParentDescr") && ($this->group->vgr_comment || $img_link)) {
    $_ggr_thumbWidth = Module::getInstance()->getParam("ggr_thumbWidth");
    $_ggr_thumbHeight = Module::getInstance()->getParam("ggr_thumbHeight");
    if($_ggr_thumbWidth) $autowidth = " style=\"width:" . $_ggr_thumbWidth . "px;\""; else $autowidth = "";
    echo "<div class=\"videoset-group\">";
    echo "<div class=\"row\">";
    echo "<div class=\"videoset-group-thumb col-sm-5 col-md-3\">";
    if($img_link) {
        echo "<img".$autowidth." title=\"".$this->group->vgr_title_thm."\" alt=\"".$this->group->vgr_alt_thm."\" class=\"videoset-group-image\" src=\"".$img_link."\" />";
    } else {
        echo "<img".$autowidth." title=\"".$this->group->vgr_title_thm."\" alt=\"".$this->group->vgr_alt_thm."\" class=\"empty-img\" src=\"/assets/images/blank.gif\" width=\"".$_ggr_thumbWidth."\" height=\"".$_ggr_thumbHeight."\" />";
    }
    echo "</div>";
    echo "<div class=\"videoset-group-comment col-sm-7 col-md-9\">".$this->group->vgr_comment."</div>";
    echo "</div>";
    echo "</div>";
}
if (count($this->items)) {
    $_gal_thumbHeight = Module::getInstance()->getParam("gal_thumbHeight");
    $_gal_thumbWidth = Module::getInstance()->getParam("gal_thumbWidth");
	if($_gal_thumbWidth) $autowidth=" style=\"width:".$_gal_thumbWidth."px;\""; else $autowidth = "";
	foreach($this->items as $item) {
		$href="index.php?module=videoset&amp;view=videos&amp;psid=".$item->vg_id;
		if ($item->vg_alias) $href.="&amp;alias=".$item->vg_alias;
		echo "<div class=\"videoset-item row\">";

        echo "<div class=\"col-lg-12\">";
		echo "<h2 class=\"title\"><a class=\"videoset-item-title\" href=\"".Router::_($href)."\">".$item->vg_title."</a></h2>";
		echo "</div>";

		echo "<div class=\"videoset-item-thumb col-md-3\">";
		if ($item->vg_thumb) $img=ARFACMS_STORAGE_PATH.'videoset'.DS.'items'.DS.'thumbs'.DS.Files::getAppendix($item->vg_thumb).DS.$item->vg_thumb;
		else $img="";
        echo "<a class=\"videoset-item-image-link\" href=\"".Router::_($href)."\">";
		if($img && is_file($img)) 	{
			$img_link=ARFACMS_STORAGE_LINK.'/videoset/items/thumbs/'.Files::getAppendix($item->vg_thumb)."/".$item->vg_thumb;
			echo "<img".$autowidth." alt=\"".$item->vg_title."\" class=\"videoset-item-image\" src=\"".$img_link."\" /></a>";
		} else {
            echo "<img" . $autowidth . " alt=\"" . $item->vg_title . "\" class=\"empty-img\" src=\"/assets/images/blank.gif\" width=\"$_gal_thumbWidth\" height=\"$_gal_thumbHeight\" /></a>";
		}
        echo "</a>";
        echo "</div>";
		echo "<div class=\"videoset-item-comment col-md-9\">".$item->vg_comment."</div>";

		echo "</div>";
	}
}
?>