<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1ecc717d (2024-10-14 14:16:51)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

$video=$this->video;
if ($video) {
	$title=addslashes($video->v_title);
	echo "<h1 class=\"title main-title\">".$title."</h1>";
	echo "<div class=\"videoset-single-video row\">";
	echo "<div class=\"videoset-single-video ".(count($this->videos) ? "col-sm-9 col-12" : "col-sm-12")."\">";
	echo $this->renderPlayer($video);
	echo "</div>";
	if(count($this->videos)) {
		echo "<div class=\"videoset-single-video-list col-sm-3 col-12\">";
		echo "<h2 class=\"videoset-single-video-list-title\">".Text::_("Video list")." :</h2>";
		foreach($this->videos as $row) {
			if($row->v_id!=$video->v_id)  {
				if (is_file($poster = ARFACMS_STORAGE_PATH."videoset".DS."i".DS.Files::getAppendix($row->v_image).DS.$row->v_image))
					$poster = ARFACMS_STORAGE_LINK.'/videoset/i/'.Files::getAppendix($row->v_image)."/".$row->v_image;
				else $poster = Files::getNoImageLink("no-photo.png");
				echo "<div class=\"videoset-single-video-elem\">";
				$href="index.php?module=videoset&view=video&psid=".$row->v_id;
				if(isset($row->v_alias)&&$row->v_alias) $href.="&alias=".$row->v_alias;
				$href=Router::_($href);
				echo "<a class=\"videoset-single-video-elem-link\" href=\"".$href."\"><img src=\"".$poster."\" alt=\"".$row->v_alt_img."\" tltle=\"".$row->v_title_img."\"/></a>";
				echo "<h3 class=\"videoset-single-video-elem-title\"><a href=\"".$href."\">".$row->v_title."</a></h3>";
				echo "</div>";
			}
		}
		echo "</div>";
	}
	echo "</div>";
}
?>