<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1ecc717d (2024-10-14 14:16:51)
// 

use ArfaCMS\Core\Files;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

if (is_object($this->item)) {
    echo "<h1 class=\"title main-title\">" . Text::_("Video gallery") . " - " . $this->item->vg_title . "</h1>";
    $href = "index.php?module=videoset&amp;view=items&amp;psid=" . $this->item->vg_group_id;
    if (is_object($this->group)) $href .= "&amp;alias=" . $this->group->vgr_alias;

    echo "<div class=\"videoset-toolbar\">";
    echo "    <div class=\"videoset-toolbar-link\"><a class=\"btn btn-primary\" href=\"" . Router::_($href) . "\">" . Text::_("Back to video galleries") . "</a></div>";
    echo "</div>";

    if ($this->item->vg_thumb) $img = ARFACMS_STORAGE_PATH . 'videoset' . DS . 'items' . DS . 'thumbs' . DS . Files::getAppendix($this->item->vg_thumb) . DS . $this->item->vg_thumb;
    else $img = "";
    if ($img && is_file($img)) $img_link = ARFACMS_STORAGE_LINK . '/videoset/items/thumbs/' . Files::getAppendix($this->item->vg_thumb) . "/" . $this->item->vg_thumb;
    else $img_link = "";

    if (Module::getInstance()->getParam("videosetShowParentDescr")  && ($this->item->vg_comment || $img_link)) {
        $_gal_thumbHeight = Module::getInstance()->getParam("gal_thumbHeight");
        $_gal_thumbWidth = Module::getInstance()->getParam("gal_thumbWidth");
        echo "<div class=\"videoset-item\">";
        echo "<div class=\"row\">";

        echo "<div class=\"videoset-item-thumb col-12 col-sm-5 col-md-3\">";
        if($img_link){
            echo "<img title=\"" . $this->item->vg_title_thm . "\" alt=\"" . $this->item->vg_alt_thm . "\" class=\"gallery-item-image\" src=\"" . $img_link . "\" />";
        } else {
            echo "<img title=\"" . $this->item->vg_title_thm . "\" alt=\"" . $this->item->vg_alt_thm . "\" class=\"empty-img\" src=\"/assets/images/blank.gif\" width=\"".$_gal_thumbWidth."\" height=\"".$_gal_thumbHeight."\" />";
        }
        echo "</div>";
        echo "<div class=\"videoset-item-comment col-12 col-sm-7 col-md-9\">" . $this->item->vg_comment . "</div>";

        echo "</div>";
        echo "</div>";
    }

    echo "<div class=\"videoset-video-list row\">";
    if (count($this->videos)) {
        foreach ($this->videos as $video) {
            echo "<div class=\"col-md-6\">";
            echo "<div class=\"videoset-video\">";
            echo $this->renderPlayer($video, "100%", "auto");
            $href = "index.php?module=videoset&view=video&psid=" . $video->v_id;
            if (isset($video->v_alias) && $video->v_alias) $href .= "&alias=" . $video->v_alias;
            echo "<div class=\"videoset-video-title\"><a href=\"" . Router::_($href) . "\">" . addslashes($video->v_title) . "</a></div>";
            echo "</div>";
            echo "</div>";
        }
    }
    echo "</div>";

    $mdl = Module::getInstance();
    $reestr = $mdl->get('reestr');
    $page = $reestr->get('page', 0);
    $sort = $reestr->get('sort');
    $str_sql_wf = $reestr->get('str_sql_wf');
    $records_count_wf = $reestr->get('records_count_wf', 0);
    $psid = $reestr->get('psid');
    $multy_code = $reestr->get('multy_code');

    $ref = "index.php?module=gallery&view=images&multy_code=" . $multy_code . "&psid=" . $psid;
    if (is_object($this->item)) $ref .= "&alias=" . $this->item->vg_alias;
    echo $this->appendLimitStringWF(false, $page, $ref, $records_count_wf, $str_sql_wf, $reestr);
}
?>