<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 9a3b0b95 (2023-09-27 19:47:06)
// 

namespace ArfaCMS\Core;

defined('_ARFACMS_VALID') or die("Access denied");

class orderUserdata extends BaseObject
{
    protected $data = "";
    protected $items = null;
    protected $order = null;
    protected $params = null;
    protected $inc_required = array();    // что из отсутствующего в шаблоне добавить в обязательные
    protected $exc_required = array();    // что из имеющегося в шаблоне исключить из обязательных
    protected $is_error = 0;
    protected $error_text = "";

    public function __construct($_type, $_data = false)
    {
        $this->initObj();
    }

    public static function getOrderId($mode)
    {
        /* JUST FOR OVERRIDE */
        return 0;
    }

    public function getParamsMask()
    {
        $params = array();
        return $params;
    }

    public function getConfigValue($key, $defaultValue = "")
    {
        if (isset($this->params[$key])) return $this->params[$key]; else return $defaultValue;
    }

    public function assignOrder(&$order, &$items)
    {
        $this->order = $order;
        $this->items = $items;
    }

    // для одномерных массивов
    protected function intersectRequired($arr = array())
    {
        return array_merge(array_diff($arr, $this->exc_required), $this->inc_required);
    }

    public function getData()
    {
        return $this->data;
    }

    public function getEncodedData()
    {
        return $this->getEncodedArray($this->data);
    }

    public function getDecodedData($data = array())
    {
        if (\backofficeConfig::$cryptoUserData) return Userdata::getInstance(User::getInstance()->u_id)->decode($data);
        else return json_decode(base64_decode($data), true);
    }

    public function getEncodedArray($data = array())
    {
        if (\backofficeConfig::$cryptoUserData) return Userdata::getInstance(User::getInstance()->u_id)->encode($data);
        else return base64_encode(json_encode($data));
    }

    /**
     * * Renders data entered by the user while ordering
     * @param $data
     * @return string
     */
    public function renderInfo($data = "")
    {
        /* JUST FOR OVERRIDE */
        return "";
    }

    public function renderForm()
    {
        /* JUST FOR OVERRIDE */
        return "";
    }

    /**
     * Check data, for example from Request
     * @param $err_message
     * @return true
     */
    public function checkData(&$err_message)
    {
        /* JUST FOR OVERRIDE */
        return true;
    }

    /**
     * Save data to $this->data.
     * For example payment data or delivery data from Request
     * @return $this->data
     */
    public function save()
    {
        /* JUST FOR OVERRIDE */
        return array();
    }

    public function getErrorText()
    {
        return $this->error_text;
    }

    public function isError()
    {
        return $this->is_error;
    }
}

?>