<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 0fc0f7b0 (2022-08-18 18:57:04)
// 

namespace ArfaCMS\Tools;
use ArfaCMS\Core\BaseObject;

defined('_ARFACMS_VALID') or die("Access denied");

class OAuth extends BaseObject
{
    protected $_httpheader = array('Expect:');
    protected $_header = null;
    protected $_returntransfer = true;
    protected $_ssl_verifypeer = 0;
    protected $_ssl_verifyhost = 2;

    protected $_key = false;
    protected $_secret = false;

    protected $auth_uri = "";
    protected $profile_uri = "";
    protected $access_token_uri = "";
    protected $callback_uri = "";
    protected $api_version = "";
    protected $useragent = '';
    protected $profile = array("uid" => "", "nickname" => "", "email" => "");

    public $connecttimeout = 30;
    public $timeout = 30;
    public $ssl_verifypeer = false;
    public $format = 'json';
    public $decode_json = true;
    public $http_code = 0;
    public $http_info = array();
    public $http_url = "";

    protected $oauth_code = "";
    protected $oauth_token = "";
    protected $oauth_response = "";

    protected $user_id = "";
    protected $user_email = "";

    public $error_code = "";
    public $error_desc = "";

    public function __construct($_key, $_secret)
    {
        $this->initObj();
        $this->_key = $_key;
        $this->_secret = $_secret;
    }

    /*
    protected function setClientSecret(){
        Session::setVar("oauth_unique", base64_encode(time()));
    }
    protected function getClientSecret(){
        return Session::getVar("oauth_unique");
    }
    */
    public function getLoginURI($params = array())
    {
        return $this->auth_uri . "?" . http_build_query($params);
    }

    public function getProfile($params = array())
    {
        return false;
    }

    public function getParamFromOAuthResponse($name)
    {
        if (isset($this->oauth_response[$name])) return $this->oauth_response[$name]; else return "";
    }

    public function validateAuthResponse($params = array())
    {
        return false;
    }

    protected function getAccessToken($params = array())
    {
        return false;
    }

    protected function getRequestToken($params = array())
    {
        return false;
    }

    protected function getUrl($url, $parameters = array())
    {
        $response = $this->httpRequest($url, 'GET', $parameters);
        if ($this->format === 'json' && $this->decode_json) return json_decode($response, true);
        return $response;
    }

    protected function httpRequest($url, $method, $postfields = NULL)
    {
        if (!$url) return false;
        $this->http_info = array();
        $ch = curl_init();
        /* Curl settings */
//		curl_setopt($ch, CURLOPT_FAILONERROR, 1);
//		curl_setopt($ch, CURLOPT_FRESH_CONNECT,1);
//		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 0);// allow redirects
        curl_setopt($ch, CURLOPT_USERAGENT, $this->useragent);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $this->connecttimeout);
        curl_setopt($ch, CURLOPT_TIMEOUT, $this->timeout);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, $this->_returntransfer);
        if (!is_null($this->_httpheader) && is_array($this->_httpheader)) curl_setopt($ch, CURLOPT_HTTPHEADER, $this->_httpheader);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, $this->_ssl_verifypeer);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, $this->_ssl_verifyhost);
        if (!is_null($this->_header)) curl_setopt($ch, CURLOPT_HEADER, $this->_header);
        switch ($method) {
            case 'POST':
                curl_setopt($ch, CURLOPT_POST, true);
                if (!empty($postfields)) {
                    curl_setopt($ch, CURLOPT_POSTFIELDS, $postfields);
                }
                break;
        }
        curl_setopt($ch, CURLOPT_URL, $url);
        $response = curl_exec($ch);
        if ($response === false) {
            $this->error_code = curl_errno($ch);
            $this->error_desc = curl_error($ch);
        } else {
            $this->http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        }
        curl_close($ch);
        return $response;
    }
}

?>