<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: a94d9578 (2024-12-18 17:57:08)
// 

use ArfaCMS\Core\Plugin;
use ArfaCMS\Core\User;
use ArfaCMS\DB\Database;

defined('_ARFACMS_VALID') or die ("Access denied");

class contentPluginnewobject extends Plugin
{
    protected $_events = array("rating.new");

    protected function setParamsMask()
    {
        parent::setParamsMask();
        // @FIXME Temporary disabled
        // $this->addParam("newobject_article_cost", "integer", 1);
        $this->addParam("newobject_blog_cost", "integer", 1);
        $this->addParam("newobject_comment_cost", "integer", 1);
        // @FIXME Temporary disabled
        // $this->addParam("newobject_user_cost", "integer", 0);
    }

    protected function onRaise($event, &$data)
    {
        $result = "";
        $module = $this->getParam("module", false);
        if (!$module)
            return $result;
        $view = $this->getParam("view", false);
        $element = $this->getParam("element", false);
        switch ($event) {
            case "rating.new" :
                if (!User::getInstance()->isLoggedIn())
                    $result = false;
                else {
                    $uid = User::getInstance()->getID();
                    $result = $this->updateUserRating($module, $view, $element, $uid, "+");
                }
                break;
            case "rating.delete" :
                if (!User::getInstance()->isLoggedIn())
                    $result = false;
                else {
                    $uid = User::getInstance()->getID();
                    $result = $this->updateUserRating($module, $view, $element, $uid, "-");
                }
                break;
            default :
                break;
        }
        return $result;
    }

    // Эта функция меняет рейтинг пользователя (автора или самого пользователя, смотря как вызвать)
    private function updateUserRating($module, $view, $element, $uid, $znak)
    {
        if (!$uid)
            return false;
        if ($element == "object") { // это объект
            $delta = $this->getParam("newobject_" . $module . "_cost");
        } elseif ($element == "comment") { // это обычный комментарий
            $delta = $this->getParam("newobject_comment_cost");
        } else
            return false;
        if (!$delta)
            return false;
        $sql = "UPDATE #__users SET u_rating=u_rating" . $znak . $delta . " WHERE u_id=" . $uid;
        Database::getInstance()->setQuery($sql);
        return Database::getInstance()->query();
    }
}

?>