<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6e5c82c4 (2024-10-03 15:01:21)
// 

use ArfaCMS\Core\Plugin;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

class systemPlugingoogle_analytics extends Plugin {
	protected $_events=array("system.executeModuleBefore");
	protected function setParamsMask(){
		parent::setParamsMask();
		$this->addParam("using_plugin", "ro_string", Text::_("system_google_analytics_description"));
		$this->addParam("Site_ID", "string", "UA-XXXXXX-X");
		$this->addParam("deferred_loading_timeout", "integer", 0);
	}
	protected function onRaise($event, &$data) {
		if(defined("_ADMIN_MODE")) return;
		switch($event){
			case "system.executeModuleBefore":
				$Site_ID=$this->getParam("Site_ID");
				if(!$Site_ID || $Site_ID=="UA-XXXXXX-X") return;
				$deferred_loading_timeout = (int)$this->getParam("deferred_loading_timeout");
				$script = "
window.dataLayer = window.dataLayer || [];
function gtag(){dataLayer.push(arguments);}
gtag('js', new Date());
gtag('config', '".$Site_ID."');
				";
				if($deferred_loading_timeout){
					$script.= "
$(window).on('load', function(){
	setTimeout(function(){ jQuery.getScript(\"https://www.googletagmanager.com/gtag/js?id=".$Site_ID."\"); },".($deferred_loading_timeout*1000).");
});
";
				} else {
					Portal::getInstance()->addScript("https://www.googletagmanager.com/gtag/js?id=".$Site_ID, false, true);
				}
				Portal::getInstance()->addScriptDeclaration($script);
				break;
			default: break;
		}
	}
}

?>