<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 59d8343f (2022-08-24 21:53:24)
// 

use ArfaCMS\Core\Plugin;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Util;

defined('_ARFACMS_VALID') or die("Access denied");

class systemPluginid2alias extends Plugin {
	protected $_events = array("system.renderPortalBefore");
	protected function setParamsMask(){
		parent::setParamsMask();
	}
	protected function onRaise($event, &$data) {
		if(defined("_ADMIN_MODE")) return;
		if(!\seoConfig::$sefMode) return;
		switch($event){
			case "system.renderPortalBefore":
				$router_vars=Router::getInstance()->getVarsArr();
				if(!array_key_exists('alias', $router_vars) && array_key_exists('psid', $router_vars) && array_key_exists('module', $router_vars)){
					$router_vars["alias"]=Router::getInstance($router_vars["module"])->getAlias($router_vars);
					if($router_vars["alias"]){
						$link=Router::getInstance($router_vars["module"])->buildRoute($router_vars);
						Util::redirect($link, "", 301);
					}
				}
			break;
		}
	}
}
?>