<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: cdee9efb (2024-10-20 16:16:20)
// 

use ArfaCMS\Core\Debugger;
use ArfaCMS\Core\Portal;

defined('_ARFACMS_VALID') or die("Access denied");

defined("_ARFACMS_SKIP_MODULE_RENDER_ON_MAINPAGE") or define("_ARFACMS_SKIP_MODULE_RENDER_ON_MAINPAGE", 1);
// ===========================================================================================
// Класс для горизонтального меню flex-column flex-lg-row
// -------------------------------------------------------------------------------------------
// примеры подключений
// $my_css=Portal::getURI()."templates/".Portal::getInstance()->getTemplate()."/css/mycss.css";
// Portal::getInstance()->addStyleSheet($my_css);
//
// Portal::getInstance()->addStyleSheet("https://fonts.googleapis.com/css2?family=PT+Sans+Narrow:wght@400;700&display=swap");
//
// $my_js=Portal::getURI()."templates/".Portal::getInstance()->getTemplate()."/js/myjs.js";
// Portal::getInstance()->addScript($my_js);
//
// Portal::getInstance()->setMeta("viewport","width=device-width, initial-scale=1.0, maximum-scale=10.0");
// -------------------------------------------------------------------------------------------
// Получение некоторых важных переменных
/*
echo "option = ".Portal::getInstance()->get("option")."<br />";
echo "module через Portal = ".Portal::getInstance()->get("module")."<br />";
echo "module через Instance = ".Module::getInstance()->getName()."<br />";
echo "task через Portal = ".Portal::getInstance()->get("task")."<br />";
echo "view через Portal = ".Portal::getInstance()->get("view")."<br />";
echo "view через Controller & View = ".Module::getInstance()->getController()->getView()->getName()."<br />";
echo "layout через Router = ".Request::getSafe("layout")."<br />";
echo "layout через Controller & View = ".Module::getInstance()->getController()->getView()->getLayout()."<br />";
*/
// -------------------------------------------------------------------------------------------
// Если требуется скрыть на главной странице основной контент,
// то можно использовать условие:
// if (!Portal::getInstance()->isMainpage(1)) echo $this->moduleHTML;
// вместо
// echo $this->moduleHTML;
// ===========================================================================================
$logo_arr = array(1 => "white.png", 2 => "red.png", 3 => "yellow.png", 4 => "blue.png");
$logo_img = $logo_arr[rand(2, 4)];
// ===========================================================================================
$left = $this->countZone("left-top") + $this->countZone("left") + $this->countZone("left-bottom");
$right = $this->countZone("right-top") + $this->countZone("right") + $this->countZone("right-bottom");
if ($left && $right) $center_class = "center_block col-lg-12 col-xl-6";
elseif ($left && !$right) $center_class = "center_block col-lg-12 col-xl-9";
elseif (!$left && $right) $center_class = "center_block col-lg-12 col-xl-9";
else $center_class = "center_block_full col-lg-12";
// ===========================================================================================
Portal::getInstance()->addAttribute("html", "class", "h-100");
Portal::getInstance()->addAttribute("body", "class", "d-flex flex-column h-100");
// Portal::getInstance()->addAttribute("html", "data-bs-theme", "dark");
// ===========================================================================================
?>
<div id="outer_wrapper">
    <div id="inner_wrapper" class="">
        <header id="site_header" class="mb-3">
            <div class="px-2 py-1">
                <div class="container">
                    <?php if ($this->countZone("top-left") || $this->countZone("top-right")) { ?>
                        <div class="row">
                            <div class="col-md-6">
                                <?php $this->placeZone("top-left"); ?>
                            </div>
                            <div class="col-md-6">
                                <?php $this->placeZone("top-right"); ?>
                            </div>
                        </div>
                    <?php } ?>
                    <div class="row">
                        <div id="sitelogo" class="logo col-md-4 col-lg-3 align-self-center">
                            <a rel="nofollow" href="<?php echo Portal::getInstance()->getURI(); ?>">
                                <img width="100%" alt="" src="<?php echo "/assets/images/logo/" . $logo_img; ?>"/>
                            </a>
                        </div>
                        <div id="sitetitle" class="col-md-8 col-lg-9 align-self-center">
                            <?php echo \siteConfig::$metaTitle; ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php if ($this->countZone("top-menu")) { ?>
                <nav class="maintopmenu">
                    <div class="container">
                        <?php $this->placeZone("top-menu", "bare"); ?>
                    </div>
                </nav>
            <?php } ?>
        </header>
        <?php if ($this->countZone("top-wide")) { ?>
            <section id="top_wide">
                <?php $this->placeZone("top-wide"); ?>
            </section>
        <?php } ?><!-- #top_wide -->
        <?php if ($this->countZone("top")) { ?>
            <section id="top_block">
                <div class="container">
                    <div class="row">
                        <div class="col-sm-12">
                            <?php $this->placeZone("top"); ?>
                        </div>
                    </div>
                </div>
            </section>
        <?php } ?><!-- #top_block -->
        <?php if ($this->countZone("top-quarters")) { ?>
            <section id="top_quarters">
                <div class="container">
                    <div class="row">
                        <?php $this->placeZone("top-quarters"); // For use with "col-*" classes ?>
                    </div>
                </div>
            </section>
        <?php } ?><!-- #top_quarters -->
        <section id="wrapper">
            <div class="container">
                <div class="row">
                    <div class="<?php echo $center_class; ?>">
                        <?php if ($this->countZone("center-top")) { ?>
                            <div id="t_quarters" class="aw-zone row row-cells-autoheight">
                                <?php $this->placeZone("center-top", "col_2"); // also with "col-*" ?>
                            </div>
                        <?php } ?>
                        <div class="nopad">
                            <?php if ($this->countZone("user-1")) { ?>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <?php $this->placeZone("user-1"); ?>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php
                            // ==============================================================
                            if (_ARFACMS_SKIP_MODULE_RENDER_ON_MAINPAGE == 0) {
                                // Variant 1. Show module everywhere
                                echo $this->moduleHTML;
                            } else {
                                // Variant 2. Show module everywhere, except main page
                                if (!Portal::getInstance()->isMainpage(1)) echo $this->moduleHTML;
                                else {
                                    Portal::getInstance()->setTitle(\siteConfig::$metaTitle);
                                    Debugger::getInstance()->warning("Template '" . Portal::getInstance()->getTemplate() . "': Skipped module render !!!");
                                }
                            }
                            // ==============================================================
                            ?>
                            <?php if ($this->countZone("user-2")) { ?>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <?php $this->placeZone("user-2"); ?>
                                    </div>
                                </div>
                            <?php } ?>
                        </div><!-- .nopad -->
                        <?php if ($this->countZone("center-bottom")) { ?>
                            <div id="b_quarters" class="aw-zone row row-cells-autoheight">
                                <?php $this->placeZone("center-bottom", "col_2"); // also with "col-*" ?>
                            </div>
                        <?php } ?>
                    </div><!-- Main body (calculated) -->
                    <?php if ($left) { ?>
                        <aside id="left_column" class="col-lg-6 col-xl-3 order-xl-first">
                            <?php if ($this->countZone("left-top")) { ?>
                                <div class="aw-zone row">
                                    <?php $this->placeZone("left-top", "rounded_4"); // also with "col-*" ?>
                                </div>
                            <?php } ?>
                            <?php if ($this->countZone("left")) { ?>
                                <div class="aw-zone row">
                                    <?php $this->placeZone("left", "rounded_4"); // also with "col-*" ?>
                                </div>
                            <?php } ?>
                            <?php if ($this->countZone("left-bottom")) { ?>
                                <div class="aw-zone row">
                                    <?php $this->placeZone("left-bottom", "rounded_4"); // also with "col-*" ?>
                                </div>
                            <?php } ?>
                        </aside><!-- #left_column -->
                    <?php } ?>
                    <?php if ($right) { ?>
                        <aside id="right_column" class="col-lg-6 col-xl-3">
                            <?php if ($this->countZone("right-top")) { ?>
                                <div class="aw-zone row">
                                    <?php $this->placeZone("right-top", "rounded_4"); // also with "col-*" ?>
                                </div>
                            <?php } ?>
                            <?php if ($this->countZone("right")) { ?>
                                <div class="aw-zone row">
                                    <?php $this->placeZone("right", "rounded_4"); // also with "col-*" ?>
                                </div>
                            <?php } ?>
                            <?php if ($this->countZone("right-bottom")) { ?>
                                <div class="aw-zone row">
                                    <?php $this->placeZone("right-bottom", "rounded_4"); // also with "col-*" ?>
                                </div>
                            <?php } ?>
                        </aside><!-- #right_column -->
                    <?php } ?>
                </div>
            </div>
        </section><!-- #wrapper -->
        <?php if ($this->countZone("bottom-quarters")) { ?>
            <section id="bottom_quarters">
                <div class="container">
                    <div class="row">
                        <?php $this->placeZone("bottom-quarters"); // For use with "col-*" classes ?>
                    </div>
                </div>
            </section>
        <?php } ?><!-- #bottom_quarters -->
        <?php if ($this->countZone("bottom")) { ?>
            <section id="bottom_block">
                <div class="container">
                    <div class="row">
                        <div class="col-sm-12">
                            <?php $this->placeZone("bottom"); ?>
                        </div>
                    </div>
                </div>
            </section>
        <?php } ?><!-- #bottom_block -->
        <?php if ($this->countZone("bottom-wide")) { ?>
            <section id="bottom_wide">
                <?php $this->placeZone("bottom-wide"); ?>
            </section>
        <?php } ?><!-- #bottom_wide -->
    </div><!-- #inner_wrapper -->
</div><!-- #outer_wrapper -->
<div id="footer_wrapper" class="py-3 my-0 mt-auto text-center d-print-none">
    <div class="footer-wrapper-inner">
        <footer class="container">
            <div class="row">
                <div class="footer-block footer-block-1 col-sm-12 col-md-6 col-lg-3 mb-3 mb-lg-0">
                    <div class="footer-block-inner row-cell-wrapper h-100 align-content-center">
                        <div class="logo">
                            <a rel="nofollow" href="<?php echo Portal::getInstance()->getURI(); ?>">
                                <img width="100%" alt="" src="<?php echo "/assets/images/logo/" . $logo_img; ?>"/>
                            </a>
                        </div>
                        <div class="copyright">
                            <?php echo $this->getCopyright(); ?>
                        </div>
                        <?php $this->placeZone("user-6"); ?>
                    </div>
                </div>
                <div class="footer-block footer-block-2 col-sm-12 col-md-6 col-lg-3 mb-sm-3 mb-lg-0">
                    <div class="footer-block-inner row-cell-wrapper h-100 align-content-center">
                        <?php $this->placeZone("user-7"); ?>
                    </div>
                </div>
                <div class="footer-block footer-block-3 col-sm-12 col-md-6 col-lg-3 mb-sm-3 mb-md-0">
                    <div class="footer-block-inner row-cell-wrapper h-100 align-content-center">
                        <?php $this->placeZone("user-8"); ?>
                    </div>
                </div>
                <div class="footer-block footer-block-4 col-sm-12 col-md-6 col-lg-3">
                    <div class="footer-block-inner row-cell-wrapper h-100 align-content-center">
                        <?php $this->placeZone("user-9"); ?>
                    </div>
                </div>
            </div>
        </footer>
    </div>
</div>
<?php echo $this->renderSystemMessages(); ?>