<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: d8ab69dc (2024-10-09 22:12:43)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");
Portal::getInstance()->addScriptDeclaration("$(window).on('load', function(){ $('html').addClass('h-100'); $('body').addClass('d-flex flex-column h-100'); });");
?>
<div id="header" class="border-top bg-body-tertiary text-body-secondary py-3 mb-3">
    <div class="container">
        <div class="row">
            <div class="col-sm-6 col-lg-8 align-self-center disabled-title"><?php echo \siteConfig::$metaTitle; ?></div>
            <div class="col-sm-6 col-lg-4 disabled-logo">
                <img onclick="document.getElementById('loginForm').style.display='block';return false;" width="200" alt="" src="<?php echo "/assets/images/logo/blue.png"; ?>"/>
            </div>
        </div>
    </div>
</div><!-- header -->

<div class="container">
    <div class="row">
        <div class="col-sm-12 mb-3">
            <div id="loginForm"	style="display: none; margin: 2rem auto; text-align: center; max-width: 400px;">
                <form action="<?php echo Router::_("index.php"); ?>" method="post">
                    <input name="option" value="login" type="hidden">
                    <div class="row mb-3">
                        <div class="col-sm-12 mb-2"><label for="username" style="margin-top: 6px;">User:</label></div>
                        <div class="col-sm-12"><input class="commonEdit loginEdit form-control" id="username" name="username" value="" type="text"></div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-sm-12 mb-2"><label for="password" style="margin-top: 6px;">Password:</label></div>
                        <div class="col-sm-12"><input class="commonEdit loginEdit form-control" name="userpass" value="" type="password"></div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-sm-12">
                            <input class="btn btn-primary" value="Log in" onclick="javascript: $('#loginForm').hide('fast'); return true;" type="submit">
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="col-sm-12">
            <div id="disabledMessageBlock">
                <h1 id="disabledMessage"><?php echo Text::_('Site is currently disabled'); ?>.</h1>
                <h2 id="disabledMessageSmall"><?php echo Text::_('Visit us later'); ?>.</h2>
            </div>
        </div>
    </div>
</div>

<div id="footer_wrapper" class="border-top bg-body-tertiary text-body-secondary py-3 my-0 mt-auto text-center d-print-none">
    <footer class="container">
        <div class="row">
            <div class="footer-block footer-block-1 col-sm-6 col-lg-6 mb-2 mb-lg-0 align-self-center">
                <div class="footer-block-inner row-cell-wrapper">
                    <div class="logo">
                        <img width="200" alt="" src="<?php echo "/assets/images/logo/blue.png"; ?>"/>
                    </div>
                </div>
            </div>
            <div class="footer-block footer-block-4 col-sm-6 col-lg-6 mb-2 mb-lg-0 align-self-center">
                <div class="footer-block-inner row-cell-wrapper"><div class="copyright"><?php echo $this->getCopyright(); ?></div></div>
            </div>
        </div>
    </footer>
</div>
