<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 6eb61a0b (2024-09-27 18:11:16)
// 

use ArfaCMS\Core\Date;
use ArfaCMS\Core\Event;
use ArfaCMS\Core\HTMLControls;
use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;

defined('_ARFACMS_VALID') or die("Access denied");

/* =========================================================*/
/* ===== COPIED FROM BaseComments::getCommentHTML ========= */
/* ======================================================== */

/* ----------------------------------------- */
echo "<div class=\"comment-body\">";
echo "<a name=\"comment" . $mess->cm_id . "\"></a>";
// ----------------------------------------------------
if ($intro) {
    echo "<div class=\"comment-text mb-2\">";
    echo Text::_("Comments group") . " : " . $this->title . "<a href=\"" . Router::_("index.php?module=" . $this->module . "&view=" . $this->view . "&psid=" . $this->obj_id) . "\">" . Text::_("for object") . "</a>";
    echo "</div>";
}
// ----------------------------------------------------
echo "<div class=\"comment-title-wrapper mb-2\">";
echo "<span id=\"comment_date_" . $mess->cm_id . "\" class=\"comment-date\">" . Date::fromSQL($mess->cm_date) . "</span>";
echo "<span class=\"comment-title\">" . $mess->cm_title . "</span>";
echo "</div>";
// ----------------------------------------------------
if (($mess->cm_cat) || ($mess->cm_type)) {
    echo "<div class=\"comment-tps mb-2\">";
    echo $this->renderTypeMessage($mess->cm_type);
    echo "&nbsp;";
    echo $this->renderCatMessage($mess->cm_cat);
    echo "</div>";
}
// ----------------------------------------------------
echo "<div class=\"comment-text mb-2\">";
if ($this->bbcode) {
    Event::raise("bbcode.parse", array(), $mess->cm_text);
    echo $mess->cm_text;
} else echo Text::toHtml($mess->cm_text);
echo "</div>";
// ----------------------------------------------------
echo "<div class=\"comment-author clearfix\">";
if ($a_link) echo "<div class=\"comment-avatar\"><a rel=\"nofollow\" href=\"" . Router::_("index.php?module=user&amp;view=info&amp;psid=" . $mess->cm_uid) . "\"><img src=\"" . $a_link . "\" /></a></div>";
// else echo "<div class=\"comment-no-avatar\"></div>";
if ($mess->cm_uid) echo "<a rel=\"nofollow\" href=\"" . Router::_("index.php?module=user&amp;view=info&amp;psid=" . $mess->cm_uid) . "\"><span id=\"comment_author_" . $mess->cm_id . "\" class=\"comment_author\">" . $mess->cm_nickname . "</span></a>";
else  echo "<span id=\"comment_author_" . $mess->cm_id . "\">" . $mess->cm_nickname . "</span>";
echo "</div>";
// ----------------------------------------------------
if ($this->vote_comms) {
    echo "<div class=\"comment-rating row mb-2\">";
    echo "<div class=\"rating col\">" . Text::_("Rating") . " : " . $mess->cm_rating . "</div>";
    if ($canVote) echo "<div class=\"col-auto\">" . Event::raise("rating.rendervotepanel", array("module" => $this->module, "view" => $this->view, "element" => "comment", "psid" => $mess->cm_id, "mess" => Text::_("Vote this comment"))) . "</div>"; // content.rating
    echo "</div>";
}
// ----------------------------------------------------
if ($canModerate || $childrenJS || $answerJS || $uplink) {
    echo "<div class=\"comment-controls\">";
    if ($canModerate || $childrenJS || $answerJS) echo "<div class=\"btn-group\">";
    if ($canModerate) {
        echo "<a onclick=\"" . $publishJS . "\" class=\"commentFooterAdminLink btn btn-warning\" rel=\"nofollow\">" . Text::_($mess->cm_published ? "Disable" : "Enable") . "</a>";
        echo HTMLControls::renderHiddenField("comm_deleted_" . $mess->cm_id, $mess->cm_deleted);
        echo "<a onclick=\"" . $deleteJS . "\" class=\"commentFooterAdminLink btn btn-danger\" rel=\"nofollow\">".Text::_($mess->cm_deleted ? "Undelete" : "Delete") . "</a>";
        echo HTMLControls::renderHiddenField("comm_published_" . $mess->cm_id, $mess->cm_published);
    }
    if ($childrenJS) echo "<a id=\"expander" . $mess->cm_id . "\" onclick=\"" . $childrenJS . "\" class=\"commentFooterLink btn btn-primary\" rel=\"nofollow\">" . Text::_("Answers") . " (" . $mess->cm_children . ")</a>";
    if ($answerJS) echo "<a onclick=\"" . $answerJS . "\" href=\"#commentEditor\" class=\"commentFooterButton btn btn-primary\" rel=\"nofollow\">" . Text::_("Answer") . "</a>";
    if ($canModerate || $childrenJS || $answerJS) echo "</div>";
    if($uplink && $uplink_text) echo "<a class=\"commentFooterButton\" href=\"" . $uplink . "\">" . $uplink_text . "</a>";
    echo "</div>";
}
echo "</div>";
// ----------------------------------------------------
?>
