<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 1ecc717d (2024-10-14 14:16:51)
// 

use ArfaCMS\Core\Router;

defined('_ARFACMS_VALID') or die("Access denied");

class widgetTMPL
{
    public static function render_default($title, $body, &$widget)
    {
        $widget_id = $widget->getParam('Widget_ID', false, "widget_" . $widget->getParam("aw_id"));

        $title_tag = $widget->getParam("Title_tag");
        $title_link = $widget->getParam('title_link');

        $class = $widget->getParam('class');
        $class = "tmpl-default aw-render-" . $widget->getParam("aw_name") . ($class ? " " : "") . $class;

        $html = "<div id=\"" . $widget_id . "\" class=\"" . $class . "\"><div class=\"aw-inner-wrapper w-100\">";
        if ($title && $title_link) $html .= "<" . $title_tag . " class=\"aw-title\"><a title=\"\" href=\"" . Router::_($title_link) . "\">" . $title . "</a></" . $title_tag . ">";
        else if ($title) $html .= "<" . $title_tag . " class=\"aw-title\">" . $title . "</" . $title_tag . ">";
        $html .= "<div class=\"aw-content\">" . $body . "</div>";
        $html .= "</div></div>";

        return $html;
    }

    public static function render_bare($title, $body, &$widget)
    {
        $widget_id = $widget->getParam('Widget_ID', false, "widget_" . $widget->getParam("aw_id"));

        $class = $widget->getParam('class');
        $class = "tmpl-bare aw-render-" . $widget->getParam("aw_name") . ($class ? " " : "") . $class;

        $html = "<div id=\"" . $widget_id . "\" class=\"" . $class . "\">" . $body . "</div>";

        return $html;
    }

    public static function render_rounded_4($title, $body, &$widget)
    {
        $widget_id = $widget->getParam('Widget_ID', false, "widget_" . $widget->getParam("aw_id"));

        $title_tag = $widget->getParam("Title_tag");
        $title_link = $widget->getParam('title_link');

        $class = $widget->getParam('class');
        $class = "tmpl-rounded_4 aw-render-" . $widget->getParam("aw_name") . " col-md-6 col-lg-12" . ($class ? " " : "") . $class;

        $html = "<div id=\"" . $widget_id . "\" class=\"" . $class . "\">";
        $html .= "<div class=\"aw-lt\"><div class=\"aw-rt\"><div class=\"aw-lb\"><div class=\"aw-rb\">";
        if ($title && $title_link) $html .= "<" . $title_tag . " class=\"aw-title\"><a title=\"\" href=\"" . Router::_($title_link) . "\">" . $title . "</a></" . $title_tag . ">";
        else if ($title) $html .= "<" . $title_tag . " class=\"aw-title\">" . $title . "</" . $title_tag . ">";
        $html .= "<div class=\"aw-content\">" . $body . "</div>";
        $html .= "</div></div></div></div>";
        $html .= "</div>";

        return $html;
    }

    public static function render_rounded_6($title, $body, &$widget)
    {
        $widget_id = $widget->getParam('Widget_ID', false, "widget_" . $widget->getParam("aw_id"));

        $title_tag = $widget->getParam("Title_tag");
        $title_link = $widget->getParam('title_link');

        $class = $widget->getParam('class');
        $class = "tmpl-rounded_6 aw-render-" . $widget->getParam("aw_name") . " col-md-6 col-lg-12" . ($class ? " " : "") . $class;

        $html = "<div id=\"" . $widget_id . "\" class=\"" . $class . "\">";
        $html .= "<div class=\"aw-lc\"><div class=\"aw-rc\"><div class=\"aw-lt\"><div class=\"aw-rt\"><div class=\"aw-lb\"><div class=\"aw-rb\">";
        if ($title && $title_link) $html .= "<" . $title_tag . " class=\"aw-title\"><a title=\"\" href=\"" . Router::_($title_link) . "\">" . $title . "</a></" . $title_tag . ">";
        else if ($title) $html .= "<" . $title_tag . " class=\"aw-title\">" . $title . "</" . $title_tag . ">";
        $html .= "<div class=\"aw-content\">" . $body . "</div>";
        $html .= "</div></div></div></div></div></div>";
        $html .= "</div>";

        return $html;
    }

    public static function render_col_2($title, $body, &$widget)
    {
        $widget_id = $widget->getParam('Widget_ID', false, "widget_" . $widget->getParam("aw_id"));

        $title_tag = $widget->getParam("Title_tag");
        $title_link = $widget->getParam('title_link');

        $class = $widget->getParam('class');
        $class = "tmpl-col_2 aw-render-" . $widget->getParam("aw_name") . " col-md-6" . ($class ? " " : "") . $class;
        $html = "<div id=\"" . $widget_id . "\" class=\"" . $class . "\"><div class=\"aw-inner-wrapper row-cell-wrapper\">";
        if ($title && $title_link) $html .= "<" . $title_tag . " class=\"aw-title\"><a title=\"\" href=\"" . Router::_($title_link) . "\">" . $title . "</a></" . $title_tag . ">";
        else if ($title) $html .= "<" . $title_tag . " class=\"aw-title\">" . $title . "</" . $title_tag . ">";
        $html .= "<div class=\"aw-content\">" . $body . "</div>";
        $html .= "</div></div>";

        return $html;
    }

    public static function render_col_4($title, $body, &$widget)
    {
        $widget_id = $widget->getParam('Widget_ID', false, "widget_" . $widget->getParam("aw_id"));

        $title_tag = $widget->getParam("Title_tag");
        $title_link = $widget->getParam('title_link');

        $class = $widget->getParam('class');
        $class = "tmpl-col_4 aw-render-" . $widget->getParam("aw_name") . " col-12 col-sm-6 col-md-3" . ($class ? " " : "") . $class;
        $html = "<div id=\"" . $widget_id . "\" class=\"" . $class . "\"><div class=\"aw-inner-wrapper row-cell-wrapper\">";
        if ($title && $title_link) $html .= "<" . $title_tag . " class=\"aw-title\"><a title=\"\" href=\"" . Router::_($title_link) . "\">" . $title . "</a></" . $title_tag . ">";
        else if ($title) $html .= "<" . $title_tag . " class=\"aw-title\">" . $title . "</" . $title_tag . ">";
        $html .= "<div class=\"aw-content\">" . $body . "</div>";
        $html .= "</div></div>";

        return $html;
    }
}

?>