<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: cdee9efb (2024-10-20 16:16:20)
// 

use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\Util;

defined('_ARFACMS_VALID') or die("Access denied");
// ===========================================================================================
Portal::getInstance()->addAttribute("html", "class", "h-100");
Portal::getInstance()->addAttribute("body", "class", "d-flex flex-column h-100");
// ===========================================================================================
?>
<header class="mb-3">
    <div class="px-2 py-1">
        <div class="container-fluid">
            <div class="d-flex flex-wrap align-items-center justify-content-between">
                <a href="index.php" class="d-flex align-items-center my-2 my-lg-0 me-lg-auto text-white text-decoration-none">
                    <img class="logo" alt="Arfa-CMS" src="/assets/images/logo/blue.png" />
                </a>
                <ul class="navbar-nav flex-row flex-wrap ms-md-auto">
                    <li class="nav-item px-2">
                        <a class="nav-link" target="_blank" title="<?php echo Text::_('Back to frontend'); ?>" href="<?php echo Portal::getInstance()->getURI(1); ?>">
                            <i class="bi bi-globe-central-south-asia text-center d-block"></i>
                        </a>
                    </li>
                    <li class="nav-item px-2">
                        <a class="nav-link rel-popup-text" title="<?php echo Text::_('Usage agreement'); ?>" href="index.php?module=help&amp;layout=license&amp;notmpl=1">
                            <i class="bi bi-star text-center d-block"></i>
                        </a>
                    </li>
                    <li class="nav-item px-2">
                        <a class="nav-link rel-popup-text" title="<?php echo Text::_('Help'); ?>" href="index.php?module=help&amp;notmpl=1">
                            <i class="bi bi-question-circle text-center d-block"></i>
                        </a>
                    </li>
                    <li class="nav-item px-2">
                        <a class="nav-link" title="<?php echo Text::_('Logout'); ?>" href="/index.php?option=logout">
                            <i class="bi bi-door-open text-center d-block"></i>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <nav class="navbar navbar-expand-xl navbar-default">
        <div class="container-fluid">
            <?php $this->placeWidget('adminmenu',array('menu_id'=>1,'menu_div_id'=>'top_horizontal_menu', "menu_class_visibility"=>"xl"),0); ?>
        </div>
    </nav>
</header>
<main class="outer-wrapper flex-shrink-0">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <?php echo $this->moduleHTML; ?>
            </div>
        </div>
    </div>
</main>
<footer class="py-3 my-0 mt-auto text-center d-print-none">
    <div class="container d-flex flex-wrap justify-content-around justify-content-md-between align-items-center">
        <p class="mb-0 px-3"><small><?php echo $this->getCopyright(); ?></small></p>
        <p class="our-socials mb-0 px-3 d-flex justify-content-between align-items-top align-self-center">
            <a class="our-socials-link me-2" target="_blank" title="<?php echo Text::_('We at VK'); ?>" href="https://vk.com/arfacms">
                <svg width="24" height="24" viewBox="0 0 101 100" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <g clip-path="url(#clip0_2_40)">
                        <path d="M0.5 48C0.5 25.3726 0.5 14.0589 7.52944 7.02944C14.5589 0 25.8726 0 48.5 0H52.5C75.1274 0 86.4411 0 93.4706 7.02944C100.5 14.0589 100.5 25.3726 100.5 48V52C100.5 74.6274 100.5 85.9411 93.4706 92.9706C86.4411 100 75.1274 100 52.5 100H48.5C25.8726 100 14.5589 100 7.52944 92.9706C0.5 85.9411 0.5 74.6274 0.5 52V48Z" fill="#0077FF"/>
                        <path d="M53.7085 72.042C30.9168 72.042 17.9169 56.417 17.3752 30.417H28.7919C29.1669 49.5003 37.5834 57.5836 44.25 59.2503V30.417H55.0004V46.8752C61.5837 46.1669 68.4995 38.667 70.8329 30.417H81.5832C79.7915 40.5837 72.2915 48.0836 66.9582 51.1669C72.2915 53.6669 80.8336 60.2086 84.0836 72.042H72.2499C69.7082 64.1253 63.3754 58.0003 55.0004 57.1669V72.042H53.7085Z" fill="white"/>
                    </g>
                    <defs>
                        <clipPath id="clip0_2_40">
                            <rect width="100" height="100" fill="white" transform="translate(0.5)"/>
                        </clipPath>
                    </defs>
                </svg>
            </a>
            <a class="our-socials-link ms-2" target="_blank" title="<?php echo Text::_('We at Telegram'); ?>" href="https://t.me/arfacms">
                <i class="bi bi-telegram text-center d-block"></i>
            </a>
        </p>
        <p class="mb-0 px-3"><small><?php echo Text::_('Version')." ".Portal::getVersion()." ".Portal::getProjectName()." ".Portal::getLicenseType(); ?></small></p>
    </div>
</footer>
<?php
// ===========================================================================================
echo $this->renderSystemMessages();
// ===========================================================================================
echo "<a id=\"scrollToTop\" title=\"\" class=\"btn btn-secondary d-print-none\" style=\"display:none;\">".Text::_("Scroll up")."</a>";
$scroll_script="
$(window).on('load', function() {
    $(window).scroll(function() { 
        if ($(window).scrollTop() != 0) { 
            $('#scrollToTop').fadeIn(); 
        } else if ($(window).scrollTop() == 0) { 
            $('#scrollToTop').fadeOut(); 
        }
    });
    $('#scrollToTop').bind('click',function(){ 
        $('html, body').animate({ scrollTop: 0  }, 200);	
    });
});";
Portal::getInstance()->addScriptDeclaration($scroll_script);
// ===========================================================================================
?>