<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: c854b4ba (2023-03-30 23:07:41)
// 

use ArfaCMS\Core\Debugger;
use ArfaCMS\Core\Event;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\Widget;

defined('_ARFACMS_VALID') or die("Access denied");

class articleWidget extends Widget {
	protected function setParamsMask(){
		parent::setParamsMask();
		$this->addParam("selected_article_id", "table_select", 0, false, "SELECT a_id AS fld_id, a_title AS fld_name FROM #__articles ORDER BY fld_name");
	}
	public function render() {
		$psid = $this->getParam('selected_article_id');
		$model = $this->getModel('article', 'article');
        $articleHTML = "";
		$art = $model->getArticle($psid); 
		if ($art) { 
			Event::raise('content.prepare', array("clean_all"=>"1"), $art->a_text);
			$articleHTML = $art->a_text; 
		} else {
            Debugger::getInstance()->error(Text::_('Article not found: ')."(".$psid.")");
        }
		return $articleHTML;
	}
}
?>