<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 04fa7dae (2023-03-01 23:11:59)
// 

use ArfaCMS\Core\Basket;
use ArfaCMS\Core\Portal;
use ArfaCMS\Core\Widget;

defined('_ARFACMS_VALID') or die("Access denied");

class basketWidget extends Widget {
    protected $_hide_content_param = false;
	protected $_requiredModules = array("catalog");
	
	protected function setParamsMask(){
		parent::setParamsMask();
		$this->addParam("Basket_ID", "string", "ajax_basket");
	}
	public function prepare() {
		$Basket_ID = $this->getParam('Basket_ID');
		Portal::getInstance()->addScriptDeclaration("basketWidgetID.push('".$Basket_ID."')");
        Portal::getInstance()->addStyleSheet("modules/catalog.css", !\seoConfig::$tmplCSSBackCompatibility);
	}
	public function render() {
		if (\catalogConfig::$ordersDisabled) {
			$this->set('show_title',0);
			return "";
		}
		$html = $this->get('content','');
		if ($html) $html=$html; else $html="";
		$Basket_ID = $this->get('Basket_ID','ajax_basket');
		$html.="<div id=\"".$Basket_ID."\">".Basket::getInstance()->showMini()."</div>";
		return $html;
	}
}
?>