<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 7db08ed2 (2024-09-24 14:57:48)
// 

use ArfaCMS\Core\Widget;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class breadcrumbWidget extends Widget {

	protected function setParamsMask(){
		parent::setParamsMask();
		$this->addParam("Show_first_separator", "boolean", 0);
	}
	
	public function render() {
		if (!Module::getInstance()->showBreadcrumb()) return "";
		$_breadCrumb = Module::getInstance()->getBreadCrumbArray();
		$show_first_separator = intval($this->getParam('Show_first_separator'));
		$first_shown=false;
		$html = "";
		if(count($_breadCrumb)){
			foreach ($_breadCrumb as $bc) {
				if (!$first_shown){
					if($show_first_separator){
						$html .= "<li class=\"breadcrumb-item\"></li>";
					}
					$first_shown=true;
				}
				if ($bc->link=="#")	$html .= "<li class=\"breadcrumb-item\"><a class=\"breadcrumb-link\">".$bc->text."</a></li>";
				else $html .= "<li class=\"breadcrumb-item\"><a class=\"breadcrumb-link\" href=\"".$bc->link."\">".$bc->text."</a></li>";
			}
			$html = "<nav aria-label=\"breadcrumb\"><ol class=\"breadcrumb\">".$html."</ol></nav>";
		}		
		return $html;
	}
}

?>