<?php
//  Arfa-CMS
//  Copyright (c) Radius17
//  Web: https://arfa-cms.ru/
//  Commercial license https://arfa-cms.ru/article/soglashenie-ob-ispolzovanii.html
//  THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//  Revision: 262d08cf (2024-10-07 21:07:02)
// 

use ArfaCMS\Core\Router;
use ArfaCMS\Core\Text;
use ArfaCMS\Core\Widget;
use ArfaCMS\MVC\Module;

defined('_ARFACMS_VALID') or die("Access denied");

class randgoodsWidget extends Widget
{
    protected $_requiredModules = array("catalog");

    protected function setParamsMask()
    {
        parent::setParamsMask();
        $this->addParam("ShowDopTitle", "boolean", 1);
        $this->addParam("DopTitle", "string", "");
        $this->addParam("LinkDopTitle", "string", "");
        $this->addParam("goodsGroupid", "integer", 0);
        $this->addParam("goodsid", "integer", 0);
        $this->addParam("onlyNew", "boolean", 0);
        $this->addParam("onlyHit", "boolean", 0);
        $this->addParam("showDescription", "boolean", 1);
        $this->addParam("shortTextLength", "integer", 200);
    }

    public function render()
    {
        $grpsid = $this->getParam('goodsGroupid');
        $gid = $this->getParam('goodsid');
        $new = $this->getParam('onlyNew');
        $hit = $this->getParam('onlyHit');

        $Doptitle = $this->getParam('DopTitle');
        $LinkDoptitle = $this->getParam('LinkDopTitle');
        $show_Doptitle = $this->getParam('ShowDopTitle');
        $showDescription = $this->getParam('showDescription');
        $shortTextLength = $this->getParam('shortTextLength');
        $widgetHTML = "";
        // получаем случайный товар
        // если указан псид, то ищем в дочерних, иначе по всей базе исключая удаленные и выключенные
        $helper = Module::getHelper("goods", "catalog");
        $goods = $helper->getRandomGoods($grpsid, $gid, $new, $hit);
        if (count($goods)) {
            $gids = array();
            foreach ($goods as $gds) $gids[$gds->g_id] = $gds->g_id;
//			$options_gids=Module::getHelper("goods","catalog")->haveOptions($gids);
//			$discounts=Module::getHelper("goods","catalog")->getDiscounts($gids);
            if ($show_Doptitle && $Doptitle) {
                if ($LinkDoptitle) $widgetHTML .= "<div class=\"g-toplabel\"><a href=\"" . Router::_($LinkDoptitle) . "\">" . $Doptitle . "</a></div>";
                else $widgetHTML .= "<div class=\"g-toplabel\"><span>" . $Doptitle . "</span></div>";
            }
            foreach ($goods as $gds) {
                $widgetHTML .= "<div class=\"g-elem\">";
                if ($gds->g_thumb_url) {
                    $widgetHTML .= "<div class=\"g-thumb\"><a href=\"" . $gds->g_goods_url . "\"><img width=\"" . \catalogConfig::$thumb_width . "\" src=\"" . $gds->g_thumb_url . "\" alt='" . $gds->g_name . "' /></a></div>";
                }
                $widgetHTML .= "<div class=\"g-title\"><a href=\"" . $gds->g_goods_url . "\">" . $gds->g_name . "</a></div>";
                if ($showDescription) {
                    $widgetHTML .= "<div class=\"g-text\">";
                    $first_hr = mb_strpos($gds->g_comments, '<hr id="system-readmore"', 0);
                    if ($first_hr) $widgetHTML .= mb_substr($gds->g_comments, 0, $first_hr);
                    // elseif(strip_tags($gds->g_comments)) $widgetHTML.=mb_substr(strip_tags($gds->g_comments), 0,$shortTextLength)."...";
                    elseif (trim(strip_tags($gds->g_comments))) $widgetHTML .= Text::cutHtml($gds->g_comments, $shortTextLength);
                    $widgetHTML .= "</div>";
                    $widgetHTML .= "<div class=\"g-readmore\"><a href=\"" . $gds->g_goods_url . "\">" . Text::_('Read more') . "</a></div>";
                }
                $widgetHTML .= "</div>";
            }
        } else  $widgetHTML = "";
        return $widgetHTML;
    }
}
?>